#ifndef CC_H_
#define CC_H_


#include <stdio.h>


/*================================================================================================*/
#ifdef BYTE_ORDER
#undef BYTE_ORDER
#endif
#define BYTE_ORDER LITTLE_ENDIAN
#define LWIP_PROVIDE_ERRNO

#define PACK_STRUCT_STRUCT
#define PACK_STRUCT_BEGIN _Pragma("pack(1)")
#define PACK_STRUCT_END _Pragma("pack()")

#define U16_F "hu"
#define S16_F "hd"
#define X16_F "hx"
#define U32_F "lu"
#define S32_F "ld"
#define X32_F "lx"


#define LWIP_PLATFORM_DIAG(x)
#define LWIP_PLATFORM_ASSERT(x)

#define PACK_STRUCT_FIELD(x) x
/*================================================================================================*/

/*================================================================================================*/
typedef unsigned char u8_t;
typedef signed char s8_t;
typedef unsigned short u16_t;
typedef short s16_t;
typedef unsigned long u32_t;
typedef long s32_t;
typedef u32_t mem_ptr_t;
/*================================================================================================*/


#endif /*#ifndef CC_H_*/
