#ifndef STD_REQUESTS_H_
#define STD_REQUESTS_H_



/*================================================================================================*/
/* request recipient mask */
#define RECIPIENT_MASK (0x1F)
#define RECIPIENT_DEVICE (0x00)
#define RECIPIENT_INTERFACE (0x01)
#define RECIPIENT_ENDPOINT (0x02)


#define LSB(w) ((BYTE)(w))
#define MSB(w) ((BYTE)(w>>8))
/*================================================================================================*/

/*================================================================================================*/
void std_clear_feature(void);
void std_get_configuration(void);
void std_get_descriptor(void);
void std_get_interface(void);
void std_get_status(void);
void std_set_address(void);
void std_set_configuration(void);
void std_set_descriptor(void);
void std_set_feature(void);
void std_set_interface(void);
void std_undetected(void);
/*================================================================================================*/

/*================================================================================================*/
extern USB_request_Handler StandardDeviceRequest[];
/*================================================================================================*/
 
#endif /*#ifndef STD_REQUESTS_H_*/
