#include "GlobDefs.h"
#include "datahook.h"

#if DATA_HOOK_EN


/*================================================================================================*/
static void f_cb_process_ltr11(enum e_Module module, int data_size, const t_uint16 *buf);
/*================================================================================================*/

/*================================================================================================*/
const struct datahook_cfg g_datahook_cfg[ N_CRATE_MODULES ] =
    {
    {e_Module_LTR34, 0, NULL},
    {e_Module_LTR11, 500, f_cb_process_ltr11},
    {e_Module_None, 0, NULL},
    {e_Module_None, 0, NULL},
    {e_Module_None, 0, NULL},
    {e_Module_None, 0, NULL},
    {e_Module_None, 0, NULL},
    {e_Module_None, 0, NULL},
    {e_Module_None, 0, NULL},
    {e_Module_None, 0, NULL},
    {e_Module_None, 0, NULL},
    {e_Module_None, 0, NULL},
    {e_Module_None, 0, NULL},
    {e_Module_None, 0, NULL},
    {e_Module_None, 0, NULL},
    {e_Module_None, 0, NULL}
    };
/*================================================================================================*/

/*================================================================================================*/
/*------------------------------------------------------------------------------------------------*/
static void f_cb_process_ltr11
    (
    enum e_Module module,
    int data_size,
    const t_uint16 *buf
    )
    {
    /*
     *    LTR11.
     * 
     *            .  
     *      LTR34,   
     */
    const int ct_ltr34_slot = 0;
     
    if (data_size > 0)
        {
        t_uint16 avg;
        int i_data;
        unsigned long sum = 0;
        const t_uint16 *p_buf = buf;
        
        for (i_data = data_size; (i_data > 0); i_data--)
            {
            sum += *p_buf++;
            }
        avg = sum / data_size;
        put_host_data( &avg, 1 );
        put_module_data( ct_ltr34_slot, buf, data_size );//&avg, 1 );
        }
    }
/*------------------------------------------------------------------------------------------------*/
/*================================================================================================*/

#endif /*#if DATA_HOOK_EN*/
