	.file ".\i2c.c";
//  Compilation time: Fri Feb 19 12:13:12 2010

//  Compiler options: -c -file-attr ProjectName=ltr030-bf-fos -g -structs-do-not-overlap -no-multiline -double-size-32 -decls-strong -warn-protos -D VDSP_BF -I c:\prj;c:\prj\lib\efsl\inc;c:\prj\lib\freertos\source\include;c:\prj\lib\lwip\src\include;c:\prj\lib\lwip\src\include\ipv4;c:\prj\lib\lwip\contrib\ports\bf\include;c:\prj\ltr\ltr030\ltr030-bf-fos -threads -save-temps -si-revision 0.3 -proc ADSP-BF537 -o .\Debug\i2c.doj -MM
//  Architecture: ADSP-BF537
//  Silicon revision: 0.3
//  Anomalies summary:
//   Disabled: w05_00_0046,w05_00_0048,w05_00_0054,w05_00_0071,w05_00_0103,w05_00_0104,w05_00_0120,w05_00_0127,w05_00_0157,w05_00_0164,w05_00_0165,w05_00_0195,w05_00_0198,w05_00_0202,w05_00_0209,w05_00_0227,w05_00_0244,w05_00_0246,w05_00_0248,w05_00_0257,w05_00_0262,w05_00_0264,w05_00_0283,wF3_F_021,wF3_F_008_F3_F_013,w05_00_0311
//   Enabled: w05_00_0189,w05_00_0245,w05_00_0312,w05_00_0371
//   Always on: w05_00_0074,w05_00_0122

	.section/DOUBLE32 program;

.epctext:
	.align 2;
_init_i2c:
.LN_init_i2c:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 0 
//   Scratch registers used:{R0.L,P1}
//   Call preserved registers used:{FP,SP,RETS}
//-------------------------------------------------------------------
// line ".\i2c.c":15
	LINK 0;
.LN0:
// line 19
	P1 = 5124 /* -4189180 */;
	P1.H = -64 /* -4189180 */;
	R0.L = 142;
	W[P1] = R0.L;
.LN1:
// line 20
	P1 = 5120 /* -4189184 */;
	P1.H = -64 /* -4189184 */;
	R0.L = 7745;
	W[P1] = R0.L;
.LN2:
// line 21
	UNLINK;
	RTS;
.LN._init_i2c.end:
._init_i2c.end:
	.global _init_i2c;
	.type _init_i2c,STT_FUNC;

	.align 2;
_transmitreceive_i2c:
.LN_transmitreceive_i2c:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R3.L,R3.H,P0-P2,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{R7.L,R7.H,FP,SP,RETS}
//Inlined in _transmitreceive_i2c:
//  .\i2c.c:96:18'_ssync
//  .\i2c.c:91:12'_ssync
//  .\i2c.c:87:13'_ssync
//  .\i2c.c:69:14'_ssync
//  .\i2c.c:62:14'_ssync
//  .\i2c.c:57:14'_ssync
//  .\i2c.c:54:18'_ssync
//-------------------------------------------------------------------
// line ".\i2c.c":34
	LINK 12;
	[--SP] = R7;
	R3 = [FP + 20];
	R7 = [FP + 24];
	P1 = [FP + 28];
	[FP + 28] = P1;
	[FP + 24] = R7;
	B[FP + 20] = R3;
	[FP + 16] = R2;
	B[FP + 12] = R1;
	B[FP + 8] = R0;
.LN3:
// line 43
	R0 = 0;
	[P1] = R0;
.LN4:
// line 45
	R0 = B[FP + 8] (Z);
	P1 = 5148 /* -4189156 */;
	P1.H = -64 /* -4189156 */;
	W[P1] = R0.L;
.LN5:
// line 46
	P1 = 5160 /* -4189144 */;
	P1.H = -64 /* -4189144 */;
	R0.L = 0;
	W[P1] = R0.L;
.LN6:
// line 47
	R0 = B[FP + 12] (Z);
	R0 = R0 << 6;
	BITSET(R0, 0);
	P0 = 5140 /* -4189164 */;
	P0.H = -64 /* -4189164 */;
	W[P0] = R0.L;
.LN7:
// line 49
	R0 = [FP + 16];
	[FP + -12] = R0;
.LN8:
// line 50
	R0 = B[FP + 12] (Z);
	[FP + -4] = R0;

.P35L1:
//-------------------------------------------------------------------
//   Loop at ".\i2c.c" line 50 col 5
//-------------------------------------------------------------------
	R0 = [FP + -4];
	CC = R0 <= 0;
	if CC jump .P35L3 ;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;

.P35L2:

.P35L4:
//-------------------------------------------------------------------
//   Loop at ".\i2c.c" line 52 col 9
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 16 cycles.
//   (cycle count 16 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   8 out of   16 ( 50.0%)
//     16-bit Instruction  used  15 out of   32 ( 46.9%)
//     32-bit Instruction  used   7 out of   16 ( 43.8%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN9:
// line 52
	P1 = 5164 /* -4189140 */;
	P1.H = -64 /* -4189140 */;
	R0 = W[P1] (Z);                         // Use of volatile in loops precludes optimizations. 
	CC = R0 == 3;
	if !CC jump .P35L33 ;

.P35L31:
.LN10:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
	jump .P35L4;

.P35L33:
//-------------------------------------------------------------------
//   Part of Loop 1, depth 1
//-------------------------------------------------------------------
.LN11:
// line ".\i2c.c":56
	P1 = [FP + -12];
	R0 = B[P1] (Z);
	P1 += 1;
	[FP + -12] = P1;
	P1 = 5248 /* -4189056 */;
	P1.H = -64 /* -4189056 */;
	W[P1] = R0.L;                           // Use of volatile in loops precludes optimizations. 
.LN12:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN13:
// line ".\i2c.c":50
	R0 = [FP + -4];
	R0 += -1;
	[FP + -4] = R0;
	jump .P35L1;

.P35L3:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------

.P35L7:
//-------------------------------------------------------------------
//   Loop at ".\i2c.c" line 60 col 5
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 16 cycles.
//   (cycle count 16 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   9 out of   16 ( 56.3%)
//     16-bit Instruction  used  17 out of   32 ( 53.1%)
//     32-bit Instruction  used   8 out of   16 ( 50.0%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN14:
// line 60
	R0 = W[P0] (Z);                         // Use of volatile in loops precludes optimizations. 
	R1 = 16320;
	R0 = R0 & R1;
	CC = R0 == 0;
	if CC jump .P35L8 ;

.P35L35:
.LN15:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
	jump .P35L7;

.P35L8:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN16:
// line ".\i2c.c":65
	R0 = W[P0] (Z);
	R1 = 36;
	R0 = R0 | R1;
	W[P0] = R0.L;

.P35L10:
//-------------------------------------------------------------------
//   Loop at ".\i2c.c" line 67 col 5
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 18 cycles.
//   (cycle count 18 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used  10 out of   18 ( 55.6%)
//     16-bit Instruction  used  19 out of   36 ( 52.8%)
//     32-bit Instruction  used   9 out of   18 ( 50.0%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN17:
// line 67
	P2 = 5152 /* -4189152 */;
	P2.H = -64 /* -4189152 */;
	R0 = W[P2] (Z);                         // Use of volatile in loops precludes optimizations. 
	R1 = 48;
	R0 = R0 & R1;
	CC = R0 == 0;
	if !CC jump .P35L11 ;

.P35L37:
.LN18:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
	jump .P35L10;

.P35L11:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN19:
// line ".\i2c.c":72
	R0 = W[P2] (Z);
	CC = !BITTST(R0, 5);
	if CC jump .P35L14 ;

.P35L13:
.LN20:
// line 73
	P1 = [FP + 28];
	R0 = 1;
	NOP;                                    // Inserted to fix anomaly w05_00_0245_with_boundaries. 
	[P1] = R0;
	jump .P35L15;

.P35L14:

.P35L15:
.LN21:
// line 75
	R0.L = 112;
	W[P2] = R0.L;
.LN22:
// line 78
	P1 = [FP + 28];
	R0 = [P1];
	CC = R0 == 0;
	if !CC jump .P35L17 ;

.P35L16:
.LN23:
// line 80
	R0 = [FP + 24];
	[FP + -8] = R0;
.LN24:
// line 81
	R0 = B[FP + 20] (Z);
	R0 = R0 << 6;
	BITSET(R0, 0);
	BITSET(R0, 2);
	W[P0] = R0.L;
.LN25:
// line 83
	R0 = B[FP + 20] (Z);
	[FP + -4] = R0;

.P35L19:
//-------------------------------------------------------------------
//   Loop at ".\i2c.c" line 83 col 9
//-------------------------------------------------------------------
	R0 = [FP + -4];
	CC = R0 <= 0;
	if CC jump .P35L21 ;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;

.P35L20:

.P35L22:
//-------------------------------------------------------------------
//   Loop at ".\i2c.c" line 85 col 7
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 16 cycles.
//   (cycle count 16 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   8 out of   16 ( 50.0%)
//     16-bit Instruction  used  15 out of   32 ( 46.9%)
//     32-bit Instruction  used   7 out of   16 ( 43.8%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN26:
// line 85
	P1 = 5164 /* -4189140 */;
	P1.H = -64 /* -4189140 */;
	R0 = W[P1] (Z);                         // Use of volatile in loops precludes optimizations. 
	CC = R0 == 0;
	if !CC jump .P35L41 ;

.P35L39:
.LN27:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
	jump .P35L22;

.P35L41:
//-------------------------------------------------------------------
//   Part of Loop 19, depth 1
//-------------------------------------------------------------------
.LN28:
// line ".\i2c.c":90
	P1 = 5256 /* -4189048 */;
	P1.H = -64 /* -4189048 */;
	R0.L = W[P1];                           // Use of volatile in loops precludes optimizations. 
	P1 = [FP + -8];
	B[P1] = R0;
	P1 += 1;
	[FP + -8] = P1;
.LN29:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN30:
// line ".\i2c.c":83
	R0 = [FP + -4];
	R0 += -1;
	[FP + -4] = R0;
	jump .P35L19;

.P35L21:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------

.P35L25:
//-------------------------------------------------------------------
//   Loop at ".\i2c.c" line 94 col 9
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 15 cycles.
//   (cycle count 15 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   8 out of   15 ( 53.3%)
//     16-bit Instruction  used  15 out of   30 ( 50.0%)
//     32-bit Instruction  used   7 out of   15 ( 46.7%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN31:
// line 94
	R0 = W[P2] (Z);                         // Use of volatile in loops precludes optimizations. 
	R0 = R0 & R1;
	CC = R0 == 0;
	if !CC jump .P35L26 ;

.P35L43:
.LN32:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
	jump .P35L25;

.P35L26:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN33:
// line ".\i2c.c":98
	R0 = W[P2] (Z);
	CC = !BITTST(R0, 5);
	if CC jump .P35L29 ;

.P35L28:
.LN34:
// line 99
	P1 = [FP + 28];
	R0 = 2;
	NOP;                                    // Inserted to fix anomaly w05_00_0245_with_boundaries. 
	[P1] = R0;
	jump .P35L30;

.P35L29:

.P35L30:
.LN35:
// line 100
	R0.L = 176;
	W[P2] = R0.L;
.LN36:
// line 101
	jump .P35L18;

.P35L17:

.P35L18:
.LN37:
// line 102
	R7 = [SP++];
	UNLINK;
	RTS;
.LN._transmitreceive_i2c.end:
._transmitreceive_i2c.end:
	.global _transmitreceive_i2c;
	.type _transmitreceive_i2c,STT_FUNC;

	.align 2;
_transmit_i2c:
.LN_transmit_i2c:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 8 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,P0-P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{FP,SP,RETS}
//Inlined in _transmit_i2c:
//  .\i2c.c:146:14'_ssync
//  .\i2c.c:139:14'_ssync
//  .\i2c.c:134:14'_ssync
//  .\i2c.c:131:18'_ssync
//-------------------------------------------------------------------
// line ".\i2c.c":113
	LINK 8;
	P1 = [FP + 20];
	[FP + 20] = P1;
	[FP + 16] = R2;
	B[FP + 12] = R1;
	B[FP + 8] = R0;
.LN38:
// line 120
	R0 = 0;
	[P1] = R0;
.LN39:
// line 122
	R0 = B[FP + 8] (Z);
	P1 = 5148 /* -4189156 */;
	P1.H = -64 /* -4189156 */;
	W[P1] = R0.L;
.LN40:
// line 123
	P1 = 5160 /* -4189144 */;
	P1.H = -64 /* -4189144 */;
	R0.L = 0;
	W[P1] = R0.L;
.LN41:
// line 124
	R0 = B[FP + 12] (Z);
	R0 = R0 << 6;
	BITSET(R0, 0);
	P0 = 5140 /* -4189164 */;
	P0.H = -64 /* -4189164 */;
	W[P0] = R0.L;
.LN42:
// line 126
	R0 = [FP + 16];
	[FP + -8] = R0;
.LN43:
// line 127
	R0 = B[FP + 12] (Z);
	[FP + -4] = R0;

.P36L1:
//-------------------------------------------------------------------
//   Loop at ".\i2c.c" line 127 col 5
//-------------------------------------------------------------------
	R0 = [FP + -4];
	CC = R0 <= 0;
	if CC jump .P36L3 ;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;

.P36L2:

.P36L4:
//-------------------------------------------------------------------
//   Loop at ".\i2c.c" line 129 col 9
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 16 cycles.
//   (cycle count 16 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   8 out of   16 ( 50.0%)
//     16-bit Instruction  used  15 out of   32 ( 46.9%)
//     32-bit Instruction  used   7 out of   16 ( 43.8%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN44:
// line 129
	P1 = 5164 /* -4189140 */;
	P1.H = -64 /* -4189140 */;
	R0 = W[P1] (Z);                         // Use of volatile in loops precludes optimizations. 
	CC = R0 == 3;
	if !CC jump .P36L18 ;

.P36L16:
.LN45:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
	jump .P36L4;

.P36L18:
//-------------------------------------------------------------------
//   Part of Loop 1, depth 1
//-------------------------------------------------------------------
.LN46:
// line ".\i2c.c":133
	P1 = [FP + -8];
	R0 = B[P1] (Z);
	P1 += 1;
	[FP + -8] = P1;
	P1 = 5248 /* -4189056 */;
	P1.H = -64 /* -4189056 */;
	W[P1] = R0.L;                           // Use of volatile in loops precludes optimizations. 
.LN47:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN48:
// line ".\i2c.c":127
	R0 = [FP + -4];
	R0 += -1;
	[FP + -4] = R0;
	jump .P36L1;

.P36L3:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------

.P36L7:
//-------------------------------------------------------------------
//   Loop at ".\i2c.c" line 137 col 5
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 16 cycles.
//   (cycle count 16 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   9 out of   16 ( 56.3%)
//     16-bit Instruction  used  17 out of   32 ( 53.1%)
//     32-bit Instruction  used   8 out of   16 ( 50.0%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN49:
// line 137
	R0 = W[P0] (Z);                         // Use of volatile in loops precludes optimizations. 
	R1 = 16320;
	R0 = R0 & R1;
	CC = R0 == 0;
	if CC jump .P36L8 ;

.P36L20:
.LN50:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
	jump .P36L7;

.P36L8:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN51:
// line ".\i2c.c":142
	R0 = W[P0] (Z);
	BITSET(R0, 5);
	W[P0] = R0.L;

.P36L10:
//-------------------------------------------------------------------
//   Loop at ".\i2c.c" line 144 col 5
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 18 cycles.
//   (cycle count 18 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used  10 out of   18 ( 55.6%)
//     16-bit Instruction  used  19 out of   36 ( 52.8%)
//     32-bit Instruction  used   9 out of   18 ( 50.0%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN52:
// line 144
	P1 = 5152 /* -4189152 */;
	P1.H = -64 /* -4189152 */;
	R0 = W[P1] (Z);                         // Use of volatile in loops precludes optimizations. 
	R1 = 48;
	R0 = R0 & R1;
	CC = R0 == 0;
	if !CC jump .P36L11 ;

.P36L22:
.LN53:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
	jump .P36L10;

.P36L11:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN54:
// line ".\i2c.c":149
	R0 = W[P1] (Z);
	CC = !BITTST(R0, 5);
	if CC jump .P36L14 ;

.P36L13:
.LN55:
// line 150
	P0 = [FP + 20];
	R0 = 1;
	NOP;                                    // Inserted to fix anomaly w05_00_0245_with_boundaries. 
	[P0] = R0;
	jump .P36L15;

.P36L14:

.P36L15:
.LN56:
// line 152
	R0.L = 112;
	W[P1] = R0.L;
.LN57:
// line 153
	UNLINK;
	RTS;
.LN._transmit_i2c.end:
._transmit_i2c.end:
	.global _transmit_i2c;
	.type _transmit_i2c,STT_FUNC;

	.file_attr ProjectName="ltr030-bf-fos";
	.file_attr FuncName="_init_i2c";
	.file_attr FuncName="_ssync";
	.file_attr FuncName="_transmitreceive_i2c";
	.file_attr FuncName="_transmit_i2c";
	.file_attr Content="Code";
.epctext.end:

	.section .debug_abbrev SHT_DEBUGINFO;

	.align 1;
.epcabbrev:
	.type .epcabbrev,STT_OBJECT;
	.inc/binary "i2c.sbn", 0, 199;
.epcabbrev.end:

	.section .debug_info SHT_DEBUGINFO;

	.align 1;
.epcdebug:
	.type .epcdebug,STT_OBJECT;
	.byte =
		0xC3,0x06,0x00,0x00,0x02,0x00;
	.byte4 = .epcabbrev;
	.byte =
		0x04,0x01,0x2E,0x5C,0x69,0x32,0x63,0x2E,0x63,0x00,0x01;
	.byte4 = .epcline;
	.inc/binary "i2c.sbn", 199, 1292;
	.byte4 = .LN_init_i2c;
	.byte4 = .LN._init_i2c.end;
	.byte =
		0x01,0x01,0x00,0x0D,0x00,0x00,0x00,0x00;
	.byte4 = .LN0;
	.byte4 = .LN._init_i2c.end;
	.byte =
		0x00,0x00,0x0C,0x1C,0x06,0x00,0x00,0x74,0x72,0x61,0x6E,0x73,
		0x6D,0x69,0x74,0x72,0x65,0x63,0x65,0x69,0x76,0x65,0x5F,0x69,
		0x32,0x63,0x00,0x01;
	.byte4 = .LN_transmitreceive_i2c;
	.byte4 = .LN._transmitreceive_i2c.end;
	.byte =
		0x01,0x01,0x00,0x0E,0x61,0x64,0x64,0x72,0x00,0x5C,0x01,0x00,
		0x00,0x02,0x7F,0x08,0x00,0x0E,0x74,0x78,0x5F,0x6C,0x65,0x6E,
		0x00,0x5C,0x01,0x00,0x00,0x02,0x7F,0x0C,0x00,0x0E,0x74,0x78,
		0x5F,0x64,0x61,0x74,0x61,0x00,0x27,0x06,0x00,0x00,0x02,0x7F,
		0x10,0x00,0x0E,0x72,0x78,0x5F,0x6C,0x65,0x6E,0x00,0x5C,0x01,
		0x00,0x00,0x02,0x7F,0x14,0x00,0x0E,0x72,0x78,0x5F,0x64,0x61,
		0x74,0x61,0x00,0x1C,0x06,0x00,0x00,0x02,0x7F,0x18,0x00,0x0E,
		0x65,0x72,0x72,0x00,0x2D,0x06,0x00,0x00,0x02,0x7F,0x1C,0x00,
		0x0D,0x00,0x00,0x00,0x00;
	.byte4 = .LN3;
	.byte4 = .LN._transmitreceive_i2c.end;
	.byte =
		0x0F,0x69,0x5F,0x64,0x61,0x74,0x61,0x00,0x01,0x98,0x01,0x00,
		0x00,0x02,0x7F,0x7C,0x00,0x00,0x00,0x00,0x00,0x0F,0x70,0x63,
		0x64,0x61,0x74,0x61,0x00,0x01,0x27,0x06,0x00,0x00,0x02,0x7F,
		0x74,0x00,0x00,0x00,0x00,0x00,0x0D,0x00,0x00,0x00,0x00;
	.byte4 = .LN23;
	.byte4 = .LN37;
	.byte =
		0x0F,0x70,0x64,0x61,0x74,0x61,0x00,0x01,0x1C,0x06,0x00,0x00,
		0x02,0x7F,0x78,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,
		0x00,0x5C,0x01,0x00,0x00,0x10,0x5C,0x01,0x00,0x00,0x04,0x00,
		0x22,0x06,0x00,0x00,0x04,0x00,0xE3,0x04,0x00,0x00,0x0C,0x00,
		0x00,0x00,0x00,0x74,0x72,0x61,0x6E,0x73,0x6D,0x69,0x74,0x5F,
		0x69,0x32,0x63,0x00,0x01;
	.byte4 = .LN_transmit_i2c;
	.byte4 = .LN._transmit_i2c.end;
	.byte =
		0x01,0x01,0x00,0x0E,0x61,0x64,0x64,0x72,0x00,0x5C,0x01,0x00,
		0x00,0x02,0x7F,0x08,0x00,0x0E,0x74,0x78,0x5F,0x6C,0x65,0x6E,
		0x00,0x5C,0x01,0x00,0x00,0x02,0x7F,0x0C,0x00,0x0E,0x74,0x78,
		0x5F,0x64,0x61,0x74,0x61,0x00,0x27,0x06,0x00,0x00,0x02,0x7F,
		0x10,0x00,0x0E,0x65,0x72,0x72,0x00,0x2D,0x06,0x00,0x00,0x02,
		0x7F,0x14,0x00,0x0D,0x00,0x00,0x00,0x00;
	.byte4 = .LN38;
	.byte4 = .LN._transmit_i2c.end;
	.byte =
		0x0F,0x69,0x5F,0x64,0x61,0x74,0x61,0x00,0x01,0x98,0x01,0x00,
		0x00,0x02,0x7F,0x7C,0x00,0x00,0x00,0x00,0x00,0x0F,0x70,0x63,
		0x64,0x61,0x74,0x61,0x00,0x01,0x27,0x06,0x00,0x00,0x02,0x7F,
		0x78,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00;
.epcdebug.end:

	.section .debug_line SHT_DEBUGINFO;

	.align 1;
.epcline:
	.type .epcline,STT_OBJECT;
	.inc/binary "i2c.sbn", 1491, 1646;
	.byte4 = .LN_init_i2c;
	.byte =
		0x04,0x01,0x05,0x05,0x17,0x00,0x05,0x02;
	.byte4 = .LN0;
	.byte =
		0x0D,0x00,0x05,0x02;
	.byte4 = .LN1;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN2;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN._init_i2c.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_transmitreceive_i2c;
	.byte =
		0x04,0x01,0x05,0x05,0x2A,0x00,0x05,0x02;
	.byte4 = .LN3;
	.byte =
		0x12,0x00,0x05,0x02;
	.byte4 = .LN4;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN5;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN6;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN7;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN8;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN9;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN10;
	.byte =
		0x04,0x0C,0x05,0x03,0x03,0x99,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN11;
	.byte =
		0x04,0x01,0x05,0x09,0x03,0xEB,0x64,0x01,0x00,0x05,0x02;
	.byte4 = .LN12;
	.byte =
		0x04,0x0C,0x05,0x03,0x03,0x95,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN13;
	.byte =
		0x04,0x01,0x05,0x29,0x03,0xE5,0x64,0x01,0x00,0x05,0x02;
	.byte4 = .LN14;
	.byte =
		0x05,0x05,0x13,0x00,0x05,0x02;
	.byte4 = .LN15;
	.byte =
		0x04,0x0C,0x05,0x03,0x03,0x91,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN16;
	.byte =
		0x04,0x01,0x05,0x05,0x03,0xF4,0x64,0x01,0x00,0x05,0x02;
	.byte4 = .LN17;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN18;
	.byte =
		0x04,0x0C,0x05,0x03,0x03,0x8A,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN19;
	.byte =
		0x04,0x01,0x05,0x05,0x03,0xFB,0x64,0x01,0x00,0x05,0x02;
	.byte4 = .LN20;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN21;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN22;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN23;
	.byte =
		0x05,0x18,0x0B,0x00,0x05,0x02;
	.byte4 = .LN24;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN25;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN26;
	.byte =
		0x05,0x07,0x0B,0x00,0x05,0x02;
	.byte4 = .LN27;
	.byte =
		0x04,0x0C,0x05,0x03,0x03,0xF8,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN28;
	.byte =
		0x04,0x01,0x05,0x07,0x03,0x8D,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN29;
	.byte =
		0x04,0x0C,0x05,0x03,0x03,0xF3,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN30;
	.byte =
		0x04,0x01,0x05,0x2D,0x03,0x86,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN31;
	.byte =
		0x05,0x09,0x14,0x00,0x05,0x02;
	.byte4 = .LN32;
	.byte =
		0x04,0x0C,0x05,0x03,0x03,0xEF,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN33;
	.byte =
		0x04,0x01,0x05,0x09,0x03,0x95,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN34;
	.byte =
		0x05,0x0D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN35;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN36;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN37;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._transmitreceive_i2c.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_transmit_i2c;
	.byte =
		0x04,0x01,0x05,0x05,0x79,0x00,0x05,0x02;
	.byte4 = .LN38;
	.byte =
		0x10,0x00,0x05,0x02;
	.byte4 = .LN39;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN40;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN41;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN42;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN43;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN44;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN45;
	.byte =
		0x04,0x0C,0x05,0x03,0x03,0xCC,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN46;
	.byte =
		0x04,0x01,0x05,0x09,0x03,0xB8,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN47;
	.byte =
		0x04,0x0C,0x05,0x03,0x03,0xC8,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN48;
	.byte =
		0x04,0x01,0x05,0x29,0x03,0xB2,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN49;
	.byte =
		0x05,0x05,0x13,0x00,0x05,0x02;
	.byte4 = .LN50;
	.byte =
		0x04,0x0C,0x05,0x03,0x03,0xC4,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN51;
	.byte =
		0x04,0x01,0x05,0x05,0x03,0xC1,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN52;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN53;
	.byte =
		0x04,0x0C,0x05,0x03,0x03,0xBD,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN54;
	.byte =
		0x04,0x01,0x05,0x05,0x03,0xC8,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN55;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN56;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN57;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN._transmit_i2c.end;
	.byte =
		0x00,0x01,0x01;
.epcline.end:

	.section .annotations SHT_DEBUGINFO;

	.align 1;
.epcannot:
	.type .epcannot,STT_OBJECT;
	.inc/binary "i2c.sbn", 3137, 4244;
.epcannot.end:

	.section .debug_pubnames SHT_DEBUGINFO;

	.align 1;
.epcpubnames:
	.type .epcpubnames,STT_OBJECT;
	.byte =
		0x44,0x00,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.byte =
		0xC7,0x06,0x00,0x00,0x16,0x05,0x00,0x00,0x69,0x6E,0x69,0x74,
		0x5F,0x69,0x32,0x63,0x00,0x3F,0x05,0x00,0x00,0x74,0x72,0x61,
		0x6E,0x73,0x6D,0x69,0x74,0x72,0x65,0x63,0x65,0x69,0x76,0x65,
		0x5F,0x69,0x32,0x63,0x00,0x33,0x06,0x00,0x00,0x74,0x72,0x61,
		0x6E,0x73,0x6D,0x69,0x74,0x5F,0x69,0x32,0x63,0x00,0x00,0x00,
		0x00,0x00;
.epcpubnames.end:

	.section .debug_aranges SHT_DEBUGINFO;

	.align 1;
.epcaranges:
	.type .epcaranges,STT_OBJECT;
	.byte =
		0x2C,0x00,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.byte =
		0x04,0x00,0x00,0x00,0x00,0x00;
	.byte4 = .LN_init_i2c;
	.byte4 = .LN._init_i2c.end-.LN_init_i2c;
	.byte4 = .LN_transmitreceive_i2c;
	.byte4 = .LN._transmitreceive_i2c.end-.LN_transmitreceive_i2c;
	.byte4 = .LN_transmit_i2c;
	.byte4 = .LN._transmit_i2c.end-.LN_transmit_i2c;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00;
.epcaranges.end:
