	.file ".\HARDWARE\ltr030.c";
//  Compilation time: Thu Sep 23 17:39:45 2010

//  Compiler options: -c -file-attr ProjectName=ltr030-bf-fos -g -structs-do-not-overlap -no-multiline -double-size-32 -decls-strong -warn-protos -D VDSP_BF -I c:\prj;c:\prj\lib\efsl\inc;c:\prj\lib\freertos\source\include;c:\prj\lib\lwip\src\include;c:\prj\lib\lwip\src\include\ipv4;c:\prj\lib\lwip\contrib\ports\bf\include;c:\prj\ltr\ltr030\ltr030-bf-fos -threads -save-temps -si-revision 0.3 -proc ADSP-BF537 -o .\Debug\ltr030.doj -MM
//  Architecture: ADSP-BF537
//  Silicon revision: 0.3
//  Anomalies summary:
//   Disabled: w05_00_0046,w05_00_0048,w05_00_0054,w05_00_0071,w05_00_0103,w05_00_0104,w05_00_0120,w05_00_0127,w05_00_0157,w05_00_0164,w05_00_0165,w05_00_0195,w05_00_0198,w05_00_0202,w05_00_0209,w05_00_0227,w05_00_0244,w05_00_0246,w05_00_0248,w05_00_0257,w05_00_0262,w05_00_0264,w05_00_0283,wF3_F_021,wF3_F_008_F3_F_013,w05_00_0311
//   Enabled: w05_00_0189,w05_00_0245,w05_00_0312,w05_00_0371
//   Always on: w05_00_0074,w05_00_0122

	.section/DOUBLE32 program;

.epctext:
	.align 2;
_GetSystemStatusToStatusStruct:
.LN_GetSystemStatusToStatusStruct:
	.reference _Descr;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 0 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P1,ASTAT0-ASTAT1}
//   Call preserved registers used:{FP,SP,RETS}
//-------------------------------------------------------------------
// line ".\HARDWARE\ltr030.c":96
	LINK 0;
.LN0:
// line 97
	P1.L = _CurCoreClkHz;
	P1.H = _CurCoreClkHz;
	R0 = [P1];
	P1.L = _Descr+160;
	P1.H = _Descr+160;
	R1 = R0 >> 24;
	R2 = R0 >> 16;
	R3 = R0 >> 8;
	B[P1] = R0;
	B[P1 + 1] = R3;
	B[P1 + 2] = R2;
	B[P1 + 3] = R1;
.LN1:
// line 98
	P1.L = _CurSystClkHz;
	P1.H = _CurSystClkHz;
	R0 = [P1];
	P1.L = _Descr+164;
	P1.H = _Descr+164;
	R1 = R0 >> 24;
	R2 = R0 >> 16;
	R3 = R0 >> 8;
	B[P1] = R0;
	B[P1 + 1] = R3;
	B[P1 + 2] = R2;
	B[P1 + 3] = R1;
.LN2:
// line 99
	UNLINK;
	RTS;
.LN._GetSystemStatusToStatusStruct.end:
._GetSystemStatusToStatusStruct.end:
	.global _GetSystemStatusToStatusStruct;
	.type _GetSystemStatusToStatusStruct,STT_FUNC;

	.align 2;
_GetSystemRegistersToStatusStruct:
.LN_GetSystemRegistersToStatusStruct:
	.reference _ltr030Conf;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H,P1}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _GetSystemRegistersToStatusStruct:
//  .\HARDWARE\ltr030.c:87:5'_sti
//  .\HARDWARE\ltr030.c:84:5'_cli
//-------------------------------------------------------------------
// Original Loop at ".\HARDWARE\ltr030.c" line 84 col 5 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// Original Loop at ".\HARDWARE\ltr030.c" line 87 col 5 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// line ".\HARDWARE\ltr030.c":83
	LINK 12;

.LN3:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":1741
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
.LN4:
	[FP + 12] = R0;
.LN5:
// line ".\HARDWARE\ltr030.c":84
	P1.L = _g_save_imask1;
	P1.H = _g_save_imask1;
	[P1] = R0;

.LN6:
// line 85
	R0 = 4;
	CALL.X (_AlteraReadCommand);
.LN7:
	P1.L = _ltr030Conf+3120;
	P1.H = _ltr030Conf+3120;
	B[P1] = R0;
.LN8:
// line 86
	R0 = 5;
	CALL.X (_AlteraReadCommand);
.LN9:
	P1.L = _ltr030Conf+3121;
	P1.H = _ltr030Conf+3121;
	B[P1] = R0;

.LN10:
// line 87
	P1.L = _g_save_imask;
	P1.H = _g_save_imask;
	R0 = [P1];
.LN11:
	[FP + 8] = R0;
.LN12:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":1756
	.MESSAGE/RESTORE 5515;
		STI R0;

.LN13:
// line ".\HARDWARE\ltr030.c":88
	UNLINK;
	RTS;
.LN._GetSystemRegistersToStatusStruct.end:
._GetSystemRegistersToStatusStruct.end:
	.global _GetSystemRegistersToStatusStruct;
	.type _GetSystemRegistersToStatusStruct,STT_FUNC;

	.align 2;
_SetSystemRegistersFromStatusStruct:
.LN_SetSystemRegistersFromStatusStruct:
	.reference _ltr030Conf;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,P1}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _SetSystemRegistersFromStatusStruct:
//  .\HARDWARE\ltr030.c:111:5'_sti
//  .\HARDWARE\ltr030.c:108:5'_cli
//-------------------------------------------------------------------
// Original Loop at ".\HARDWARE\ltr030.c" line 108 col 5 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// Original Loop at ".\HARDWARE\ltr030.c" line 111 col 5 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// line ".\HARDWARE\ltr030.c":107
	LINK 12;

.LN14:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":1741
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
.LN15:
	[FP + 12] = R0;
.LN16:
// line ".\HARDWARE\ltr030.c":108
	P1.L = _g_save_imask1;
	P1.H = _g_save_imask1;
	[P1] = R0;

.LN17:
// line 109
	P1.L = _ltr030Conf+3118;
	P1.H = _ltr030Conf+3118;
	R1 = B[P1] (Z);
.LN18:
	R0 = 2;
	CALL.X (_AlteraWriteCommand);
.LN19:
// line 110
	P1.L = _ltr030Conf+3119;
	P1.H = _ltr030Conf+3119;
	R1 = B[P1] (Z);
.LN20:
	R0 = 3;
	CALL.X (_AlteraWriteCommand);

.LN21:
// line 111
	P1.L = _g_save_imask;
	P1.H = _g_save_imask;
	R0 = [P1];
.LN22:
	[FP + 8] = R0;
.LN23:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":1756
	.MESSAGE/RESTORE 5515;
		STI R0;

.LN24:
// line ".\HARDWARE\ltr030.c":112
	UNLINK;
	RTS;
.LN._SetSystemRegistersFromStatusStruct.end:
._SetSystemRegistersFromStatusStruct.end:
	.global _SetSystemRegistersFromStatusStruct;
	.type _SetSystemRegistersFromStatusStruct,STT_FUNC;

	.file_attr ProjectName="ltr030-bf-fos";
	.file_attr FuncName="_GetSystemStatusToStatusStruct";
	.file_attr FuncName="_sti";
	.file_attr FuncName="_cli";
	.file_attr FuncName="_GetSystemRegistersToStatusStruct";
	.file_attr FuncName="_SetSystemRegistersFromStatusStruct";
	.file_attr Content="CodeData";
.epctext.end:

	.extern _AlteraReadCommand;
	.type _AlteraReadCommand,STT_FUNC;
	.extern _AlteraWriteCommand;
	.type _AlteraWriteCommand,STT_FUNC;

	.section/DOUBLE32 data1;

	.align 4;
.epcdata:
	.type .epcdata,STT_OBJECT;
	.byte _DataRecvFromPCRunning[1];
	.global _DataRecvFromPCRunning;
	.type _DataRecvFromPCRunning,STT_OBJECT;
	.byte _DataSendToPCRunning[1];
	.global _DataSendToPCRunning;
	.type _DataSendToPCRunning,STT_OBJECT;
	.byte _NumTestSpeedData[2];
	.global _NumTestSpeedData;
	.type _NumTestSpeedData,STT_OBJECT;
_TestClientSocket:
	.global _TestClientSocket;
	.type _TestClientSocket,STT_OBJECT;
	.byte =
		0xFF,0xFF,0xFF,0xFF;
	.byte _TestSpeedReadRunning[1];
	.global _TestSpeedReadRunning;
	.type _TestSpeedReadRunning,STT_OBJECT;
	.byte _TestSpeedWriteRunning[1];
	.global _TestSpeedWriteRunning;
	.type _TestSpeedWriteRunning,STT_OBJECT;
.epcdata.end:

	.section/DOUBLE32 constdata;

	.align 4;
.epcrodata:
	.type .epcrodata,STT_OBJECT;
_CrateSygnalBufferOverflow:
	.global _CrateSygnalBufferOverflow;
	.type _CrateSygnalBufferOverflow,STT_OBJECT;
	.byte =
		0xFF,0xFF,0xFF,0xFF,0x02,0xAA,0xFF,0xFF;
_CrateSygnalDataNewModule:
	.global _CrateSygnalDataNewModule;
	.type _CrateSygnalDataNewModule,STT_OBJECT;
	.byte =
		0xFF,0xFF,0xFF,0xFF,0x01,0xAA,0xFF,0xFF;
_CrateSygnalDMABufferOverflow:
	.global _CrateSygnalDMABufferOverflow;
	.type _CrateSygnalDMABufferOverflow,STT_OBJECT;
	.byte =
		0xFF,0xFF,0xFF,0xFF,0x03,0xAA,0xFF,0xFF;
.epcrodata.end:

	.section .debug_abbrev SHT_DEBUGINFO;

	.align 1;
.epcabbrev:
	.type .epcabbrev,STT_OBJECT;
	.inc/binary "ltr030.sbn", 0, 254;
.epcabbrev.end:

	.section .debug_info SHT_DEBUGINFO;

	.align 1;
.epcdebug:
	.type .epcdebug,STT_OBJECT;
	.byte =
		0x4B,0x51,0x00,0x00,0x02,0x00;
	.byte4 = .epcabbrev;
	.byte =
		0x04,0x01,0x2E,0x5C,0x48,0x41,0x52,0x44,0x57,0x41,0x52,0x45,
		0x5C,0x6C,0x74,0x72,0x30,0x33,0x30,0x2E,0x63,0x00,0x01;
	.byte4 = .epcline;
	.inc/binary "ltr030.sbn", 254, 20048;
	.byte4 = .LN_GetSystemStatusToStatusStruct;
	.byte4 = .LN._GetSystemStatusToStatusStruct.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN0;
	.byte4 = .LN._GetSystemStatusToStatusStruct.end;
	.byte =
		0x00,0x00,0x11,0xD0,0x4E,0x00,0x00,0x47,0x65,0x74,0x53,0x79,
		0x73,0x74,0x65,0x6D,0x52,0x65,0x67,0x69,0x73,0x74,0x65,0x72,
		0x73,0x54,0x6F,0x53,0x74,0x61,0x74,0x75,0x73,0x53,0x74,0x72,
		0x75,0x63,0x74,0x00,0x01;
	.byte4 = .LN_GetSystemRegistersToStatusStruct;
	.byte4 = .LN._GetSystemRegistersToStatusStruct.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN3;
	.byte4 = .LN._GetSystemRegistersToStatusStruct.end;
	.byte =
		0x00,0x00,0x11,0x13,0x4F,0x00,0x00,0x53,0x65,0x74,0x53,0x79,
		0x73,0x74,0x65,0x6D,0x52,0x65,0x67,0x69,0x73,0x74,0x65,0x72,
		0x73,0x46,0x72,0x6F,0x6D,0x53,0x74,0x61,0x74,0x75,0x73,0x53,
		0x74,0x72,0x75,0x63,0x74,0x00,0x01;
	.byte4 = .LN_SetSystemRegistersFromStatusStruct;
	.byte4 = .LN._SetSystemRegistersFromStatusStruct.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN14;
	.byte4 = .LN._SetSystemRegistersFromStatusStruct.end;
	.byte =
		0x00,0x00,0x13,0x43,0x75,0x72,0x43,0x6F,0x72,0x65,0x43,0x6C,
		0x6B,0x48,0x7A,0x00,0x01,0x08,0x09,0x00,0x00,0x05,0x0C;
	.byte4 = _CurCoreClkHz;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x13,0x43,0x75,0x72,0x53,0x79,0x73,
		0x74,0x43,0x6C,0x6B,0x48,0x7A,0x00,0x01,0x08,0x09,0x00,0x00,
		0x05,0x0C;
	.byte4 = _CurSystClkHz;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x13,0x67,0x5F,0x73,0x61,0x76,0x65,
		0x5F,0x69,0x6D,0x61,0x73,0x6B,0x00,0x01,0xB9,0x01,0x00,0x00,
		0x05,0x0C;
	.byte4 = _g_save_imask;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x13,0x67,0x5F,0x73,0x61,0x76,0x65,
		0x5F,0x69,0x6D,0x61,0x73,0x6B,0x31,0x00,0x01,0xB9,0x01,0x00,
		0x00,0x05,0x0C;
	.byte4 = _g_save_imask1;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x13,0x43,0x72,0x61,0x74,0x65,0x53,
		0x79,0x67,0x6E,0x61,0x6C,0x42,0x75,0x66,0x66,0x65,0x72,0x4F,
		0x76,0x65,0x72,0x66,0x6C,0x6F,0x77,0x00,0x01,0x40,0x51,0x00,
		0x00,0x05,0x0C;
	.byte4 = _CrateSygnalBufferOverflow;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x13,0x43,0x72,0x61,0x74,0x65,0x53,
		0x79,0x67,0x6E,0x61,0x6C,0x44,0x61,0x74,0x61,0x4E,0x65,0x77,
		0x4D,0x6F,0x64,0x75,0x6C,0x65,0x00,0x01,0x32,0x51,0x00,0x00,
		0x05,0x0C;
	.byte4 = _CrateSygnalDataNewModule;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x13,0x43,0x72,0x61,0x74,0x65,0x53,
		0x79,0x67,0x6E,0x61,0x6C,0x44,0x4D,0x41,0x42,0x75,0x66,0x66,
		0x65,0x72,0x4F,0x76,0x65,0x72,0x66,0x6C,0x6F,0x77,0x00,0x01,
		0x24,0x51,0x00,0x00,0x05,0x0C;
	.byte4 = _CrateSygnalDMABufferOverflow;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x13,0x44,0x61,0x74,0x61,0x52,0x65,
		0x63,0x76,0x46,0x72,0x6F,0x6D,0x50,0x43,0x52,0x75,0x6E,0x6E,
		0x69,0x6E,0x67,0x00,0x01,0xF2,0x08,0x00,0x00,0x05,0x0C;
	.byte4 = _DataRecvFromPCRunning;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x13,0x44,0x61,0x74,0x61,0x53,0x65,
		0x6E,0x64,0x54,0x6F,0x50,0x43,0x52,0x75,0x6E,0x6E,0x69,0x6E,
		0x67,0x00,0x01,0xF2,0x08,0x00,0x00,0x05,0x0C;
	.byte4 = _DataSendToPCRunning;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x13,0x4E,0x75,0x6D,0x54,0x65,0x73,
		0x74,0x53,0x70,0x65,0x65,0x64,0x44,0x61,0x74,0x61,0x00,0x01,
		0xFD,0x08,0x00,0x00,0x05,0x0C;
	.byte4 = _NumTestSpeedData;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x13,0x54,0x65,0x73,0x74,0x43,0x6C,
		0x69,0x65,0x6E,0x74,0x53,0x6F,0x63,0x6B,0x65,0x74,0x00,0x01,
		0xA4,0x01,0x00,0x00,0x05,0x0C;
	.byte4 = _TestClientSocket;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x13,0x54,0x65,0x73,0x74,0x53,0x70,
		0x65,0x65,0x64,0x52,0x65,0x61,0x64,0x52,0x75,0x6E,0x6E,0x69,
		0x6E,0x67,0x00,0x01,0xF2,0x08,0x00,0x00,0x05,0x0C;
	.byte4 = _TestSpeedReadRunning;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x13,0x54,0x65,0x73,0x74,0x53,0x70,
		0x65,0x65,0x64,0x57,0x72,0x69,0x74,0x65,0x52,0x75,0x6E,0x6E,
		0x69,0x6E,0x67,0x00,0x01,0xF2,0x08,0x00,0x00,0x05,0x0C;
	.byte4 = _TestSpeedWriteRunning;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x13,0x44,0x65,0x73,0x63,0x72,0x00,
		0x01,0xEB,0x45,0x00,0x00,0x05,0x0C;
	.byte4 = _Descr;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x13,0x6C,0x74,0x72,0x30,0x33,0x30,
		0x43,0x6F,0x6E,0x66,0x00,0x01,0x38,0x49,0x00,0x00,0x05,0x0C;
	.byte4 = _ltr030Conf;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x14,0x08,0x09,0x00,0x00,0x0F,0x32,
		0x51,0x00,0x00,0x1F,0x51,0x00,0x00,0x10,0x02,0x00,0x01,0x00,
		0x0F,0x40,0x51,0x00,0x00,0x1F,0x51,0x00,0x00,0x10,0x02,0x00,
		0x01,0x00,0x0F,0x00,0x00,0x00,0x00,0x1F,0x51,0x00,0x00,0x10,
		0x02,0x00,0x01,0x00,0x00;
.epcdebug.end:

	.section .debug_line SHT_DEBUGINFO;

	.align 1;
.epcline:
	.type .epcline,STT_OBJECT;
	.inc/binary "ltr030.sbn", 20302, 4533;
	.byte4 = .LN_GetSystemStatusToStatusStruct;
	.byte =
		0x04,0x01,0x05,0x05,0x68,0x00,0x05,0x02;
	.byte4 = .LN0;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN1;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN2;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._GetSystemStatusToStatusStruct.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_GetSystemRegistersToStatusStruct;
	.byte =
		0x04,0x01,0x05,0x05,0x5B,0x00,0x05,0x02;
	.byte4 = .LN3;
	.byte =
		0x04,0x0A,0x05,0x11,0x03,0xFA,0x0C,0x01,0x00,0x05,0x02;
	.byte4 = .LN4;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN5;
	.byte =
		0x04,0x01,0x05,0x05,0x03,0x87,0x73,0x01,0x00,0x05,0x02;
	.byte4 = .LN6;
	.byte =
		0x05,0x48,0x0A,0x00,0x05,0x02;
	.byte4 = .LN7;
	.byte =
		0x05,0x05,0x01,0x00,0x05,0x02;
	.byte4 = .LN8;
	.byte =
		0x05,0x49,0x0A,0x00,0x05,0x02;
	.byte4 = .LN9;
	.byte =
		0x05,0x05,0x01,0x00,0x05,0x02;
	.byte4 = .LN10;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN11;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN12;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0x85,0x0D,0x01,0x00,0x05,0x02;
	.byte4 = .LN13;
	.byte =
		0x04,0x01,0x05,0x05,0x03,0xFC,0x72,0x01,0x00,0x05,0x02;
	.byte4 = .LN._GetSystemRegistersToStatusStruct.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_SetSystemRegistersFromStatusStruct;
	.byte =
		0x04,0x01,0x05,0x05,0x73,0x00,0x05,0x02;
	.byte4 = .LN14;
	.byte =
		0x04,0x0A,0x05,0x11,0x03,0xE2,0x0C,0x01,0x00,0x05,0x02;
	.byte4 = .LN15;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN16;
	.byte =
		0x04,0x01,0x05,0x05,0x03,0x9F,0x73,0x01,0x00,0x05,0x02;
	.byte4 = .LN17;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN18;
	.byte =
		0x05,0x17,0x01,0x00,0x05,0x02;
	.byte4 = .LN19;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN20;
	.byte =
		0x05,0x17,0x01,0x00,0x05,0x02;
	.byte4 = .LN21;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN22;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN23;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xED,0x0C,0x01,0x00,0x05,0x02;
	.byte4 = .LN24;
	.byte =
		0x04,0x01,0x05,0x05,0x03,0x94,0x73,0x01,0x00,0x05,0x02;
	.byte4 = .LN._SetSystemRegistersFromStatusStruct.end;
	.byte =
		0x00,0x01,0x01;
.epcline.end:

	.section .annotations SHT_DEBUGINFO;

	.align 1;
.epcannot:
	.type .epcannot,STT_OBJECT;
	.inc/binary "ltr030.sbn", 24835, 1928;
.epcannot.end:

	.section .debug_pubnames SHT_DEBUGINFO;

	.align 1;
.epcpubnames:
	.type .epcpubnames,STT_OBJECT;
	.byte =
		0x80,0x01,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.inc/binary "ltr030.sbn", 26763, 378;
.epcpubnames.end:

	.section .debug_aranges SHT_DEBUGINFO;

	.align 1;
.epcaranges:
	.type .epcaranges,STT_OBJECT;
	.byte =
		0x2C,0x00,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.byte =
		0x04,0x00,0x00,0x00,0x00,0x00;
	.byte4 = .LN_GetSystemStatusToStatusStruct;
	.byte4 = .LN._GetSystemStatusToStatusStruct.end-.LN_GetSystemStatusToStatusStruct;
	.byte4 = .LN_GetSystemRegistersToStatusStruct;
	.byte4 = .LN._GetSystemRegistersToStatusStruct.end-.LN_GetSystemRegistersToStatusStruct;
	.byte4 = .LN_SetSystemRegistersFromStatusStruct;
	.byte4 = .LN._SetSystemRegistersFromStatusStruct.end-.LN_SetSystemRegistersFromStatusStruct;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00;
.epcaranges.end:

	.section/DOUBLE32 sdram0_bank1;

	.align 1;
_Descr:
	.global _Descr;
	.type _Descr,STT_OBJECT;
	.inc/binary "ltr030.sbn", 27141, 208;
._Descr.end:

	.section/DOUBLE32 data1;

	.align 4;
_ltr030Conf:
	.global _ltr030Conf;
	.type _ltr030Conf,STT_OBJECT;
	.inc/binary "ltr030.sbn", 27349, 3144;
._ltr030Conf.end:

	.extern _CurCoreClkHz;
	.type _CurCoreClkHz,STT_OBJECT;
	.extern _CurSystClkHz;
	.type _CurSystClkHz,STT_OBJECT;
	.extern _g_save_imask;
	.type _g_save_imask,STT_OBJECT;
	.extern _g_save_imask1;
	.type _g_save_imask1,STT_OBJECT;
