#ifndef RTC_H_
#define RTC_H_


#include "i2c.h"


/*================================================================================================*/
enum RTCErr {RTCErr_Ok, RTCErr_i2c};
/*================================================================================================*/

/*================================================================================================*/
struct rtc_tm
	{
	int sec;                                   /* 0..59 */
	int min;                                   /* 0..59 */
	int hour;                                  /* 0..23 */
	int day;                                   /* 1..31 */
	int mon;                                   /* 1..12 */
	int year;                                  /* 0..99 */
	};
/*================================================================================================*/

/*================================================================================================*/
void get_rtc(struct rtc_tm *t, enum RTCErr *err);
void init_rtc(void);
void set_rtc(const struct rtc_tm *t, enum RTCErr *err);
/*================================================================================================*/


#endif /*#ifndef RTC_H_*/
