#ifndef EMAC_BF_H_
#define EMAC_BF_H_


#include "include/extint.h"


/*================================================================================================*/
#define EMAC_HWADDR_SZ (6)
/*================================================================================================*/

/*================================================================================================*/
enum e_EMACErr
    {
    e_EMACErr_NoErr = 0,
    e_EMACErr_NoLink,
    e_EMACErr_Mem
    };
/*================================================================================================*/

/*================================================================================================*/
enum e_EMACErr emac_init(void);
t_uint32 emac_input_length(void);
void emac_read_first(t_uint32 total_len, t_uint32 part_len, t_uint8 *buf);
void emac_read_next(t_uint32 part_len, t_uint8 *buf);
enum e_EMACErr emac_send(t_uint8 *buf, t_uint32 len, int end_frame);
void emac_wait_input(void);
/*================================================================================================*/

/*================================================================================================*/
extern unsigned char g_emac_hwaddr[ EMAC_HWADDR_SZ ];
/*================================================================================================*/

#endif /*#ifndef EMAC_BF_H_*/
