#ifndef SYS_ARCH_H_
#define SYS_ARCH_H_


#include "FreeRTOS.h"
#include "task.h"
#include "queue.h"
#include "semphr.h"


/*================================================================================================*/
#define SYS_MBOX_NULL (xQueueHandle)0
#define SYS_SEM_NULL  (xSemaphoreHandle)0
/*================================================================================================*/

/*================================================================================================*/
typedef xQueueHandle sys_mbox_t;
typedef int sys_prot_t;
typedef xSemaphoreHandle sys_sem_t;
typedef xTaskHandle sys_thread_t;
/*================================================================================================*/

#endif /*#ifndef SYS_ARCH_H_*/
