	.file ".\HARDWARE\ATFlash.c";
//  Compilation time: Thu Sep 23 17:39:36 2010

//  Compiler options: -c -file-attr ProjectName=ltr030-bf-fos -g -structs-do-not-overlap -no-multiline -double-size-32 -decls-strong -warn-protos -D VDSP_BF -I c:\prj;c:\prj\lib\efsl\inc;c:\prj\lib\freertos\source\include;c:\prj\lib\lwip\src\include;c:\prj\lib\lwip\src\include\ipv4;c:\prj\lib\lwip\contrib\ports\bf\include;c:\prj\ltr\ltr030\ltr030-bf-fos -threads -save-temps -si-revision 0.3 -proc ADSP-BF537 -o .\Debug\ATFlash.doj -MM
//  Architecture: ADSP-BF537
//  Silicon revision: 0.3
//  Anomalies summary:
//   Disabled: w05_00_0046,w05_00_0048,w05_00_0054,w05_00_0071,w05_00_0103,w05_00_0104,w05_00_0120,w05_00_0127,w05_00_0157,w05_00_0164,w05_00_0165,w05_00_0195,w05_00_0198,w05_00_0202,w05_00_0209,w05_00_0227,w05_00_0244,w05_00_0246,w05_00_0248,w05_00_0257,w05_00_0262,w05_00_0264,w05_00_0283,wF3_F_021,wF3_F_008_F3_F_013,w05_00_0311
//   Enabled: w05_00_0189,w05_00_0245,w05_00_0312,w05_00_0371
//   Always on: w05_00_0074,w05_00_0122

	.section/DOUBLE32 program;

.epctext:
	.align 2;
_GetFlashChipId:
.LN_GetFlashChipId:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,P1}
//   Call preserved registers used:{R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _GetFlashChipId:
//  .\HARDWARE\ATFlash.c:72:2'_ssync
//  .\HARDWARE\ATFlash.c:69:2'_ssync
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":68
	LINK 16;
	[SP + 12] = R7;
	[FP + 8] = R0;
.LN0:
// line 69
	P1 = 1796 /* -4192508 */;
	P1.H = -64 /* -4192508 */;
	R7.L = 1024;
	W[P1] = R7.L;
.LN1:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN2:
// line ".\HARDWARE\ATFlash.c":70
	R0 = 159;
	CALL.X (_WriteSPI_asm);
.LN3:
// line 71
	R0 = [FP + 8];
.LN4:
	R1 = 4;
	CALL.X (_ReadSPIBytes_asm);
.LN5:
// line 72
	P1 = 1800 /* -4192504 */;
	P1.H = -64 /* -4192504 */;
	W[P1] = R7.L;
.LN6:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN7:
// line ".\HARDWARE\ATFlash.c":73
	R7 = [SP + 12];
	UNLINK;
	RTS;
.LN._GetFlashChipId.end:
._GetFlashChipId.end:
	.global _GetFlashChipId;
	.type _GetFlashChipId,STT_FUNC;

	.align 2;
_GetFlashSectorLockDownRegister:
.LN_GetFlashSectorLockDownRegister:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,P1}
//   Call preserved registers used:{R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _GetFlashSectorLockDownRegister:
//  .\HARDWARE\ATFlash.c:88:2'_ssync
//  .\HARDWARE\ATFlash.c:84:2'_ssync
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":81
	LINK 16;
	[SP + 12] = R7;
.LN8:
// line 84
	P1 = 1796 /* -4192508 */;
	P1.H = -64 /* -4192508 */;
	R7.L = 1024;
	W[P1] = R7.L;
.LN9:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN10:
// line ".\HARDWARE\ATFlash.c":85
	R0 = 53;
	CALL.X (_WriteSPI_asm);
.LN11:
// line 86
	R0 = 0;
	CALL.X (_WriteSPI_asm);
.LN12:
// line 87
	CALL.X (_ReadSPI_asm);
.LN13:
	B[FP + 8] = R0;
.LN14:
// line 88
	P1 = 1800 /* -4192504 */;
	P1.H = -64 /* -4192504 */;
	W[P1] = R7.L;
.LN15:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN16:
// line ".\HARDWARE\ATFlash.c":89
	R0 = B[FP + 8] (Z);
	R7 = [SP + 12];
	UNLINK;
	RTS;
.LN._GetFlashSectorLockDownRegister.end:
._GetFlashSectorLockDownRegister.end:
	.global _GetFlashSectorLockDownRegister;
	.type _GetFlashSectorLockDownRegister,STT_FUNC;

	.align 2;
_GetFlashSectorProtectionRegister:
.LN_GetFlashSectorProtectionRegister:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,P1}
//   Call preserved registers used:{R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _GetFlashSectorProtectionRegister:
//  .\HARDWARE\ATFlash.c:105:2'_ssync
//  .\HARDWARE\ATFlash.c:101:2'_ssync
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":98
	LINK 16;
	[SP + 12] = R7;
.LN17:
// line 101
	P1 = 1796 /* -4192508 */;
	P1.H = -64 /* -4192508 */;
	R7.L = 1024;
	W[P1] = R7.L;
.LN18:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN19:
// line ".\HARDWARE\ATFlash.c":102
	R0 = 50;
	CALL.X (_WriteSPI_asm);
.LN20:
// line 103
	R0 = 0;
	CALL.X (_WriteSPI_asm);
.LN21:
// line 104
	CALL.X (_ReadSPI_asm);
.LN22:
	B[FP + 8] = R0;
.LN23:
// line 105
	P1 = 1800 /* -4192504 */;
	P1.H = -64 /* -4192504 */;
	W[P1] = R7.L;
.LN24:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN25:
// line ".\HARDWARE\ATFlash.c":106
	R0 = B[FP + 8] (Z);
	R7 = [SP + 12];
	UNLINK;
	RTS;
.LN._GetFlashSectorProtectionRegister.end:
._GetFlashSectorProtectionRegister.end:
	.global _GetFlashSectorProtectionRegister;
	.type _GetFlashSectorProtectionRegister,STT_FUNC;

	.align 2;
_GetFlashSecurityRegister:
.LN_GetFlashSecurityRegister:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,P1}
//   Call preserved registers used:{R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _GetFlashSecurityRegister:
//  .\HARDWARE\ATFlash.c:122:2'_ssync
//  .\HARDWARE\ATFlash.c:118:2'_ssync
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":115
	LINK 16;
	[SP + 12] = R7;
.LN26:
// line 118
	P1 = 1796 /* -4192508 */;
	P1.H = -64 /* -4192508 */;
	R7.L = 1024;
	W[P1] = R7.L;
.LN27:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN28:
// line ".\HARDWARE\ATFlash.c":119
	R0 = 119;
	CALL.X (_WriteSPI_asm);
.LN29:
// line 120
	R0 = 0;
	CALL.X (_WriteSPI_asm);
.LN30:
// line 121
	CALL.X (_ReadSPI_asm);
.LN31:
	B[FP + 8] = R0;
.LN32:
// line 122
	P1 = 1800 /* -4192504 */;
	P1.H = -64 /* -4192504 */;
	W[P1] = R7.L;
.LN33:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN34:
// line ".\HARDWARE\ATFlash.c":123
	R0 = B[FP + 8] (Z);
	R7 = [SP + 12];
	UNLINK;
	RTS;
.LN._GetFlashSecurityRegister.end:
._GetFlashSecurityRegister.end:
	.global _GetFlashSecurityRegister;
	.type _GetFlashSecurityRegister,STT_FUNC;

	.align 2;
_GetFlashStatus:
.LN_GetFlashStatus:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,P1}
//   Call preserved registers used:{R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _GetFlashStatus:
//  .\HARDWARE\ATFlash.c:137:2'_ssync
//  .\HARDWARE\ATFlash.c:134:2'_ssync
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":133
	LINK 16;
	[SP + 12] = R7;
	[FP + 8] = R0;
.LN35:
// line 134
	P1 = 1796 /* -4192508 */;
	P1.H = -64 /* -4192508 */;
	R7.L = 1024;
	W[P1] = R7.L;
.LN36:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN37:
// line ".\HARDWARE\ATFlash.c":135
	R0 = 215;
	CALL.X (_WriteSPI_asm);
.LN38:
// line 136
	CALL.X (_ReadSPI_asm);
.LN39:
	P1 = [FP + 8];
	B[P1] = R0;
.LN40:
// line 137
	P1 = 1800 /* -4192504 */;
	P1.H = -64 /* -4192504 */;
	W[P1] = R7.L;
.LN41:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN42:
// line ".\HARDWARE\ATFlash.c":138
	R7 = [SP + 12];
	UNLINK;
	RTS;
.LN._GetFlashStatus.end:
._GetFlashStatus.end:
	.global _GetFlashStatus;
	.type _GetFlashStatus,STT_FUNC;

	.align 2;
_SendFlashCommand:
.LN_SendFlashCommand:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,ASTAT0-ASTAT1}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":255
	LINK 16;
	[FP + 12] = R1;
	B[FP + 8] = R0;
.LN43:
// line 257
	B[FP + -4] = R0;
.LN44:
// line 258
	R0 = R1 >> 16;
	B[FP + -3] = R0;
.LN45:
// line 259
	R0 = R1 >> 8;
	B[FP + -2] = R0;
.LN46:
// line 260
	B[FP + -1] = R1;
.LN47:
// line 261
	R1 = 4;
	R0 = FP;
	R2 = -4;
	R0 = R0 + R2 (NS);
	CALL.X (_WriteSPIBytes_asm);
.LN48:
// line 262
	UNLINK;
	RTS;
.LN._SendFlashCommand.end:
._SendFlashCommand.end:
	.global _SendFlashCommand;
	.type _SendFlashCommand,STT_FUNC;

	.align 2;
_ContiniousReadFlash:
.LN_ContiniousReadFlash:
	.reference _SendFlashCommand;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 0 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,P1,ASTAT0-ASTAT1}
//   Call preserved registers used:{R6.L,R6.H,R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _ContiniousReadFlash:
//  .\HARDWARE\ATFlash.c:19:2'_ssync
//  .\HARDWARE\ATFlash.c:14:2'_ssync
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":13
	LINK 0;
	[--SP] = (R7:6);
	SP += -12;
	[FP + 16] = R2;
	[FP + 12] = R1;
	[FP + 8] = R0;
.LN49:
// line 14
	P1 = 1796 /* -4192508 */;
	P1.H = -64 /* -4192508 */;
	R6.L = 1024;
	W[P1] = R6.L;
.LN50:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN51:
// line ".\HARDWARE\ATFlash.c":15
	R1 = [FP + 8];
.LN52:
	R7 = 232;
	R0 = ROT R7 BY 0;
	CALL.X (_SendFlashCommand);
.LN53:
// line 17
	R1 = [FP + 8];
.LN54:
	R0 = ROT R7 BY 0;
	CALL.X (_SendFlashCommand);
.LN55:
// line 18
	R0 = [FP + 12];
	R1 = [FP + 16];
	R1 = R1.L (Z);
.LN56:
	CALL.X (_ReadSPIBytes_asm);
.LN57:
// line 19
	P1 = 1800 /* -4192504 */;
	P1.H = -64 /* -4192504 */;
	W[P1] = R6.L;
.LN58:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN59:
// line ".\HARDWARE\ATFlash.c":20
	SP += 12;
	(R7:6) = [SP++];
	UNLINK;
	RTS;
.LN._ContiniousReadFlash.end:
._ContiniousReadFlash.end:
	.global _ContiniousReadFlash;
	.type _ContiniousReadFlash,STT_FUNC;

	.align 2;
_ProgrammBuffer1_WithErase:
.LN_ProgrammBuffer1_WithErase:
	.reference _SendFlashCommand;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,P1}
//   Call preserved registers used:{R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _ProgrammBuffer1_WithErase:
//  .\HARDWARE\ATFlash.c:181:2'_ssync
//  .\HARDWARE\ATFlash.c:179:2'_ssync
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":178
	LINK 16;
	[SP + 12] = R7;
	[FP + 8] = R0;
.LN60:
// line 179
	P1 = 1796 /* -4192508 */;
	P1.H = -64 /* -4192508 */;
	R7.L = 1024;
	W[P1] = R7.L;
.LN61:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN62:
// line ".\HARDWARE\ATFlash.c":180
	R1 = [FP + 8];
.LN63:
	R0 = 131;
	CALL.X (_SendFlashCommand);
.LN64:
// line 181
	P1 = 1800 /* -4192504 */;
	P1.H = -64 /* -4192504 */;
	W[P1] = R7.L;
.LN65:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN66:
// line ".\HARDWARE\ATFlash.c":182
	R7 = [SP + 12];
	UNLINK;
	RTS;
.LN._ProgrammBuffer1_WithErase.end:
._ProgrammBuffer1_WithErase.end:
	.global _ProgrammBuffer1_WithErase;
	.type _ProgrammBuffer1_WithErase,STT_FUNC;

	.align 2;
_SendFlashCommandOnly:
.LN_SendFlashCommandOnly:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,ASTAT0-ASTAT1}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":270
	LINK 12;
	[FP + 8] = R0;
.LN67:
// line 271
	R1 = 4;
	R0 = FP;
	R2 = 8;
	R0 = R0 + R2 (NS);
	CALL.X (_WriteSPIBytes_asm);
.LN68:
// line 272
	UNLINK;
	RTS;
.LN._SendFlashCommandOnly.end:
._SendFlashCommandOnly.end:
	.global _SendFlashCommandOnly;
	.type _SendFlashCommandOnly,STT_FUNC;

	.align 2;
_WriteFlashBuffer1:
.LN_WriteFlashBuffer1:
	.reference _SendFlashCommand;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,P1,ASTAT0-ASTAT1}
//   Call preserved registers used:{R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _WriteFlashBuffer1:
//  .\HARDWARE\ATFlash.c:299:2'_ssync
//  .\HARDWARE\ATFlash.c:296:2'_ssync
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":295
	LINK 16;
	[SP + 12] = R7;
	[FP + 16] = R2;
	[FP + 12] = R1;
	[FP + 8] = R0;
.LN69:
// line 296
	P1 = 1796 /* -4192508 */;
	P1.H = -64 /* -4192508 */;
	R7.L = 1024;
	W[P1] = R7.L;
.LN70:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN71:
// line ".\HARDWARE\ATFlash.c":297
	R1 = [FP + 8];
.LN72:
	R0 = 132;
	CALL.X (_SendFlashCommand);
.LN73:
// line 298
	R0 = [FP + 12];
	R1 = [FP + 16];
	R1 = R1.L (Z);
.LN74:
	CALL.X (_WriteSPIBytes_asm);
.LN75:
// line 299
	P1 = 1800 /* -4192504 */;
	P1.H = -64 /* -4192504 */;
	W[P1] = R7.L;
.LN76:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN77:
// line ".\HARDWARE\ATFlash.c":300
	R7 = [SP + 12];
	UNLINK;
	RTS;
.LN._WriteFlashBuffer1.end:
._WriteFlashBuffer1.end:
	.global _WriteFlashBuffer1;
	.type _WriteFlashBuffer1,STT_FUNC;

	.align 2;
_WaitFlashReady:
.LN_WaitFlashReady:
	.reference _GetFlashStatus;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":308
	LINK 12;
.LN78:
// line 309
	R0 = 0;
	B[FP + 8] = R0;

.P48L1:
//-------------------------------------------------------------------
//   Loop at ".\HARDWARE\ATFlash.c" line 310 col 2
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 11 cycles.
//   (cycle count 11 excludes the cost of the inner function calls and it includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     16-bit Instruction  used  14 out of   22 ( 63.6%)
//     32-bit Instruction  used   7 out of   11 ( 63.6%)
//     Group 1             used   7 out of   11 ( 63.6%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN79:
// line 310
	R0 = B[FP + 8] (Z);
	CC = BITTST(R0, 7);
	if CC jump .P48L2 ;

.P48L3:
.LN80:
// line 312
	R0 = FP;
	R0 += 8;
	CALL.X (_GetFlashStatus);
	jump .P48L1;

.P48L2:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN81:
// line 314
	UNLINK;
	RTS;
.LN._WaitFlashReady.end:
._WaitFlashReady.end:
	.global _WaitFlashReady;
	.type _WaitFlashReady,STT_FUNC;

	.align 2;
_OpenATFlashInterface:
.LN_OpenATFlashInterface:
	.reference _WaitFlashReady;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 0 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,P0-P1,ASTAT0-ASTAT1}
//   Call preserved registers used:{P4-P5,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _OpenATFlashInterface:
//  .\HARDWARE\ATFlash.c:168:2'_ssync
//  .\HARDWARE\ATFlash.c:153:2'_ssync
//  .\HARDWARE\ATFlash.c:149:2'_ssync
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":146
	LINK 0;
	[--SP] = (P5:4);
	SP += -44;
.LN82:
// line 147
	R0 = 4;
	CALL.X (_DumpSPISettingsStore);
.LN83:
// line 149
	P5 = 1280 /* -4193024 */;
	P5.H = -64 /* -4193024 */;
	R0 = W[P5] (Z);
	BITCLR(R0, 14);
	W[P5] = R0.L;
.LN84:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN85:
// line ".\HARDWARE\ATFlash.c":151
	P1 = 1284 /* -4193020 */;
	P1.H = -64 /* -4193020 */;
	R0.L = 256;
	W[P1] = R0.L;
.LN86:
// line 153
	P4 = 1800 /* -4192504 */;
	P4.H = -64 /* -4192504 */;
	R0.L = 1136;
	W[P4] = R0.L;
.LN87:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN88:
// line ".\HARDWARE\ATFlash.c":154
	R0 = 5248 /* 66000000 */;
	R0.H = 1007 /* 66000000 */;
	CALL.X (_ConfigureSPIBaud);
.LN89:
// line 155
	P1 = 0;
	[SP + 40] = P1;
	P0 = 1;
	[SP + 36] = P0;
	[SP + 32] = P0;
	[SP + 28] = P0;
	[SP + 24] = P1;
	[SP + 20] = P1;
	[SP + 16] = P0;
	[SP + 12] = P1;
	R0 = 1;
	R2 = 1;
	R1 = 0;
	CALL.X (_ConfigureSPI);
.LN90:
// line 167
	R0 = W[P5] (Z);
	BITSET(R0, 14);
	W[P5] = R0.L;
.LN91:
// line 168
	R0.L = 1024;
	W[P4] = R0.L;
.LN92:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN93:
// line ".\HARDWARE\ATFlash.c":169
	CALL.X (_WaitFlashReady);
.LN94:
// line 170
	SP += 44;
	(P5:4) = [SP++];
	UNLINK;
	RTS;
.LN._OpenATFlashInterface.end:
._OpenATFlashInterface.end:
	.global _OpenATFlashInterface;
	.type _OpenATFlashInterface,STT_FUNC;

	.align 2;
_EraseFlashSector:
.LN_EraseFlashSector:
	.reference _SendFlashCommand;
	.reference _WaitFlashReady;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,P1,ASTAT0-ASTAT1}
//   Call preserved registers used:{R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _EraseFlashSector:
//  .\HARDWARE\ATFlash.c:58:2'_ssync
//  .\HARDWARE\ATFlash.c:55:2'_ssync
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":54
	LINK 16;
	[SP + 12] = R7;
	B[FP + 8] = R0;
.LN95:
// line 55
	P1 = 1796 /* -4192508 */;
	P1.H = -64 /* -4192508 */;
	R7.L = 1024;
	W[P1] = R7.L;
.LN96:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN97:
// line ".\HARDWARE\ATFlash.c":56
	R0 = B[FP + 8] (Z);
	R1 = R0 << 12;
	[FP + 12] = R1;
.LN98:
// line 57
	R0 = 124;
	CALL.X (_SendFlashCommand);
.LN99:
// line 58
	P1 = 1800 /* -4192504 */;
	P1.H = -64 /* -4192504 */;
	W[P1] = R7.L;
.LN100:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN101:
// line ".\HARDWARE\ATFlash.c":59
	CALL.X (_WaitFlashReady);
.LN102:
// line 60
	R7 = [SP + 12];
	UNLINK;
	RTS;
.LN._EraseFlashSector.end:
._EraseFlashSector.end:
	.global _EraseFlashSector;
	.type _EraseFlashSector,STT_FUNC;

	.align 2;
_ReadFlashPageIntoBufer1:
.LN_ReadFlashPageIntoBufer1:
	.reference _SendFlashCommand;
	.reference _WaitFlashReady;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,P1}
//   Call preserved registers used:{R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _ReadFlashPageIntoBufer1:
//  .\HARDWARE\ATFlash.c:244:2'_ssync
//  .\HARDWARE\ATFlash.c:242:2'_ssync
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":241
	LINK 16;
	[SP + 12] = R7;
	[FP + 8] = R0;
.LN103:
// line 242
	P1 = 1796 /* -4192508 */;
	P1.H = -64 /* -4192508 */;
	R7.L = 1024;
	W[P1] = R7.L;
.LN104:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN105:
// line ".\HARDWARE\ATFlash.c":243
	R1 = [FP + 8];
.LN106:
	R0 = 83;
	CALL.X (_SendFlashCommand);
.LN107:
// line 244
	P1 = 1800 /* -4192504 */;
	P1.H = -64 /* -4192504 */;
	W[P1] = R7.L;
.LN108:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN109:
// line ".\HARDWARE\ATFlash.c":245
	CALL.X (_WaitFlashReady);
.LN110:
// line 246
	R7 = [SP + 12];
	UNLINK;
	RTS;
.LN._ReadFlashPageIntoBufer1.end:
._ReadFlashPageIntoBufer1.end:
	.global _ReadFlashPageIntoBufer1;
	.type _ReadFlashPageIntoBufer1,STT_FUNC;

	.align 2;
_Disable_Sector_Protection:
.LN_Disable_Sector_Protection:
	.reference _SendFlashCommandOnly;
	.reference _WaitFlashReady;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,P1}
//   Call preserved registers used:{R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _Disable_Sector_Protection:
//  .\HARDWARE\ATFlash.c:31:2'_ssync
//  .\HARDWARE\ATFlash.c:29:2'_ssync
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":28
	LINK 16;
	[SP + 12] = R7;
.LN111:
// line 29
	P1 = 1796 /* -4192508 */;
	P1.H = -64 /* -4192508 */;
	R7.L = 1024;
	W[P1] = R7.L;
.LN112:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN113:
// line ".\HARDWARE\ATFlash.c":30
	R0 = 10813 /* -1702942147 */;
	R0.H = -25985 /* -1702942147 */;
	CALL.X (_SendFlashCommandOnly);
.LN114:
// line 31
	P1 = 1800 /* -4192504 */;
	P1.H = -64 /* -4192504 */;
	W[P1] = R7.L;
.LN115:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN116:
// line ".\HARDWARE\ATFlash.c":32
	CALL.X (_WaitFlashReady);
.LN117:
// line 33
	R7 = [SP + 12];
	UNLINK;
	RTS;
.LN._Disable_Sector_Protection.end:
._Disable_Sector_Protection.end:
	.global _Disable_Sector_Protection;
	.type _Disable_Sector_Protection,STT_FUNC;

	.align 2;
_Enable_SectorProtection:
.LN_Enable_SectorProtection:
	.reference _SendFlashCommandOnly;
	.reference _WaitFlashReady;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,P1}
//   Call preserved registers used:{R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _Enable_SectorProtection:
//  .\HARDWARE\ATFlash.c:44:2'_ssync
//  .\HARDWARE\ATFlash.c:42:2'_ssync
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":41
	LINK 16;
	[SP + 12] = R7;
.LN118:
// line 42
	P1 = 1796 /* -4192508 */;
	P1.H = -64 /* -4192508 */;
	R7.L = 1024;
	W[P1] = R7.L;
.LN119:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN120:
// line ".\HARDWARE\ATFlash.c":43
	R0 = 10813 /* -1451283907 */;
	R0.H = -22145 /* -1451283907 */;
	CALL.X (_SendFlashCommandOnly);
.LN121:
// line 44
	P1 = 1800 /* -4192504 */;
	P1.H = -64 /* -4192504 */;
	W[P1] = R7.L;
.LN122:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN123:
// line ".\HARDWARE\ATFlash.c":45
	CALL.X (_WaitFlashReady);
.LN124:
// line 46
	R7 = [SP + 12];
	UNLINK;
	RTS;
.LN._Enable_SectorProtection.end:
._Enable_SectorProtection.end:
	.global _Enable_SectorProtection;
	.type _Enable_SectorProtection,STT_FUNC;

	.align 2;
_SetFlashToPowerOfTwo:
.LN_SetFlashToPowerOfTwo:
	.reference _SendFlashCommandOnly;
	.reference _WaitFlashReady;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,P1}
//   Call preserved registers used:{R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _SetFlashToPowerOfTwo:
//  .\HARDWARE\ATFlash.c:283:2'_ssync
//  .\HARDWARE\ATFlash.c:281:2'_ssync
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":280
	LINK 16;
	[SP + 12] = R7;
.LN125:
// line 281
	P1 = 1796 /* -4192508 */;
	P1.H = -64 /* -4192508 */;
	R7.L = 1024;
	W[P1] = R7.L;
.LN126:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN127:
// line ".\HARDWARE\ATFlash.c":282
	R0 = 10813 /* -1501550019 */;
	R0.H = -22912 /* -1501550019 */;
	CALL.X (_SendFlashCommandOnly);
.LN128:
// line 283
	P1 = 1800 /* -4192504 */;
	P1.H = -64 /* -4192504 */;
	W[P1] = R7.L;
.LN129:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN130:
// line ".\HARDWARE\ATFlash.c":284
	CALL.X (_WaitFlashReady);
.LN131:
// line 285
	R7 = [SP + 12];
	UNLINK;
	RTS;
.LN._SetFlashToPowerOfTwo.end:
._SetFlashToPowerOfTwo.end:
	.global _SetFlashToPowerOfTwo;
	.type _SetFlashToPowerOfTwo,STT_FUNC;

	.align 2;
_ProgrammFlash:
.LN_ProgrammFlash:
	.reference _ReadFlashPageIntoBufer1;
	.reference _WriteFlashBuffer1;
	.reference _ProgrammBuffer1_WithErase;
	.reference _WaitFlashReady;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 52 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _ProgrammFlash:
//  .\HARDWARE\ATFlash.c:216:35'_min
//  .\HARDWARE\ATFlash.c:200:35'_min
//-------------------------------------------------------------------
// line ".\HARDWARE\ATFlash.c":192
	LINK 52;
	[FP + 16] = R2;
	[FP + 12] = R1;
	[FP + 8] = R0;
.LN132:
// line 193
	R1 = 0 /* 131072 */;
	R1.H = 2 /* 131072 */;
	CC = R1 <= R0 (IU);
	if CC jump .P58L2 ;

.P58L1:

.P58L4:
.LN133:
// line 194
	UNLINK;
	RTS;

.P58L2:
.LN134:
// line 196
	R1 = 511;
	R1 = R0 & R1;
	CC = R1 == 0;
	if CC jump .P58L7 ;

.P58L15:
.LN135:
// line 199
	[FP + -40] = R1;
.LN136:
// line 200
	R3 = 512;
	R1 = R3 - R1 (NS);
.LN137:
	[FP + -24] = R1;
	[FP + -20] = R2;
.LN138:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":409
	R1 = MIN(R1, R2);
.LN139:
	[FP + -16] = R1;
.LN140:
// line ".\HARDWARE\ATFlash.c":200
	[FP + -36] = R1;
.LN141:
// line 201
	R1 = -512;
	R0 = R0 & R1;
	[FP + -32] = R0;
.LN142:
// line 203
	CALL.X (_ReadFlashPageIntoBufer1);
.LN143:
// line 205
	R0 = [FP + -40];
	R1 = [FP + 12];
	R2 = [FP + -36];
.LN144:
	CALL.X (_WriteFlashBuffer1);
.LN145:
// line 206
	R0 = [FP + -32];
.LN146:
	CALL.X (_ProgrammBuffer1_WithErase);
.LN147:
// line 207
	CALL.X (_WaitFlashReady);
.LN148:
// line 209
	R0 = [FP + -36];
	R1 = [FP + 16];
	R1 = R1 - R0 (NS);
	[FP + 16] = R1;
.LN149:
// line 210
	R1 = [FP + 12];
	R1 = R1 + R0 (NS);
	[FP + 12] = R1;
.LN150:
// line 211
	R1 = [FP + 8];
	R0 = R0 + R1 (NS);
	[FP + 8] = R0;
.LN151:
// line 212
	jump .P58L8;

.P58L7:

.P58L8:

.P58L9:
//-------------------------------------------------------------------
//   Loop at ".\HARDWARE\ATFlash.c" line 214 col 5
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 30 cycles.
//   (cycle count 30 excludes the cost of the inner function calls and it includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used  22 out of   30 ( 73.3%)
//     16-bit Instruction  used  30 out of   60 ( 50.0%)
//     32-bit Instruction  used  12 out of   30 ( 40.0%)
//     Store               used   7 out of   30 ( 23.3%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN152:
// line 214
	R0 = [FP + 16];
	R1 = 512;
	CC = R0 < R1 (IU);
	if CC jump .P58L10 ;

.P58L17:
.LN153:
// line 216
	[FP + -12] = R1;
	[FP + -8] = R0;
.LN154:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":409
	R2 = MIN(R0, R1);
.LN155:
	[FP + -4] = R2;
.LN156:
// line ".\HARDWARE\ATFlash.c":216
	[FP + -28] = R2;
.LN157:
// line 217
	R1 = [FP + 12];
.LN158:
	R0 = 0;
	CALL.X (_WriteFlashBuffer1);
.LN159:
// line 218
	R0 = [FP + 8];
.LN160:
	CALL.X (_ProgrammBuffer1_WithErase);
.LN161:
// line 219
	CALL.X (_WaitFlashReady);
.LN162:
// line 221
	R0 = [FP + -28];
	R1 = [FP + 16];
	R1 = R1 - R0 (NS);
	[FP + 16] = R1;
.LN163:
// line 222
	R1 = [FP + 12];
	R1 = R1 + R0 (NS);
	[FP + 12] = R1;
.LN164:
// line 223
	R1 = [FP + 8];
	R0 = R0 + R1 (NS);
	[FP + 8] = R0;
	jump .P58L9;

.P58L10:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN165:
// line 226
	R0 = [FP + 16];
	CC = R0 == 0;
	if CC jump .P58L13 ;

.P58L12:
.LN166:
// line 228
	R0 = [FP + 8];
.LN167:
	CALL.X (_ReadFlashPageIntoBufer1);
.LN168:
// line 229
	R1 = [FP + 12];
	R2 = [FP + 16];
.LN169:
	R0 = 0;
	CALL.X (_WriteFlashBuffer1);
.LN170:
// line 230
	R0 = [FP + 8];
.LN171:
	CALL.X (_ProgrammBuffer1_WithErase);
.LN172:
// line 231
	CALL.X (_WaitFlashReady);
.LN173:
// line 232
	jump .P58L14;

.P58L13:

.P58L14:
.LN174:
// line 233
	jump .P58L4;
.LN._ProgrammFlash.end:
._ProgrammFlash.end:
	.global _ProgrammFlash;
	.type _ProgrammFlash,STT_FUNC;

	.file_attr ProjectName="ltr030-bf-fos";
	.file_attr FuncName="_ssync";
	.file_attr FuncName="_min";
	.file_attr FuncName="_GetFlashChipId";
	.file_attr FuncName="_GetFlashSectorLockDownRegister";
	.file_attr FuncName="_GetFlashSectorProtectionRegister";
	.file_attr FuncName="_GetFlashSecurityRegister";
	.file_attr FuncName="_GetFlashStatus";
	.file_attr FuncName="_SendFlashCommand";
	.file_attr FuncName="_ContiniousReadFlash";
	.file_attr FuncName="_ProgrammBuffer1_WithErase";
	.file_attr FuncName="_SendFlashCommandOnly";
	.file_attr FuncName="_WriteFlashBuffer1";
	.file_attr FuncName="_WaitFlashReady";
	.file_attr FuncName="_OpenATFlashInterface";
	.file_attr FuncName="_EraseFlashSector";
	.file_attr FuncName="_ReadFlashPageIntoBufer1";
	.file_attr FuncName="_Disable_Sector_Protection";
	.file_attr FuncName="_Enable_SectorProtection";
	.file_attr FuncName="_SetFlashToPowerOfTwo";
	.file_attr FuncName="_ProgrammFlash";
	.file_attr Content="Code";
.epctext.end:

	.extern _WriteSPI_asm;
	.type _WriteSPI_asm,STT_FUNC;
	.extern _ReadSPIBytes_asm;
	.type _ReadSPIBytes_asm,STT_FUNC;
	.extern _ReadSPI_asm;
	.type _ReadSPI_asm,STT_FUNC;
	.extern _WriteSPIBytes_asm;
	.type _WriteSPIBytes_asm,STT_FUNC;
	.extern _DumpSPISettingsStore;
	.type _DumpSPISettingsStore,STT_FUNC;
	.extern _ConfigureSPIBaud;
	.type _ConfigureSPIBaud,STT_FUNC;
	.extern _ConfigureSPI;
	.type _ConfigureSPI,STT_FUNC;

	.section .debug_abbrev SHT_DEBUGINFO;

	.align 1;
.epcabbrev:
	.type .epcabbrev,STT_OBJECT;
	.inc/binary "ATFlash.sbn", 0, 283;
.epcabbrev.end:

	.section .debug_info SHT_DEBUGINFO;

	.align 1;
.epcdebug:
	.type .epcdebug,STT_OBJECT;
	.byte =
		0x41,0x53,0x00,0x00,0x02,0x00;
	.byte4 = .epcabbrev;
	.byte =
		0x04,0x01,0x2E,0x5C,0x48,0x41,0x52,0x44,0x57,0x41,0x52,0x45,
		0x5C,0x41,0x54,0x46,0x6C,0x61,0x73,0x68,0x2E,0x63,0x00,0x01;
	.byte4 = .epcline;
	.inc/binary "ATFlash.sbn", 283, 19784;
	.byte4 = .LN_GetFlashChipId;
	.byte4 = .LN._GetFlashChipId.end;
	.byte =
		0x01,0x01,0x00,0x12,0x70,0x44,0x61,0x74,0x61,0x00,0x80,0x4C,
		0x00,0x00,0x02,0x7F,0x08,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN0;
	.byte4 = .LN._GetFlashChipId.end;
	.byte =
		0x00,0x00,0x14,0xED,0x4D,0x00,0x00,0x47,0x65,0x74,0x46,0x6C,
		0x61,0x73,0x68,0x53,0x65,0x63,0x74,0x6F,0x72,0x4C,0x6F,0x63,
		0x6B,0x44,0x6F,0x77,0x6E,0x52,0x65,0x67,0x69,0x73,0x74,0x65,
		0x72,0x00,0x01;
	.byte4 = .LN_GetFlashSectorLockDownRegister;
	.byte4 = .LN._GetFlashSectorLockDownRegister.end;
	.byte =
		0x01,0xF3,0x08,0x00,0x00,0x01,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN8;
	.byte4 = .LN._GetFlashSectorLockDownRegister.end;
	.byte =
		0x15,0x44,0x61,0x74,0x61,0x00,0x01,0xF3,0x08,0x00,0x00,0x02,
		0x7F,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x14,0x45,0x4E,
		0x00,0x00,0x47,0x65,0x74,0x46,0x6C,0x61,0x73,0x68,0x53,0x65,
		0x63,0x74,0x6F,0x72,0x50,0x72,0x6F,0x74,0x65,0x63,0x74,0x69,
		0x6F,0x6E,0x52,0x65,0x67,0x69,0x73,0x74,0x65,0x72,0x00,0x01;
	.byte4 = .LN_GetFlashSectorProtectionRegister;
	.byte4 = .LN._GetFlashSectorProtectionRegister.end;
	.byte =
		0x01,0xF3,0x08,0x00,0x00,0x01,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN17;
	.byte4 = .LN._GetFlashSectorProtectionRegister.end;
	.byte =
		0x15,0x44,0x61,0x74,0x61,0x00,0x01,0xF3,0x08,0x00,0x00,0x02,
		0x7F,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x14,0x95,0x4E,
		0x00,0x00,0x47,0x65,0x74,0x46,0x6C,0x61,0x73,0x68,0x53,0x65,
		0x63,0x75,0x72,0x69,0x74,0x79,0x52,0x65,0x67,0x69,0x73,0x74,
		0x65,0x72,0x00,0x01;
	.byte4 = .LN_GetFlashSecurityRegister;
	.byte4 = .LN._GetFlashSecurityRegister.end;
	.byte =
		0x01,0xF3,0x08,0x00,0x00,0x01,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN26;
	.byte4 = .LN._GetFlashSecurityRegister.end;
	.byte =
		0x15,0x44,0x61,0x74,0x61,0x00,0x01,0xF3,0x08,0x00,0x00,0x02,
		0x7F,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x11,0xD2,0x4E,
		0x00,0x00,0x47,0x65,0x74,0x46,0x6C,0x61,0x73,0x68,0x53,0x74,
		0x61,0x74,0x75,0x73,0x00,0x01;
	.byte4 = .LN_GetFlashStatus;
	.byte4 = .LN._GetFlashStatus.end;
	.byte =
		0x01,0x01,0x00,0x12,0x44,0x61,0x74,0x61,0x00,0x80,0x4C,0x00,
		0x00,0x02,0x7F,0x08,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN35;
	.byte4 = .LN._GetFlashStatus.end;
	.byte =
		0x00,0x00,0x11,0x37,0x4F,0x00,0x00,0x53,0x65,0x6E,0x64,0x46,
		0x6C,0x61,0x73,0x68,0x43,0x6F,0x6D,0x6D,0x61,0x6E,0x64,0x00,
		0x01;
	.byte4 = .LN_SendFlashCommand;
	.byte4 = .LN._SendFlashCommand.end;
	.byte =
		0x01,0x01,0x00,0x12,0x43,0x6F,0x6D,0x6D,0x61,0x6E,0x64,0x00,
		0xF3,0x08,0x00,0x00,0x02,0x7F,0x08,0x00,0x12,0x41,0x64,0x64,
		0x72,0x65,0x73,0x73,0x00,0x09,0x09,0x00,0x00,0x02,0x7F,0x0C,
		0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN43;
	.byte4 = .LN._SendFlashCommand.end;
	.byte =
		0x15,0x43,0x6D,0x64,0x00,0x01,0x37,0x4F,0x00,0x00,0x02,0x7F,
		0x7C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x45,0x4F,0x00,
		0x00,0xF3,0x08,0x00,0x00,0x10,0x04,0x00,0x03,0x00,0x11,0xA9,
		0x4F,0x00,0x00,0x43,0x6F,0x6E,0x74,0x69,0x6E,0x69,0x6F,0x75,
		0x73,0x52,0x65,0x61,0x64,0x46,0x6C,0x61,0x73,0x68,0x00,0x01;
	.byte4 = .LN_ContiniousReadFlash;
	.byte4 = .LN._ContiniousReadFlash.end;
	.byte =
		0x01,0x01,0x00,0x12,0x41,0x64,0x64,0x72,0x65,0x73,0x73,0x00,
		0x09,0x09,0x00,0x00,0x02,0x7F,0x08,0x00,0x12,0x44,0x61,0x74,
		0x61,0x00,0x80,0x4C,0x00,0x00,0x02,0x7F,0x0C,0x00,0x12,0x4E,
		0x75,0x6D,0x44,0x61,0x74,0x61,0x00,0x09,0x09,0x00,0x00,0x02,
		0x7F,0x10,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN49;
	.byte4 = .LN._ContiniousReadFlash.end;
	.byte =
		0x00,0x00,0x11,0xF4,0x4F,0x00,0x00,0x50,0x72,0x6F,0x67,0x72,
		0x61,0x6D,0x6D,0x42,0x75,0x66,0x66,0x65,0x72,0x31,0x5F,0x57,
		0x69,0x74,0x68,0x45,0x72,0x61,0x73,0x65,0x00,0x01;
	.byte4 = .LN_ProgrammBuffer1_WithErase;
	.byte4 = .LN._ProgrammBuffer1_WithErase.end;
	.byte =
		0x01,0x01,0x00,0x12,0x41,0x64,0x64,0x72,0x65,0x73,0x73,0x00,
		0x09,0x09,0x00,0x00,0x02,0x7F,0x08,0x00,0x13,0x00,0x00,0x00,
		0x00;
	.byte4 = .LN60;
	.byte4 = .LN._ProgrammBuffer1_WithErase.end;
	.byte =
		0x00,0x00,0x11,0x3A,0x50,0x00,0x00,0x53,0x65,0x6E,0x64,0x46,
		0x6C,0x61,0x73,0x68,0x43,0x6F,0x6D,0x6D,0x61,0x6E,0x64,0x4F,
		0x6E,0x6C,0x79,0x00,0x01;
	.byte4 = .LN_SendFlashCommandOnly;
	.byte4 = .LN._SendFlashCommandOnly.end;
	.byte =
		0x01,0x01,0x00,0x12,0x43,0x6F,0x6D,0x6D,0x61,0x6E,0x64,0x00,
		0x09,0x09,0x00,0x00,0x02,0x7F,0x08,0x00,0x13,0x00,0x00,0x00,
		0x00;
	.byte4 = .LN67;
	.byte4 = .LN._SendFlashCommandOnly.end;
	.byte =
		0x00,0x00,0x11,0x9C,0x50,0x00,0x00,0x57,0x72,0x69,0x74,0x65,
		0x46,0x6C,0x61,0x73,0x68,0x42,0x75,0x66,0x66,0x65,0x72,0x31,
		0x00,0x01;
	.byte4 = .LN_WriteFlashBuffer1;
	.byte4 = .LN._WriteFlashBuffer1.end;
	.byte =
		0x01,0x01,0x00,0x12,0x41,0x64,0x64,0x72,0x65,0x73,0x73,0x00,
		0x09,0x09,0x00,0x00,0x02,0x7F,0x08,0x00,0x12,0x44,0x61,0x74,
		0x61,0x00,0x80,0x4C,0x00,0x00,0x02,0x7F,0x0C,0x00,0x12,0x4E,
		0x75,0x6D,0x44,0x61,0x74,0x61,0x00,0x09,0x09,0x00,0x00,0x02,
		0x7F,0x10,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN69;
	.byte4 = .LN._WriteFlashBuffer1.end;
	.byte =
		0x00,0x00,0x11,0xDE,0x50,0x00,0x00,0x57,0x61,0x69,0x74,0x46,
		0x6C,0x61,0x73,0x68,0x52,0x65,0x61,0x64,0x79,0x00,0x01;
	.byte4 = .LN_WaitFlashReady;
	.byte4 = .LN._WaitFlashReady.end;
	.byte =
		0x01,0x01,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN78;
	.byte4 = .LN._WaitFlashReady.end;
	.byte =
		0x15,0x44,0x61,0x74,0x61,0x00,0x01,0xF3,0x08,0x00,0x00,0x02,
		0x7F,0x08;
	.byte4 = .LN78-.LN_WaitFlashReady;
	.byte =
		0x00,0x00,0x00,0x11,0x13,0x51,0x00,0x00,0x4F,0x70,0x65,0x6E,
		0x41,0x54,0x46,0x6C,0x61,0x73,0x68,0x49,0x6E,0x74,0x65,0x72,
		0x66,0x61,0x63,0x65,0x00,0x01;
	.byte4 = .LN_OpenATFlashInterface;
	.byte4 = .LN._OpenATFlashInterface.end;
	.byte =
		0x01,0x01,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN82;
	.byte4 = .LN._OpenATFlashInterface.end;
	.byte =
		0x00,0x00,0x11,0x6A,0x51,0x00,0x00,0x45,0x72,0x61,0x73,0x65,
		0x46,0x6C,0x61,0x73,0x68,0x53,0x65,0x63,0x74,0x6F,0x72,0x00,
		0x01;
	.byte4 = .LN_EraseFlashSector;
	.byte4 = .LN._EraseFlashSector.end;
	.byte =
		0x01,0x01,0x00,0x12,0x53,0x65,0x63,0x74,0x6F,0x72,0x00,0xF3,
		0x08,0x00,0x00,0x02,0x7F,0x08,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN95;
	.byte4 = .LN._EraseFlashSector.end;
	.byte =
		0x15,0x41,0x64,0x64,0x72,0x65,0x73,0x73,0x00,0x01,0x09,0x09,
		0x00,0x00,0x02,0x7F,0x0C;
	.byte4 = .LN97-.LN_EraseFlashSector;
	.byte =
		0x00,0x00,0x00,0x11,0xB3,0x51,0x00,0x00,0x52,0x65,0x61,0x64,
		0x46,0x6C,0x61,0x73,0x68,0x50,0x61,0x67,0x65,0x49,0x6E,0x74,
		0x6F,0x42,0x75,0x66,0x65,0x72,0x31,0x00,0x01;
	.byte4 = .LN_ReadFlashPageIntoBufer1;
	.byte4 = .LN._ReadFlashPageIntoBufer1.end;
	.byte =
		0x01,0x01,0x00,0x12,0x41,0x64,0x64,0x72,0x65,0x73,0x73,0x00,
		0x09,0x09,0x00,0x00,0x02,0x7F,0x08,0x00,0x13,0x00,0x00,0x00,
		0x00;
	.byte4 = .LN103;
	.byte4 = .LN._ReadFlashPageIntoBufer1.end;
	.byte =
		0x00,0x00,0x11,0xED,0x51,0x00,0x00,0x44,0x69,0x73,0x61,0x62,
		0x6C,0x65,0x5F,0x53,0x65,0x63,0x74,0x6F,0x72,0x5F,0x50,0x72,
		0x6F,0x74,0x65,0x63,0x74,0x69,0x6F,0x6E,0x00,0x01;
	.byte4 = .LN_Disable_Sector_Protection;
	.byte4 = .LN._Disable_Sector_Protection.end;
	.byte =
		0x01,0x01,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN111;
	.byte4 = .LN._Disable_Sector_Protection.end;
	.byte =
		0x00,0x00,0x11,0x25,0x52,0x00,0x00,0x45,0x6E,0x61,0x62,0x6C,
		0x65,0x5F,0x53,0x65,0x63,0x74,0x6F,0x72,0x50,0x72,0x6F,0x74,
		0x65,0x63,0x74,0x69,0x6F,0x6E,0x00,0x01;
	.byte4 = .LN_Enable_SectorProtection;
	.byte4 = .LN._Enable_SectorProtection.end;
	.byte =
		0x01,0x01,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN118;
	.byte4 = .LN._Enable_SectorProtection.end;
	.byte =
		0x00,0x00,0x11,0x5A,0x52,0x00,0x00,0x53,0x65,0x74,0x46,0x6C,
		0x61,0x73,0x68,0x54,0x6F,0x50,0x6F,0x77,0x65,0x72,0x4F,0x66,
		0x54,0x77,0x6F,0x00,0x01;
	.byte4 = .LN_SetFlashToPowerOfTwo;
	.byte4 = .LN._SetFlashToPowerOfTwo.end;
	.byte =
		0x01,0x01,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN125;
	.byte4 = .LN._SetFlashToPowerOfTwo.end;
	.byte =
		0x00,0x00,0x11,0x00,0x00,0x00,0x00,0x50,0x72,0x6F,0x67,0x72,
		0x61,0x6D,0x6D,0x46,0x6C,0x61,0x73,0x68,0x00,0x01;
	.byte4 = .LN_ProgrammFlash;
	.byte4 = .LN._ProgrammFlash.end;
	.byte =
		0x01,0x01,0x00,0x12,0x41,0x64,0x64,0x72,0x65,0x73,0x73,0x00,
		0x09,0x09,0x00,0x00,0x02,0x7F,0x08,0x00,0x12,0x44,0x61,0x74,
		0x61,0x00,0x80,0x4C,0x00,0x00,0x02,0x7F,0x0C,0x00,0x12,0x4E,
		0x75,0x6D,0x44,0x61,0x74,0x61,0x00,0x09,0x09,0x00,0x00,0x02,
		0x7F,0x10,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN132;
	.byte4 = .LN._ProgrammFlash.end;
	.byte =
		0x13,0x17,0x53,0x00,0x00;
	.byte4 = .LN135;
	.byte4 = .LN152;
	.byte =
		0x15,0x42,0x75,0x66,0x66,0x65,0x72,0x41,0x64,0x64,0x72,0x65,
		0x73,0x73,0x00,0x01,0x09,0x09,0x00,0x00,0x02,0x7F,0x58,0x00,
		0x00,0x00,0x00,0x00,0x15,0x4E,0x75,0x6D,0x44,0x61,0x74,0x61,
		0x54,0x6F,0x57,0x72,0x69,0x74,0x65,0x00,0x01,0x09,0x09,0x00,
		0x00,0x02,0x7F,0x5C;
	.byte4 = .LN140-.LN135;
	.byte =
		0x00,0x15,0x50,0x61,0x67,0x65,0x41,0x64,0x64,0x72,0x65,0x73,
		0x73,0x00,0x01,0x09,0x09,0x00,0x00,0x02,0x7F,0x60;
	.byte4 = .LN141-.LN135;
	.byte =
		0x00,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN153;
	.byte4 = .LN165;
	.byte =
		0x15,0x4E,0x75,0x6D,0x44,0x61,0x74,0x61,0x54,0x6F,0x57,0x72,
		0x69,0x74,0x65,0x00,0x01,0x09,0x09,0x00,0x00,0x02,0x7F,0x64;
	.byte4 = .LN156-.LN153;
	.byte =
		0x00,0x00,0x00,0x00,0x00;
.epcdebug.end:

	.section .debug_line SHT_DEBUGINFO;

	.align 1;
.epcline:
	.type .epcline,STT_OBJECT;
	.inc/binary "ATFlash.sbn", 20067, 3910;
	.byte4 = .LN_GetFlashChipId;
	.byte =
		0x04,0x01,0x05,0x02,0x4C,0x00,0x05,0x02;
	.byte4 = .LN0;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN1;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0x88,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN2;
	.byte =
		0x04,0x01,0x05,0x0E,0x03,0xF9,0x64,0x01,0x00,0x05,0x02;
	.byte4 = .LN3;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN4;
	.byte =
		0x05,0x12,0x01,0x00,0x05,0x02;
	.byte4 = .LN5;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN6;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0x85,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN7;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xFC,0x64,0x01,0x00,0x05,0x02;
	.byte4 = .LN._GetFlashChipId.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_GetFlashSectorLockDownRegister;
	.byte =
		0x04,0x01,0x05,0x02,0x59,0x00,0x05,0x02;
	.byte4 = .LN8;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN9;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xF9,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN10;
	.byte =
		0x04,0x01,0x05,0x0E,0x03,0x88,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN11;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN12;
	.byte =
		0x05,0x12,0x0A,0x00,0x05,0x02;
	.byte4 = .LN13;
	.byte =
		0x05,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN14;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN15;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xF5,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN16;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0x8C,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN._GetFlashSectorLockDownRegister.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_GetFlashSectorProtectionRegister;
	.byte =
		0x04,0x01,0x05,0x02,0x6A,0x00,0x05,0x02;
	.byte4 = .LN17;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN18;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xE8,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN19;
	.byte =
		0x04,0x01,0x05,0x0E,0x03,0x99,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN20;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN21;
	.byte =
		0x05,0x14,0x0A,0x00,0x05,0x02;
	.byte4 = .LN22;
	.byte =
		0x05,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN23;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN24;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xE4,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN25;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0x9D,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN._GetFlashSectorProtectionRegister.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_GetFlashSecurityRegister;
	.byte =
		0x04,0x01,0x05,0x02,0x7B,0x00,0x05,0x02;
	.byte4 = .LN26;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN27;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xD7,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN28;
	.byte =
		0x04,0x01,0x05,0x0E,0x03,0xAA,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN29;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN30;
	.byte =
		0x05,0x14,0x0A,0x00,0x05,0x02;
	.byte4 = .LN31;
	.byte =
		0x05,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN32;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN33;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xD3,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN34;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xAE,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN._GetFlashSecurityRegister.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_GetFlashStatus;
	.byte =
		0x04,0x01,0x05,0x02,0x8D,0x00,0x05,0x02;
	.byte4 = .LN35;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN36;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xC7,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN37;
	.byte =
		0x04,0x01,0x05,0x0E,0x03,0xBA,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN38;
	.byte =
		0x05,0x15,0x0A,0x00,0x05,0x02;
	.byte4 = .LN39;
	.byte =
		0x05,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN40;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN41;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xC4,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN42;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xBD,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN._GetFlashStatus.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_SendFlashCommand;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xFE,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN43;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN44;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN45;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN46;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN47;
	.byte =
		0x05,0x13,0x0A,0x00,0x05,0x02;
	.byte4 = .LN48;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._SendFlashCommand.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_ContiniousReadFlash;
	.byte =
		0x04,0x01,0x05,0x02,0x15,0x00,0x05,0x02;
	.byte4 = .LN49;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN50;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xBF,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN51;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xC2,0x64,0x01,0x00,0x05,0x02;
	.byte4 = .LN52;
	.byte =
		0x05,0x12,0x01,0x00,0x05,0x02;
	.byte4 = .LN53;
	.byte =
		0x05,0x02,0x0B,0x00,0x05,0x02;
	.byte4 = .LN54;
	.byte =
		0x05,0x12,0x01,0x00,0x05,0x02;
	.byte4 = .LN55;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN56;
	.byte =
		0x05,0x12,0x01,0x00,0x05,0x02;
	.byte4 = .LN57;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN58;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xBA,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN59;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xC7,0x64,0x01,0x00,0x05,0x02;
	.byte4 = .LN._ContiniousReadFlash.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_ProgrammBuffer1_WithErase;
	.byte =
		0x04,0x01,0x05,0x02,0xBA,0x00,0x05,0x02;
	.byte4 = .LN60;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN61;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0x9A,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN62;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xE7,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN63;
	.byte =
		0x05,0x12,0x01,0x00,0x05,0x02;
	.byte4 = .LN64;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN65;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0x98,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN66;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xE9,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN._ProgrammBuffer1_WithErase.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_SendFlashCommandOnly;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0x8D,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN67;
	.byte =
		0x05,0x13,0x0A,0x00,0x05,0x02;
	.byte4 = .LN68;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._SendFlashCommandOnly.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_WriteFlashBuffer1;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xA6,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN69;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN70;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xA5,0x19,0x01,0x00,0x05,0x02;
	.byte4 = .LN71;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xDC,0x66,0x01,0x00,0x05,0x02;
	.byte4 = .LN72;
	.byte =
		0x05,0x12,0x01,0x00,0x05,0x02;
	.byte4 = .LN73;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN74;
	.byte =
		0x05,0x13,0x01,0x00,0x05,0x02;
	.byte4 = .LN75;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN76;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xA2,0x19,0x01,0x00,0x05,0x02;
	.byte4 = .LN77;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xDF,0x66,0x01,0x00,0x05,0x02;
	.byte4 = .LN._WriteFlashBuffer1.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_WaitFlashReady;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xB3,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN78;
	.byte =
		0x05,0x07,0x0A,0x00,0x05,0x02;
	.byte4 = .LN79;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN80;
	.byte =
		0x05,0x11,0x0B,0x00,0x05,0x02;
	.byte4 = .LN81;
	.byte =
		0x05,0x02,0x0B,0x00,0x05,0x02;
	.byte4 = .LN._WaitFlashReady.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_OpenATFlashInterface;
	.byte =
		0x04,0x01,0x05,0x02,0x9A,0x00,0x05,0x02;
	.byte4 = .LN82;
	.byte =
		0x05,0x16,0x0A,0x00,0x05,0x02;
	.byte4 = .LN83;
	.byte =
		0x05,0x02,0x0B,0x00,0x05,0x02;
	.byte4 = .LN84;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xB8,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN85;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xCA,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN86;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN87;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xB4,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN88;
	.byte =
		0x04,0x01,0x05,0x12,0x03,0xCD,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN89;
	.byte =
		0x05,0x0E,0x0A,0x00,0x05,0x02;
	.byte4 = .LN90;
	.byte =
		0x05,0x02,0x15,0x00,0x05,0x02;
	.byte4 = .LN91;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN92;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xA5,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN93;
	.byte =
		0x04,0x01,0x05,0x10,0x03,0xDC,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN94;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._OpenATFlashInterface.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_EraseFlashSector;
	.byte =
		0x04,0x01,0x05,0x02,0x3E,0x00,0x05,0x02;
	.byte4 = .LN95;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN96;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0x96,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN97;
	.byte =
		0x04,0x01,0x05,0x08,0x03,0xEB,0x64,0x01,0x00,0x05,0x02;
	.byte4 = .LN98;
	.byte =
		0x05,0x12,0x0A,0x00,0x05,0x02;
	.byte4 = .LN99;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN100;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0x93,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN101;
	.byte =
		0x04,0x01,0x05,0x10,0x03,0xEE,0x64,0x01,0x00,0x05,0x02;
	.byte4 = .LN102;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._EraseFlashSector.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_ReadFlashPageIntoBufer1;
	.byte =
		0x04,0x01,0x05,0x02,0xF9,0x00,0x05,0x02;
	.byte4 = .LN103;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN104;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xDB,0x19,0x01,0x00,0x05,0x02;
	.byte4 = .LN105;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xA6,0x66,0x01,0x00,0x05,0x02;
	.byte4 = .LN106;
	.byte =
		0x05,0x12,0x01,0x00,0x05,0x02;
	.byte4 = .LN107;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN108;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xD9,0x19,0x01,0x00,0x05,0x02;
	.byte4 = .LN109;
	.byte =
		0x04,0x01,0x05,0x10,0x03,0xA8,0x66,0x01,0x00,0x05,0x02;
	.byte4 = .LN110;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._ReadFlashPageIntoBufer1.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_Disable_Sector_Protection;
	.byte =
		0x04,0x01,0x05,0x02,0x24,0x00,0x05,0x02;
	.byte4 = .LN111;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN112;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xB0,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN113;
	.byte =
		0x04,0x01,0x05,0x16,0x03,0xD1,0x64,0x01,0x00,0x05,0x02;
	.byte4 = .LN114;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN115;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xAE,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN116;
	.byte =
		0x04,0x01,0x05,0x10,0x03,0xD3,0x64,0x01,0x00,0x05,0x02;
	.byte4 = .LN117;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._Disable_Sector_Protection.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_Enable_SectorProtection;
	.byte =
		0x04,0x01,0x05,0x02,0x31,0x00,0x05,0x02;
	.byte4 = .LN118;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN119;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xA3,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN120;
	.byte =
		0x04,0x01,0x05,0x16,0x03,0xDE,0x64,0x01,0x00,0x05,0x02;
	.byte4 = .LN121;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN122;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xA1,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN123;
	.byte =
		0x04,0x01,0x05,0x10,0x03,0xE0,0x64,0x01,0x00,0x05,0x02;
	.byte4 = .LN124;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._Enable_SectorProtection.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_SetFlashToPowerOfTwo;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0x97,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN125;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN126;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xB4,0x19,0x01,0x00,0x05,0x02;
	.byte4 = .LN127;
	.byte =
		0x04,0x01,0x05,0x16,0x03,0xCD,0x66,0x01,0x00,0x05,0x02;
	.byte4 = .LN128;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN129;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xB2,0x19,0x01,0x00,0x05,0x02;
	.byte4 = .LN130;
	.byte =
		0x04,0x01,0x05,0x10,0x03,0xCF,0x66,0x01,0x00,0x05,0x02;
	.byte4 = .LN131;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._SetFlashToPowerOfTwo.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_ProgrammFlash;
	.byte =
		0x04,0x01,0x05,0x05,0xC8,0x00,0x05,0x02;
	.byte4 = .LN132;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN133;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN134;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN135;
	.byte =
		0x05,0x0F,0x0C,0x00,0x05,0x02;
	.byte4 = .LN136;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN137;
	.byte =
		0x05,0x23,0x01,0x00,0x05,0x02;
	.byte4 = .LN138;
	.byte =
		0x04,0x0A,0x05,0x08,0xDA,0x00,0x05,0x02;
	.byte4 = .LN139;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN140;
	.byte =
		0x04,0x01,0x05,0x0F,0x03,0xAF,0x7E,0x01,0x00,0x05,0x02;
	.byte4 = .LN141;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN142;
	.byte =
		0x05,0x20,0x0B,0x00,0x05,0x02;
	.byte4 = .LN143;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN144;
	.byte =
		0x05,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN145;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN146;
	.byte =
		0x05,0x22,0x01,0x00,0x05,0x02;
	.byte4 = .LN147;
	.byte =
		0x05,0x17,0x0A,0x00,0x05,0x02;
	.byte4 = .LN148;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN149;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN150;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN151;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN152;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN153;
	.byte =
		0x05,0x23,0x0B,0x00,0x05,0x02;
	.byte4 = .LN154;
	.byte =
		0x04,0x0A,0x05,0x08,0xCA,0x00,0x05,0x02;
	.byte4 = .LN155;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN156;
	.byte =
		0x04,0x01,0x05,0x0F,0x03,0xBF,0x7E,0x01,0x00,0x05,0x02;
	.byte4 = .LN157;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN158;
	.byte =
		0x05,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN159;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN160;
	.byte =
		0x05,0x22,0x01,0x00,0x05,0x02;
	.byte4 = .LN161;
	.byte =
		0x05,0x17,0x0A,0x00,0x05,0x02;
	.byte4 = .LN162;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN163;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN164;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN165;
	.byte =
		0x05,0x05,0x0C,0x00,0x05,0x02;
	.byte4 = .LN166;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN167;
	.byte =
		0x05,0x20,0x01,0x00,0x05,0x02;
	.byte4 = .LN168;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN169;
	.byte =
		0x05,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN170;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN171;
	.byte =
		0x05,0x22,0x01,0x00,0x05,0x02;
	.byte4 = .LN172;
	.byte =
		0x05,0x17,0x0A,0x00,0x05,0x02;
	.byte4 = .LN173;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN174;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._ProgrammFlash.end;
	.byte =
		0x00,0x01,0x01;
.epcline.end:

	.section .annotations SHT_DEBUGINFO;

	.align 1;
.epcannot:
	.type .epcannot,STT_OBJECT;
	.inc/binary "ATFlash.sbn", 23977, 7060;
.epcannot.end:

	.section .debug_pubnames SHT_DEBUGINFO;

	.align 1;
.epcpubnames:
	.type .epcpubnames,STT_OBJECT;
	.byte =
		0xD5,0x01,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.inc/binary "ATFlash.sbn", 31037, 463;
.epcpubnames.end:

	.section .debug_aranges SHT_DEBUGINFO;

	.align 1;
.epcaranges:
	.type .epcaranges,STT_OBJECT;
	.byte =
		0xA4,0x00,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.byte =
		0x04,0x00,0x00,0x00,0x00,0x00;
	.byte4 = .LN_GetFlashChipId;
	.byte4 = .LN._GetFlashChipId.end-.LN_GetFlashChipId;
	.byte4 = .LN_GetFlashSectorLockDownRegister;
	.byte4 = .LN._GetFlashSectorLockDownRegister.end-.LN_GetFlashSectorLockDownRegister;
	.byte4 = .LN_GetFlashSectorProtectionRegister;
	.byte4 = .LN._GetFlashSectorProtectionRegister.end-.LN_GetFlashSectorProtectionRegister;
	.byte4 = .LN_GetFlashSecurityRegister;
	.byte4 = .LN._GetFlashSecurityRegister.end-.LN_GetFlashSecurityRegister;
	.byte4 = .LN_GetFlashStatus;
	.byte4 = .LN._GetFlashStatus.end-.LN_GetFlashStatus;
	.byte4 = .LN_SendFlashCommand;
	.byte4 = .LN._SendFlashCommand.end-.LN_SendFlashCommand;
	.byte4 = .LN_ContiniousReadFlash;
	.byte4 = .LN._ContiniousReadFlash.end-.LN_ContiniousReadFlash;
	.byte4 = .LN_ProgrammBuffer1_WithErase;
	.byte4 = .LN._ProgrammBuffer1_WithErase.end-.LN_ProgrammBuffer1_WithErase;
	.byte4 = .LN_SendFlashCommandOnly;
	.byte4 = .LN._SendFlashCommandOnly.end-.LN_SendFlashCommandOnly;
	.byte4 = .LN_WriteFlashBuffer1;
	.byte4 = .LN._WriteFlashBuffer1.end-.LN_WriteFlashBuffer1;
	.byte4 = .LN_WaitFlashReady;
	.byte4 = .LN._WaitFlashReady.end-.LN_WaitFlashReady;
	.byte4 = .LN_OpenATFlashInterface;
	.byte4 = .LN._OpenATFlashInterface.end-.LN_OpenATFlashInterface;
	.byte4 = .LN_EraseFlashSector;
	.byte4 = .LN._EraseFlashSector.end-.LN_EraseFlashSector;
	.byte4 = .LN_ReadFlashPageIntoBufer1;
	.byte4 = .LN._ReadFlashPageIntoBufer1.end-.LN_ReadFlashPageIntoBufer1;
	.byte4 = .LN_Disable_Sector_Protection;
	.byte4 = .LN._Disable_Sector_Protection.end-.LN_Disable_Sector_Protection;
	.byte4 = .LN_Enable_SectorProtection;
	.byte4 = .LN._Enable_SectorProtection.end-.LN_Enable_SectorProtection;
	.byte4 = .LN_SetFlashToPowerOfTwo;
	.byte4 = .LN._SetFlashToPowerOfTwo.end-.LN_SetFlashToPowerOfTwo;
	.byte4 = .LN_ProgrammFlash;
	.byte4 = .LN._ProgrammFlash.end-.LN_ProgrammFlash;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00;
.epcaranges.end:
