	.file ".\HARDWARE\Ether.c";
//  Compilation time: Thu Sep 23 17:39:39 2010

//  Compiler options: -c -file-attr ProjectName=ltr030-bf-fos -g -structs-do-not-overlap -no-multiline -double-size-32 -decls-strong -warn-protos -D VDSP_BF -I c:\prj;c:\prj\lib\efsl\inc;c:\prj\lib\freertos\source\include;c:\prj\lib\lwip\src\include;c:\prj\lib\lwip\src\include\ipv4;c:\prj\lib\lwip\contrib\ports\bf\include;c:\prj\ltr\ltr030\ltr030-bf-fos -threads -save-temps -si-revision 0.3 -proc ADSP-BF537 -o .\Debug\Ether.doj -MM
//  Architecture: ADSP-BF537
//  Silicon revision: 0.3
//  Anomalies summary:
//   Disabled: w05_00_0046,w05_00_0048,w05_00_0054,w05_00_0071,w05_00_0103,w05_00_0104,w05_00_0120,w05_00_0127,w05_00_0157,w05_00_0164,w05_00_0165,w05_00_0195,w05_00_0198,w05_00_0202,w05_00_0209,w05_00_0227,w05_00_0244,w05_00_0246,w05_00_0248,w05_00_0257,w05_00_0262,w05_00_0264,w05_00_0283,wF3_F_021,wF3_F_008_F3_F_013,w05_00_0311
//   Enabled: w05_00_0189,w05_00_0245,w05_00_0312,w05_00_0371
//   Always on: w05_00_0074,w05_00_0122

	.section/DOUBLE32 program;

.epctext:
	.align 2;
_DMA_MAC_RX_InterruptHandler:
.LN_DMA_MAC_RX_InterruptHandler:
	.reference _EtherDevice;
	.reference _MAC_READ_DESCR;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,P0-P2,ASTAT0-ASTAT1,CC,AQ}
//   Call preserved registers used:{P4-P5,FP,SP,RETS}
//-------------------------------------------------------------------
// line ".\HARDWARE\Ether.c":256
	LINK 12;
	[--SP] = ASTAT;
	[--SP] = (P5:4);
	[--SP] = R0;
	[--SP] = R1;
	[--SP] = R2;
	[--SP] = P0;
	[--SP] = P1;
	[--SP] = P2;
.LN0:
// line 262
	P1 = 3176 /* -4191128 */;
	P1.H = -64 /* -4191128 */;
	R0.L = 1;
	W[P1] = R0.L;
.LN1:
// line 263
	P1.L = .epcbss;
	P1.H = .epcbss;
	R0 = [P1];
	[FP + -12] = R0;
.LN2:
// line 264
	P1 = 12544 /* -4181760 */;
	P1.H = -64 /* -4181760 */;
	R0 = [P1];
	W[FP + -4] = R0;
.LN3:
// line 266
	P1 = [FP + -12];
	R0 = W[P1 + 72] (Z);
	W[FP + -6] = R0;

.P39L1:
//-------------------------------------------------------------------
//   Loop at ".\HARDWARE\Ether.c" line 266 col 2
//-------------------------------------------------------------------
	P0 = FP;
	P0 += -6;
	R0 = W[P0] (Z);
	P5 = [FP + -12];
	P1 = 72;
	P1 = P5 + P1;
	R1 = W[P1] (Z);
	P1 = FP;
	P1 += -4;
	R2 = W[P1] (Z);
	R1 = R1 + R2 (NS);
	CC = R1 <= R0;
	if CC jump .P39L3 ;

.P39L2:
.LN4:
// line 268
	P1 = R0;
	P2 = P1;
	P1 = (P1 + P2) << 2;
	P2 = (P2 + P1) << 2;
	P4.L = _MAC_READ_DESCR;
	P4.H = _MAC_READ_DESCR;
	P1 = P4 + P2;
	R0 = [P1 + 28];
	W[FP + -2] = R0;
.LN5:
// line 269
	R0 = [P1 + 28];
	CC = !BITTST(R0, 13);
	if CC jump .P39L5 ;

.P39L4:
.LN6:
// line 271
	R1 = 2047;
	R0 = R0 & R1;
	NOP;                                    // Inserted to fix anomaly w05_00_0245_with_boundaries. 
	R1 = [P5 + 76];
	R0 = R0 + R1 (NS);
	[P5 + 76] = R0;
.LN7:
// line 272
	R0 = W[P0] (Z);
	P1 = R0;
	P2 = P1;
	P1 = (P1 + P2) << 2;
	P2 = (P2 + P1) << 2;
	P1 = P4 + P2;
	R0 = 1;
	B[P1 + 32] = R0;
.LN8:
// line 273
	jump .P39L6;

.P39L5:

.P39L6:
.LN9:
// line 266
	R0 = W[P0] (Z);
	R0 += 1;
	W[FP + -6] = R0;
	jump .P39L1;

.P39L3:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN10:
// line 275
	R0 = W[FP + -4] (Z);
	P1 = [FP + -12];
	R1 = W[P1 + 72] (Z);
	R0 = R0 + R1 (NS);
	W[P1 + 72] = R0;
.LN11:
// line 276
	P1 = [FP + -12];
	R0 = W[P1 + 72] (Z);
	R1 = 1024;
	CC = R0 < R1;
	if CC jump .P39L8 ;

.P39L7:
.LN12:
// line 277
	R1 = -1024;
	R0 = R0 + R1 (NS);
	W[P1 + 72] = R0;
	jump .P39L9;

.P39L8:

.P39L9:
.LN13:
// line 278
	P2 = [SP++];
	P1 = [SP++];
	P0 = [SP++];
	R2 = [SP++];
	R1 = [SP++];
	R0 = [SP++];
	(P5:4) = [SP++];
	ASTAT = [SP++];
	UNLINK;
	RTI;
.LN._DMA_MAC_RX_InterruptHandler.end:
._DMA_MAC_RX_InterruptHandler.end:
	.global _DMA_MAC_RX_InterruptHandler;
	.type _DMA_MAC_RX_InterruptHandler,STT_FUNC;

	.align 2;
_ReadEthernetDevice:
.LN_ReadEthernetDevice:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 0 
//   No scratch registers used.
//   Call preserved registers used:{FP,SP,RETS}
//-------------------------------------------------------------------
// line ".\HARDWARE\Ether.c":228
	LINK 0;
	[FP + 12] = R1;
	[FP + 8] = R0;
.LN14:
// line 229
	UNLINK;
	RTS;
.LN._ReadEthernetDevice.end:
._ReadEthernetDevice.end:
	.global _ReadEthernetDevice;
	.type _ReadEthernetDevice,STT_FUNC;

	.align 2;
_SetupDMA:
.LN_SetupDMA:
	.reference _MAC_READ_DESCR;
	.reference _MAC_WRITE_DESCR;
	.reference _EtherData;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 4 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{R4.L,R4.H,R5.L,R5.H,R6.L,R6.H,R7.L,R7.H,P5,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\Ether.c":21
	LINK 4;
	[--SP] = (R7:4, P5:5);
	SP += -12;
.LN15:
// line 26
	R2 = 36864 (Z);
	R1 = 0;
	R5.L = _MAC_READ_DESCR;
	R5.H = _MAC_READ_DESCR;
	R0 = ROT R5 BY 0;
	CALL.X (_memset);
.LN16:
// line 27
	R2 = 0 /* 65536 */;
	R2.H = 1 /* 65536 */;
	R1 = 0;
	R6.L = _MAC_WRITE_DESCR;
	R6.H = _MAC_WRITE_DESCR;
	R0 = ROT R6 BY 0;
	CALL.X (_memset);
.LN17:
// line 29
	R7.L = 0;
	W[FP + 10] = R7;

.P41L1:
//-------------------------------------------------------------------
//   Loop at ".\HARDWARE\Ether.c" line 29 col 2
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 165 cycles.
//   (cycle count 165 includes 37 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used 100 out of  165 ( 60.6%)
//     32-bit Instruction  used  97 out of  165 ( 58.8%)
//     16-bit Instruction  used 179 out of  330 ( 54.2%)
//     Store               used  22 out of  165 ( 13.3%)
//-------------------------------------------------------------------
	// -- 4 stalls --
	P0 = FP;
	P0 += 10;
	R2 = W[P0] (Z);
	R1 = 1024;
	CC = R1 <= R2;
	if CC jump .P41L3 ;

.P41L2:
	R0 = ROT R2 BY 0;
.LN18:
// line 31
	R2 += 1;
	R1 = 1023;
	R1 = R2 & R1;
	W[FP + 8] = R1;
.LN19:
// line 32
	R1 = 36;
	R2 = ROT R0 BY 0;
	// -- stall --
	R2 *= R1;
	R2 = R5 + R2 (NS);
	R2 += 12;
	P1 = R0;
	// -- 4 stalls --
	P5 = P1;
	P1 = (P1 + P5) << 2;
	P5 = (P5 + P1) << 2;
	P2.L = _MAC_READ_DESCR;
	P2.H = _MAC_READ_DESCR;
	P1 = P2 + P5;
	R0 = R2 >> 24;
	R3 = R2 >> 16;
	R4 = R2 >> 8;
	B[P1] = R2;
	B[P1 + 1] = R4;
	B[P1 + 2] = R3;
	B[P1 + 3] = R0;
.LN20:
// line 33
	P1.L = .epcdata+4;
	P1.H = .epcdata+4;
	R3 = [P1];
	R0 = W[P0] (Z);
	R2 = 1556;
	R2 *= R0;
	R3 = R3 + R2 (NS);
	P1 = R0;
	// -- 4 stalls --
	P5 = P1;
	P1 = (P1 + P5) << 2;
	P5 = (P5 + P1) << 2;
	P1 = P2 + P5;
	P1 += 4;
	R0 = R3 >> 24;
	R2 = R3 >> 16;
	R4 = R3 >> 8;
	B[P1] = R3;
	B[P1 + 1] = R4;
	B[P1 + 2] = R2;
	B[P1 + 3] = R0;
.LN21:
// line 34
	R0 = W[P0] (Z);
	P1 = R0;
	// -- 4 stalls --
	P5 = P1;
	P1 = (P1 + P5) << 2;
	P5 = (P5 + P1) << 2;
	P1 = P2 + P5;
	R0.L = 29963;
	W[P1 + 8] = R0;
.LN22:
// line 36
	R0 = W[P0] (Z);
	P1 = R0;
	// -- 4 stalls --
	P5 = P1;
	P1 = (P1 + P5) << 2;
	P5 = (P5 + P1) << 2;
	P1 = P2 + P5;
	W[P1 + 10] = R7;
.LN23:
// line 38
	P1 = FP;
	P1 += 8;
	R0 = W[P1] (Z);
	R0 *= R1;
	R3 = R5 + R0 (NS);
	R0 = W[P0] (Z);
	P1 = R0;
	// -- 4 stalls --
	P5 = P1;
	P1 = (P1 + P5) << 2;
	P5 = (P5 + P1) << 2;
	P1 = P2 + P5;
	P1 += 12;
	R0 = R3 >> 24;
	R2 = R3 >> 16;
	R4 = R3 >> 8;
	B[P1] = R3;
	B[P1 + 1] = R4;
	B[P1 + 2] = R2;
	B[P1 + 3] = R0;
.LN24:
// line 39
	R0 = W[P0] (Z);
	R1 *= R0;
	R1 = R5 + R1 (NS);
	R1 += 24;
	P1 = R0;
	// -- 4 stalls --
	P5 = P1;
	P1 = (P1 + P5) << 2;
	P5 = (P5 + P1) << 2;
	P1 = P2 + P5;
	P1 += 16;
	R0 = R1 >> 24;
	R2 = R1 >> 16;
	R3 = R1 >> 8;
	B[P1] = R1;
	B[P1 + 1] = R3;
	B[P1 + 2] = R2;
	B[P1 + 3] = R0;
.LN25:
// line 40
	R0 = W[P0] (Z);
	P1 = R0;
	// -- 4 stalls --
	P5 = P1;
	P1 = (P1 + P5) << 2;
	P5 = (P5 + P1) << 2;
	P1 = P2 + P5;
	R0.L = 30091;
	W[P1 + 20] = R0;
.LN26:
// line 42
	R0 = W[P0] (Z);
	P1 = R0;
	// -- 4 stalls --
	P5 = P1;
	P1 = (P1 + P5) << 2;
	P5 = (P5 + P1) << 2;
	P1 = P2 + P5;
	W[P1 + 22] = R7;
.LN27:
// line 29
	R0 = W[P0] (Z);
	R0 += 1;
	W[FP + 10] = R0;
	jump .P41L1;

.P41L3:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN28:
// line 45
	R0 = 20480 /* 1593344 */;
	R0.H = 24 /* 1593344 */;
	[FP + 12] = R0;
.LN29:
// line 46
	W[FP + 10] = R7;

.P41L4:
//-------------------------------------------------------------------
//   Loop at ".\HARDWARE\Ether.c" line 46 col 2
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 173 cycles.
//   (cycle count 173 includes 29 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     32-bit Instruction  used 107 out of  173 ( 61.8%)
//     Group 1             used  90 out of  173 ( 52.0%)
//     16-bit Instruction  used 146 out of  346 ( 42.2%)
//     Store               used  35 out of  173 ( 20.2%)
//-------------------------------------------------------------------
	// -- 4 stalls --
	R2 = W[P0] (Z);
	CC = R1 <= R2;
	if CC jump .P41L6 ;

.P41L5:
	R0 = ROT R2 BY 0;
.LN30:
// line 48
	R2 += 1;
	R3 = 1023;
	R2 = R2 & R3;
	W[FP + 8] = R2;
.LN31:
// line 50
	R0 = R0 << 6;
	R2 = R6 + R0 (NS);
	R0 = ROT R2 BY 0;
	R2 += 12;
	P1 = R0;
	R0 = R2 >> 24;
	R3 = R2 >> 16;
	R4 = R2 >> 8;
	// -- stall --
	B[P1] = R2;
	B[P1 + 1] = R4;
	B[P1 + 2] = R3;
	B[P1 + 3] = R0;
.LN32:
// line 51
	R0 = W[P0] (Z);
	R0 = R0 << 6;
	R2 = R6 + R0 (NS);
	R0 = ROT R2 BY 0;
	R2 += 44;
	R0 += 4;
	P1 = R0;
	R0 = R2 >> 24;
	R3 = R2 >> 16;
	R4 = R2 >> 8;
	// -- stall --
	B[P1] = R2;
	B[P1 + 1] = R4;
	B[P1 + 2] = R3;
	B[P1 + 3] = R0;
.LN33:
// line 52
	R0 = W[P0] (Z);
	R0 = R0 << 6;
	R0 = R6 + R0 (NS);
	P1 = R0;
	R2.L = 29961;
	// -- 3 stalls --
	W[P1 + 8] = R2;
.LN34:
// line 54
	R0 = W[P0] (Z);
	R0 = R0 << 6;
	R0 = R6 + R0 (NS);
	P1 = R0;
	R0.L = 4;
	// -- 3 stalls --
	W[P1 + 10] = R0;
.LN35:
// line 56
	R0 = W[P0] (Z);
	R0 = R0 << 6;
	R3 = R6 + R0 (NS);
	R0 = ROT R3 BY 0;
	R3 += 24;
	R0 += 12;
	P1 = R0;
	R0 = R3 >> 24;
	[FP + 16] = R0;
	R0 = R3 >> 16;
	R4 = R3 >> 8;
	B[P1] = R3;
	B[P1 + 1] = R4;
	B[P1 + 2] = R0;
	R0 = [FP + 16];
	B[P1 + 3] = R0;
.LN36:
// line 57
	P1.L = .epcdata+4;
	P1.H = .epcdata+4;
	R0 = [P1];
	[FP + -4] = R0;
	R3 = W[P0] (Z);
	R0 = 1560;
	R0 *= R3;
	R4 = [FP + 12];
	R0 = R4 + R0 (NS);
	R4 = [FP + -4];
	R4 = R4 + R0 (NS);
	R0 = R3 << 6;
	R0 = R6 + R0 (NS);
	R0 += 16;
	P1 = R0;
	R0 = R4 >> 24;
	[FP + 16] = R0;
	R0 = R4 >> 16;
	R3 = R4 >> 8;
	B[P1] = R4;
	B[P1 + 1] = R3;
	B[P1 + 2] = R0;
	R0 = [FP + 16];
	B[P1 + 3] = R0;
.LN37:
// line 58
	R0 = W[P0] (Z);
	R0 = R0 << 6;
	R0 = R6 + R0 (NS);
	P1 = R0;
	// -- 4 stalls --
	W[P1 + 20] = R2;
.LN38:
// line 60
	R0 = W[P0] (Z);
	R0 = R0 << 6;
	R0 = R6 + R0 (NS);
	P1 = R0;
	// -- 4 stalls --
	W[P1 + 22] = R7;
.LN39:
// line 62
	P1 = FP;
	P1 += 8;
	R0 = W[P1] (Z);
	R0 = R0 << 6;
	R2 = R6 + R0 (NS);
	R0 = W[P0] (Z);
	R0 = R0 << 6;
	R0 = R6 + R0 (NS);
	R0 += 24;
	P1 = R0;
	R0 = R2 >> 24;
	R3 = R2 >> 16;
	R4 = R2 >> 8;
	// -- stall --
	B[P1] = R2;
	B[P1 + 1] = R4;
	B[P1 + 2] = R3;
	B[P1 + 3] = R0;
.LN40:
// line 63
	R0 = W[P0] (Z);
	R0 = R0 << 6;
	R2 = R6 + R0 (NS);
	R0 = ROT R2 BY 0;
	R2 += 36;
	R0 += 28;
	P1 = R0;
	R0 = R2 >> 24;
	R3 = R2 >> 16;
	R4 = R2 >> 8;
	// -- stall --
	B[P1] = R2;
	B[P1 + 1] = R4;
	B[P1 + 2] = R3;
	B[P1 + 3] = R0;
.LN41:
// line 64
	R0 = W[P0] (Z);
	R0 = R0 << 6;
	R0 = R6 + R0 (NS);
	P1 = R0;
	R0.L = 137;
	// -- 3 stalls --
	W[P1 + 32] = R0;
.LN42:
// line 66
	R0 = W[P0] (Z);
	R0 = R0 << 6;
	R0 = R6 + R0 (NS);
	P1 = R0;
	// -- 4 stalls --
	W[P1 + 34] = R7;
.LN43:
// line 46
	R0 = W[P0] (Z);
	R0 += 1;
	W[FP + 10] = R0;
	jump .P41L4;

.P41L6:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN44:
// line 69
	R1 = 4096;
	R4 = 64;
	R0 = ROT R4 BY 0;
	CALL.X (_ConfigureDMAChannelPerif);
.LN45:
// line 70
	R1 = 8192;
	R0 = 128;
	CALL.X (_ConfigureDMAChannelPerif);
.LN46:
// line 73
	P1 = 3216 /* -4191088 */;
	P1.H = -64 /* -4191088 */;
	W[P1] = R7.L;
.LN47:
// line 74
	P1 = 3220 /* -4191084 */;
	P1.H = -64 /* -4191084 */;
	R0.L = 4;
	W[P1] = R0.L;
.LN48:
// line 77
	P1 = 3152 /* -4191152 */;
	P1.H = -64 /* -4191152 */;
	W[P1] = R7.L;
.LN49:
// line 78
	P1 = 3156 /* -4191148 */;
	P1.H = -64 /* -4191148 */;
	W[P1] = R0.L;
.LN50:
// line 80
	R1 = ROT R5 BY 0;
	R0 = ROT R4 BY 0;
	CALL.X (_ConfigureDMAChannelDesc);
.LN51:
// line 81
	R1 = ROT R6 BY 0;
.LN52:
// line 70
	R0 = 128;
.LN53:
// line 81
	CALL.X (_ConfigureDMAChannelDesc);
.LN54:
// line 83
	R2 = 7;
	R1 = 5;
	R0 = ROT R4 BY 0;
	CALL.X (_PrepareDescrDMAAndStart);
.LN55:
// line 85
	R0 = 17;
	CALL.X (_Enable_Interrupt_Perif);
.LN56:
// line 86
	SP += 12;
	(R7:4, P5:5) = [SP++];
	UNLINK;
	RTS;
.LN._SetupDMA.end:
._SetupDMA.end:
	.global _SetupDMA;
	.type _SetupDMA,STT_FUNC;

	.align 2;
_SetDefaultEthernetParameters:
.LN_SetDefaultEthernetParameters:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 24 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P1,ASTAT0-ASTAT1}
//   Call preserved registers used:{R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\Ether.c":94
	LINK 24;
	[SP + 12] = R7;
	[FP + 8] = R0;
.LN57:
// line 95
	P1.L = .epcrodata;
	P1.H = .epcrodata;
	R1 = [P1];
	[FP + -8] = R1;
	P1.L = .epcrodata+4;
	P1.H = .epcrodata+4;
	R1.L = W[P1];
	W[FP + -4] = R1;
.LN58:
// line 97
	R2 = 84;
	R7 = 0;
	R1 = 0;
	CALL.X (_memset);
.LN59:
// line 98
	P1 = [FP + 8];
	[P1 + 44] = R7;
.LN60:
// line 99
	P1 = [FP + 8];
	R0 = 1;
	[P1 + 48] = R0;
.LN61:
// line 100
	P1 = [FP + 8];
	R2 = 6;
	[P1 + 40] = R2;
.LN62:
// line 101
	P1 = [FP + 8];
	R1.L = 0;
	W[P1 + 68] = R1;
.LN63:
// line 102
	P1 = [FP + 8];
	W[P1 + 70] = R1;
.LN64:
// line 103
	P1 = [FP + 8];
	W[P1 + 14] = R0;
.LN65:
// line 104
	P1 = [FP + 8];
	B[P1 + 21] = R7;
.LN66:
// line 105
	P1 = [FP + 8];
	B[P1 + 22] = R0;
.LN67:
// line 106
	P1 = [FP + 8];
	B[P1 + 27] = R7;
.LN68:
// line 107
	P1 = [FP + 8];
	B[P1 + 28] = R0;
.LN69:
// line 108
	P1 = [FP + 8];
	B[P1 + 24] = R0;
.LN70:
// line 109
	P1 = [FP + 8];
	R0 = 9632 /* 2500000 */;
	R0.H = 38 /* 2500000 */;
	[P1 + 8] = R0;
.LN71:
// line 111
	P1 = [FP + 8];
	P1 += 34;
	R0 = P1;
	R1 = FP;
	R3 = -8;
	R1 = R1 + R3 (NS);
	CALL.X (___memcpy2);
.LN72:
// line 112
	R7 = [SP + 12];
	UNLINK;
	RTS;
.LN._SetDefaultEthernetParameters.end:
._SetDefaultEthernetParameters.end:
	.global _SetDefaultEthernetParameters;
	.type _SetDefaultEthernetParameters,STT_FUNC;

	.align 2;
_StartMAC:
.LN_StartMAC:
	.reference _EtherDevice;
	.reference _SetupDMA;
	.reference _DMA_MAC_RX_InterruptHandler;
	.reference _DMA_MAC_TX_InterruptHandler;
	.reference _PeripheralErrorInterruptHandler;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 20 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{R6.L,R6.H,R7.L,R7.H,P5,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _StartMAC:
//  .\HARDWARE\Ether.c:197:2'_sti
//  .\HARDWARE\Ether.c:196:20'_ssync
//  .\HARDWARE\Ether.c:196:20'_cli
//  .\HARDWARE\Ether.c:130:2'_ssync
//  .\HARDWARE\Ether.c:123:23'_ssync
//  .\HARDWARE\Ether.c:123:23'_cli
//-------------------------------------------------------------------
// line ".\HARDWARE\Ether.c":120
	LINK 20;
	[--SP] = (R7:6, P5:5);
	SP += -12;
	[FP + 8] = R0;
.LN73:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":1741
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
.LN74:
	[FP + -8] = R0;
.LN75:
// line ".\HARDWARE\Ether.c":123
	[FP + -16] = R0;
.LN76:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN77:
// line ".\HARDWARE\Ether.c":127
	P5 = 12288 /* -4182016 */;
	P5.H = -64 /* -4182016 */;
	R7 = 0;
	[P5] = R7;
.LN78:
// line 129
	R0 = [FP + 8];
	P1.L = .epcbss;
	P1.H = .epcbss;
	[P1] = R0;
.LN79:
// line 130
	P1 = 12808 /* -4181496 */;
	P1.H = -64 /* -4181496 */;
	R0 = W[P1] (Z);
	R1 = 65535 (Z);
	R0 = R0 | R1;
	W[P1] = R0.L;
.LN80:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN81:
// line ".\HARDWARE\Ether.c":133
	CALL.X (_EnableClkBufOut);
.LN82:
// line 135
	R0 = [FP + 8];
	R0 += 34;
.LN83:
	CALL.X (_SetMacAddr);
.LN84:
// line 137
	CALL.X (_SetupDMA);
.LN85:
// line 140
	P1 = [FP + 8];
	R1 = [P1 + 44];
.LN86:
	R2.L = _DMA_MAC_RX_InterruptHandler;
	R2.H = _DMA_MAC_RX_InterruptHandler;
	R0 = 17;
	CALL.X (_Set_Enable_InterruptIVG_Perif);
.LN87:
// line 143
	P1 = [FP + 8];
	R1 = [P1 + 48];
.LN88:
	R2.L = _DMA_MAC_TX_InterruptHandler;
	R2.H = _DMA_MAC_TX_InterruptHandler;
	R0 = 18;
	CALL.X (_Set_InterruptIVG_Perif);
.LN89:
// line 145
	P1 = [FP + 8];
	R1 = [P1 + 40];
.LN90:
	R2.L = _PeripheralErrorInterruptHandler;
	R2.H = _PeripheralErrorInterruptHandler;
	R6 = 2;
	R0 = 2;
	CALL.X (_Set_Enable_InterruptIVG_Perif);
.LN91:
// line 149
	P1 = 12416 /* -4181888 */;
	P1.H = -64 /* -4181888 */;
	R0 = 13;
	[P1] = R0;
.LN92:
// line 150
	R0.L = 0;
	W[FP + 12] = R0;
.LN93:
// line 151
	P1 = [FP + 8];
	R1 = B[P1 + 24] (Z);
	CC = R1 == 0;
	if CC jump .P49L2 ;

.P49L1:
.LN94:
// line 152
	W[FP + 12] = R6;
	jump .P49L3;

.P49L2:

.P49L3:
.LN95:
// line 153
	R1 = W[FP + 12] (Z);
	[P5] = R1;
.LN96:
// line 156
	W[FP + 12] = R0;
.LN97:
// line 157
	P1 = [FP + 8];
	R0 = B[P1 + 23] (Z);
	CC = R0 == 0;
	if CC jump .P49L5 ;

.P49L4:
	R0 = 0;
.LN98:
// line 158
	BITSET(R0, 2);
	W[FP + 12] = R0;
	jump .P49L6;

.P49L5:

.P49L6:
.LN99:
// line 159
	P1 = [FP + 8];
	R0 = B[P1 + 25] (Z);
	CC = R0 == 0;
	if !CC jump .P49L8 ;

.P49L7:
.LN100:
// line 160
	R0 = W[FP + 12] (Z);
	BITSET(R0, 1);
	W[FP + 12] = R0;
	jump .P49L9;

.P49L8:

.P49L9:
.LN101:
// line 163
	P1.L = _CurSystClkHz;
	P1.H = _CurSystClkHz;
	R0 = [P1];
	P1 = [FP + 8];
	R1 = [P1 + 8];
	CALL.X (___udiv32);                     // division is implemented as a library call. 
	R0 = R0 >> 1;
	R0 += -1;
	CALL.X (___unsigned_int32_to_float32);  // instruction is implemented as a library call. 
	R6 = ROT R0 BY 0;
	[FP + -20] = R0;
.LN102:
// line 164
	CALL.X (___float32_to_unsigned_int32);  // float to int conversion is implemented as a library call. 
	R0 = R0.L (Z);
	W[FP + 14] = R0;
.LN103:
// line 165
	CALL.X (___unsigned_int32_to_float32);  // instruction is implemented as a library call. 
	R1 = ROT R0 BY 0;
	R0 = ROT R6 BY 0;
	CALL.X (___float32_sub);                // float  is implemented as a library call. 
	R1 = ROT R0 BY 0;
	R0 = 0 /* 1056964608 */;
	R0.H = 16128 /* 1056964608 */;
	CALL.X (___float32_adi_lt);             // float comparison is implemented as a library call. There is one more instruction related to this call. 
	R0 = CC;
	CC = R0 == 0;
	if CC jump .P49L11 ;

.P49L10:
.LN104:
// line 166
	R0 = W[FP + 14] (Z);
	R0 += 1;
	W[FP + 14] = R0;
	jump .P49L12;

.P49L11:

.P49L12:
.LN105:
// line 169
	R0 = W[FP + 14] (Z);
	R0 = R0 << 8;
	R1 = W[FP + 12] (Z);
	R0 = R0 | R1;
	R0 = R0.L (Z);
	W[FP + 12] = R0;
.LN106:
// line 170
	P1 = 12384 /* -4181920 */;
	P1.H = -64 /* -4181920 */;
	[P1] = R0;
.LN107:
// line 172
	R0 = [FP + 8];
.LN108:
	CALL.X (_SetPhy);
.LN109:
// line 173
	P1 = [FP + 8];
	R0 = [P1 + 16];
	R1 = R0.L (Z);
	R2 = 7;
	CC = R1 == R2;
	if !CC jump .P49L13 ;

.P49L16:
	R1 = 0 /* -1048576 */;
	R1.H = -16 /* -1048576 */;
	R0 = R0 & R1;
	R1 = 0 /* -1063256064 */;
	R1.H = -16224 /* -1063256064 */;
	CC = R0 == R1;
	if CC jump .P49L14 ;

.P49L17:
	R1 = 0 /* -1061158912 */;
	R1.H = -16192 /* -1061158912 */;
	CC = R0 == R1;
	if CC jump .P49L14 ;

.P49L13:
.LN110:
// line 178
	[FP + -12] = R7;

.P49L18:
	R0 = [FP + -12];
	SP += 12;
	(R7:6, P5:5) = [SP++];
	UNLINK;
	RTS;

.P49L14:
.LN111:
// line 182
	R0 = W[P1 + 14] (Z);
.LN112:
	R2 = 244;
	R1 = 30;
	CALL.X (_WrPHYReg);
.LN113:
// line 185
	P1 = [FP + 8];
	R0 = W[P1 + 14] (Z);
.LN114:
	R1 = 30;
	CALL.X (_RdPHYReg);
.LN115:
// line 187
	P1 = 12424 /* -4181880 */;
	P1.H = -64 /* -4181880 */;
	R0 = -1 /* 16777215 */;
	R0.H = 255 /* 16777215 */;
	[P1] = R0;
.LN116:
// line 188
	P1 = 12432 /* -4181872 */;
	P1.H = -64 /* -4181872 */;
	[P1] = R0;
.LN117:
// line 191
	R0 = [P5];
	R1 = 1 /* 65537 */;
	R1.H = 1 /* 65537 */;
	R0 = R0 | R1;
	[P5] = R0;
.LN118:
// line 193
	P1 = [FP + 8];
	R0 = 1;
	B[P1 + 1] = R0;
.LN119:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":1741
	.MESSAGE/SUPPRESS 5515;
		CLI R1;
.LN120:
	[FP + -4] = R1;
.LN121:
// line ".\HARDWARE\Ether.c":196
	R2 = [FP + -16];
	R1 = R1 | R2;
	[FP + -16] = R1;
.LN122:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R1;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R1;
.LN123:
// line ".\HARDWARE\Ether.c":197
	R1 = [FP + -16];
.LN124:
	[FP + 16] = R1;
.LN125:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":1756
	.MESSAGE/RESTORE 5515;
		STI R1;
.LN126:
// line ".\HARDWARE\Ether.c":198
	[FP + -12] = R0;
	jump .P49L18;
.LN._StartMAC.end:
._StartMAC.end:
	.global _StartMAC;
	.type _StartMAC,STT_FUNC;

	.align 2;
_StopMAC:
.LN_StopMAC:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H,P1}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _StopMAC:
//  .\HARDWARE\Ether.c:218:7'_ssync
//-------------------------------------------------------------------
// line ".\HARDWARE\Ether.c":207
	LINK 12;
	[FP + 8] = R0;
.LN127:
// line 208
	R0 = 17;
	CALL.X (_Disable_Interrupt_Perif);
.LN128:
// line 209
	R0 = 18;
	CALL.X (_Disable_Interrupt_Perif);
.LN129:
// line 214
	R0 = 64;
	CALL.X (_StopDMA);
.LN130:
// line 215
	R0 = 128;
	CALL.X (_StopDMA);
.LN131:
// line 217
	P1 = 12288 /* -4182016 */;
	P1.H = -64 /* -4182016 */;
	R0 = 0;
	[P1] = R0;
.LN132:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN133:
// line ".\HARDWARE\Ether.c":219
	UNLINK;
	RTS;
.LN._StopMAC.end:
._StopMAC.end:
	.global _StopMAC;
	.type _StopMAC,STT_FUNC;

	.align 2;
_WriteEthernetDevice:
.LN_WriteEthernetDevice:
	.reference _EtherDevice;
	.reference _MAC_WRITE_DESCR;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{R6.L,R6.H,R7.L,R7.H,P5,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _WriteEthernetDevice:
//  .\HARDWARE\Ether.c:244:22'_min
//-------------------------------------------------------------------
// line ".\HARDWARE\Ether.c":239
	LINK 16;
	[--SP] = (R7:6, P5:5);
	SP += -12;
	[FP + 12] = R1;
	[FP + 8] = R0;
.LN134:
// line 240
	P1.L = .epcbss;
	P1.H = .epcbss;
	R0 = [P1];
	[FP + -16] = R0;

.P67L1:
//-------------------------------------------------------------------
//   Loop at ".\HARDWARE\Ether.c" line 242 col 2
//-------------------------------------------------------------------
.LN135:
// line 242
	R0 = [FP + 12];
	CC = R0 == 0;
	if CC jump .P67L2 ;

.P67L7:
.LN136:
// line 244
	R1 = 1560;
	[FP + -12] = R1;
	[FP + -8] = R0;
.LN137:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":409
	R0 = MIN(R0, R1);
	R2 = R0.L (Z);
.LN138:
	[FP + -4] = R0;
.LN139:
// line ".\HARDWARE\Ether.c":244
	W[FP + 16] = R0;
.LN140:
// line 245
	P1 = [FP + -16];
	P5 = 68;
	P1 = P1 + P5;
	R0 = W[P1] (Z);
	R0 = R0 << 6;
	R7.L = _MAC_WRITE_DESCR;
	R7.H = _MAC_WRITE_DESCR;
	R0 = R7 + R0 (NS);
	R0 += 16;
	P1 = R0;
	R3 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R6 = R0 << 8;
	R0 = B[P1 + 2] (Z);
	R0 = R0 << 16;
	R1 = B[P1 + 3] (Z);
	R1 = R1 << 24;
	R0 = R0 | R1;
	R0 = R6 | R0;
	R0 = R3 | R0;
	P1 = [FP + 8];
	R1 = P1;
	CALL.X (___memcpy2);
.LN141:
// line 246
	R1 = [FP + 12];
	P1 = [FP + -16];
	P1 = P1 + P5;
	R0 = W[P1] (Z);
	R0 = R0 << 6;
	R0 = R7 + R0 (NS);
	R0 += 4;
	P1 = R0;
	R7 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0 = R0 << 8;
	R2 = B[P1 + 2] (Z);
	R2 = R2 << 16;
	R3 = B[P1 + 3] (Z);
	R3 = R3 << 24;
	R2 = R2 | R3;
	R0 = R0 | R2;
	R0 = R7 | R0;
	P1 = R0;
	[P1] = R1;
.LN142:
// line 247
	P1 = [FP + -16];
	P1 = P1 + P5;
	R0 = W[P1] (Z);
	R0 += 1;
	R0 = R0.L (Z);
	W[P1] = R0.L;
	R1 = 1024;
	CC = R0 < R1;
	if CC jump .P67L5 ;

.P67L4:
.LN143:
// line 248
	P1 = [FP + -16];
	R0.L = 0;
	NOP;                                    // Inserted to fix anomaly w05_00_0245_with_boundaries. 
	W[P1 + 68] = R0;
	jump .P67L6;

.P67L5:

.P67L6:
	jump .P67L1;

.P67L2:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN144:
// line 250
	R0 = 18;
	CALL.X (_Enable_Interrupt_Perif);
.LN145:
// line 251
	SP += 12;
	(R7:6, P5:5) = [SP++];
	UNLINK;
	RTS;
.LN._WriteEthernetDevice.end:
._WriteEthernetDevice.end:
	.global _WriteEthernetDevice;
	.type _WriteEthernetDevice,STT_FUNC;

	.align 2;
_DMA_MAC_TX_InterruptHandler:
.LN_DMA_MAC_TX_InterruptHandler:
	.reference _EtherDevice;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 4 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1}
//   Call preserved registers used:{FP,SP,L0-L3,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\Ether.c":283
	LINK 4;
	[--SP] = LC0;                           // Inserted 6 instrs to fix anomaly w05_00_0312. 
	[--SP] = LC1;
	[--SP] = LT0;
	[--SP] = LT1;
	[--SP] = LB0;
	[--SP] = LB1;
	[--SP] = ASTAT;
	[--SP] = R0;
	[--SP] = R1;
	[--SP] = R2;
	[--SP] = R3;
	[--SP] = P0;
	[--SP] = P1;
	[--SP] = P2;
	[--SP] = A0.W;
	[--SP] = A0.X;
	[--SP] = A1.W;
	[--SP] = A1.X;
	[--SP] = L0;
	[--SP] = L1;
	[--SP] = L2;
	[--SP] = L3;
	[--SP] = I0;
	[--SP] = I1;
	[--SP] = I2;
	[--SP] = I3;
	[--SP] = B0;
	[--SP] = B1;
	[--SP] = B2;
	[--SP] = B3;
	[--SP] = M0;
	[--SP] = M1;
	[--SP] = M2;
	[--SP] = M3;
	L0 = 0;
	L1 = 0;
	L2 = 0;
	L3 = 0;
	SP += -12;
.LN146:
// line 285
	P1 = 3240 /* -4191064 */;
	P1.H = -64 /* -4191064 */;
	R0.L = 1;
	W[P1] = R0.L;
.LN147:
// line 286
	P0.L = .epcbss;
	P0.H = .epcbss;
	R0 = [P0];
	[FP + -4] = R0;
.LN148:
// line 288
	R0 = W[P1] (Z);
	R1 = 13;
	R0 = R0 & R1;
	CC = R0 == 1;
	if !CC jump .P53L2 ;

.P53L1:
.LN149:
// line 291
	P1 = 12672 /* -4181632 */;
	P1.H = -64 /* -4181632 */;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R0 = [P1];
	P1 = [FP + -4];
	R1 = W[P1 + 74] (Z);
	R0 = R0 + R1 (NS);
	W[P1 + 74] = R0;
.LN150:
// line 292
	P1 = [FP + -4];
	R0 = W[P1 + 74] (Z);
	R1 = 1024;
	CC = R0 < R1;
	if CC jump .P53L5 ;

.P53L4:
.LN151:
// line 293
	R1 = -1024;
	R0 = R0 + R1 (NS);
	W[P1 + 74] = R0;
	jump .P53L6;

.P53L5:

.P53L6:
.LN152:
// line 294
	P1 = [FP + -4];
	R0 = W[P1 + 74] (Z);
	R1 = W[P1 + 68] (Z);
	CC = R0 == R1;
	if CC jump .P53L8 ;

.P53L7:
.LN153:
// line 297
	R2 = 7;
	R1 = 5;
	R0 = 128;
	CALL.X (_PrepareDescrDMAAndStart);
.LN154:
// line 298
	jump .P53L9;

.P53L8:

.P53L9:
.LN155:
// line 299
	jump .P53L3;

.P53L2:

.P53L3:
.LN156:
// line 300
	SP += 12;
	M3 = [SP++];
	M2 = [SP++];
	M1 = [SP++];
	M0 = [SP++];
	B3 = [SP++];
	B2 = [SP++];
	B1 = [SP++];
	B0 = [SP++];
	I3 = [SP++];
	I2 = [SP++];
	I1 = [SP++];
	I0 = [SP++];
	L3 = [SP++];
	L2 = [SP++];
	L1 = [SP++];
	L0 = [SP++];
	A1.X = [SP++];
	A1.W = [SP++];
	A0.X = [SP++];
	A0.W = [SP++];
	P2 = [SP++];
	P1 = [SP++];
	P0 = [SP++];
	R3 = [SP++];
	R2 = [SP++];
	R1 = [SP++];
	R0 = [SP++];
	ASTAT = [SP++];
	LB1 = [SP++];                           // Inserted 6 instrs to fix anomaly w05_00_0312. 
	LB0 = [SP++];
	LT1 = [SP++];
	LT0 = [SP++];
	LC1 = [SP++];
	LC0 = [SP++];
	UNLINK;
	RTI;
.LN._DMA_MAC_TX_InterruptHandler.end:
._DMA_MAC_TX_InterruptHandler.end:
	.global _DMA_MAC_TX_InterruptHandler;
	.type _DMA_MAC_TX_InterruptHandler,STT_FUNC;

	.align 2;
_PeripheralErrorInterruptHandler:
.LN_PeripheralErrorInterruptHandler:
	.reference _EtherDevice;
	.reference _ContinuePeripheralErrorInterrupt;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1}
//   Call preserved registers used:{FP,SP,L0-L3,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\Ether.c":305
	LINK 16;
	[--SP] = LC0;                           // Inserted 6 instrs to fix anomaly w05_00_0312. 
	[--SP] = LC1;
	[--SP] = LT0;
	[--SP] = LT1;
	[--SP] = LB0;
	[--SP] = LB1;
	[--SP] = ASTAT;
	[--SP] = R0;
	[--SP] = R1;
	[--SP] = R2;
	[--SP] = R3;
	[--SP] = P0;
	[--SP] = P1;
	[--SP] = P2;
	[--SP] = A0.W;
	[--SP] = A0.X;
	[--SP] = A1.W;
	[--SP] = A1.X;
	[--SP] = L0;
	[--SP] = L1;
	[--SP] = L2;
	[--SP] = L3;
	[--SP] = I0;
	[--SP] = I1;
	[--SP] = I2;
	[--SP] = I3;
	[--SP] = B0;
	[--SP] = B1;
	[--SP] = B2;
	[--SP] = B3;
	[--SP] = M0;
	[--SP] = M1;
	[--SP] = M2;
	[--SP] = M3;
	L0 = 0;
	L1 = 0;
	L2 = 0;
	L3 = 0;
	SP += -12;
.LN157:
// line 306
	P1.L = .epcbss;
	P1.H = .epcbss;
	R0 = [P1];
	[FP + -16] = R0;
.LN158:
// line 307
	P1 = 12388 /* -4181916 */;
	P1.H = -64 /* -4181916 */;
	R0 = [P1];
	W[FP + -4] = R0;
.LN159:
// line 310
	R0 = 225;
	[P1] = R0;
.LN160:
// line 311
	R0 = W[FP + -4] (Z);
	CC = !BITTST(R0, 1);
	if CC jump .P55L2 ;

.P55L1:
.LN161:
// line 314
	P1 = 12420 /* -4181884 */;
	P1.H = -64 /* -4181884 */;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R0 = [P1];
	[FP + -12] = R0;
.LN162:
// line 315
	P0 = 12428 /* -4181876 */;
	P0.H = -64 /* -4181876 */;
	R0 = [P0];
	[FP + -8] = R0;
.LN163:
// line 318
	R0 = [FP + -12];
	[P1] = R0;
.LN164:
// line 319
	R0 = [FP + -8];
	[P0] = R0;
.LN165:
// line 320
	jump .P55L3;

.P55L2:

.P55L3:
.LN166:
// line 321
	R0 = W[FP + -4] (Z);
	CC = !BITTST(R0, 0);
	if CC jump .P55L5 ;

.P55L4:
.LN167:
// line 325
	BITCLR(R0, 0);
	W[FP + -4] = R0;
.LN168:
// line 326
	P1 = [FP + -16];
	R0 = W[P1 + 14] (Z);
.LN169:
	R1 = 29;
	CALL.X (_RdPHYReg);
.LN170:
	W[FP + -2] = R0;
.LN171:
// line 327
	R0 = R0.L (Z);
	R1 = 144;
	R0 = R0 & R1;
	CC = R0 == 0;
	if CC jump .P55L8 ;

.P55L7:
.LN172:
// line 332
	P1 = [FP + -16];
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R0 = W[P1 + 14] (Z);
.LN173:
	R1 = 5;
	CALL.X (_RdPHYReg);
	R0 = R0.L (Z);
.LN174:
	CC = !BITTST(R0, 10);
	if CC jump .P55L11 ;

.P55L10:
.LN175:
// line 335
	P1 = [FP + -16];
	R0 = 1;
	NOP;                                    // Inserted to fix anomaly w05_00_0245_with_boundaries. 
	B[P1 + 31] = R0;
.LN176:
// line 336
	P1 = 12316 /* -4181988 */;
	P1.H = -64 /* -4181988 */;
	R0 = 2;
	[P1] = R0;
.LN177:
// line 337
	jump .P55L12;

.P55L11:
.LN178:
// line 340
	P1 = [FP + -16];
	R0 = 0;
	B[P1 + 31] = R0;
.LN179:
// line 341
	P1 = 12316 /* -4181988 */;
	P1.H = -64 /* -4181988 */;
	R0 = [P1];
	BITCLR(R0, 1);
	[P1] = R0;

.P55L12:
.LN180:
// line 343
	jump .P55L9;

.P55L8:

.P55L9:

.LN181:
// line 351
	R0 = W[FP + -2] (Z);
	CC = !BITTST(R0, 6);
	if CC jump .P55L17 ;

.P55L16:
.LN182:
// line 354
	R0 = [FP + -16];
.LN183:
	CALL.X (_ProcessNegotiationResult);
.LN184:
// line 355
	jump .P55L18;

.P55L17:

.P55L18:
.LN185:
// line 356
	jump .P55L6;

.P55L5:

.P55L6:
.LN186:
// line 358
	R0 = W[FP + -4] (Z);
	CC = !BITTST(R0, 1);
	if CC jump .P55L20 ;

.P55L19:
.LN187:
// line 359
	BITCLR(R0, 1);
	W[FP + -4] = R0;
	jump .P55L21;

.P55L20:

.P55L21:
.LN188:
// line 361
	P1.L = .epcdata;
	P1.H = .epcdata;
	R0 = [P1];
	CC = R0 == 0;
	if CC jump .P55L23 ;

.P55L22:
.LN189:
// line 362
	P1 = [P1];
.LN190:
	CALL (P1);
.LN191:
	jump .P55L24;

.P55L23:

.P55L24:
.LN192:
// line 363
	SP += 12;
	M3 = [SP++];
	M2 = [SP++];
	M1 = [SP++];
	M0 = [SP++];
	B3 = [SP++];
	B2 = [SP++];
	B1 = [SP++];
	B0 = [SP++];
	I3 = [SP++];
	I2 = [SP++];
	I1 = [SP++];
	I0 = [SP++];
	L3 = [SP++];
	L2 = [SP++];
	L1 = [SP++];
	L0 = [SP++];
	A1.X = [SP++];
	A1.W = [SP++];
	A0.X = [SP++];
	A0.W = [SP++];
	P2 = [SP++];
	P1 = [SP++];
	P0 = [SP++];
	R3 = [SP++];
	R2 = [SP++];
	R1 = [SP++];
	R0 = [SP++];
	ASTAT = [SP++];
	LB1 = [SP++];                           // Inserted 6 instrs to fix anomaly w05_00_0312. 
	LB0 = [SP++];
	LT1 = [SP++];
	LT0 = [SP++];
	LC1 = [SP++];
	LC0 = [SP++];
	UNLINK;
	RTI;
.LN._PeripheralErrorInterruptHandler.end:
._PeripheralErrorInterruptHandler.end:
	.global _PeripheralErrorInterruptHandler;
	.type _PeripheralErrorInterruptHandler,STT_FUNC;

	.file_attr ProjectName="ltr030-bf-fos";
	.file_attr FuncName="_DMA_MAC_RX_InterruptHandler";
	.file_attr FuncName="_ReadEthernetDevice";
	.file_attr FuncName="_ssync";
	.file_attr FuncName="_sti";
	.file_attr FuncName="_cli";
	.file_attr FuncName="_min";
	.file_attr FuncName="_SetupDMA";
	.file_attr FuncName="_SetDefaultEthernetParameters";
	.file_attr FuncName="_StartMAC";
	.file_attr FuncName="_StopMAC";
	.file_attr FuncName="_WriteEthernetDevice";
	.file_attr FuncName="_DMA_MAC_TX_InterruptHandler";
	.file_attr FuncName="_PeripheralErrorInterruptHandler";
	.file_attr Content="CodeData";
.epctext.end:

	.extern _memset;
	.type _memset,STT_FUNC;
	.extern _ConfigureDMAChannelPerif;
	.type _ConfigureDMAChannelPerif,STT_FUNC;
	.extern _ConfigureDMAChannelDesc;
	.type _ConfigureDMAChannelDesc,STT_FUNC;
	.extern _PrepareDescrDMAAndStart;
	.type _PrepareDescrDMAAndStart,STT_FUNC;
	.extern _Enable_Interrupt_Perif;
	.type _Enable_Interrupt_Perif,STT_FUNC;
	.extern ___memcpy2;
	.type ___memcpy2,STT_FUNC;
	.extern _EnableClkBufOut;
	.type _EnableClkBufOut,STT_FUNC;
	.extern _SetMacAddr;
	.type _SetMacAddr,STT_FUNC;
	.extern _Set_Enable_InterruptIVG_Perif;
	.type _Set_Enable_InterruptIVG_Perif,STT_FUNC;
	.extern _Set_InterruptIVG_Perif;
	.type _Set_InterruptIVG_Perif,STT_FUNC;
	.extern ___udiv32;
	.type ___udiv32,STT_FUNC;
	.extern ___unsigned_int32_to_float32;
	.type ___unsigned_int32_to_float32,STT_FUNC;
	.extern ___float32_to_unsigned_int32;
	.type ___float32_to_unsigned_int32,STT_FUNC;
	.extern ___float32_sub;
	.type ___float32_sub,STT_FUNC;
	.extern ___float32_adi_lt;
	.type ___float32_adi_lt,STT_FUNC;
	.extern _SetPhy;
	.type _SetPhy,STT_FUNC;
	.extern _WrPHYReg;
	.type _WrPHYReg,STT_FUNC;
	.extern _RdPHYReg;
	.type _RdPHYReg,STT_FUNC;
	.extern _Disable_Interrupt_Perif;
	.type _Disable_Interrupt_Perif,STT_FUNC;
	.extern _StopDMA;
	.type _StopDMA,STT_FUNC;
	.extern _ProcessNegotiationResult;
	.type _ProcessNegotiationResult,STT_FUNC;

	.section/DOUBLE32 data1;

	.align 4;
.epcdata:
	.type .epcdata,STT_OBJECT;
	.byte _ContinuePeripheralErrorInterrupt[4];
	.global _ContinuePeripheralErrorInterrupt;
	.type _ContinuePeripheralErrorInterrupt,STT_OBJECT;
_EtherData:
	.global _EtherData;
	.type _EtherData,STT_OBJECT;
	.byte4 = _EthernetBuffer;
.epcdata.end:

	.section/DOUBLE32 constdata;

	.align 4;
.epcrodata:
	.type .epcrodata,STT_OBJECT;
	.byte =
		0x00,0xE0,0x22,0xFE,0x4F,0x1D;
.epcrodata.end:

	.section/ZERO_INIT/DOUBLE32 bsz;

	.align 4;
.epcbss:
	.type .epcbss,STT_OBJECT;
	.byte _EtherDevice[4];
	.global _EtherDevice;
	.type _EtherDevice,STT_OBJECT;
.epcbss.end:

	.section .debug_abbrev SHT_DEBUGINFO;

	.align 1;
.epcabbrev:
	.type .epcabbrev,STT_OBJECT;
	.inc/binary "Ether.sbn", 0, 283;
.epcabbrev.end:

	.section .debug_info SHT_DEBUGINFO;

	.align 1;
.epcdebug:
	.type .epcdebug,STT_OBJECT;
	.byte =
		0x9A,0x52,0x00,0x00,0x02,0x00;
	.byte4 = .epcabbrev;
	.byte =
		0x04,0x01,0x2E,0x5C,0x48,0x41,0x52,0x44,0x57,0x41,0x52,0x45,
		0x5C,0x45,0x74,0x68,0x65,0x72,0x2E,0x63,0x00,0x01;
	.byte4 = .epcline;
	.inc/binary "Ether.sbn", 283, 19797;
	.byte4 = .LN_DMA_MAC_RX_InterruptHandler;
	.byte4 = .LN._DMA_MAC_RX_InterruptHandler.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN0;
	.byte4 = .LN._DMA_MAC_RX_InterruptHandler.end;
	.byte =
		0x13,0x64,0x65,0x76,0x00,0x01,0xF0,0x4D,0x00,0x00,0x02,0x7F,
		0x74,0x00,0x00,0x00,0x00,0x00,0x13,0x69,0x00,0x01,0xFC,0x08,
		0x00,0x00,0x02,0x7F,0x7A,0x00,0x00,0x00,0x00,0x00,0x13,0x4E,
		0x75,0x6D,0x46,0x72,0x61,0x6D,0x65,0x73,0x52,0x65,0x63,0x76,
		0x00,0x01,0xFC,0x08,0x00,0x00,0x02,0x7F,0x7C,0x00,0x00,0x00,
		0x00,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN4;
	.byte4 = .LN9;
	.byte =
		0x13,0x66,0x66,0x00,0x01,0xFC,0x08,0x00,0x00,0x02,0x7F,0x7E,
		0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x00,0xFE,0x20,
		0x00,0x00,0x11,0x49,0x4E,0x00,0x00,0x52,0x65,0x61,0x64,0x45,
		0x74,0x68,0x65,0x72,0x6E,0x65,0x74,0x44,0x65,0x76,0x69,0x63,
		0x65,0x00,0x01;
	.byte4 = .LN_ReadEthernetDevice;
	.byte4 = .LN._ReadEthernetDevice.end;
	.byte =
		0x01,0x01,0x00,0x14,0x70,0x44,0x61,0x74,0x61,0x00,0x7E,0x4C,
		0x00,0x00,0x02,0x7F,0x08,0x00,0x14,0x4E,0x75,0x6D,0x44,0x61,
		0x74,0x61,0x00,0x07,0x09,0x00,0x00,0x02,0x7F,0x0C,0x00,0x12,
		0x00,0x00,0x00,0x00;
	.byte4 = .LN14;
	.byte4 = .LN._ReadEthernetDevice.end;
	.byte =
		0x00,0x00,0x11,0xB4,0x4E,0x00,0x00,0x53,0x65,0x74,0x75,0x70,
		0x44,0x4D,0x41,0x00,0x01;
	.byte4 = .LN_SetupDMA;
	.byte4 = .LN._SetupDMA.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN15;
	.byte4 = .LN._SetupDMA.end;
	.byte =
		0x13,0x69,0x00,0x01,0xFC,0x08,0x00,0x00,0x02,0x7F,0x0A,0x00,
		0x00,0x00,0x00,0x00,0x13,0x4E,0x65,0x78,0x74,0x44,0x65,0x73,
		0x63,0x72,0x00,0x01,0xFC,0x08,0x00,0x00,0x02,0x7F,0x08,0x00,
		0x00,0x00,0x00,0x00,0x13,0x52,0x65,0x63,0x69,0x65,0x76,0x65,
		0x53,0x69,0x7A,0x65,0x00,0x01,0x07,0x09,0x00,0x00,0x02,0x7F,
		0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x11,0x13,0x4F,0x00,
		0x00,0x53,0x65,0x74,0x44,0x65,0x66,0x61,0x75,0x6C,0x74,0x45,
		0x74,0x68,0x65,0x72,0x6E,0x65,0x74,0x50,0x61,0x72,0x61,0x6D,
		0x65,0x74,0x65,0x72,0x73,0x00,0x01;
	.byte4 = .LN_SetDefaultEthernetParameters;
	.byte4 = .LN._SetDefaultEthernetParameters.end;
	.byte =
		0x01,0x01,0x00,0x14,0x64,0x65,0x76,0x00,0xF0,0x4D,0x00,0x00,
		0x02,0x7F,0x08,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN57;
	.byte4 = .LN._SetDefaultEthernetParameters.end;
	.byte =
		0x13,0x68,0x77,0x61,0x64,0x64,0x72,0x00,0x01,0x13,0x4F,0x00,
		0x00,0x02,0x7F,0x78;
	.byte4 = .LN57-.LN_SetDefaultEthernetParameters;
	.byte =
		0x00,0x00,0x00,0x0F,0x21,0x4F,0x00,0x00,0x50,0x01,0x00,0x00,
		0x10,0x06,0x00,0x05,0x00,0x15,0xB4,0x4F,0x00,0x00,0x53,0x74,
		0x61,0x72,0x74,0x4D,0x41,0x43,0x00,0x01;
	.byte4 = .LN_StartMAC;
	.byte4 = .LN._StartMAC.end;
	.byte =
		0x01,0x3D,0x01,0x00,0x00,0x01,0x00,0x14,0x64,0x65,0x76,0x00,
		0xF0,0x4D,0x00,0x00,0x02,0x7F,0x08,0x00,0x12,0x00,0x00,0x00,
		0x00;
	.byte4 = .LN73;
	.byte4 = .LN._StartMAC.end;
	.byte =
		0x13,0x44,0x69,0x76,0x00,0x01,0xFC,0x08,0x00,0x00,0x02,0x7F,
		0x0E,0x00,0x00,0x00,0x00,0x00,0x13,0x44,0x69,0x76,0x66,0x00,
		0x01,0x27,0x02,0x00,0x00,0x02,0x7F,0x6C,0x00,0x00,0x00,0x00,
		0x00,0x13,0x49,0x6E,0x74,0x65,0x72,0x72,0x75,0x70,0x74,0x4C,
		0x61,0x74,0x63,0x68,0x00,0x01,0xA3,0x01,0x00,0x00,0x02,0x7F,
		0x70;
	.byte4 = .LN75-.LN_StartMAC;
	.byte =
		0x00,0x13,0x54,0x65,0x6D,0x70,0x44,0x61,0x74,0x61,0x00,0x01,
		0xFC,0x08,0x00,0x00,0x02,0x7F,0x0C;
	.byte4 = .LN75-.LN_StartMAC;
	.byte =
		0x00,0x00,0x00,0x11,0xE9,0x4F,0x00,0x00,0x53,0x74,0x6F,0x70,
		0x4D,0x41,0x43,0x00,0x01;
	.byte4 = .LN_StopMAC;
	.byte4 = .LN._StopMAC.end;
	.byte =
		0x01,0x01,0x00,0x14,0x64,0x65,0x76,0x00,0xF0,0x4D,0x00,0x00,
		0x02,0x7F,0x08,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN127;
	.byte4 = .LN._StopMAC.end;
	.byte =
		0x00,0x00,0x11,0x74,0x50,0x00,0x00,0x57,0x72,0x69,0x74,0x65,
		0x45,0x74,0x68,0x65,0x72,0x6E,0x65,0x74,0x44,0x65,0x76,0x69,
		0x63,0x65,0x00,0x01;
	.byte4 = .LN_WriteEthernetDevice;
	.byte4 = .LN._WriteEthernetDevice.end;
	.byte =
		0x01,0x01,0x00,0x14,0x70,0x44,0x61,0x74,0x61,0x00,0x7E,0x4C,
		0x00,0x00,0x02,0x7F,0x08,0x00,0x14,0x4E,0x75,0x6D,0x44,0x61,
		0x74,0x61,0x00,0x07,0x09,0x00,0x00,0x02,0x7F,0x0C,0x00,0x12,
		0x00,0x00,0x00,0x00;
	.byte4 = .LN134;
	.byte4 = .LN._WriteEthernetDevice.end;
	.byte =
		0x13,0x64,0x65,0x76,0x00,0x01,0xF0,0x4D,0x00,0x00,0x02,0x7F,
		0x70;
	.byte4 = .LN134-.LN_WriteEthernetDevice;
	.byte =
		0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN136;
	.byte4 = .LN144;
	.byte =
		0x13,0x4E,0x75,0x6D,0x57,0x72,0x69,0x74,0x65,0x00,0x01,0xFC,
		0x08,0x00,0x00,0x02,0x7F,0x10;
	.byte4 = .LN139-.LN136;
	.byte =
		0x00,0x00,0x00,0x00,0x11,0xC2,0x50,0x00,0x00,0x44,0x4D,0x41,
		0x5F,0x4D,0x41,0x43,0x5F,0x54,0x58,0x5F,0x49,0x6E,0x74,0x65,
		0x72,0x72,0x75,0x70,0x74,0x48,0x61,0x6E,0x64,0x6C,0x65,0x72,
		0x00,0x01;
	.byte4 = .LN_DMA_MAC_TX_InterruptHandler;
	.byte4 = .LN._DMA_MAC_TX_InterruptHandler.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN146;
	.byte4 = .LN._DMA_MAC_TX_InterruptHandler.end;
	.byte =
		0x13,0x64,0x65,0x76,0x00,0x01,0xF0,0x4D,0x00,0x00,0x02,0x7F,
		0x7C;
	.byte4 = .LN147-.LN_DMA_MAC_TX_InterruptHandler;
	.byte =
		0x00,0x00,0x00,0x11,0x82,0x51,0x00,0x00,0x50,0x65,0x72,0x69,
		0x70,0x68,0x65,0x72,0x61,0x6C,0x45,0x72,0x72,0x6F,0x72,0x49,
		0x6E,0x74,0x65,0x72,0x72,0x75,0x70,0x74,0x48,0x61,0x6E,0x64,
		0x6C,0x65,0x72,0x00,0x01;
	.byte4 = .LN_PeripheralErrorInterruptHandler;
	.byte4 = .LN._PeripheralErrorInterruptHandler.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN157;
	.byte4 = .LN._PeripheralErrorInterruptHandler.end;
	.byte =
		0x13,0x64,0x65,0x76,0x00,0x01,0xF0,0x4D,0x00,0x00,0x02,0x7F,
		0x70;
	.byte4 = .LN157-.LN_PeripheralErrorInterruptHandler;
	.byte =
		0x00,0x13,0x73,0x79,0x73,0x74,0x61,0x74,0x00,0x01,0xFC,0x08,
		0x00,0x00,0x02,0x7F,0x7C;
	.byte4 = .LN158-.LN_PeripheralErrorInterruptHandler;
	.byte =
		0x00,0x12,0x5D,0x51,0x00,0x00;
	.byte4 = .LN161;
	.byte4 = .LN166;
	.byte =
		0x13,0x72,0x69,0x72,0x71,0x73,0x00,0x01,0x07,0x09,0x00,0x00,
		0x02,0x7F,0x74,0x00,0x00,0x00,0x00,0x00,0x13,0x74,0x69,0x72,
		0x71,0x73,0x00,0x01,0x07,0x09,0x00,0x00,0x02,0x7F,0x78;
	.byte4 = .LN162-.LN161;
	.byte =
		0x00,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN167;
	.byte4 = .LN186;
	.byte =
		0x13,0x50,0x68,0x79,0x49,0x6E,0x74,0x00,0x01,0xFC,0x08,0x00,
		0x00,0x02,0x7F,0x7E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
		0x13,0x43,0x75,0x72,0x53,0x79,0x73,0x74,0x43,0x6C,0x6B,0x48,
		0x7A,0x00,0x01,0x07,0x09,0x00,0x00,0x05,0x0C;
	.byte4 = _CurSystClkHz;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x13,0x43,0x6F,0x6E,0x74,0x69,0x6E,
		0x75,0x65,0x50,0x65,0x72,0x69,0x70,0x68,0x65,0x72,0x61,0x6C,
		0x45,0x72,0x72,0x6F,0x72,0x49,0x6E,0x74,0x65,0x72,0x72,0x75,
		0x70,0x74,0x00,0x01,0x22,0x09,0x00,0x00,0x05,0x0C;
	.byte4 = _ContinuePeripheralErrorInterrupt;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x13,0x45,0x74,0x68,0x65,0x72,0x44,
		0x65,0x76,0x69,0x63,0x65,0x00,0x01,0xF0,0x4D,0x00,0x00,0x05,
		0x0C;
	.byte4 = _EtherDevice;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x13,0x45,0x74,0x68,0x65,0x72,0x6E,
		0x65,0x74,0x42,0x75,0x66,0x66,0x65,0x72,0x00,0x01,0x8B,0x52,
		0x00,0x00,0x05,0x0C;
	.byte4 = _EthernetBuffer;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x13,0x45,0x74,0x68,0x65,0x72,0x44,
		0x61,0x74,0x61,0x00,0x01,0x7E,0x4C,0x00,0x00,0x05,0x0C;
	.byte4 = _EtherData;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x13,0x4D,0x41,0x43,0x5F,0x52,0x45,
		0x41,0x44,0x5F,0x44,0x45,0x53,0x43,0x52,0x00,0x01,0x7B,0x52,
		0x00,0x00,0x05,0x0C;
	.byte4 = _MAC_READ_DESCR;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x13,0x4D,0x41,0x43,0x5F,0x57,0x52,
		0x49,0x54,0x45,0x5F,0x44,0x45,0x53,0x43,0x52,0x00,0x01,0x6B,
		0x52,0x00,0x00,0x05,0x0C;
	.byte4 = _MAC_WRITE_DESCR;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x0F,0x7B,0x52,0x00,0x00,0x5F,0x22,
		0x00,0x00,0x10,0x80,0x08,0x00,0xFF,0x07,0x00,0x0F,0x8B,0x52,
		0x00,0x00,0xCD,0x21,0x00,0x00,0x10,0x80,0x08,0x00,0xFF,0x07,
		0x00,0x0F,0x00,0x00,0x00,0x00,0x07,0x09,0x00,0x00,0x10,0x80,
		0xD8,0x30,0x00,0xFF,0xD7,0x30,0x00,0x00;
.epcdebug.end:

	.section .debug_line SHT_DEBUGINFO;

	.align 1;
.epcline:
	.type .epcline,STT_OBJECT;
	.inc/binary "Ether.sbn", 20080, 3908;
	.byte4 = .LN_DMA_MAC_RX_InterruptHandler;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xFF,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN0;
	.byte =
		0x0F,0x00,0x05,0x02;
	.byte4 = .LN1;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN2;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN3;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN4;
	.byte =
		0x05,0x08,0x0B,0x00,0x05,0x02;
	.byte4 = .LN5;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN6;
	.byte =
		0x05,0x04,0x0B,0x00,0x05,0x02;
	.byte4 = .LN7;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN8;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN9;
	.byte =
		0x05,0x49,0x03,0x79,0x01,0x00,0x05,0x02;
	.byte4 = .LN10;
	.byte =
		0x05,0x02,0x12,0x00,0x05,0x02;
	.byte4 = .LN11;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN12;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN13;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._DMA_MAC_RX_InterruptHandler.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_ReadEthernetDevice;
	.byte =
		0x04,0x01,0x05,0x02,0xEC,0x00,0x05,0x02;
	.byte4 = .LN14;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN._ReadEthernetDevice.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_SetupDMA;
	.byte =
		0x04,0x01,0x05,0x02,0x1D,0x00,0x05,0x02;
	.byte4 = .LN15;
	.byte =
		0x05,0x08,0x0E,0x00,0x05,0x02;
	.byte4 = .LN16;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN17;
	.byte =
		0x05,0x02,0x0B,0x00,0x05,0x02;
	.byte4 = .LN18;
	.byte =
		0x05,0x03,0x0B,0x00,0x05,0x02;
	.byte4 = .LN19;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN20;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN21;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN22;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN23;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN24;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN25;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN26;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN27;
	.byte =
		0x05,0x22,0x03,0x73,0x01,0x00,0x05,0x02;
	.byte4 = .LN28;
	.byte =
		0x05,0x02,0x19,0x00,0x05,0x02;
	.byte4 = .LN29;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN30;
	.byte =
		0x05,0x03,0x0B,0x00,0x05,0x02;
	.byte4 = .LN31;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN32;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN33;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN34;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN35;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN36;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN37;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN38;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN39;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN40;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN41;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN42;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN43;
	.byte =
		0x05,0x22,0x03,0x6C,0x01,0x00,0x05,0x02;
	.byte4 = .LN44;
	.byte =
		0x05,0x1A,0x20,0x00,0x05,0x02;
	.byte4 = .LN45;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN46;
	.byte =
		0x05,0x02,0x0C,0x00,0x05,0x02;
	.byte4 = .LN47;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN48;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN49;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN50;
	.byte =
		0x05,0x19,0x0B,0x00,0x05,0x02;
	.byte4 = .LN51;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN52;
	.byte =
		0x05,0x1A,0x03,0x75,0x01,0x00,0x05,0x02;
	.byte4 = .LN53;
	.byte =
		0x05,0x19,0x14,0x00,0x05,0x02;
	.byte4 = .LN54;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN55;
	.byte =
		0x05,0x18,0x0B,0x00,0x05,0x02;
	.byte4 = .LN56;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._SetupDMA.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_SetDefaultEthernetParameters;
	.byte =
		0x04,0x01,0x05,0x02,0x66,0x00,0x05,0x02;
	.byte4 = .LN57;
	.byte =
		0x05,0x07,0x0A,0x00,0x05,0x02;
	.byte4 = .LN58;
	.byte =
		0x05,0x08,0x0B,0x00,0x05,0x02;
	.byte4 = .LN59;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN60;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN61;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN62;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN63;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN64;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN65;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN66;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN67;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN68;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN69;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN70;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN71;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN72;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN._SetDefaultEthernetParameters.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_StartMAC;
	.byte =
		0x04,0x01,0x05,0x02,0x80,0x00,0x05,0x02;
	.byte4 = .LN73;
	.byte =
		0x04,0x0A,0x05,0x11,0x03,0xD5,0x0C,0x01,0x00,0x05,0x02;
	.byte4 = .LN74;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN75;
	.byte =
		0x04,0x01,0x05,0x06,0x03,0xAE,0x73,0x01,0x00,0x05,0x02;
	.byte4 = .LN76;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xD2,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN77;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xB2,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN78;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN79;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN80;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xCB,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN81;
	.byte =
		0x04,0x01,0x05,0x11,0x03,0xB8,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN82;
	.byte =
		0x05,0x02,0x0B,0x00,0x05,0x02;
	.byte4 = .LN83;
	.byte =
		0x05,0x0C,0x01,0x00,0x05,0x02;
	.byte4 = .LN84;
	.byte =
		0x05,0x0A,0x0B,0x00,0x05,0x02;
	.byte4 = .LN85;
	.byte =
		0x05,0x02,0x0C,0x00,0x05,0x02;
	.byte4 = .LN86;
	.byte =
		0x05,0x1F,0x01,0x00,0x05,0x02;
	.byte4 = .LN87;
	.byte =
		0x05,0x02,0x0C,0x00,0x05,0x02;
	.byte4 = .LN88;
	.byte =
		0x05,0x18,0x01,0x00,0x05,0x02;
	.byte4 = .LN89;
	.byte =
		0x05,0x02,0x0B,0x00,0x05,0x02;
	.byte4 = .LN90;
	.byte =
		0x05,0x1F,0x01,0x00,0x05,0x02;
	.byte4 = .LN91;
	.byte =
		0x05,0x02,0x0D,0x00,0x05,0x02;
	.byte4 = .LN92;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN93;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN94;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN95;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN96;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN97;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN98;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN99;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN100;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN101;
	.byte =
		0x05,0x02,0x0C,0x00,0x05,0x02;
	.byte4 = .LN102;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN103;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN104;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN105;
	.byte =
		0x05,0x02,0x0C,0x00,0x05,0x02;
	.byte4 = .LN106;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN107;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN108;
	.byte =
		0x05,0x08,0x01,0x00,0x05,0x02;
	.byte4 = .LN109;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN110;
	.byte =
		0x05,0x03,0x0E,0x00,0x05,0x02;
	.byte4 = .LN111;
	.byte =
		0x05,0x02,0x0D,0x00,0x05,0x02;
	.byte4 = .LN112;
	.byte =
		0x05,0x0A,0x01,0x00,0x05,0x02;
	.byte4 = .LN113;
	.byte =
		0x05,0x02,0x0C,0x00,0x05,0x02;
	.byte4 = .LN114;
	.byte =
		0x05,0x0A,0x01,0x00,0x05,0x02;
	.byte4 = .LN115;
	.byte =
		0x05,0x02,0x0B,0x00,0x05,0x02;
	.byte4 = .LN116;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN117;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN118;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN119;
	.byte =
		0x04,0x0A,0x05,0x11,0x03,0x8C,0x0C,0x01,0x00,0x05,0x02;
	.byte4 = .LN120;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN121;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xF7,0x73,0x01,0x00,0x05,0x02;
	.byte4 = .LN122;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0x89,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN123;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xF8,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN124;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN125;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0x97,0x0C,0x01,0x00,0x05,0x02;
	.byte4 = .LN126;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xEA,0x73,0x01,0x00,0x05,0x02;
	.byte4 = .LN._StartMAC.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_StopMAC;
	.byte =
		0x04,0x01,0x05,0x02,0xD7,0x00,0x05,0x02;
	.byte4 = .LN127;
	.byte =
		0x05,0x19,0x0A,0x00,0x05,0x02;
	.byte4 = .LN128;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN129;
	.byte =
		0x05,0x09,0x0E,0x00,0x05,0x02;
	.byte4 = .LN130;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN131;
	.byte =
		0x05,0x02,0x0B,0x00,0x05,0x02;
	.byte4 = .LN132;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xF4,0x19,0x01,0x00,0x05,0x02;
	.byte4 = .LN133;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0x8E,0x66,0x01,0x00,0x05,0x02;
	.byte4 = .LN._StopMAC.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_WriteEthernetDevice;
	.byte =
		0x04,0x01,0x05,0x02,0xF7,0x00,0x05,0x02;
	.byte4 = .LN134;
	.byte =
		0x05,0x19,0x0A,0x00,0x05,0x02;
	.byte4 = .LN135;
	.byte =
		0x05,0x02,0x0B,0x00,0x05,0x02;
	.byte4 = .LN136;
	.byte =
		0x05,0x16,0x0B,0x00,0x05,0x02;
	.byte4 = .LN137;
	.byte =
		0x04,0x0A,0x05,0x08,0xAE,0x00,0x05,0x02;
	.byte4 = .LN138;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN139;
	.byte =
		0x04,0x01,0x03,0xDB,0x7E,0x01,0x00,0x05,0x02;
	.byte4 = .LN140;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN141;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN142;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN143;
	.byte =
		0x05,0x04,0x0A,0x00,0x05,0x02;
	.byte4 = .LN144;
	.byte =
		0x05,0x18,0x0B,0x00,0x05,0x02;
	.byte4 = .LN145;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._WriteEthernetDevice.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_DMA_MAC_TX_InterruptHandler;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0x9A,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN146;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN147;
	.byte =
		0x05,0x19,0x0A,0x00,0x05,0x02;
	.byte4 = .LN148;
	.byte =
		0x05,0x02,0x0B,0x00,0x05,0x02;
	.byte4 = .LN149;
	.byte =
		0x05,0x03,0x0C,0x00,0x05,0x02;
	.byte4 = .LN150;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN151;
	.byte =
		0x05,0x04,0x0A,0x00,0x05,0x02;
	.byte4 = .LN152;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN153;
	.byte =
		0x05,0x1B,0x0C,0x00,0x05,0x02;
	.byte4 = .LN154;
	.byte =
		0x05,0x04,0x0A,0x00,0x05,0x02;
	.byte4 = .LN155;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN156;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._DMA_MAC_TX_InterruptHandler.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_PeripheralErrorInterruptHandler;
	.byte =
		0x04,0x01,0x05,0x02,0x03,0xB0,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN157;
	.byte =
		0x05,0x1A,0x0A,0x00,0x05,0x02;
	.byte4 = .LN158;
	.byte =
		0x05,0x07,0x0A,0x00,0x05,0x02;
	.byte4 = .LN159;
	.byte =
		0x05,0x02,0x0C,0x00,0x05,0x02;
	.byte4 = .LN160;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN161;
	.byte =
		0x05,0x09,0x0C,0x00,0x05,0x02;
	.byte4 = .LN162;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN163;
	.byte =
		0x05,0x03,0x0C,0x00,0x05,0x02;
	.byte4 = .LN164;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN165;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN166;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN167;
	.byte =
		0x05,0x03,0x0D,0x00,0x05,0x02;
	.byte4 = .LN168;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN169;
	.byte =
		0x05,0x14,0x01,0x00,0x05,0x02;
	.byte4 = .LN170;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN171;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN172;
	.byte =
		0x05,0x0D,0x0E,0x00,0x05,0x02;
	.byte4 = .LN173;
	.byte =
		0x05,0x19,0x01,0x00,0x05,0x02;
	.byte4 = .LN174;
	.byte =
		0x05,0x0D,0x01,0x00,0x05,0x02;
	.byte4 = .LN175;
	.byte =
		0x05,0x05,0x0C,0x00,0x05,0x02;
	.byte4 = .LN176;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN177;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN178;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN179;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN180;
	.byte =
		0x05,0x04,0x0B,0x00,0x05,0x02;
	.byte4 = .LN181;
	.byte =
		0x05,0x03,0x11,0x00,0x05,0x02;
	.byte4 = .LN182;
	.byte =
		0x05,0x04,0x0C,0x00,0x05,0x02;
	.byte4 = .LN183;
	.byte =
		0x05,0x1C,0x01,0x00,0x05,0x02;
	.byte4 = .LN184;
	.byte =
		0x05,0x04,0x0A,0x00,0x05,0x02;
	.byte4 = .LN185;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN186;
	.byte =
		0x05,0x02,0x0B,0x00,0x05,0x02;
	.byte4 = .LN187;
	.byte =
		0x05,0x06,0x0A,0x00,0x05,0x02;
	.byte4 = .LN188;
	.byte =
		0x05,0x02,0x0B,0x00,0x05,0x02;
	.byte4 = .LN189;
	.byte =
		0x05,0x06,0x0A,0x00,0x05,0x02;
	.byte4 = .LN190;
	.byte =
		0x05,0x26,0x01,0x00,0x05,0x02;
	.byte4 = .LN191;
	.byte =
		0x05,0x06,0x01,0x00,0x05,0x02;
	.byte4 = .LN192;
	.byte =
		0x05,0x02,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._PeripheralErrorInterruptHandler.end;
	.byte =
		0x00,0x01,0x01;
.epcline.end:

	.section .annotations SHT_DEBUGINFO;

	.align 1;
.epcannot:
	.type .epcannot,STT_OBJECT;
	.inc/binary "Ether.sbn", 23988, 5244;
.epcannot.end:

	.section .debug_pubnames SHT_DEBUGINFO;

	.align 1;
.epcpubnames:
	.type .epcpubnames,STT_OBJECT;
	.byte =
		0x65,0x01,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.inc/binary "Ether.sbn", 29232, 351;
.epcpubnames.end:

	.section .debug_aranges SHT_DEBUGINFO;

	.align 1;
.epcaranges:
	.type .epcaranges,STT_OBJECT;
	.byte =
		0x5C,0x00,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.byte =
		0x04,0x00,0x00,0x00,0x00,0x00;
	.byte4 = .LN_DMA_MAC_RX_InterruptHandler;
	.byte4 = .LN._DMA_MAC_RX_InterruptHandler.end-.LN_DMA_MAC_RX_InterruptHandler;
	.byte4 = .LN_ReadEthernetDevice;
	.byte4 = .LN._ReadEthernetDevice.end-.LN_ReadEthernetDevice;
	.byte4 = .LN_SetupDMA;
	.byte4 = .LN._SetupDMA.end-.LN_SetupDMA;
	.byte4 = .LN_SetDefaultEthernetParameters;
	.byte4 = .LN._SetDefaultEthernetParameters.end-.LN_SetDefaultEthernetParameters;
	.byte4 = .LN_StartMAC;
	.byte4 = .LN._StartMAC.end-.LN_StartMAC;
	.byte4 = .LN_DMA_MAC_TX_InterruptHandler;
	.byte4 = .LN._DMA_MAC_TX_InterruptHandler.end-.LN_DMA_MAC_TX_InterruptHandler;
	.byte4 = .LN_PeripheralErrorInterruptHandler;
	.byte4 = .LN._PeripheralErrorInterruptHandler.end-.LN_PeripheralErrorInterruptHandler;
	.byte4 = .LN_StopMAC;
	.byte4 = .LN._StopMAC.end-.LN_StopMAC;
	.byte4 = .LN_WriteEthernetDevice;
	.byte4 = .LN._WriteEthernetDevice.end-.LN_WriteEthernetDevice;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00;
.epcaranges.end:

	.section/DOUBLE32 sdram0_bank1;

	.align 4;
	.global _EthernetBuffer;
	.type _EthernetBuffer,STT_OBJECT;
	.byte _EthernetBuffer[3190784];
._EthernetBuffer.end:
	.align 4;
	.global _MAC_READ_DESCR;
	.type _MAC_READ_DESCR,STT_OBJECT;
	.byte _MAC_READ_DESCR[36864];
._MAC_READ_DESCR.end:
	.align 4;
	.global _MAC_WRITE_DESCR;
	.type _MAC_WRITE_DESCR,STT_OBJECT;
	.byte _MAC_WRITE_DESCR[65536];
._MAC_WRITE_DESCR.end:

	.section/DOUBLE32 data1;


	.extern _CurSystClkHz;
	.type _CurSystClkHz,STT_OBJECT;
