#include "HAL.h" 


void ConfigurePPI(  bool Transmit, 
                    t_PPI_transfer_type Tr_type, 
                    t_PPI_port_cfg port_cfg,
                    t_PPI_active_trig trig,
                    bool  Pack,
                    t_PPI_data_length data_length,
                    bool ClkFallingEdge,
                    bool FrameFallingEdge)
                    
{	
	*pPPI_CONTROL=  (Transmit<<1)|(Tr_type<<2)|(port_cfg<<4)|
	                (trig<<6)|(Pack<<7)|(data_length<<11)|
	                (ClkFallingEdge<<14)|(FrameFallingEdge<<15);
}

void ConfPPITime(WORD PPIDelay, WORD PPICount, WORD PPIFrame)
{
	*pPPI_DELAY=PPIDelay;
	*pPPI_COUNT=PPICount-1;
	*pPPI_FRAME=PPIFrame;
}

