#include "HAL.h"

#define ERR_TYP1(x)		(((x) & 0x03) << 14)

void ConfigureTimer(t_TIMERS Timer, TIMERS_MODE Mode,  
					bool PositivePulse, bool Period_Counter, 
					bool Interrupt_Req_Enable, bool Timer_Input_UART, 
					bool Disable_Pad, bool Use_PWM_Clock_for_Counter, 
					bool Toggle_Puls_PWM
			)
{   
    *(WORD *)(TIMER0_CONFIG+(Timer*0x10))=Mode|(PositivePulse<<2)|(Period_Counter<<3)|
    				(Interrupt_Req_Enable<<4)|(Timer_Input_UART<<5)|
    				(Disable_Pad<<6)|(Use_PWM_Clock_for_Counter<<7)|
    				(Toggle_Puls_PWM<<8)|EMU_RUN|ERR_TYP1(0);
}

void ConfiGureTimerPeriodAndWidth(t_TIMERS Timer, 
				DWORD Period, DWORD Width)
{   
    *(DWORD*)(TIMER0_PERIOD+(Timer*0x10))=Period;
    *(DWORD*)(TIMER0_WIDTH+(Timer*0x10))=Width;   
}

