#include "GlobDefs.h" 

#include "datahook.h"


extern int g_bulkframe_size;
WORD test_buf[ 1024*32 ];

/*================================================================================================*/
/*------------------------------------------------------------------------------------------------*/
void ProcessData
    (
    void
    )
    {
    int usb_ready = ((USBDevConf->USB_FLAGS & FLAG_USB_CONFIGURATION1) != 0);
    
    static int cc = 0;//510 / 64 + 3;
    
    	
	if (!ISP_DMA_Running() && usb_ready)
	    {
	    if (g_altera_reset)
	        {
	        if (!cc)
	            {
	            USBDevConf->DataTransmittedFromPPI = 0;
	            
	            put_ep2data( (WORD *)g_altera_info, 510 / 2 );
	            cc = 1;
	            }
	        else
	            {
	            put_ep2data( (WORD *)CrateSygnalDataNewModule, 4 );
                cc = 0;
                g_power_on = 0;
                g_altera_reset = 0;
	            }
	        }
        if (ltr030Conf.AlteraDev.NewModulesAppearence)
            {
            ltr030Conf.AlteraDev.NewModulesAppearence = false;
            USBDevConf->DataTransmittedFromPPI = 0;
            put_ep2data( (WORD *)CrateSygnalDataNewModule, 4 );
            }
		else if (ltr030Conf.AlteraDev.OverflowBuffersEvent)
		    {
			ltr030Conf.AlteraDev.OverflowBuffersEvent = false;

			USBDevConf->DataTransmittedFromPPI = 0;
		    }
		else if (g_bulkframe_size > 0)
		    {
		    put_ep2data( test_buf, g_bulkframe_size );
		    g_bulkframe_size = 0;
		    }
        else
            {
            unsigned long NumDataReady = GetNumPPIDataReady() & 0xFFFFFFFE;
            if (NumDataReady > 0)
                {
                unsigned long buf_remaind;
                
                buf_remaind = PPI_Recv_Data_Size_Word - ltr030Conf.AlteraDev.CurRecvBufPtrProcesed;
                buf_remaind &= 0xFFFFFFFE;
                NumDataReady = min( buf_remaind, NumDataReady );
                ltr030Conf.USBDev.DataTransmittedFromPPI = 0;
                
                
#if DATA_HOOK_EN
                datahook( NumDataReady );
#endif
                ltr030Conf.USBDev.DataTransmittedFromPPI = NumDataReady;
                
                put_ep2data( &PPI_Recv_Data[ ltr030Conf.AlteraDev.CurRecvBufPtrProcesed ],
                    ltr030Conf.USBDev.DataTransmittedFromPPI );
                }
            }
        } /*if (!ISP_DMA_Running())*/
        
        
    if (ltr030Conf.USBDev.ep2rxEn)
        {
        if (ltr030Conf.USBDev.BufferLengthBulkRx[ 0 ] > 0)
            {
            unsigned il;
            il = cli();
            ssync();
        
            get_ep2rx( ltr030Conf.USBDev.BufferLengthBulkRx[ 0 ] );
            ltr030Conf.USBDev.BufferLengthBulkRx[ 0 ] = 0;
        
            sti(il);
            ssync();
            }
        else if (ltr030Conf.USBDev.ep2rxAbort)
            {
            unsigned il;
            il = cli();
            ssync();
            
            AccessISPRegWrite( ISP1583.D14_ENDPT_INDEX = 4 );
            AccessISPRegWrite( ISP1583.D14_CONTROL_FUNCTION.BITS.CLBUF = 1 );
            AccessISPRegWrite( ISP1583.D14_ENDPT_INDEX = 4 );
            AccessISPRegWrite( ISP1583.D14_CONTROL_FUNCTION.BITS.CLBUF = 1 );
            
            ltr030Conf.USBDev.ep2rxAbort = 0;
            
            sti(il);
            ssync();
            }
        }
            
       
    if (AlteraSPORTReady())
        {
        int buf_empty;
        buf_empty = (ltr030Conf.AlteraDev.SndBufAvail / 2 >= SPORT_Transmit_Data_Size_Word);
        if (!buf_empty)
            InitiateSPORTTransfer();
        }
    }
/*------------------------------------------------------------------------------------------------*/
/*================================================================================================*/
