	.file ".\ProcessData.c";
//  Compilation time: Fri Sep 24 15:20:43 2010

//  Compiler options: -c -file-attr ProjectName=ltr030-bf-fos -g -structs-do-not-overlap -no-multiline -double-size-32 -decls-strong -warn-protos -D VDSP_BF -I c:\prj;c:\prj\lib\efsl\inc;c:\prj\lib\freertos\source\include;c:\prj\lib\lwip\src\include;c:\prj\lib\lwip\src\include\ipv4;c:\prj\lib\lwip\contrib\ports\bf\include;c:\prj\ltr\ltr030\ltr030-bf-fos -threads -save-temps -si-revision 0.3 -proc ADSP-BF537 -o .\Debug\ProcessData.doj -MM
//  Architecture: ADSP-BF537
//  Silicon revision: 0.3
//  Anomalies summary:
//   Disabled: w05_00_0046,w05_00_0048,w05_00_0054,w05_00_0071,w05_00_0103,w05_00_0104,w05_00_0120,w05_00_0127,w05_00_0157,w05_00_0164,w05_00_0165,w05_00_0195,w05_00_0198,w05_00_0202,w05_00_0209,w05_00_0227,w05_00_0244,w05_00_0246,w05_00_0248,w05_00_0257,w05_00_0262,w05_00_0264,w05_00_0283,wF3_F_021,wF3_F_008_F3_F_013,w05_00_0311
//   Enabled: w05_00_0189,w05_00_0245,w05_00_0312,w05_00_0371
//   Always on: w05_00_0074,w05_00_0122

	.section/DOUBLE32 program;

.epctext:
	.align 2;
_ProcessData:
.LN_ProcessData:
	.reference _cc.0;
	.reference _test_buf;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 40 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{P3-P5,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _ProcessData:
//  .\ProcessData.c:110:18'_ssync
//  .\ProcessData.c:109:16'_sti
//  .\ProcessData.c:105:13'_ssync
//  .\ProcessData.c:105:13'_ssync
//  .\ProcessData.c:104:13'_ssync
//  .\ProcessData.c:104:13'_ssync
//  .\ProcessData.c:103:13'_ssync
//  .\ProcessData.c:103:13'_ssync
//  .\ProcessData.c:102:13'_ssync
//  .\ProcessData.c:102:13'_ssync
//  .\ProcessData.c:100:18'_ssync
//  .\ProcessData.c:99:21'_cli
//  .\ProcessData.c:94:18'_ssync
//  .\ProcessData.c:93:16'_sti
//  .\ProcessData.c:88:18'_ssync
//  .\ProcessData.c:87:21'_cli
//  .\ProcessData.c:66:35'_min
//-------------------------------------------------------------------
// line ".\ProcessData.c":15
	LINK 40;
	[--SP] = (P5:3);
	SP += -12;
.LN0:
// line 16
	P5.L = _USBDevConf;
	P5.H = _USBDevConf;
	P1 = [P5];
	R0 = W[P1 + 2] (Z);
	CC = BITTST(R0, 3);
	R0 = CC;
	[FP + -40] = R0;
.LN1:
// line 21
	CALL.X (_ISP_DMA_Running);
	R0 = R0.b (Z);
.LN2:
	CC = R0 == 0;
	if !CC jump .P43L2 ;

.P43L4:
	R0 = [FP + -40];
	CC = R0 == 0;
	if CC jump .P43L2 ;

.P43L1:
.LN3:
// line 23
	P3.L = _g_altera_reset;
	P3.H = _g_altera_reset;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R0 = [P3];
	CC = R0 == 0;
	if CC jump .P43L6 ;

.P43L5:
.LN4:
// line 25
	P4.L = .epcdata;
	P4.H = .epcdata;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R0 = [P4];
	CC = R0 == 0;
	if !CC jump .P43L9 ;

.P43L8:
.LN5:
// line 27
	P1 = [P5];
	R0 = 0;
	NOP;                                    // Inserted to fix anomaly w05_00_0245_with_boundaries. 
	[P1 + 8] = R0;
.LN6:
// line 29
	R1 = 255;
	R0.L = _g_altera_info;
	R0.H = _g_altera_info;
	CALL.X (_put_ep2data);
.LN7:
// line 30
	R0 = 1;
	[P4] = R0;
.LN8:
// line 31
	jump .P43L10;

.P43L9:
.LN9:
// line 34
	R1 = 4;
	R0.L = _CrateSygnalDataNewModule;
	R0.H = _CrateSygnalDataNewModule;
	CALL.X (_put_ep2data);
.LN10:
// line 35
	R0 = 0;
	[P4] = R0;
.LN11:
// line 36
	P1.L = _g_power_on;
	P1.H = _g_power_on;
	[P1] = R0;
.LN12:
// line 37
	[P3] = R0;

.P43L10:
.LN13:
// line 39
	jump .P43L7;

.P43L6:

.P43L7:
.LN14:
// line 40
	P1.L = _ltr030Conf+3109;
	P1.H = _ltr030Conf+3109;
	R0 = B[P1] (Z);
	CC = R0 == 0;
	if CC jump .P43L12 ;

.P43L11:
.LN15:
// line 42
	R0 = 0;
	B[P1] = R0;
.LN16:
// line 43
	P1 = [P5];
	[P1 + 8] = R0;
.LN17:
// line 44
	R1 = 4;
	R0.L = _CrateSygnalDataNewModule;
	R0.H = _CrateSygnalDataNewModule;
	CALL.X (_put_ep2data);
.LN18:
// line 45
	jump .P43L13;

.P43L12:
.LN19:
// line 46
	P1.L = _ltr030Conf+3110;
	P1.H = _ltr030Conf+3110;
	R0 = B[P1] (Z);
	CC = R0 == 0;
	if CC jump .P43L15 ;

.P43L14:
.LN20:
// line 48
	R0 = 0;
	B[P1] = R0;
.LN21:
// line 50
	P1 = [P5];
	[P1 + 8] = R0;
.LN22:
// line 51
	jump .P43L16;

.P43L15:
.LN23:
// line 52
	P5.L = _g_bulkframe_size;
	P5.H = _g_bulkframe_size;
	R1 = [P5];
	CC = R1 <= 0;
	if CC jump .P43L18 ;

.P43L17:
.LN24:
// line 54
	R0.L = _test_buf;
	R0.H = _test_buf;
	CALL.X (_put_ep2data);
.LN25:
// line 55
	R0 = 0;
	[P5] = R0;
.LN26:
// line 56
	jump .P43L19;

.P43L18:
.LN27:
// line 59
	CALL.X (_GetNumPPIDataReady);
.LN28:
	BITCLR(R0, 0);
	[FP + -36] = R0;
.LN29:
// line 60
	CC = R0 == 0;
	if CC jump .P43L21 ;

.P43L62:
.LN30:
// line 64
	P1.L = _ltr030Conf+3084;
	P1.H = _ltr030Conf+3084;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R2 = [P1];
	R1 = 0 /* 4194304 */;
	R1.H = 64 /* 4194304 */;
	R1 = R1 - R2 (NS);
	[FP + -32] = R1;
.LN31:
// line 65
	BITCLR(R1, 0);
	[FP + -32] = R1;
.LN32:
// line 66
	[FP + -16] = R1;
	[FP + -12] = R0;
.LN33:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":409
	R1 = MIN(R1, R0);
.LN34:
	[FP + -8] = R1;
.LN35:
// line ".\ProcessData.c":66
	[FP + -36] = R1;
.LN36:
// line 67
	P1.L = _ltr030Conf+8;
	P1.H = _ltr030Conf+8;
	R0 = 0;
	[P1] = R0;
.LN37:
// line 73
	[P1] = R1;
.LN38:
// line 75
	R0 = R2 << 1;
	R2.L = _PPI_Recv_Data;
	R2.H = _PPI_Recv_Data;
	R0 = R2 + R0 (NS);
.LN39:
	CALL.X (_put_ep2data);
.LN40:
// line 77
	jump .P43L22;

.P43L21:

.P43L22:

.P43L19:

.P43L16:

.P43L13:
.LN41:
// line 79
	jump .P43L3;

.P43L2:

.P43L3:
.LN42:
// line 82
	P1.L = _ltr030Conf+1516;
	P1.H = _ltr030Conf+1516;
	R0 = [P1];
	CC = R0 == 0;
	if CC jump .P43L24 ;

.P43L23:
.LN43:
// line 84
	P5.L = _ltr030Conf+1338;
	P5.H = _ltr030Conf+1338;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R0 = W[P5] (Z);
	CC = R0 <= 0;
	if CC jump .P43L27 ;

.P43L64:
.LN44:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":1741
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
.LN45:
	[FP + -4] = R0;
.LN46:
// line ".\ProcessData.c":87
	[FP + -28] = R0;
.LN47:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN48:
// line ".\ProcessData.c":90
	R0 = W[P5] (Z);
.LN49:
	CALL.X (_get_ep2rx);
.LN50:
// line 91
	R0 = 0;
	W[P5] = R0.L;
.LN51:
// line 93
	R0 = [FP + -28];
.LN52:
	[FP + 16] = R0;
.LN53:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":1756
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN54:
// line 3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN55:
// line ".\ProcessData.c":95
	jump .P43L28;

.P43L27:
.LN56:
// line 96
	P1.L = _ltr030Conf+1520;
	P1.H = _ltr030Conf+1520;
	R0 = [P1];
	CC = R0 == 0;
	if CC jump .P43L30 ;

.P43L72:
.LN57:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":1741
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
.LN58:
	[FP + 12] = R0;
.LN59:
// line ".\ProcessData.c":99
	[FP + -24] = R0;
.LN60:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN61:
// line ".\ProcessData.c":102
	P0 = 5380 /* -4188924 */;
	P0.H = -64 /* -4188924 */;
	R1.L = -32768;
	W[P0] = R1.L;
.LN62:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN63:
// line ".\ProcessData.c":102
	P2 = 44 /* 536870956 */;
	P2.H = 8192 /* 536870956 */;
	R2.L = 4;
	W[P2] = R2.L;

.P43L32:
//-------------------------------------------------------------------
//   Loop at ".\ProcessData.c" line 102 col 13
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 10 cycles.
//   (cycle count 10 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   5 out of   10 ( 50.0%)
//     16-bit Instruction  used   9 out of   20 ( 45.0%)
//     32-bit Instruction  used   4 out of   10 ( 40.0%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN64:
	P5 = 5376 /* -4188928 */;
	P5.H = -64 /* -4188928 */;
	R0 = W[P5] (Z);                         // Use of volatile in loops precludes optimizations. 
	CC = BITTST(R0, 15);
	if CC jump .P43L78 ;

.P43L34:
	jump .P43L32;

.P43L78:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN65:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;

.P43L35:
//-------------------------------------------------------------------
//   Loop at ".\ProcessData.c" line 102 col 13
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 8 cycles.
//   (cycle count 8 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   4 out of    8 ( 50.0%)
//     16-bit Instruction  used   7 out of   16 ( 43.8%)
//     32-bit Instruction  used   3 out of    8 ( 37.5%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN66:
// line ".\ProcessData.c":102
	R0 = W[P5] (Z);                         // Use of volatile in loops precludes optimizations. 
	CC = BITTST(R0, 14);
	if CC jump .P43L80 ;

.P43L37:
	jump .P43L35;

.P43L80:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN67:
// line 103
	W[P0] = R1.L;
.LN68:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN69:
// line ".\ProcessData.c":103
	P4 = 40 /* 536870952 */;
	P4.H = 8192 /* 536870952 */;
	R0 = B[P4] (Z);
	R3 = 1025 /* 66561 */;
	R3.H = 1 /* 66561 */;
	R0 = DEPOSIT(R0, R3);
	B[P4] = R0;

.P43L38:
//-------------------------------------------------------------------
//   Loop at ".\ProcessData.c" line 103 col 13
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 8 cycles.
//   (cycle count 8 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   4 out of    8 ( 50.0%)
//     16-bit Instruction  used   7 out of   16 ( 43.8%)
//     32-bit Instruction  used   3 out of    8 ( 37.5%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN70:
	R0 = W[P5] (Z);                         // Use of volatile in loops precludes optimizations. 
	CC = BITTST(R0, 15);
	if CC jump .P43L82 ;

.P43L40:
	jump .P43L38;

.P43L82:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN71:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;

.P43L41:
//-------------------------------------------------------------------
//   Loop at ".\ProcessData.c" line 103 col 13
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 8 cycles.
//   (cycle count 8 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   4 out of    8 ( 50.0%)
//     16-bit Instruction  used   7 out of   16 ( 43.8%)
//     32-bit Instruction  used   3 out of    8 ( 37.5%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN72:
// line ".\ProcessData.c":103
	R0 = W[P5] (Z);                         // Use of volatile in loops precludes optimizations. 
	CC = BITTST(R0, 14);
	if CC jump .P43L84 ;

.P43L43:
	jump .P43L41;

.P43L84:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN73:
// line 104
	W[P0] = R1.L;
.LN74:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN75:
// line ".\ProcessData.c":104
	W[P2] = R2.L;

.P43L44:
//-------------------------------------------------------------------
//   Loop at ".\ProcessData.c" line 104 col 13
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 8 cycles.
//   (cycle count 8 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   4 out of    8 ( 50.0%)
//     16-bit Instruction  used   7 out of   16 ( 43.8%)
//     32-bit Instruction  used   3 out of    8 ( 37.5%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN76:
	R0 = W[P5] (Z);                         // Use of volatile in loops precludes optimizations. 
	CC = BITTST(R0, 15);
	if CC jump .P43L86 ;

.P43L46:
	jump .P43L44;

.P43L86:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN77:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;

.P43L47:
//-------------------------------------------------------------------
//   Loop at ".\ProcessData.c" line 104 col 13
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 8 cycles.
//   (cycle count 8 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   4 out of    8 ( 50.0%)
//     16-bit Instruction  used   7 out of   16 ( 43.8%)
//     32-bit Instruction  used   3 out of    8 ( 37.5%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN78:
// line ".\ProcessData.c":104
	R0 = W[P5] (Z);                         // Use of volatile in loops precludes optimizations. 
	CC = BITTST(R0, 14);
	if CC jump .P43L88 ;

.P43L49:
	jump .P43L47;

.P43L88:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN79:
// line 105
	W[P0] = R1.L;
.LN80:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN81:
// line ".\ProcessData.c":105
	R0 = B[P4] (Z);
	R0 = DEPOSIT(R0, R3);
	B[P4] = R0;

.P43L50:
//-------------------------------------------------------------------
//   Loop at ".\ProcessData.c" line 105 col 13
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 8 cycles.
//   (cycle count 8 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   4 out of    8 ( 50.0%)
//     16-bit Instruction  used   7 out of   16 ( 43.8%)
//     32-bit Instruction  used   3 out of    8 ( 37.5%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN82:
	R0 = W[P5] (Z);                         // Use of volatile in loops precludes optimizations. 
	CC = BITTST(R0, 15);
	if CC jump .P43L90 ;

.P43L52:
	jump .P43L50;

.P43L90:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN83:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;

.P43L53:
//-------------------------------------------------------------------
//   Loop at ".\ProcessData.c" line 105 col 13
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 8 cycles.
//   (cycle count 8 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   4 out of    8 ( 50.0%)
//     16-bit Instruction  used   7 out of   16 ( 43.8%)
//     32-bit Instruction  used   3 out of    8 ( 37.5%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN84:
// line ".\ProcessData.c":105
	R0 = W[P5] (Z);                         // Use of volatile in loops precludes optimizations. 
	CC = BITTST(R0, 14);
	if CC jump .P43L92 ;

.P43L55:
	jump .P43L53;

.P43L92:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN85:
// line 107
	R0 = 0;
	[P1] = R0;
.LN86:
// line 109
	R0 = [FP + -24];
.LN87:
	[FP + 8] = R0;
.LN88:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":1756
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN89:
// line 3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN90:
// line ".\ProcessData.c":111
	jump .P43L31;

.P43L30:

.P43L31:

.P43L28:
.LN91:
// line 112
	jump .P43L25;

.P43L24:

.P43L25:
.LN92:
// line 115
	CALL.X (_AlteraSPORTReady);
	R0 = R0.b (Z);
.LN93:
	CC = R0 == 0;
	if CC jump .P43L57 ;

.P43L56:
.LN94:
// line 118
	P1.L = _ltr030Conf+3100;
	P1.H = _ltr030Conf+3100;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R0 = [P1];
	R0 = R0 >> 1;
	R1 = 0 /* 2031616 */;
	R1.H = 31 /* 2031616 */;
	CC = R1 <= R0 (IU);
	R2 = CC;
	[FP + -20] = R2;
.LN95:
// line 119
	CC = R1 <= R0 (IU);
	if CC jump .P43L60 ;

.P43L59:
.LN96:
// line 120
	CALL.X (_InitiateSPORTTransfer);
.LN97:
	jump .P43L61;

.P43L60:

.P43L61:
.LN98:
// line 121
	jump .P43L58;

.P43L57:

.P43L58:
.LN99:
// line 122
	SP += 12;
	(P5:3) = [SP++];
	UNLINK;
	RTS;
.LN._ProcessData.end:
._ProcessData.end:
	.global _ProcessData;
	.type _ProcessData,STT_FUNC;

	.file_attr ProjectName="ltr030-bf-fos";
	.file_attr FuncName="_ssync";
	.file_attr FuncName="_sti";
	.file_attr FuncName="_cli";
	.file_attr FuncName="_min";
	.file_attr FuncName="_ProcessData";
	.file_attr Content="CodeData";
.epctext.end:

	.extern _ISP_DMA_Running;
	.type _ISP_DMA_Running,STT_FUNC;
	.extern _put_ep2data;
	.type _put_ep2data,STT_FUNC;
	.extern _GetNumPPIDataReady;
	.type _GetNumPPIDataReady,STT_FUNC;
	.extern _get_ep2rx;
	.type _get_ep2rx,STT_FUNC;
	.extern _AlteraSPORTReady;
	.type _AlteraSPORTReady,STT_FUNC;
	.extern _InitiateSPORTTransfer;
	.type _InitiateSPORTTransfer,STT_FUNC;

	.section/DOUBLE32 data1;

	.align 4;
.epcdata:
	.type .epcdata,STT_OBJECT;
	.byte _cc.0[4];
	.type _cc.0,STT_OBJECT;
.epcdata.end:

	.section .debug_abbrev SHT_DEBUGINFO;

	.align 1;
.epcabbrev:
	.type .epcabbrev,STT_OBJECT;
	.inc/binary "ProcessData.sbn", 0, 254;
.epcabbrev.end:

	.section .debug_info SHT_DEBUGINFO;

	.align 1;
.epcdebug:
	.type .epcdebug,STT_OBJECT;
	.byte =
		0xEE,0x51,0x00,0x00,0x02,0x00;
	.byte4 = .epcabbrev;
	.byte =
		0x04,0x01,0x2E,0x5C,0x50,0x72,0x6F,0x63,0x65,0x73,0x73,0x44,
		0x61,0x74,0x61,0x2E,0x63,0x00,0x01;
	.byte4 = .epcline;
	.inc/binary "ProcessData.sbn", 254, 20334;
	.byte4 = .LN_ProcessData;
	.byte4 = .LN._ProcessData.end;
	.byte =
		0x01,0x01,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN0;
	.byte4 = .LN._ProcessData.end;
	.byte =
		0x14,0x63,0x63,0x00,0x01,0xA0,0x01,0x00,0x00,0x05,0x0C;
	.byte4 = _cc.0;
	.byte4 = .LN0-.LN_ProcessData;
	.byte =
		0x00,0x14,0x75,0x73,0x62,0x5F,0x72,0x65,0x61,0x64,0x79,0x00,
		0x01,0xA0,0x01,0x00,0x00,0x02,0x7F,0x58;
	.byte4 = .LN0-.LN_ProcessData;
	.byte =
		0x00,0x13,0xF9,0x4F,0x00,0x00;
	.byte4 = .LN94;
	.byte4 = .LN99;
	.byte =
		0x14,0x62,0x75,0x66,0x5F,0x65,0x6D,0x70,0x74,0x79,0x00,0x01,
		0xA0,0x01,0x00,0x00,0x02,0x7F,0x6C,0x00,0x00,0x00,0x00,0x00,
		0x00,0x13,0x4A,0x50,0x00,0x00;
	.byte4 = .LN27;
	.byte4 = .LN41;
	.byte =
		0x14,0x4E,0x75,0x6D,0x44,0x61,0x74,0x61,0x52,0x65,0x61,0x64,
		0x79,0x00,0x01,0xDC,0x01,0x00,0x00,0x02,0x7F,0x5C;
	.byte4 = .LN28-.LN27;
	.byte =
		0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN30;
	.byte4 = .LN41;
	.byte =
		0x14,0x62,0x75,0x66,0x5F,0x72,0x65,0x6D,0x61,0x69,0x6E,0x64,
		0x00,0x01,0xDC,0x01,0x00,0x00,0x02,0x7F,0x60,0x00,0x00,0x00,
		0x00,0x00,0x00,0x00,0x13,0x69,0x50,0x00,0x00;
	.byte4 = .LN46;
	.byte4 = .LN56;
	.byte =
		0x14,0x69,0x6C,0x00,0x01,0xB5,0x01,0x00,0x00,0x02,0x7F,0x64,
		0x00,0x00,0x00,0x00,0x00,0x00,0x13,0x00,0x00,0x00,0x00;
	.byte4 = .LN59;
	.byte4 = .LN91;
	.byte =
		0x14,0x69,0x6C,0x00,0x01,0xB5,0x01,0x00,0x00,0x02,0x7F,0x68,
		0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x14,0x55,0x53,0x42,
		0x44,0x65,0x76,0x43,0x6F,0x6E,0x66,0x00,0x01,0xEB,0x51,0x00,
		0x00,0x05,0x0C;
	.byte4 = _USBDevConf;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x14,0x50,0x50,0x49,0x5F,0x52,0x65,
		0x63,0x76,0x5F,0x44,0x61,0x74,0x61,0x00,0x01,0xD7,0x51,0x00,
		0x00,0x05,0x0C;
	.byte4 = _PPI_Recv_Data;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x14,0x43,0x72,0x61,0x74,0x65,0x53,
		0x79,0x67,0x6E,0x61,0x6C,0x44,0x61,0x74,0x61,0x4E,0x65,0x77,
		0x4D,0x6F,0x64,0x75,0x6C,0x65,0x00,0x01,0xC9,0x51,0x00,0x00,
		0x05,0x0C;
	.byte4 = _CrateSygnalDataNewModule;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x14,0x6C,0x74,0x72,0x30,0x33,0x30,
		0x43,0x6F,0x6E,0x66,0x00,0x01,0x34,0x49,0x00,0x00,0x05,0x0C;
	.byte4 = _ltr030Conf;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x14,0x67,0x5F,0x70,0x6F,0x77,0x65,
		0x72,0x5F,0x6F,0x6E,0x00,0x01,0xA0,0x01,0x00,0x00,0x05,0x0C;
	.byte4 = _g_power_on;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x14,0x67,0x5F,0x61,0x6C,0x74,0x65,
		0x72,0x61,0x5F,0x69,0x6E,0x66,0x6F,0x00,0x01,0xB4,0x51,0x00,
		0x00,0x05,0x0C;
	.byte4 = _g_altera_info;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x14,0x67,0x5F,0x61,0x6C,0x74,0x65,
		0x72,0x61,0x5F,0x72,0x65,0x73,0x65,0x74,0x00,0x01,0xA0,0x01,
		0x00,0x00,0x05,0x0C;
	.byte4 = _g_altera_reset;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x14,0x67,0x5F,0x62,0x75,0x6C,0x6B,
		0x66,0x72,0x61,0x6D,0x65,0x5F,0x73,0x69,0x7A,0x65,0x00,0x01,
		0xA0,0x01,0x00,0x00,0x05,0x0C;
	.byte4 = _g_bulkframe_size;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x14,0x74,0x65,0x73,0x74,0x5F,0x62,
		0x75,0x66,0x00,0x01,0xA2,0x51,0x00,0x00,0x05,0x0C;
	.byte4 = _test_buf;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x0F,0xB4,0x51,0x00,0x00,0xF9,0x08,
		0x00,0x00,0x10,0x80,0x80,0x02,0x00,0xFF,0xFF,0x01,0x00,0x0F,
		0xC4,0x51,0x00,0x00,0x82,0x03,0x00,0x00,0x10,0xFE,0x03,0x00,
		0xFD,0x03,0x00,0x11,0x04,0x09,0x00,0x00,0x0F,0xD7,0x51,0x00,
		0x00,0xC4,0x51,0x00,0x00,0x10,0x02,0x00,0x01,0x00,0x0F,0xEB,
		0x51,0x00,0x00,0xF9,0x08,0x00,0x00,0x10,0x80,0x80,0x80,0x02,
		0x00,0xFF,0xFF,0xFF,0x01,0x00,0x04,0x00,0x31,0x3F,0x00,0x00,
		0x00;
.epcdebug.end:

	.section .debug_line SHT_DEBUGINFO;

	.align 1;
.epcline:
	.type .epcline,STT_OBJECT;
	.inc/binary "ProcessData.sbn", 20588, 4430;
	.byte4 = .LN_ProcessData;
	.byte =
		0x04,0x01,0x05,0x05,0x17,0x00,0x05,0x02;
	.byte4 = .LN0;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN1;
	.byte =
		0x05,0x16,0x0E,0x00,0x05,0x02;
	.byte4 = .LN2;
	.byte =
		0x05,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN3;
	.byte =
		0x05,0x06,0x0B,0x00,0x05,0x02;
	.byte4 = .LN4;
	.byte =
		0x05,0x0A,0x0B,0x00,0x05,0x02;
	.byte4 = .LN5;
	.byte =
		0x05,0x0E,0x0B,0x00,0x05,0x02;
	.byte4 = .LN6;
	.byte =
		0x05,0x19,0x0B,0x00,0x05,0x02;
	.byte4 = .LN7;
	.byte =
		0x05,0x0E,0x0A,0x00,0x05,0x02;
	.byte4 = .LN8;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN9;
	.byte =
		0x05,0x19,0x0C,0x00,0x05,0x02;
	.byte4 = .LN10;
	.byte =
		0x05,0x11,0x0A,0x00,0x05,0x02;
	.byte4 = .LN11;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN12;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN13;
	.byte =
		0x05,0x0A,0x0B,0x00,0x05,0x02;
	.byte4 = .LN14;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN15;
	.byte =
		0x05,0x0D,0x0B,0x00,0x05,0x02;
	.byte4 = .LN16;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN17;
	.byte =
		0x05,0x18,0x0A,0x00,0x05,0x02;
	.byte4 = .LN18;
	.byte =
		0x05,0x0D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN19;
	.byte =
		0x05,0x08,0x0A,0x00,0x05,0x02;
	.byte4 = .LN20;
	.byte =
		0x05,0x04,0x0B,0x00,0x05,0x02;
	.byte4 = .LN21;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN22;
	.byte =
		0x05,0x07,0x0A,0x00,0x05,0x02;
	.byte4 = .LN23;
	.byte =
		0x05,0x08,0x0A,0x00,0x05,0x02;
	.byte4 = .LN24;
	.byte =
		0x05,0x12,0x0B,0x00,0x05,0x02;
	.byte4 = .LN25;
	.byte =
		0x05,0x07,0x0A,0x00,0x05,0x02;
	.byte4 = .LN26;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN27;
	.byte =
		0x05,0x3C,0x0C,0x00,0x05,0x02;
	.byte4 = .LN28;
	.byte =
		0x05,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN29;
	.byte =
		0x05,0x0D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN30;
	.byte =
		0x05,0x11,0x0D,0x00,0x05,0x02;
	.byte4 = .LN31;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN32;
	.byte =
		0x05,0x23,0x0A,0x00,0x05,0x02;
	.byte4 = .LN33;
	.byte =
		0x04,0x0B,0x05,0x08,0x03,0xD7,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN34;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN35;
	.byte =
		0x04,0x01,0x05,0x11,0x03,0xA9,0x7D,0x01,0x00,0x05,0x02;
	.byte4 = .LN36;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN37;
	.byte =
		0x0F,0x00,0x05,0x02;
	.byte4 = .LN38;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN39;
	.byte =
		0x05,0x1C,0x01,0x00,0x05,0x02;
	.byte4 = .LN40;
	.byte =
		0x05,0x11,0x0B,0x00,0x05,0x02;
	.byte4 = .LN41;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN42;
	.byte =
		0x05,0x05,0x0C,0x00,0x05,0x02;
	.byte4 = .LN43;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN44;
	.byte =
		0x04,0x0B,0x05,0x11,0x03,0xF9,0x0C,0x01,0x00,0x05,0x02;
	.byte4 = .LN45;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN46;
	.byte =
		0x04,0x01,0x05,0x0D,0x03,0x8A,0x73,0x01,0x00,0x05,0x02;
	.byte4 = .LN47;
	.byte =
		0x04,0x0B,0x05,0x03,0x03,0xF6,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN48;
	.byte =
		0x04,0x01,0x05,0x0D,0x03,0x8D,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN49;
	.byte =
		0x05,0x16,0x01,0x00,0x05,0x02;
	.byte4 = .LN50;
	.byte =
		0x05,0x0D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN51;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN52;
	.byte =
		0x05,0x10,0x01,0x00,0x05,0x02;
	.byte4 = .LN53;
	.byte =
		0x04,0x0B,0x05,0x03,0x03,0xFF,0x0C,0x01,0x00,0x05,0x02;
	.byte4 = .LN54;
	.byte =
		0x03,0xF1,0x0D,0x01,0x00,0x05,0x02;
	.byte4 = .LN55;
	.byte =
		0x04,0x01,0x05,0x0D,0x03,0x92,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN56;
	.byte =
		0x05,0x0E,0x0A,0x00,0x05,0x02;
	.byte4 = .LN57;
	.byte =
		0x04,0x0B,0x05,0x11,0x03,0xED,0x0C,0x01,0x00,0x05,0x02;
	.byte4 = .LN58;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN59;
	.byte =
		0x04,0x01,0x05,0x0D,0x03,0x96,0x73,0x01,0x00,0x05,0x02;
	.byte4 = .LN60;
	.byte =
		0x04,0x0B,0x05,0x03,0x03,0xEA,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN61;
	.byte =
		0x04,0x01,0x05,0x0D,0x03,0x99,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN62;
	.byte =
		0x04,0x0B,0x05,0x03,0x03,0xE7,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN63;
	.byte =
		0x04,0x01,0x05,0x0D,0x03,0x99,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN64;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN65;
	.byte =
		0x04,0x0B,0x05,0x03,0x03,0xE7,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN66;
	.byte =
		0x04,0x01,0x05,0x0D,0x03,0x99,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN67;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN68;
	.byte =
		0x04,0x0B,0x05,0x03,0x03,0xE6,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN69;
	.byte =
		0x04,0x01,0x05,0x0D,0x03,0x9A,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN70;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN71;
	.byte =
		0x04,0x0B,0x05,0x03,0x03,0xE6,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN72;
	.byte =
		0x04,0x01,0x05,0x0D,0x03,0x9A,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN73;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN74;
	.byte =
		0x04,0x0B,0x05,0x03,0x03,0xE5,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN75;
	.byte =
		0x04,0x01,0x05,0x0D,0x03,0x9B,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN76;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN77;
	.byte =
		0x04,0x0B,0x05,0x03,0x03,0xE5,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN78;
	.byte =
		0x04,0x01,0x05,0x0D,0x03,0x9B,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN79;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN80;
	.byte =
		0x04,0x0B,0x05,0x03,0x03,0xE4,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN81;
	.byte =
		0x04,0x01,0x05,0x0D,0x03,0x9C,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN82;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN83;
	.byte =
		0x04,0x0B,0x05,0x03,0x03,0xE4,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN84;
	.byte =
		0x04,0x01,0x05,0x0D,0x03,0x9C,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN85;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN86;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN87;
	.byte =
		0x05,0x10,0x01,0x00,0x05,0x02;
	.byte4 = .LN88;
	.byte =
		0x04,0x0B,0x05,0x03,0x03,0xEF,0x0C,0x01,0x00,0x05,0x02;
	.byte4 = .LN89;
	.byte =
		0x03,0xF1,0x0D,0x01,0x00,0x05,0x02;
	.byte4 = .LN90;
	.byte =
		0x04,0x01,0x05,0x0D,0x03,0xA2,0x65,0x01,0x00,0x05,0x02;
	.byte4 = .LN91;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN92;
	.byte =
		0x05,0x19,0x0C,0x00,0x05,0x02;
	.byte4 = .LN93;
	.byte =
		0x05,0x05,0x01,0x00,0x05,0x02;
	.byte4 = .LN94;
	.byte =
		0x05,0x09,0x0C,0x00,0x05,0x02;
	.byte4 = .LN95;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN96;
	.byte =
		0x05,0x22,0x0A,0x00,0x05,0x02;
	.byte4 = .LN97;
	.byte =
		0x05,0x0D,0x01,0x00,0x05,0x02;
	.byte4 = .LN98;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN99;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._ProcessData.end;
	.byte =
		0x00,0x01,0x01;
.epcline.end:

	.section .annotations SHT_DEBUGINFO;

	.align 1;
.epcannot:
	.type .epcannot,STT_OBJECT;
	.inc/binary "ProcessData.sbn", 25018, 4128;
.epcannot.end:

	.section .debug_pubnames SHT_DEBUGINFO;

	.align 1;
.epcpubnames:
	.type .epcpubnames,STT_OBJECT;
	.byte =
		0x2B,0x00,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.byte =
		0xF2,0x51,0x00,0x00,0x7D,0x4F,0x00,0x00,0x50,0x72,0x6F,0x63,
		0x65,0x73,0x73,0x44,0x61,0x74,0x61,0x00,0x88,0x51,0x00,0x00,
		0x74,0x65,0x73,0x74,0x5F,0x62,0x75,0x66,0x00,0x00,0x00,0x00,
		0x00;
.epcpubnames.end:

	.section .debug_aranges SHT_DEBUGINFO;

	.align 1;
.epcaranges:
	.type .epcaranges,STT_OBJECT;
	.byte =
		0x1C,0x00,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.byte =
		0x04,0x00,0x00,0x00,0x00,0x00;
	.byte4 = .LN_ProcessData;
	.byte4 = .LN._ProcessData.end-.LN_ProcessData;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00;
.epcaranges.end:

	.section/ZERO_INIT/DOUBLE32 bsz;

	.align 4;
	.global _test_buf;
	.type _test_buf,STT_OBJECT;
	.byte _test_buf[65536];
._test_buf.end:

	.section/DOUBLE32 data1;


	.extern _USBDevConf;
	.type _USBDevConf,STT_OBJECT;
	.extern _PPI_Recv_Data;
	.type _PPI_Recv_Data,STT_OBJECT;
	.extern _CrateSygnalDataNewModule;
	.type _CrateSygnalDataNewModule,STT_OBJECT;
	.extern _ltr030Conf;
	.type _ltr030Conf,STT_OBJECT;
	.extern _g_power_on;
	.type _g_power_on,STT_OBJECT;
	.extern _g_altera_info;
	.type _g_altera_info,STT_OBJECT;
	.extern _g_altera_reset;
	.type _g_altera_reset,STT_OBJECT;
	.extern _g_bulkframe_size;
	.type _g_bulkframe_size,STT_OBJECT;
