	.file "..\..\..\lib\lwip\src\netif\etharp.c";
//  Compilation time: Fri Feb 19 12:13:08 2010

//  Compiler options: -c -file-attr ProjectName=ltr030-bf-fos -g -structs-do-not-overlap -no-multiline -double-size-32 -decls-strong -warn-protos -D VDSP_BF -I c:\prj;c:\prj\lib\efsl\inc;c:\prj\lib\freertos\source\include;c:\prj\lib\lwip\src\include;c:\prj\lib\lwip\src\include\ipv4;c:\prj\lib\lwip\contrib\ports\bf\include;c:\prj\ltr\ltr030\ltr030-bf-fos -threads -save-temps -si-revision 0.3 -proc ADSP-BF537 -o .\Debug\etharp.doj -MM
//  Architecture: ADSP-BF537
//  Silicon revision: 0.3
//  Anomalies summary:
//   Disabled: w05_00_0046,w05_00_0048,w05_00_0054,w05_00_0071,w05_00_0103,w05_00_0104,w05_00_0120,w05_00_0127,w05_00_0157,w05_00_0164,w05_00_0165,w05_00_0195,w05_00_0198,w05_00_0202,w05_00_0209,w05_00_0227,w05_00_0244,w05_00_0246,w05_00_0248,w05_00_0257,w05_00_0262,w05_00_0264,w05_00_0283,wF3_F_021,wF3_F_008_F3_F_013,w05_00_0311
//   Enabled: w05_00_0189,w05_00_0245,w05_00_0312,w05_00_0371
//   Always on: w05_00_0074,w05_00_0122

	.section/DOUBLE32 program;

.epctext:
	.align 2;
_free_etharp_q:
.LN_free_etharp_q:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// Original Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 150 col 3 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// Original Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 151 col 3 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// Original Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 155 col 5 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\netif\etharp.c":148
	LINK 12;
	[FP + 8] = R0;







.P36L11:
//-------------------------------------------------------------------
//   Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 152 col 3
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 20 cycles.
//   (cycle count 20 excludes the cost of the inner function calls and it includes 6 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used  14 out of   20 ( 70.0%)
//     16-bit Instruction  used  21 out of   40 ( 52.5%)
//     32-bit Instruction  used   7 out of   20 ( 35.0%)
//     Store               used   2 out of   20 ( 10.0%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN0:
// line 152
	R0 = [FP + 8];
	CC = R0 == 0;
	if CC jump .P36L12 ;

.P36L13:
.LN1:
// line 153
	[FP + 12] = R0;
.LN2:
// line 154
	P1 = [FP + 8];
	NOP;                                    // Inserted to fix anomaly w05_00_0245_with_boundaries. 
	// -- 2 stalls --
	R0 = [P1];
	[FP + 8] = R0;



.LN3:
// line 156
	R0 = [P1 + 4];
.LN4:
	CALL.X (_pbuf_free);
.LN5:
// line 157
	R1 = [FP + 12];
.LN6:
	R0 = 10;
	CALL.X (_memp_free);
	jump .P36L11;

.P36L12:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN7:
// line 159
	UNLINK;
	RTS;
.LN._free_etharp_q.end:
._free_etharp_q.end:
	.type _free_etharp_q,STT_FUNC;

	.align 2;
_etharp_tmr:
.LN_etharp_tmr:
	.reference _arp_table;
	.reference _free_etharp_q;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 0 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,P0-P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{R7.L,R7.H,P5,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\netif\etharp.c":170
	LINK 0;
	[--SP] = (R7:7, P5:5);
	SP += -12;
.LN8:
// line 175
	R7 = 0;
	B[FP + 8] = R7;

.P39L1:
//-------------------------------------------------------------------
//   Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 175 col 3
//-------------------------------------------------------------------
	R0 = B[FP + 8] (Z);
	R1 = 10;
	CC = R1 <= R0;
	if CC jump .P39L3 ;

.P39L2:
.LN9:
// line 176
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P5.L = _arp_table;
	P5.H = _arp_table;
	P1 = P5 + P0;
	R0 = B[P1 + 20] (Z);
	R0 += 1;
	B[P1 + 20] = R0;
.LN10:
// line 177
	R0 = B[FP + 8] (Z);
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P1 = P5 + P0;
	R0 = [P1 + 16];
	CC = R0 == 2;
	if !CC jump .P39L7 ;

.P39L8:
	R1 = B[P1 + 20] (Z);
	R2 = 240;
	CC = R2 <= R1;
	if CC jump .P39L4 ;

.P39L7:
	CC = R0 == 1;
	if !CC jump .P39L5 ;

.P39L9:
	R0 = B[P1 + 20] (Z);
	CC = R0 < 2;
	if CC jump .P39L5 ;

.P39L4:
.LN11:
// line 189
	R0 = [P1];
	CC = R0 == 0;
	if CC jump .P39L11 ;

.P39L10:
.LN12:
// line 192
	CALL.X (_free_etharp_q);
.LN13:
// line 193
	R0 = B[FP + 8] (Z);
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P1 = P5 + P0;
	[P1] = R7;
.LN14:
// line 194
	jump .P39L12;

.P39L11:

.P39L12:
.LN15:
// line 197
	R0 = B[FP + 8] (Z);
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P1 = P5 + P0;
	[P1 + 16] = R7;
.LN16:
// line 198
	jump .P39L6;

.P39L5:

.P39L6:

.LN17:
// line 175
	R0 = B[FP + 8] (Z);
	R0 += 1;
	B[FP + 8] = R0;
	jump .P39L1;

.P39L3:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN18:
// line 206
	SP += 12;
	(R7:7, P5:5) = [SP++];
	UNLINK;
	RTS;
.LN._etharp_tmr.end:
._etharp_tmr.end:
	.global _etharp_tmr;
	.type _etharp_tmr,STT_FUNC;

	.align 2;
_find_entry:
.LN_find_entry:
	.reference _etharp_cached_entry;
	.reference _arp_table;
	.reference _free_etharp_q;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{R4.L,R4.H,R5.L,R5.H,R6.L,R6.H,R7.L,R7.H,P5,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// Original Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 376 col 5 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// Original Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 398 col 3 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\netif\etharp.c":236
	LINK 12;
	[--SP] = (R7:4, P5:5);
	SP += -12;
	B[FP + 12] = R1;
	[FP + 8] = R0;
.LN19:
// line 237
	R1 = 10;
	B[FP + -12] = R1;
.LN20:
	B[FP + -11] = R1;
.LN21:
// line 238
	B[FP + -10] = R1;
.LN22:
// line 239
	R7 = 0;
	B[FP + -9] = R7;
.LN23:
	B[FP + -8] = R7;
.LN24:
	B[FP + -7] = R7;
.LN25:
// line 242
	B[FP + -6] = R1;
.LN26:
// line 244
	B[FP + -5] = R7;
.LN27:
// line 249
	CC = R0 == 0;
	if CC jump .P40L2 ;

.P40L1:
.LN28:
// line 265
	P2.L = .epcbss;
	P2.H = .epcbss;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R0 = B[P2] (Z);
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P1.L = _arp_table;
	P1.H = _arp_table;
	P1 = P1 + P0;
	R0 = [P1 + 16];
	CC = R0 == 2;
	if !CC jump .P40L5 ;

.P40L4:
.LN29:
// line 267
	P0 = [FP + 8];
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R3 = B[P0] (Z);
	R0 = B[P0 + 1] (Z);
	R6 = R0 << 8;
	R0 = B[P0 + 2] (Z);
	R0 = R0 << 16;
	R2 = B[P0 + 3] (Z);
	R2 = R2 << 24;
	R0 = R0 | R2;
	R0 = R6 | R0;
	R6 = R3 | R0;
	P1 += 4;
	R3 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R5 = R0 << 8;
	R0 = B[P1 + 2] (Z);
	R0 = R0 << 16;
	R2 = B[P1 + 3] (Z);
	R2 = R2 << 24;
	R0 = R0 | R2;
	R0 = R5 | R0;
	R0 = R3 | R0;
	CC = R6 == R0;
	if !CC jump .P40L8 ;

.P40L7:
.LN30:
// line 269
	P1.L = _lwip_stats+46;
	P1.H = _lwip_stats+46;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R0 = W[P1] (Z);
	R0 += 1;
	W[P1] = R0.L;
.LN31:
// line 270
	R0 = B[P2] (X);
	[FP + -4] = R0;

.P40L10:
	R0 = [FP + -4];
	SP += 12;
	(R7:4, P5:5) = [SP++];
	UNLINK;
	RTS;

.P40L8:
.LN32:
// line 272
	jump .P40L6;

.P40L5:

.P40L6:
.LN33:
// line 274
	jump .P40L3;

.P40L2:

.P40L3:
.LN34:
// line 291
	B[FP + -9] = R7;

.P40L12:
//-------------------------------------------------------------------
//   Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 291 col 3
//-------------------------------------------------------------------
	R0 = B[FP + -9] (Z);
	CC = R1 <= R0;
	if CC jump .P40L14 ;

.P40L13:
.LN35:
// line 293
	R2 = B[FP + -10] (X);
	CC = R2 == R1;
	if !CC jump .P40L16 ;

.P40L18:
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P1.L = _arp_table;
	P1.H = _arp_table;
	P1 = P1 + P0;
	R2 = [P1 + 16];
	CC = R2 == 0;
	if !CC jump .P40L16 ;

.P40L15:
.LN36:
// line 296
	B[FP + -10] = R0;
.LN37:
// line 297
	jump .P40L17;

.P40L16:
.LN38:
// line 299
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P1.L = _arp_table;
	P1.H = _arp_table;
	P0 = P1 + P0;
	R2 = [P0 + 16];
	CC = R2 == 1;
	if !CC jump .P40L20 ;

.P40L19:
.LN39:
// line 301
	R2 = [FP + 8];
	CC = R2 == 0;
	if CC jump .P40L23 ;

.P40L25:
	P1 = [FP + 8];
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R6 = B[P1] (Z);
	R2 = B[P1 + 1] (Z);
	R5 = R2 << 8;
	R2 = B[P1 + 2] (Z);
	R2 = R2 << 16;
	R3 = B[P1 + 3] (Z);
	R3 = R3 << 24;
	R2 = R2 | R3;
	R2 = R5 | R2;
	R6 = R6 | R2;
	P1 = P0;
	P1 += 4;
	R3 = B[P1] (Z);
	R2 = B[P1 + 1] (Z);
	R5 = R2 << 8;
	R2 = B[P1 + 2] (Z);
	R4 = R2 << 16;
	R2 = B[P1 + 3] (Z);
	R2 = R2 << 24;
	R2 = R4 | R2;
	R2 = R5 | R2;
	R2 = R3 | R2;
	CC = R6 == R2;
	if !CC jump .P40L23 ;

.P40L22:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN40:
// line 307
	R0 = B[FP + -9] (Z);
	P1.L = .epcbss;
	P1.H = .epcbss;
	NOP;                                    // Inserted to fix anomaly w05_00_0245_with_boundaries. 
	B[P1] = R0;
.LN41:
// line 309
	R0 = B[FP + -9] (X);
	[FP + -4] = R0;
	jump .P40L10;

.P40L23:
//-------------------------------------------------------------------
//   Part of Loop 12, depth 1
//-------------------------------------------------------------------
.LN42:
// line 312
	R2 = [P0];
	CC = R2 == 0;
	if CC jump .P40L28 ;

.P40L27:
.LN43:
// line 313
	R2 = B[P0 + 20] (Z);
	R3 = B[FP + -5] (Z);
	CC = R2 < R3;
	if CC jump .P40L31 ;

.P40L30:
.LN44:
// line 314
	B[FP + -6] = R0;
.LN45:
// line 315
	R0 = B[P0 + 20] (Z);
	B[FP + -5] = R0;
.LN46:
// line 316
	jump .P40L32;

.P40L31:

.P40L32:
.LN47:
// line 319
	jump .P40L29;

.P40L28:
.LN48:
// line 320
	R2 = B[P0 + 20] (Z);
	R3 = B[FP + -8] (Z);
	CC = R2 < R3;
	if CC jump .P40L34 ;

.P40L33:
.LN49:
// line 321
	B[FP + -12] = R0;
.LN50:
// line 322
	R0 = B[P0 + 20] (Z);
	B[FP + -8] = R0;
.LN51:
// line 323
	jump .P40L35;

.P40L34:

.P40L35:

.P40L29:
.LN52:
// line 325
	jump .P40L21;

.P40L20:
.LN53:
// line 327
	CC = R2 == 2;
	if !CC jump .P40L37 ;

.P40L36:
.LN54:
// line 329
	R2 = [FP + 8];
	CC = R2 == 0;
	if CC jump .P40L40 ;

.P40L42:
	P1 = [FP + 8];
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R6 = B[P1] (Z);
	R2 = B[P1 + 1] (Z);
	R5 = R2 << 8;
	R2 = B[P1 + 2] (Z);
	R2 = R2 << 16;
	R3 = B[P1 + 3] (Z);
	R3 = R3 << 24;
	R2 = R2 | R3;
	R2 = R5 | R2;
	R6 = R6 | R2;
	P1 = P0;
	P1 += 4;
	R3 = B[P1] (Z);
	R2 = B[P1 + 1] (Z);
	R5 = R2 << 8;
	R2 = B[P1 + 2] (Z);
	R4 = R2 << 16;
	R2 = B[P1 + 3] (Z);
	R2 = R2 << 24;
	R2 = R4 | R2;
	R2 = R5 | R2;
	R2 = R3 | R2;
	CC = R6 == R2;
	if !CC jump .P40L40 ;

.P40L39:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN55:
// line 335
	R0 = B[FP + -9] (Z);
	P1.L = .epcbss;
	P1.H = .epcbss;
	NOP;                                    // Inserted to fix anomaly w05_00_0245_with_boundaries. 
	B[P1] = R0;
.LN56:
// line 337
	R0 = B[FP + -9] (X);
	[FP + -4] = R0;
	jump .P40L10;

.P40L40:
//-------------------------------------------------------------------
//   Part of Loop 12, depth 1
//-------------------------------------------------------------------
.LN57:
// line 339
	R2 = B[P0 + 20] (Z);
	R3 = B[FP + -7] (Z);
	CC = R2 < R3;
	if CC jump .P40L45 ;

.P40L44:
.LN58:
// line 340
	B[FP + -11] = R0;
.LN59:
// line 341
	R0 = B[P0 + 20] (Z);
	B[FP + -7] = R0;
.LN60:
// line 342
	jump .P40L46;

.P40L45:

.P40L46:
.LN61:
// line 343
	jump .P40L38;

.P40L37:

.P40L38:

.P40L21:

.P40L17:
.LN62:
// line 291
	R0 = B[FP + -9] (Z);
	R0 += 1;
	B[FP + -9] = R0;
	jump .P40L12;

.P40L14:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN63:
// line 348
	R0 = B[FP + -10] (X);
	CC = R0 == R1;
	if !CC jump .P40L50 ;

.P40L51:
	R2 = B[FP + 12] (Z);
	CC = !BITTST(R2, 0);
	if CC jump .P40L47 ;

.P40L50:
	R2 = B[FP + 12] (Z);
	CC = !BITTST(R2, 1);
	if CC jump .P40L48 ;

.P40L47:
.LN64:
// line 352
	R0 = -1;
	[FP + -4] = R0;
	jump .P40L10;

.P40L48:
.LN65:
// line 365
	CC = R1 <= R0;
	if CC jump .P40L54 ;

.P40L53:
.LN66:
// line 366
	R0 = B[FP + -10] (Z);
	B[FP + -9] = R0;
.LN67:
// line 368
	jump .P40L55;

.P40L54:
.LN68:
// line 370
	R0 = B[FP + -11] (X);
	CC = R1 <= R0;
	if CC jump .P40L57 ;

.P40L56:
.LN69:
// line 372
	R0 = B[FP + -11] (Z);
	B[FP + -9] = R0;



.LN70:
// line 379
	jump .P40L58;

.P40L57:
.LN71:
	R0 = B[FP + -12] (X);
	CC = R1 <= R0;
	if CC jump .P40L65 ;

.P40L64:
.LN72:
// line 381
	R0 = B[FP + -12] (Z);
	B[FP + -9] = R0;
.LN73:
// line 385
	jump .P40L66;

.P40L65:
.LN74:
	R0 = B[FP + -6] (X);
	CC = R1 <= R0;
	if CC jump .P40L68 ;

.P40L67:
.LN75:
// line 387
	R0 = B[FP + -6] (Z);
	B[FP + -9] = R0;
.LN76:
// line 389
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P5.L = _arp_table;
	P5.H = _arp_table;
	P1 = P5 + P0;
	R0 = [P1];
.LN77:
	CALL.X (_free_etharp_q);
.LN78:
// line 390
	R0 = B[FP + -9] (Z);
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P1 = P5 + P0;
	[P1] = R7;
.LN79:
// line 395
	jump .P40L66;

.P40L68:
.LN80:
// line 394
	R0 = -1;
	[FP + -4] = R0;
	jump .P40L10;

.P40L66:

.P40L58:

.P40L55:




.LN81:
// line 405
	R0 = B[FP + -9] (Z);
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P2.L = _arp_table;
	P2.H = _arp_table;
	P1 = P2 + P0;
	[P1 + 16] = R7;
.LN82:
// line 408
	R0 = [FP + 8];
	CC = R0 == 0;
	if CC jump .P40L80 ;

.P40L79:
.LN83:
// line 410
	CC = R0 == 0;
	if !CC jump .P40L83 ;

.P40L82:
	[FP + 16] = R7;
	jump .P40L84;

.P40L83:
	P1 = [FP + 8];
	R3 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0 = R0 << 8;
	R1 = B[P1 + 2] (Z);
	R1 = R1 << 16;
	R2 = B[P1 + 3] (Z);
	R2 = R2 << 24;
	R1 = R1 | R2;
	R0 = R0 | R1;
	R0 = R3 | R0;
	[FP + 16] = R0;

.P40L84:
	R1 = [FP + 16];
	R0 = B[FP + -9] (Z);
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P1 = P2 + P0;
	P1 += 4;
	R0 = R1 >> 24;
	R2 = R1 >> 16;
	R3 = R1 >> 8;
	B[P1] = R1;
	B[P1 + 1] = R3;
	B[P1 + 2] = R2;
	B[P1 + 3] = R0;
.LN84:
// line 411
	jump .P40L81;

.P40L80:

.P40L81:
.LN85:
// line 412
	R0 = B[FP + -9] (Z);
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P1 = P2 + P0;
	B[P1 + 20] = R7;
.LN86:
// line 416
	R0 = B[FP + -9] (Z);
	P1.L = .epcbss;
	P1.H = .epcbss;
	B[P1] = R0;
.LN87:
// line 418
	R0 = B[FP + -9] (X);
	[FP + -4] = R0;
	jump .P40L10;
.LN._find_entry.end:
._find_entry.end:
	.type _find_entry,STT_FUNC;

	.align 2;
_etharp_send_ip:
.LN_etharp_send_ip:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 20 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// Original Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 437 col 3 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\netif\etharp.c":433
	LINK 20;
	P1 = R1;
	R3 = [FP + 20];
	[FP + 20] = R3;
	[FP + 16] = R2;
	[FP + 12] = R1;
	[FP + 8] = R0;
.LN88:
// line 434
	R0 = [P1 + 4];
	[FP + -8] = R0;



.LN89:
// line 439
	R0 = 6;
	B[FP + -1] = R0;

.P41L6:
//-------------------------------------------------------------------
//   Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 440 col 3
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 45 cycles.
//   (cycle count 45 includes 20 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used  21 out of   45 ( 46.7%)
//     16-bit Instruction  used  34 out of   90 ( 37.8%)
//     32-bit Instruction  used  17 out of   45 ( 37.8%)
//     Store               used   3 out of   45 (  6.7%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN90:
// line 440
	R0 = B[FP + -1] (Z);
	CC = R0 <= 0;
	if CC jump .P41L7 ;

.P41L8:
.LN91:
// line 441
	R0 += -1;
	R1 = R0.b (Z);
	B[FP + -1] = R0;
.LN92:
// line 442
	R0 = [FP + 20];
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	R2 = B[P1] (Z);
	R0 = [FP + -8];
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	B[P1] = R2;
.LN93:
// line 443
	R0 = [FP + 16];
	R1 = B[FP + -1] (Z);
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	R2 = B[P1] (Z);
	R0 = [FP + -8];
	R0 += 6;
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	B[P1] = R2;
	jump .P41L6;

.P41L7:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN94:
// line 445
	R0 = 2048;
	CALL.X (_htons);
.LN95:
	P1 = [FP + -8];
	P1 += 12;
	R1.L = R0.L >> 8;
	B[P1] = R0;
	B[P1 + 1] = R1;
.LN96:
// line 448
	R0 = [FP + 8];
	R1 = [FP + 12];
	P1 = [FP + 8];
	P1 = [P1 + 24];
.LN97:
	CALL (P1);
	R0 = R0.b (X);
.LN98:
	UNLINK;
	RTS;
.LN._etharp_send_ip.end:
._etharp_send_ip.end:
	.type _etharp_send_ip,STT_FUNC;

	.align 2;
_update_arp_entry:
.LN_update_arp_entry:
	.reference _find_entry;
	.reference _arp_table;
	.reference _etharp_send_ip;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{R6.L,R6.H,R7.L,R7.H,P5,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// Original Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 476 col 3 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\netif\etharp.c":472
	LINK 16;
	[--SP] = (R7:6, P5:5);
	SP += -16;
	R3 = ROT R0 BY 0;
	R0 = ROT R1 BY 0;
	R1 = [FP + 20];
	B[FP + 20] = R1;
	[FP + 16] = R2;
	[FP + 12] = R0;
	[FP + 8] = R3;



.LN99:
// line 482
	CC = R0 == 0;
	if CC jump .P43L6 ;

.P43L11:
	P1 = [FP + 12];
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R7 = B[P1] (Z);
	R1 = B[P1 + 1] (Z);
	R6 = R1 << 8;
	R1 = B[P1 + 2] (Z);
	R1 = R1 << 16;
	R2 = B[P1 + 3] (Z);
	R2 = R2 << 24;
	R1 = R1 | R2;
	R1 = R6 | R1;
	R1 = R7 | R1;
	CC = R1 == 0;
	if CC jump .P43L6 ;

.P43L10:
.LN100:
// line 483
	R1 = ROT R3 BY 0;
	CALL.X (_ip_addr_isbroadcast);
	R0 = R0.b (Z);
.LN101:
// line 482
	CC = R0 == 0;
	if !CC jump .P43L6 ;

.P43L9:
.LN102:
// line 484
	R0 = 0 /* -268435456 */;
	R0.H = -4096 /* -268435456 */;
	CALL.X (_ntohl);
	R7 = ROT R0 BY 0;
.LN103:
	R0 = 0 /* -536870912 */;
	R0.H = -8192 /* -536870912 */;
	CALL.X (_ntohl);
.LN104:
// line 482
	P1 = [FP + 12];
	R3 = B[P1] (Z);
	R1 = B[P1 + 1] (Z);
	R6 = R1 << 8;
	R1 = B[P1 + 2] (Z);
	R1 = R1 << 16;
	R2 = B[P1 + 3] (Z);
	R2 = R2 << 24;
	R1 = R1 | R2;
	R1 = R6 | R1;
	R1 = R3 | R1;
	R1 = R7 & R1;
	CC = R0 == R1;
	if !CC jump .P43L7 ;

.P43L6:
.LN105:
// line 486
	R0 = -11;
	[FP + -4] = R0;

.P43L12:
	R0 = [FP + -4];
	SP += 16;
	(R7:6, P5:5) = [SP++];
	UNLINK;
	RTS;

.P43L7:
.LN106:
// line 492
	R0 = [FP + 12];
	R1 = B[FP + 20] (Z);
.LN107:
	CALL.X (_find_entry);
.LN108:
	B[FP + -14] = R0;
.LN109:
// line 495
	R0 = R0.b (X);
	CC = R0 < 0;
	if !CC jump .P43L15 ;

.P43L14:
.LN110:
// line 496
	[FP + -4] = R0;
	jump .P43L12;

.P43L15:
.LN111:
// line 499
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P5.L = _arp_table;
	P5.H = _arp_table;
	P1 = P5 + P0;
	R0 = 2;
	[P1 + 16] = R0;
.LN112:
// line 501
	R1 = [FP + 8];
	R0 = B[FP + -14] (X);
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P1 = P5 + P0;
	[P1 + 24] = R1;
.LN113:
// line 508
	R0 = 6;
	B[FP + -13] = R0;

.P43L18:
//-------------------------------------------------------------------
//   Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 509 col 3
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 36 cycles.
//   (cycle count 36 includes 13 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     32-bit Instruction  used  17 out of   36 ( 47.2%)
//     Group 1             used  17 out of   36 ( 47.2%)
//     16-bit Instruction  used  31 out of   72 ( 43.1%)
//     Store               used   2 out of   36 (  5.6%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN114:
// line 509
	R0 = B[FP + -13] (Z);
	CC = R0 <= 0;
	if CC jump .P43L19 ;

.P43L20:
.LN115:
// line 510
	R0 += -1;
	R3 = R0.b (Z);
	B[FP + -13] = R0;
.LN116:
// line 511
	R0 = [FP + 16];
	R0 = R0 + R3 (NS);
	P1 = R0;
	// -- 4 stalls --
	R2 = B[P1] (Z);
	R0 = B[FP + -14] (X);
	R1 = 28;
	// -- stall --
	R0 *= R1;
	R1.L = _arp_table;
	R1.H = _arp_table;
	R0 = R1 + R0 (NS);
	R0 += 8;
	R0 = R0 + R3 (NS);
	P1 = R0;
	// -- 4 stalls --
	B[P1] = R2;
	jump .P43L18;

.P43L19:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN117:
// line 514
	R0 = B[FP + -14] (X);
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P1 = P5 + P0;
	R7 = 0;
	B[P1 + 20] = R7;

.P43L21:
//-------------------------------------------------------------------
//   Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 517 col 3
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 44 cycles.
//   (cycle count 44 excludes the cost of the inner function calls and it includes 14 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used  30 out of   44 ( 68.2%)
//     16-bit Instruction  used  45 out of   88 ( 51.1%)
//     32-bit Instruction  used  15 out of   44 ( 34.1%)
//     Store               used   4 out of   44 (  9.1%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN118:
// line 517
	R0 = B[FP + -14] (X);
	P1 = R0;
	// -- 4 stalls --
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P1 = P5 + P0;
	R0 = [P1];
	CC = R0 == 0;
	if CC jump .P43L22 ;

.P43L23:
.LN119:
// line 520
	P0 = [P1];
	// -- 3 stalls --
	[FP + -8] = P0;
	NOP;                                    // Inserted to fix anomaly w05_00_0245_with_boundaries. 
.LN120:
// line 522
	R0 = [P0];
	[P1] = R0;
.LN121:
// line 524
	P1 = [FP + -8];
	// -- 3 stalls --
	R0 = [P1 + 4];
	[FP + -12] = R0;
.LN122:
// line 526
	R1 = [FP + -8];
.LN123:
	R0 = 10;
	CALL.X (_memp_free);
.LN124:
// line 528
	R2 = [FP + 8];
	R1 = [FP + -12];
	R0 = [FP + 8];
	R2 += 35;
	R3 = [FP + 16];
.LN125:
	[SP + 12] = R3;
	CALL.X (_etharp_send_ip);
.LN126:
// line 530
	R0 = [FP + -12];
.LN127:
	CALL.X (_pbuf_free);
	jump .P43L21;

.P43L22:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN128:
// line 533
	[FP + -4] = R7;
	jump .P43L12;
.LN._update_arp_entry.end:
._update_arp_entry.end:
	.type _update_arp_entry,STT_FUNC;

	.align 2;
_etharp_find_addr:
.LN_etharp_find_addr:
	.reference _find_entry;
	.reference _arp_table;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 20 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\netif\etharp.c":550
	LINK 20;
	R3 = ROT R0 BY 0;
	R0 = ROT R1 BY 0;
	R1 = [FP + 20];
	[FP + 20] = R1;
	[FP + 16] = R2;
	[FP + 12] = R0;
	[FP + 8] = R3;
.LN129:
// line 558
	R1 = 2;
	CALL.X (_find_entry);
.LN130:
	B[FP + -5] = R0;
.LN131:
// line 560
	R0 = R0.b (X);
	CC = R0 < 0;
	if CC jump .P46L2 ;

.P46L4:
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P1.L = _arp_table;
	P1.H = _arp_table;
	P1 = P1 + P0;
	R1 = [P1 + 16];
	CC = R1 == 2;
	if !CC jump .P46L2 ;

.P46L1:
.LN132:
// line 561
	R1 = 28;
	R0 *= R1;
	R2.L = _arp_table;
	R2.H = _arp_table;
	R0 = R2 + R0 (NS);
	R0 += 8;
	P1 = [FP + 16];
	[P1] = R0;
.LN133:
// line 562
	R0 = B[FP + -5] (X);
	R0 *= R1;
	R0 = R2 + R0 (NS);
	R0 += 4;
	P1 = [FP + 20];
	[P1] = R0;
.LN134:
// line 563
	R0 = B[FP + -5] (X);
	[FP + -4] = R0;

.P46L5:
	R0 = [FP + -4];
	UNLINK;
	RTS;

.P46L2:
.LN135:
// line 565
	R0 = -1;
	[FP + -4] = R0;
	jump .P46L5;
.LN._etharp_find_addr.end:
._etharp_find_addr.end:
	.global _etharp_find_addr;
	.type _etharp_find_addr,STT_FUNC;

	.align 2;
_etharp_ip_input:
.LN_etharp_ip_input:
	.reference _update_arp_entry;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 4 
//   Scratch registers used:{R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{R5.L,R5.H,R6.L,R6.H,R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// Original Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 588 col 3 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\netif\etharp.c":585
	LINK 4;
	[--SP] = (R7:5);
	SP += -16;
	[FP + 12] = R1;
	[FP + 8] = R0;

.LN136:
// line 588
	CC = R0 == 0;
	if !CC jump .P47L3 ;

.P47L2:

.P47L5:
.LN137:
	SP += 16;
	(R7:5) = [SP++];
	UNLINK;
	RTS;

.P47L3:

.LN138:
// line 591
	P1 = [FP + 12];
	P1 = [P1 + 4];
	[FP + -4] = P1;
.LN139:
// line 592
	P1 += 14;
	[FP + 16] = P1;
.LN140:
// line 600
	P1 += 12;
	R7 = B[P1] (Z);
	R1 = B[P1 + 1] (Z);
	R1 = R1 << 8;
	R2 = B[P1 + 2] (Z);
	R2 = R2 << 16;
	R3 = B[P1 + 3] (Z);
	R3 = R3 << 24;
	R2 = R2 | R3;
	R1 = R1 | R2;
	R7 = R7 | R1;
	P0 = [FP + 8];
	P1 = [FP + 8];
	P1 += 8;
	R3 = B[P1] (Z);
	R1 = B[P1 + 1] (Z);
	R6 = R1 << 8;
	R1 = B[P1 + 2] (Z);
	R1 = R1 << 16;
	R2 = B[P1 + 3] (Z);
	R2 = R2 << 24;
	R1 = R1 | R2;
	R1 = R6 | R1;
	R6 = R3 | R1;
	R7 = R7 & R6;
	P0 += 4;
	R3 = B[P0] (Z);
	R1 = B[P0 + 1] (Z);
	R5 = R1 << 8;
	R1 = B[P0 + 2] (Z);
	R1 = R1 << 16;
	R2 = B[P0 + 3] (Z);
	R2 = R2 << 24;
	R1 = R1 | R2;
	R1 = R5 | R1;
	R1 = R3 | R1;
	R1 = R1 & R6;
	CC = R7 == R1;
	if CC jump .P47L9 ;

.P47L8:
.LN141:
// line 602
	jump .P47L5;

.P47L9:
.LN142:
// line 609
	R1 = [FP + 16];
	R1 += 12;
	R2 = [FP + -4];
	R2 += 6;
.LN143:
	P1 = 0;
	[SP + 12] = P1;
	CALL.X (_update_arp_entry);
.LN144:
// line 610
	jump .P47L5;
.LN._etharp_ip_input.end:
._etharp_ip_input.end:
	.global _etharp_ip_input;
	.type _etharp_ip_input,STT_FUNC;

	.align 2;
_etharp_arp_input:
.LN_etharp_arp_input:
	.reference _update_arp_entry;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 24 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{R5.L,R5.H,R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// Original Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 641 col 3 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// Original Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 730 col 7 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\netif\etharp.c":630
	LINK 24;
	[--SP] = (R7:7);
	[--SP] = R5;
	SP += -16;
	R3 = ROT R0 BY 0;
	R0 = ROT R2 BY 0;
	[FP + 16] = R0;
	[FP + 12] = R1;
	[FP + 8] = R3;

.LN145:
// line 641
	CC = R3 == 0;
	if !CC jump .P48L3 ;

.P48L2:

.P48L5:
.LN146:
	SP += 16;
	R5 = [SP++];
	(R7:7) = [SP++];
	UNLINK;
	RTS;

.P48L3:

.LN147:
// line 645
	P1 = [FP + 16];
	R1 = W[P1 + 10] (Z);
	R2 = 42;
	CC = R2 <= R1;
	if CC jump .P48L9 ;

.P48L8:
.LN148:
// line 649
	P1.L = _lwip_stats+34;
	P1.H = _lwip_stats+34;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R1 = W[P1] (Z);
	R1 += 1;
	W[P1] = R1.L;
.LN149:
// line 650
	P1.L = _lwip_stats+30;
	P1.H = _lwip_stats+30;
	R1 = W[P1] (Z);
	R1 += 1;
	W[P1] = R1.L;
.LN150:
// line 651
	CALL.X (_pbuf_free);
.LN151:
// line 652
	jump .P48L5;

.P48L9:
.LN152:
// line 655
	R0 = [P1 + 4];
	[FP + -12] = R0;
.LN153:
// line 656
	R0 += 14;
	[FP + -16] = R0;
.LN154:
// line 664
	R0 = 1;
	CALL.X (_htons);
	R1 = R0.L (Z);
.LN155:
	P1 = [FP + -16];
	R2 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0.L = R0.L << 8;
	R0 = R2 | R0;
	R0 = R0.L (Z);
	CC = R0 == R1;
	if !CC jump .P48L12 ;

.P48L17:
.LN156:
// line 665
	R0 = 1540;
	CALL.X (_htons);
	R1 = R0.L (Z);
.LN157:
// line 664
	P1 = [FP + -16];
	P1 += 4;
	R2 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0.L = R0.L << 8;
	R0 = R2 | R0;
	R0 = R0.L (Z);
	CC = R0 == R1;
	if !CC jump .P48L12 ;

.P48L16:
.LN158:
// line 666
	R0 = 2048;
	CALL.X (_htons);
	R1 = R0.L (Z);
.LN159:
// line 664
	P1 = [FP + -16];
	P1 += 2;
	R2 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0.L = R0.L << 8;
	R0 = R2 | R0;
	R0 = R0.L (Z);
	CC = R0 == R1;
	if !CC jump .P48L12 ;

.P48L15:
.LN160:
// line 667
	R0 = 2054;
	CALL.X (_htons);
	R1 = R0.L (Z);
.LN161:
// line 664
	P1 = [FP + -12];
	P1 += 12;
	R2 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0.L = R0.L << 8;
	R0 = R2 | R0;
	R0 = R0.L (Z);
	CC = R0 == R1;
	if CC jump .P48L13 ;

.P48L12:
.LN162:
// line 671
	P1.L = _lwip_stats+40;
	P1.H = _lwip_stats+40;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R0 = W[P1] (Z);
	R0 += 1;
	W[P1] = R0.L;
.LN163:
// line 672
	P1.L = _lwip_stats+30;
	P1.H = _lwip_stats+30;
	R0 = W[P1] (Z);
	R0 += 1;
	W[P1] = R0.L;
.LN164:
// line 673
	R0 = [FP + 16];
.LN165:
	CALL.X (_pbuf_free);
.LN166:
// line 674
	jump .P48L5;

.P48L13:
.LN167:
// line 676
	P1.L = _lwip_stats+26;
	P1.H = _lwip_stats+26;
	R0 = W[P1] (Z);
	R0 += 1;
	W[P1] = R0.L;
.LN168:
// line 687
	P1 = [FP + -16];
	P1 += 14;
	R7 = FP;
	R7 += -24;
	R0 = ROT R7 BY 0;
	R1 = P1;
	R2 = 4;
	CALL.X (___memcpy2);
.LN169:
// line 688
	P1 = [FP + -16];
	R0 = FP;
	R0 += -20;
	R1 = P1;
	R1 += 24;
	R2 = 4;
	CALL.X (___memcpy2);
.LN170:
// line 691
	P1 = [FP + 8];
	P1 += 4;
	R2 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R3 = R0 << 8;
	R0 = B[P1 + 2] (Z);
	R0 = R0 << 16;
	R1 = B[P1 + 3] (Z);
	R1 = R1 << 24;
	R0 = R0 | R1;
	R0 = R3 | R0;
	R3 = R2 | R0;
	CC = R3 == 0;
	if !CC jump .P48L20 ;

.P48L19:
.LN171:
// line 692
	R0 = 0;
	B[FP + -5] = R0;
.LN172:
// line 693
	jump .P48L21;

.P48L20:
.LN173:
// line 695
	P1 = FP;
	P1 += -20;
	R2 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R5 = R0 << 8;
	R0 = B[P1 + 2] (Z);
	R0 = R0 << 16;
	R1 = B[P1 + 3] (Z);
	R1 = R1 << 24;
	R0 = R0 | R1;
	R0 = R5 | R0;
	R0 = R2 | R0;
	CC = R0 == R3;
	R0 = CC;
	B[FP + -5] = R0;

.P48L21:
.LN174:
// line 699
	R0 = B[FP + -5] (Z);
	CC = R0 == 0;
	if CC jump .P48L23 ;

.P48L22:
.LN175:
// line 702
	R0 = [FP + 8];
	R2 = [FP + -16];
	R2 += 8;
.LN176:
	P1 = 1;
	[SP + 12] = P1;
	R1 = ROT R7 BY 0;
	CALL.X (_update_arp_entry);
.LN177:
// line 704
	jump .P48L24;

.P48L23:
.LN178:
// line 706
	R0 = [FP + 8];
	R2 = [FP + -16];
	R2 += 8;
.LN179:
	P1 = 0;
	[SP + 12] = P1;
	R1 = ROT R7 BY 0;
	CALL.X (_update_arp_entry);

.P48L24:
.LN180:
// line 710
	P1 = [FP + -16];
	P1 += 6;
	R1 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0.L = R0.L << 8;
	R0 = R1 | R0;
	R0 = R0.L (Z);
.LN181:
	CALL.X (_htons);
	R0 = R0.L (Z);
.LN182:
	[FP + -4] = R0;
	CC = R0 < 1 (IU);
	if CC jump .P48L27 ;

.P48L29:
	CC = R0 == 1;
	if CC jump .P48L25 ;

.P48L28:
	CC = R0 == 2;
	if CC jump .P48L26 ;

.P48L48:
	jump .P48L27;

.P48L25:
.LN183:
// line 719
	R0 = B[FP + -5] (Z);
	CC = R0 == 0;
	if CC jump .P48L32 ;

.P48L31:
.LN184:
// line 725
	R0 = 2;
	CALL.X (_htons);
.LN185:
	P1 = [FP + -16];
	P1 += 6;
	R1.L = R0.L >> 8;
	B[P1] = R0;
	B[P1 + 1] = R1;
.LN186:
// line 727
	P1 = [FP + -16];
	P0 = [FP + -16];
	P0 += 14;
	R0 = P1;
	R0 += 24;
	R1 = P0;
	R2 = 4;
	CALL.X (___memcpy2);
.LN187:
// line 728
	P1 = [FP + -16];
	P1 += 14;
	P0 = [FP + 8];
	R0 = P1;
	R1 = P0;
	R1 += 4;
	R2 = 4;
	CALL.X (___memcpy2);



.LN188:
// line 732
	R0 = 6;
	B[FP + -6] = R0;

.P48L39:
//-------------------------------------------------------------------
//   Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 739 col 7
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 83 cycles.
//   (cycle count 83 includes 36 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used  39 out of   83 ( 47.0%)
//     16-bit Instruction  used  62 out of  166 ( 37.3%)
//     32-bit Instruction  used  31 out of   83 ( 37.3%)
//     Store               used   5 out of   83 (  6.0%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN189:
// line 739
	R0 = B[FP + -6] (Z);
	CC = R0 <= 0;
	if CC jump .P48L40 ;

.P48L41:
.LN190:
// line 740
	R0 += -1;
	R2 = R0.b (Z);
	B[FP + -6] = R0;
.LN191:
// line 741
	R0 = [FP + -16];
	R1 = [FP + -16];
	R0 += 8;
	R0 = R0 + R2 (NS);
	P1 = R0;
	// -- 4 stalls --
	R3 = B[P1] (Z);
	R1 += 18;
	R0 = R1 + R2 (NS);
	P1 = R0;
	// -- 4 stalls --
	B[P1] = R3;
.LN192:
// line 745
	R0 = [FP + -16];
	R0 += 8;
	R1 = B[FP + -6] (Z);
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	R2 = B[P1] (Z);
	R0 = [FP + -12];
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	B[P1] = R2;
.LN193:
// line 747
	R0 = [FP + 12];
	R1 = B[FP + -6] (Z);
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	R2 = B[P1] (Z);
	R0 = [FP + -16];
	R0 += 8;
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	B[P1] = R2;
.LN194:
// line 748
	R0 = [FP + 12];
	R1 = B[FP + -6] (Z);
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	R2 = B[P1] (Z);
	R0 = [FP + -12];
	R0 += 6;
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	B[P1] = R2;
	jump .P48L39;

.P48L40:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN195:
// line 755
	R0 = [FP + 8];
	R1 = [FP + 16];
	P1 = [FP + 8];
	P1 = [P1 + 24];
.LN196:
	CALL (P1);
.LN197:
// line 757
	jump .P48L33;

.P48L32:


.P48L33:
.LN198:
// line 764
	jump .P48L30;

.P48L26:
	jump .P48L30;

.P48L27:
.LN199:
// line 779
	P1.L = _lwip_stats+44;
	P1.H = _lwip_stats+44;
	R0 = W[P1] (Z);
	R0 += 1;
	W[P1] = R0.L;

.P48L30:
.LN200:
// line 783
	R0 = [FP + 16];
.LN201:
	CALL.X (_pbuf_free);
.LN202:
// line 784
	jump .P48L5;
.LN._etharp_arp_input.end:
._etharp_arp_input.end:
	.global _etharp_arp_input;
	.type _etharp_arp_input,STT_FUNC;

	.align 2;
_etharp_raw:
.LN_etharp_raw:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 20 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{R4.L,R4.H,R5.L,R5.H,R6.L,R6.H,R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// Original Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 1074 col 3 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// Original Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 1082 col 3 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\netif\etharp.c":1055
	LINK 20;
	[--SP] = (R7:4);
	SP += -12;
	R5 = [FP + 20];
	R6 = [FP + 24];
	R7 = [FP + 28];
	R3 = [FP + 32];
	R4 = [FP + 36];
	W[FP + 36] = R4;
	[FP + 32] = R3;
	[FP + 28] = R7;
	[FP + 24] = R6;
	[FP + 20] = R5;
	[FP + 16] = R2;
	[FP + 12] = R1;
	[FP + 8] = R0;
.LN203:
// line 1057
	R7 = 0;
	B[FP + -14] = R7;
.LN204:
// line 1066
	R2 = 0;
	R1 = 42;
	R0 = 3;
	CALL.X (_pbuf_alloc);
.LN205:
	[FP + -20] = R0;
.LN206:
// line 1068
	CC = R0 == 0;
	if !CC jump .P50L2 ;

.P50L1:
.LN207:
// line 1071
	P1.L = _lwip_stats+36;
	P1.H = _lwip_stats+36;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R0 = W[P1] (Z);
	R0 += 1;
	W[P1] = R0.L;
.LN208:
// line 1072
	R0 = -1;
	[FP + -4] = R0;

.P50L4:
	R0 = [FP + -4];
	SP += 12;
	(R7:4) = [SP++];
	UNLINK;
	RTS;

.P50L2:



.LN209:
// line 1077
	P1 = [FP + -20];
	R0 = [P1 + 4];
	[FP + -12] = R0;
.LN210:
// line 1078
	R0 += 14;
	[FP + -8] = R0;
.LN211:
// line 1080
	R0 = W[FP + 36] (Z);
.LN212:
	CALL.X (_htons);
.LN213:
	P1 = [FP + -8];
	P1 += 6;
	R1.L = R0.L >> 8;
	B[P1] = R0;
	B[P1 + 1] = R1;



.LN214:
// line 1084
	R0 = 6;
	B[FP + -13] = R0;

.P50L16:
//-------------------------------------------------------------------
//   Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 1091 col 3
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 81 cycles.
//   (cycle count 81 includes 36 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used  37 out of   81 ( 45.7%)
//     16-bit Instruction  used  58 out of  162 ( 35.8%)
//     32-bit Instruction  used  29 out of   81 ( 35.8%)
//     Store               used   5 out of   81 (  6.2%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN215:
// line 1091
	R0 = B[FP + -13] (Z);
	CC = R0 <= 0;
	if CC jump .P50L17 ;

.P50L18:
.LN216:
// line 1092
	R0 += -1;
	R1 = R0.b (Z);
	B[FP + -13] = R0;
.LN217:
// line 1094
	R0 = [FP + 20];
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	R2 = B[P1] (Z);
	R0 = [FP + -8];
	R0 += 8;
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	B[P1] = R2;
.LN218:
// line 1095
	R0 = [FP + 28];
	R1 = B[FP + -13] (Z);
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	R2 = B[P1] (Z);
	R0 = [FP + -8];
	R0 += 18;
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	B[P1] = R2;
.LN219:
// line 1100
	R0 = [FP + 16];
	R1 = B[FP + -13] (Z);
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	R2 = B[P1] (Z);
	R0 = [FP + -12];
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	B[P1] = R2;
.LN220:
// line 1102
	R0 = [FP + 12];
	R1 = B[FP + -13] (Z);
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	R2 = B[P1] (Z);
	R0 = [FP + -12];
	R0 += 6;
	R0 = R0 + R1 (NS);
	P1 = R0;
	// -- 4 stalls --
	B[P1] = R2;
	jump .P50L16;

.P50L17:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN221:
// line 1104
	P0 = [FP + 24];
	P1 = [FP + -8];
	P1 += 14;
	R0 = P1;
	R1 = P0;
	R2 = 4;
	CALL.X (___memcpy2);
.LN222:
// line 1105
	P0 = [FP + 32];
	P1 = [FP + -8];
	R0 = P1;
	R0 += 24;
	R1 = P0;
	R2 = 4;
	CALL.X (___memcpy2);
.LN223:
// line 1107
	R0 = 1;
	CALL.X (_htons);
.LN224:
	P1 = [FP + -8];
	R1.L = R0.L >> 8;
	B[P1] = R0;
	B[P1 + 1] = R1;
.LN225:
// line 1108
	R0 = 2048;
	CALL.X (_htons);
.LN226:
	P1 = [FP + -8];
	P1 += 2;
	R1.L = R0.L >> 8;
	B[P1] = R0;
	B[P1 + 1] = R1;
.LN227:
// line 1110
	R0 = 1540;
	CALL.X (_htons);
.LN228:
	P1 = [FP + -8];
	P1 += 4;
	R1.L = R0.L >> 8;
	B[P1] = R0;
	B[P1 + 1] = R1;
.LN229:
// line 1112
	R0 = 2054;
	CALL.X (_htons);
.LN230:
	P1 = [FP + -12];
	P1 += 12;
	R1.L = R0.L >> 8;
	B[P1] = R0;
	B[P1 + 1] = R1;
.LN231:
// line 1114
	R0 = [FP + 8];
	R1 = [FP + -20];
	P1 = [FP + 8];
	P1 = [P1 + 24];
.LN232:
	CALL (P1);
.LN233:
	B[FP + -14] = R0;
.LN234:
// line 1115
	P1.L = _lwip_stats+24;
	P1.H = _lwip_stats+24;
	R0 = W[P1] (Z);
	R0 += 1;
	W[P1] = R0.L;
.LN235:
// line 1117
	R0 = [FP + -20];
.LN236:
	CALL.X (_pbuf_free);
.LN237:
// line 1118
	[FP + -20] = R7;
.LN238:
// line 1121
	R0 = B[FP + -14] (X);
	[FP + -4] = R0;
	jump .P50L4;
.LN._etharp_raw.end:
._etharp_raw.end:
	.type _etharp_raw,STT_FUNC;

	.align 2;
_etharp_request:
.LN_etharp_request:
	.reference _ethzero;
	.reference _ethbroadcast;
	.reference _etharp_raw;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 32 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P1,ASTAT0-ASTAT1}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\netif\etharp.c":1135
	LINK 32;
	R2 = ROT R1 BY 0;
	[FP + 12] = R2;
	[FP + 8] = R0;
.LN239:
// line 1137
	R1 = 35;
	R1 = R0 + R1 (NS);
	R3 = 4;
	R3 = R0 + R3 (NS);
.LN240:
	P1 = 1;
	[SP + 28] = P1;
	[SP + 24] = R2;
	P1.L = .epcrodata+6;
	P1.H = .epcrodata+6;
	[SP + 20] = P1;
	[SP + 16] = R3;
	[SP + 12] = R1;
	R2.L = .epcrodata;
	R2.H = .epcrodata;
	CALL.X (_etharp_raw);
	R0 = R0.b (X);
.LN241:
	UNLINK;
	RTS;
.LN._etharp_request.end:
._etharp_request.end:
	.global _etharp_request;
	.type _etharp_request,STT_FUNC;

	.align 2;
_etharp_query:
.LN_etharp_query:
	.reference _find_entry;
	.reference _arp_table;
	.reference _etharp_request;
	.reference _etharp_send_ip;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 28 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{R6.L,R6.H,R7.L,R7.H,P5,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// Original Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 933 col 3 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// Original Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 966 col 9 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\netif\etharp.c":897
	LINK 28;
	[--SP] = (R7:6, P5:5);
	SP += -16;
	R3 = ROT R0 BY 0;
	R0 = ROT R1 BY 0;
	[FP + 16] = R2;
	[FP + 12] = R0;
	[FP + 8] = R3;
.LN242:
// line 899
	R1 = -1;
	B[FP + -22] = R1;
	R1 = ROT R3 BY 0;
.LN243:
// line 898
	R3 += 35;
	[FP + -28] = R3;
.LN244:
// line 903
	CALL.X (_ip_addr_isbroadcast);
	R0 = R0.b (Z);
.LN245:
	CC = R0 == 0;
	if !CC jump .P53L1 ;

.P53L5:
.LN246:
// line 904
	R0 = 0 /* -268435456 */;
	R0.H = -4096 /* -268435456 */;
	CALL.X (_ntohl);
	R7 = ROT R0 BY 0;
.LN247:
	R0 = 0 /* -536870912 */;
	R0.H = -8192 /* -536870912 */;
	CALL.X (_ntohl);
.LN248:
// line 903
	P1 = [FP + 12];
	R3 = B[P1] (Z);
	R1 = B[P1 + 1] (Z);
	R6 = R1 << 8;
	R1 = B[P1 + 2] (Z);
	R1 = R1 << 16;
	R2 = B[P1 + 3] (Z);
	R2 = R2 << 24;
	R1 = R1 | R2;
	R1 = R6 | R1;
	R1 = R3 | R1;
	R2 = R7 & R1;
	CC = R0 == R2;
	if CC jump .P53L1 ;

.P53L4:
	R0 = [FP + 12];
	CC = R0 == 0;
	if CC jump .P53L1 ;

.P53L6:
	CC = R1 == 0;
	if !CC jump .P53L2 ;

.P53L1:
.LN249:
// line 907
	R0 = -11;
	[FP + -8] = R0;

.P53L7:
	R0 = [FP + -8];
	SP += 16;
	(R7:6, P5:5) = [SP++];
	UNLINK;
	RTS;

.P53L2:
.LN250:
// line 914
	R7 = 1;
	R1 = 1;
	CALL.X (_find_entry);
.LN251:
	B[FP + -21] = R0;
.LN252:
// line 918
	R0 = R0.b (X);
	CC = R0 < 0;
	if !CC jump .P53L10 ;

.P53L9:
.LN253:
// line 920
	R0 = [FP + 16];
	CC = R0 == 0;
	if CC jump .P53L13 ;

.P53L12:
.LN254:
// line 922
	P1.L = _lwip_stats+36;
	P1.H = _lwip_stats+36;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R0 = W[P1] (Z);
	R0 += 1;
	W[P1] = R0.L;
.LN255:
// line 923
	jump .P53L14;

.P53L13:

.P53L14:
.LN256:
// line 924
	R0 = B[FP + -21] (X);
	[FP + -8] = R0;
	jump .P53L7;

.P53L10:
.LN257:
// line 928
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P5.L = _arp_table;
	P5.H = _arp_table;
	P1 = P5 + P0;
	R0 = [P1 + 16];
	CC = R0 == 0;
	if !CC jump .P53L17 ;

.P53L16:
.LN258:
// line 929
	[P1 + 16] = R7;
.LN259:
// line 930
	jump .P53L18;

.P53L17:

.P53L18:



.LN260:
// line 938
	R0 = B[FP + -21] (X);
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P1 = P5 + P0;
	R0 = [P1 + 16];
	CC = R0 == 1;
	if CC jump .P53L25 ;

.P53L28:
	R0 = [FP + 16];
	CC = R0 == 0;
	if !CC jump .P53L26 ;

.P53L25:
.LN261:
// line 940
	R0 = [FP + 8];
	R1 = [FP + 12];
.LN262:
	CALL.X (_etharp_request);
.LN263:
	B[FP + -22] = R0;

.LN264:
// line 947
	jump .P53L27;

.P53L26:

.P53L27:
.LN265:
// line 950
	R1 = [FP + 16];
	CC = R1 == 0;
	if CC jump .P53L33 ;

.P53L32:
.LN266:
// line 952
	R3 = B[FP + -21] (X);
	P1 = R3;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P1 = P5 + P0;
	R0 = [P1 + 16];
	CC = R0 == 2;
	if !CC jump .P53L36 ;

.P53L35:
.LN267:
// line 955
	R0 = [FP + 8];
	R2 = [FP + -28];
	R7 = 28;
	R3 *= R7;
	R7.L = _arp_table;
	R7.H = _arp_table;
	R3 = R7 + R3 (NS);
	R3 += 8;
.LN268:
	[SP + 12] = R3;
	CALL.X (_etharp_send_ip);
.LN269:
	B[FP + -22] = R0;
.LN270:
// line 957
	jump .P53L37;

.P53L36:
.LN271:
	CC = R0 == 1;
	if !CC jump .P53L39 ;

.P53L38:
.LN272:
// line 960
	R6 = 0;
	[FP + -4] = R6;
.LN273:
// line 964
	[FP + -20] = R1;

.P53L41:
//-------------------------------------------------------------------
//   Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 965 col 7
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 25 cycles.
//   (cycle count 25 includes 13 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used  12 out of   25 ( 48.0%)
//     16-bit Instruction  used  20 out of   50 ( 40.0%)
//     32-bit Instruction  used   8 out of   25 ( 32.0%)
//     Store               used   1 out of   25 (  4.0%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN274:
// line 965
	R0 = [FP + -20];
	CC = R0 == 0;
	if CC jump .P53L42 ;

.P53L43:



.LN275:
// line 967
	P1 = [FP + -20];
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	// -- stall --
	R0 = B[P1 + 12] (Z);
	CC = R0 == 1;
	if CC jump .P53L51 ;

.P53L50:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN276:
// line 968
	[FP + -4] = R7;
.LN277:
// line 969
	jump .P53L53;

.P53L51:
//-------------------------------------------------------------------
//   Part of Loop 41, depth 1
//-------------------------------------------------------------------
	// -- 8 stalls --
.LN278:
// line 971
	R0 = [P1];
	[FP + -20] = R0;
	jump .P53L41;

.P53L42:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------

.P53L53:
.LN279:
// line 973
	R0 = [FP + -4];
	CC = R0 == 0;
	if CC jump .P53L56 ;

.P53L55:
.LN280:
// line 975
	P1 = [FP + -20];
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R1 = W[P1 + 8] (Z);
.LN281:
	R2 = 0;
	R0 = 3;
	CALL.X (_pbuf_alloc);
.LN282:
	[FP + -20] = R0;
.LN283:
// line 976
	CC = R0 == 0;
	if CC jump .P53L59 ;

.P53L58:
.LN284:
// line 977
	R1 = [FP + 16];
.LN285:
	CALL.X (_pbuf_copy);
	R0 = R0.b (X);
.LN286:
	CC = R0 == 0;
	if CC jump .P53L62 ;

.P53L61:
.LN287:
// line 978
	R0 = [FP + -20];
.LN288:
	CALL.X (_pbuf_free);
.LN289:
// line 979
	[FP + -20] = R6;
.LN290:
// line 980
	jump .P53L63;

.P53L62:

.P53L63:
.LN291:
// line 981
	jump .P53L60;

.P53L59:

.P53L60:
.LN292:
// line 982
	jump .P53L57;

.P53L56:
.LN293:
// line 984
	R0 = [FP + 16];
	[FP + -20] = R0;
.LN294:
// line 985
	CALL.X (_pbuf_ref);

.P53L57:
.LN295:
// line 988
	R0 = [FP + -20];
	CC = R0 == 0;
	if CC jump .P53L65 ;

.P53L64:
.LN296:
// line 992
	R0 = 10;
	CALL.X (_memp_malloc);
.LN297:
	[FP + -16] = R0;
.LN298:
// line 993
	CC = R0 == 0;
	if CC jump .P53L68 ;

.P53L67:
.LN299:
// line 994
	P1 = [FP + -16];
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	[P1] = R6;
.LN300:
// line 995
	R0 = [FP + -20];
	P1 = [FP + -16];
	[P1 + 4] = R0;
.LN301:
// line 996
	R0 = B[FP + -21] (X);
	P1 = R0;
	P0 = P1 + P1;
	P1 = P1 + (P0<<1);
	P0 = (P0 + P1) << 2;
	P1 = P5 + P0;
	R0 = [P1];
	CC = R0 == 0;
	if CC jump .P53L71 ;
	NOP;                                    // Inserted to fix anomaly w05_00_0245_with_boundaries. 

.P53L70:
.LN302:
// line 999
	[FP + -12] = R0;

.P53L73:
//-------------------------------------------------------------------
//   Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 1000 col 13
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 13 cycles.
//   (cycle count 13 includes 7 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   6 out of   13 ( 46.2%)
//     16-bit Instruction  used   9 out of   26 ( 34.6%)
//     32-bit Instruction  used   3 out of   13 ( 23.1%)
//     Store               used   1 out of   13 (  7.7%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN303:
// line 1000
	P1 = [FP + -12];
	// -- 3 stalls --
	R0 = [P1];
	CC = R0 == 0;
	if CC jump .P53L74 ;

.P53L75:
.LN304:
// line 1001
	[FP + -12] = R0;
	jump .P53L73;

.P53L74:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN305:
// line 1003
	R0 = [FP + -16];
	P1 = [FP + -12];
	[P1] = R0;
.LN306:
// line 1004
	jump .P53L72;

.P53L71:
.LN307:
// line 1006
	R0 = [FP + -16];
	[P1] = R0;

.P53L72:
.LN308:
// line 1009
	B[FP + -22] = R6;
.LN309:
// line 1010
	jump .P53L69;

.P53L68:
.LN310:
// line 1012
	R0 = [FP + -20];
.LN311:
	CALL.X (_pbuf_free);

.P53L69:
.LN312:
// line 1016
	jump .P53L66;

.P53L65:
.LN313:
// line 1017
	P1.L = _lwip_stats+36;
	P1.H = _lwip_stats+36;
	R0 = W[P1] (Z);
	R0 += 1;
	W[P1] = R0.L;

.P53L66:
.LN314:
// line 1026
	jump .P53L40;

.P53L39:

.P53L40:

.P53L37:
.LN315:
// line 1027
	jump .P53L34;

.P53L33:

.P53L34:
.LN316:
// line 1028
	R0 = B[FP + -22] (X);
	[FP + -8] = R0;
	jump .P53L7;
.LN._etharp_query.end:
._etharp_query.end:
	.global _etharp_query;
	.type _etharp_query,STT_FUNC;

	.align 2;
_etharp_output:
.LN_etharp_output:
	.reference _ethbroadcast;
	.reference _etharp_query;
	.reference _etharp_send_ip;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{R5.L,R5.H,R6.L,R6.H,R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\netif\etharp.c":806
	LINK 16;
	[--SP] = (R7:5);
	SP += -16;
	R3 = ROT R0 BY 0;
	R0 = ROT R1 BY 0;
	[FP + 16] = R2;
	[FP + 12] = R0;
	[FP + 8] = R3;
.LN317:
// line 810
	R1 = 14;
	CALL.X (_pbuf_header);
	R0 = R0.b (Z);
.LN318:
	CC = R0 == 0;
	if CC jump .P57L2 ;

.P57L1:
.LN319:
// line 814
	P1.L = _lwip_stats+10;
	P1.H = _lwip_stats+10;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R0 = W[P1] (Z);
	R0 += 1;
	W[P1] = R0.L;
.LN320:
// line 815
	R0 = -2;
	[FP + -4] = R0;

.P57L4:
	R0 = [FP + -4];
	SP += 16;
	(R7:5) = [SP++];
	UNLINK;
	RTS;

.P57L2:
.LN321:
// line 819
	R7 = 0;
	[FP + -8] = R7;
.LN322:
// line 824
	R0 = [FP + 16];
	R1 = [FP + 8];
.LN323:
	CALL.X (_ip_addr_isbroadcast);
	R0 = R0.b (Z);
.LN324:
	CC = R0 == 0;
	if CC jump .P57L7 ;

.P57L6:
.LN325:
// line 826
	R0.L = .epcrodata;
	R0.H = .epcrodata;
	[FP + -8] = R0;
.LN326:
// line 828
	jump .P57L8;

.P57L7:
.LN327:
	R0 = 0 /* -268435456 */;
	R0.H = -4096 /* -268435456 */;
	CALL.X (_ntohl);
	R6 = ROT R0 BY 0;
.LN328:
	R0 = 0 /* -536870912 */;
	R0.H = -8192 /* -536870912 */;
	CALL.X (_ntohl);
.LN329:
	P1 = [FP + 16];
	R3 = B[P1] (Z);
	R1 = B[P1 + 1] (Z);
	R5 = R1 << 8;
	R1 = B[P1 + 2] (Z);
	R1 = R1 << 16;
	R2 = B[P1 + 3] (Z);
	R2 = R2 << 24;
	R1 = R1 | R2;
	R1 = R5 | R1;
	R2 = R3 | R1;
	R1 = R6 & R2;
	CC = R0 == R1;
	if !CC jump .P57L10 ;

.P57L9:
.LN330:
// line 830
	R0 = 1;
	B[FP + -16] = R0;
.LN331:
// line 831
	B[FP + -15] = R7;
.LN332:
// line 832
	R0 = 94;
	B[FP + -14] = R0;
.LN333:
// line 833
	R3 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0 = R0 << 8;
	R1 = B[P1 + 2] (Z);
	R1 = R1 << 16;
	R2 = B[P1 + 3] (Z);
	R2 = R2 << 24;
	R1 = R1 | R2;
	R0 = R0 | R1;
	R0 = R3 | R0;
.LN334:
	CALL.X (_ntohl);
.LN335:
	R0 = PACK(R0.H, R0.H);
	R0 = R0.L (Z);
	R0 = R0.b (Z);
	R1 = 127;
	R0 = R0 & R1;
	B[FP + -13] = R0;
.LN336:
// line 834
	P1 = [FP + 16];
	R3 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0 = R0 << 8;
	R1 = B[P1 + 2] (Z);
	R1 = R1 << 16;
	R2 = B[P1 + 3] (Z);
	R2 = R2 << 24;
	R1 = R1 | R2;
	R0 = R0 | R1;
	R0 = R3 | R0;
.LN337:
	CALL.X (_ntohl);
.LN338:
	R0 = R0 >> 8;
	R0 = R0.L (Z);
	R0 = R0.b (Z);
	B[FP + -12] = R0;
.LN339:
// line 835
	P1 = [FP + 16];
	R3 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0 = R0 << 8;
	R1 = B[P1 + 2] (Z);
	R1 = R1 << 16;
	R2 = B[P1 + 3] (Z);
	R2 = R2 << 24;
	R1 = R1 | R2;
	R0 = R0 | R1;
	R0 = R3 | R0;
.LN340:
	CALL.X (_ntohl);
	R0 = R0.L (Z);
.LN341:
	R0 = R0.b (Z);
	B[FP + -11] = R0;
.LN342:
// line 837
	P1 = FP;
	P1 += -16;
	[FP + -8] = P1;
.LN343:
// line 854
	jump .P57L8;

.P57L10:
.LN344:
// line 841
	P0 = [FP + 8];
	P1 = [FP + 8];
	P1 += 8;
	R7 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0 = R0 << 8;
	R1 = B[P1 + 2] (Z);
	R1 = R1 << 16;
	R3 = B[P1 + 3] (Z);
	R3 = R3 << 24;
	R1 = R1 | R3;
	R0 = R0 | R1;
	R3 = R7 | R0;
	R7 = R2 & R3;
	P1 = [FP + 8];
	P1 += 4;
	R2 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R6 = R0 << 8;
	R0 = B[P1 + 2] (Z);
	R0 = R0 << 16;
	R1 = B[P1 + 3] (Z);
	R1 = R1 << 24;
	R0 = R0 | R1;
	R0 = R6 | R0;
	R0 = R2 | R0;
	R0 = R0 & R3;
	CC = R7 == R0;
	if CC jump .P57L13 ;

.P57L12:
.LN345:
// line 843
	P0 += 12;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R3 = B[P0] (Z);
	R0 = B[P0 + 1] (Z);
	R0 = R0 << 8;
	R1 = B[P0 + 2] (Z);
	R1 = R1 << 16;
	R2 = B[P0 + 3] (Z);
	R2 = R2 << 24;
	R1 = R1 | R2;
	R0 = R0 | R1;
	R0 = R3 | R0;
	CC = R0 == 0;
	if CC jump .P57L16 ;

.P57L15:
.LN346:
// line 845
	R0 = [FP + 8];
	R0 += 12;
	[FP + 16] = R0;
.LN347:
// line 851
	jump .P57L14;

.P57L16:
.LN348:
// line 849
	R0 = -4;
	[FP + -4] = R0;
	jump .P57L4;

.P57L13:

.P57L14:
.LN349:
// line 853
	R0 = [FP + 8];
	R1 = [FP + 16];
	R2 = [FP + 12];
.LN350:
	CALL.X (_etharp_query);
	R0 = R0.b (X);
.LN351:
	[FP + -4] = R0;
	jump .P57L4;

.P57L8:
.LN352:
// line 859
	R2 = [FP + 8];
	R1 = [FP + 12];
	R0 = [FP + 8];
	R2 += 35;
	R3 = [FP + -8];
.LN353:
	[SP + 12] = R3;
	CALL.X (_etharp_send_ip);
	R0 = R0.b (X);
.LN354:
	[FP + -4] = R0;
	jump .P57L4;
.LN._etharp_output.end:
._etharp_output.end:
	.global _etharp_output;
	.type _etharp_output,STT_FUNC;

	.align 2;
_ethernet_input:
.LN_ethernet_input:
	.reference _etharp_ip_input;
	.reference _etharp_arp_input;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 20 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// Original Loop at "..\..\..\lib\lwip\src\netif\etharp.c" line 1192 col 9 --  loop structure removed due to dead code elimination.
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\netif\etharp.c":1153
	LINK 20;
	P1 = R0;
	[FP + 12] = R1;
	[FP + 8] = R0;
.LN355:
// line 1158
	P1 = [P1 + 4];
	[FP + -8] = P1;
.LN356:
// line 1167
	P1 += 12;
	R1 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0.L = R0.L << 8;
	R0 = R1 | R0;
	R0 = R0.L (Z);
.LN357:
	CALL.X (_htons);
.LN358:
	W[FP + 16] = R0;
.LN359:
// line 1182
	R0 = R0.L (Z);
	[FP + -4] = R0;
	R1 = 2048;
	CC = R0 < R1 (IU);
	if CC jump .P59L3 ;

.P59L5:
	CC = R0 == R1;
	if CC jump .P59L1 ;

.P59L4:
	R1 = 2054;
	CC = R0 == R1;
	if CC jump .P59L2 ;

.P59L16:
	jump .P59L3;

.P59L1:
.LN360:
// line 1188
	R0 = [FP + 12];
	R1 = [FP + 8];
.LN361:
	CALL.X (_etharp_ip_input);
.LN362:
// line 1191
	R0 = [FP + 8];
.LN363:
	R1 = -14;
	CALL.X (_pbuf_header);
	R0 = R0.b (Z);
.LN364:
	CC = R0 == 0;
	if CC jump .P59L8 ;

.P59L7:




.LN365:
// line 1193
	R0 = [FP + 8];
.LN366:
	CALL.X (_pbuf_free);
.LN367:
// line 1194
	R0 = 0;
	[FP + 8] = R0;
.LN368:
// line 1195
	jump .P59L9;

.P59L8:
.LN369:
// line 1197
	R0 = [FP + 8];
	R1 = [FP + 12];
.LN370:
	CALL.X (_ip_input);

.P59L9:
.LN371:
// line 1198
	jump .P59L6;

.P59L2:
.LN372:
// line 1203
	R1 = [FP + 12];
	R0 = [FP + 12];
	R1 += 35;
	R2 = [FP + 8];
.LN373:
	CALL.X (_etharp_arp_input);
.LN374:
	jump .P59L6;

.P59L3:
.LN375:
// line 1217
	P1.L = _lwip_stats+40;
	P1.H = _lwip_stats+40;
	R0 = W[P1] (Z);
	R0 += 1;
	W[P1] = R0.L;
.LN376:
// line 1218
	P1.L = _lwip_stats+30;
	P1.H = _lwip_stats+30;
	R0 = W[P1] (Z);
	R0 += 1;
	W[P1] = R0.L;
.LN377:
// line 1219
	R0 = [FP + 8];
.LN378:
	CALL.X (_pbuf_free);
.LN379:
// line 1220
	R0 = 0;
	[FP + 8] = R0;

.P59L6:
.LN380:
// line 1226
	R0 = 0;
	UNLINK;
	RTS;
.LN._ethernet_input.end:
._ethernet_input.end:
	.global _ethernet_input;
	.type _ethernet_input,STT_FUNC;

	.file_attr ProjectName="ltr030-bf-fos";
	.file_attr FuncName="_free_etharp_q";
	.file_attr FuncName="_etharp_tmr";
	.file_attr FuncName="_find_entry";
	.file_attr FuncName="_etharp_send_ip";
	.file_attr FuncName="_update_arp_entry";
	.file_attr FuncName="_etharp_find_addr";
	.file_attr FuncName="_etharp_ip_input";
	.file_attr FuncName="_etharp_arp_input";
	.file_attr FuncName="_etharp_raw";
	.file_attr FuncName="_etharp_request";
	.file_attr FuncName="_etharp_query";
	.file_attr FuncName="_etharp_output";
	.file_attr FuncName="_ethernet_input";
	.file_attr Content="CodeData";
.epctext.end:

	.extern _pbuf_free;
	.type _pbuf_free,STT_FUNC;
	.extern _memp_free;
	.type _memp_free,STT_FUNC;
	.extern _htons;
	.type _htons,STT_FUNC;
	.extern _ip_addr_isbroadcast;
	.type _ip_addr_isbroadcast,STT_FUNC;
	.extern _ntohl;
	.type _ntohl,STT_FUNC;
	.extern ___memcpy2;
	.type ___memcpy2,STT_FUNC;
	.extern _pbuf_alloc;
	.type _pbuf_alloc,STT_FUNC;
	.extern _pbuf_copy;
	.type _pbuf_copy,STT_FUNC;
	.extern _pbuf_ref;
	.type _pbuf_ref,STT_FUNC;
	.extern _memp_malloc;
	.type _memp_malloc,STT_FUNC;
	.extern _pbuf_header;
	.type _pbuf_header,STT_FUNC;
	.extern _ip_input;
	.type _ip_input,STT_FUNC;

	.section/DOUBLE32 constdata;

	.align 4;
.epcrodata:
	.type .epcrodata,STT_OBJECT;
_ethbroadcast:
	.global _ethbroadcast;
	.type _ethbroadcast,STT_OBJECT;
	.byte =
		0xFF,0xFF,0xFF,0xFF,0xFF,0xFF;
	.byte _ethzero[6];
	.global _ethzero;
	.type _ethzero,STT_OBJECT;
.epcrodata.end:

	.section/ZERO_INIT/DOUBLE32 bsz;

	.align 1;
.epcbss:
	.type .epcbss,STT_OBJECT;
	.byte _etharp_cached_entry[1];
	.type _etharp_cached_entry,STT_OBJECT;
.epcbss.end:

	.section .debug_abbrev SHT_DEBUGINFO;

	.align 1;
.epcabbrev:
	.type .epcabbrev,STT_OBJECT;
	.inc/binary "etharp.sbn", 0, 259;
.epcabbrev.end:

	.section .debug_info SHT_DEBUGINFO;

	.align 1;
.epcdebug:
	.type .epcdebug,STT_OBJECT;
	.byte =
		0x22,0x1C,0x00,0x00,0x02,0x00;
	.byte4 = .epcabbrev;
	.byte =
		0x04,0x01,0x2E,0x2E,0x5C,0x2E,0x2E,0x5C,0x2E,0x2E,0x5C,0x6C,
		0x69,0x62,0x5C,0x6C,0x77,0x69,0x70,0x5C,0x73,0x72,0x63,0x5C,
		0x6E,0x65,0x74,0x69,0x66,0x5C,0x65,0x74,0x68,0x61,0x72,0x70,
		0x2E,0x63,0x00,0x01;
	.byte4 = .epcline;
	.inc/binary "etharp.sbn", 259, 4857;
	.byte4 = .LN_free_etharp_q;
	.byte4 = .LN._free_etharp_q.end;
	.byte =
		0x01,0x00,0x00,0x10,0x71,0x00,0xA1,0x12,0x00,0x00,0x02,0x7F,
		0x08,0x00,0x11,0x00,0x00,0x00,0x00;
	.byte4 = .LN0;
	.byte4 = .LN._free_etharp_q.end;
	.byte =
		0x12,0x72,0x00,0x01,0xA1,0x12,0x00,0x00,0x02,0x7F,0x0C,0x00,
		0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x9F,0x13,0x00,0x00,0x65,
		0x74,0x68,0x61,0x72,0x70,0x5F,0x74,0x6D,0x72,0x00,0x01;
	.byte4 = .LN_etharp_tmr;
	.byte4 = .LN._etharp_tmr.end;
	.byte =
		0x01,0x01,0x00,0x11,0x00,0x00,0x00,0x00;
	.byte4 = .LN8;
	.byte4 = .LN._etharp_tmr.end;
	.byte =
		0x12,0x69,0x00,0x01,0x83,0x04,0x00,0x00,0x02,0x7F,0x08,0x00,
		0x00,0x00,0x00,0x00,0x00,0x00,0x13,0xA7,0x14,0x00,0x00,0x66,
		0x69,0x6E,0x64,0x5F,0x65,0x6E,0x74,0x72,0x79,0x00,0x01;
	.byte4 = .LN_find_entry;
	.byte4 = .LN._find_entry.end;
	.byte =
		0x01,0x8E,0x04,0x00,0x00,0x00,0x00,0x10,0x69,0x70,0x61,0x64,
		0x64,0x72,0x00,0xE5,0x12,0x00,0x00,0x02,0x7F,0x08,0x00,0x10,
		0x66,0x6C,0x61,0x67,0x73,0x00,0x83,0x04,0x00,0x00,0x02,0x7F,
		0x0C,0x00,0x11,0x00,0x00,0x00,0x00;
	.byte4 = .LN19;
	.byte4 = .LN._find_entry.end;
	.byte =
		0x12,0x6F,0x6C,0x64,0x5F,0x70,0x65,0x6E,0x64,0x69,0x6E,0x67,
		0x00,0x01,0x8E,0x04,0x00,0x00,0x02,0x7F,0x74;
	.byte4 = .LN19-.LN_find_entry;
	.byte =
		0x00,0x12,0x6F,0x6C,0x64,0x5F,0x73,0x74,0x61,0x62,0x6C,0x65,
		0x00,0x01,0x8E,0x04,0x00,0x00,0x02,0x7F,0x75;
	.byte4 = .LN20-.LN_find_entry;
	.byte =
		0x00,0x12,0x65,0x6D,0x70,0x74,0x79,0x00,0x01,0x8E,0x04,0x00,
		0x00,0x02,0x7F,0x76;
	.byte4 = .LN21-.LN_find_entry;
	.byte =
		0x00,0x12,0x69,0x00,0x01,0x83,0x04,0x00,0x00,0x02,0x7F,0x77;
	.byte4 = .LN22-.LN_find_entry;
	.byte =
		0x00,0x12,0x61,0x67,0x65,0x5F,0x70,0x65,0x6E,0x64,0x69,0x6E,
		0x67,0x00,0x01,0x83,0x04,0x00,0x00,0x02,0x7F,0x78;
	.byte4 = .LN23-.LN_find_entry;
	.byte =
		0x00,0x12,0x61,0x67,0x65,0x5F,0x73,0x74,0x61,0x62,0x6C,0x65,
		0x00,0x01,0x83,0x04,0x00,0x00,0x02,0x7F,0x79;
	.byte4 = .LN24-.LN_find_entry;
	.byte =
		0x00,0x12,0x6F,0x6C,0x64,0x5F,0x71,0x75,0x65,0x75,0x65,0x00,
		0x01,0x8E,0x04,0x00,0x00,0x02,0x7F,0x7A;
	.byte4 = .LN25-.LN_find_entry;
	.byte =
		0x00,0x12,0x61,0x67,0x65,0x5F,0x71,0x75,0x65,0x75,0x65,0x00,
		0x01,0x83,0x04,0x00,0x00,0x02,0x7F,0x7B;
	.byte4 = .LN26-.LN_find_entry;
	.byte =
		0x00,0x00,0x00,0x13,0x33,0x15,0x00,0x00,0x65,0x74,0x68,0x61,
		0x72,0x70,0x5F,0x73,0x65,0x6E,0x64,0x5F,0x69,0x70,0x00,0x01;
	.byte4 = .LN_etharp_send_ip;
	.byte4 = .LN._etharp_send_ip.end;
	.byte =
		0x01,0x17,0x05,0x00,0x00,0x00,0x00,0x10,0x6E,0x65,0x74,0x69,
		0x66,0x00,0x9B,0x12,0x00,0x00,0x02,0x7F,0x08,0x00,0x10,0x70,
		0x00,0xA7,0x12,0x00,0x00,0x02,0x7F,0x0C,0x00,0x10,0x73,0x72,
		0x63,0x00,0x39,0x15,0x00,0x00,0x02,0x7F,0x10,0x00,0x10,0x64,
		0x73,0x74,0x00,0x39,0x15,0x00,0x00,0x02,0x7F,0x14,0x00,0x11,
		0x00,0x00,0x00,0x00;
	.byte4 = .LN88;
	.byte4 = .LN._etharp_send_ip.end;
	.byte =
		0x12,0x65,0x74,0x68,0x68,0x64,0x72,0x00,0x01,0x33,0x15,0x00,
		0x00,0x02,0x7F,0x78;
	.byte4 = .LN88-.LN_etharp_send_ip;
	.byte =
		0x00,0x12,0x6B,0x00,0x01,0x83,0x04,0x00,0x00,0x02,0x7F,0x7F;
	.byte4 = .LN88-.LN_etharp_send_ip;
	.byte =
		0x00,0x00,0x00,0x04,0x00,0xCE,0x10,0x00,0x00,0x04,0x00,0xAF,
		0x10,0x00,0x00,0x13,0x01,0x16,0x00,0x00,0x75,0x70,0x64,0x61,
		0x74,0x65,0x5F,0x61,0x72,0x70,0x5F,0x65,0x6E,0x74,0x72,0x79,
		0x00,0x01;
	.byte4 = .LN_update_arp_entry;
	.byte4 = .LN._update_arp_entry.end;
	.byte =
		0x01,0x17,0x05,0x00,0x00,0x00,0x00,0x10,0x6E,0x65,0x74,0x69,
		0x66,0x00,0x9B,0x12,0x00,0x00,0x02,0x7F,0x08,0x00,0x10,0x69,
		0x70,0x61,0x64,0x64,0x72,0x00,0xE5,0x12,0x00,0x00,0x02,0x7F,
		0x0C,0x00,0x10,0x65,0x74,0x68,0x61,0x64,0x64,0x72,0x00,0x39,
		0x15,0x00,0x00,0x02,0x7F,0x10,0x00,0x10,0x66,0x6C,0x61,0x67,
		0x73,0x00,0x83,0x04,0x00,0x00,0x02,0x7F,0x14,0x00,0x11,0x00,
		0x00,0x00,0x00;
	.byte4 = .LN99;
	.byte4 = .LN._update_arp_entry.end;
	.byte =
		0x12,0x69,0x00,0x01,0x8E,0x04,0x00,0x00,0x02,0x7F,0x72,0x00,
		0x00,0x00,0x00,0x00,0x12,0x6B,0x00,0x01,0x83,0x04,0x00,0x00,
		0x02,0x7F,0x73,0x00,0x00,0x00,0x00,0x00,0x11,0x00,0x00,0x00,
		0x00;
	.byte4 = .LN119;
	.byte4 = .LN128;
	.byte =
		0x12,0x70,0x00,0x01,0xA7,0x12,0x00,0x00,0x02,0x7F,0x74;
	.byte4 = .LN118-.LN_update_arp_entry;
	.byte =
		0x00,0x12,0x71,0x00,0x01,0xA1,0x12,0x00,0x00,0x02,0x7F,0x78,
		0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x13,0x86,0x16,0x00,
		0x00,0x65,0x74,0x68,0x61,0x72,0x70,0x5F,0x66,0x69,0x6E,0x64,
		0x5F,0x61,0x64,0x64,0x72,0x00,0x01;
	.byte4 = .LN_etharp_find_addr;
	.byte4 = .LN._etharp_find_addr.end;
	.byte =
		0x01,0x8E,0x04,0x00,0x00,0x01,0x00,0x10,0x6E,0x65,0x74,0x69,
		0x66,0x00,0x9B,0x12,0x00,0x00,0x02,0x7F,0x08,0x00,0x10,0x69,
		0x70,0x61,0x64,0x64,0x72,0x00,0xE5,0x12,0x00,0x00,0x02,0x7F,
		0x0C,0x00,0x10,0x65,0x74,0x68,0x5F,0x72,0x65,0x74,0x00,0x8C,
		0x16,0x00,0x00,0x02,0x7F,0x10,0x00,0x10,0x69,0x70,0x5F,0x72,
		0x65,0x74,0x00,0x86,0x16,0x00,0x00,0x02,0x7F,0x14,0x00,0x11,
		0x00,0x00,0x00,0x00;
	.byte4 = .LN129;
	.byte4 = .LN._etharp_find_addr.end;
	.byte =
		0x12,0x69,0x00,0x01,0x8E,0x04,0x00,0x00,0x02,0x7F,0x7B,0x00,
		0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x00,0xE5,0x12,0x00,0x00,
		0x04,0x00,0x39,0x15,0x00,0x00,0x0F,0x05,0x17,0x00,0x00,0x65,
		0x74,0x68,0x61,0x72,0x70,0x5F,0x69,0x70,0x5F,0x69,0x6E,0x70,
		0x75,0x74,0x00,0x01;
	.byte4 = .LN_etharp_ip_input;
	.byte4 = .LN._etharp_ip_input.end;
	.byte =
		0x01,0x01,0x00,0x10,0x6E,0x65,0x74,0x69,0x66,0x00,0x9B,0x12,
		0x00,0x00,0x02,0x7F,0x08,0x00,0x10,0x70,0x00,0xA7,0x12,0x00,
		0x00,0x02,0x7F,0x0C,0x00,0x11,0x00,0x00,0x00,0x00;
	.byte4 = .LN136;
	.byte4 = .LN._etharp_ip_input.end;
	.byte =
		0x12,0x65,0x74,0x68,0x68,0x64,0x72,0x00,0x01,0x33,0x15,0x00,
		0x00,0x02,0x7F,0x7C,0x00,0x00,0x00,0x00,0x00,0x12,0x69,0x70,
		0x68,0x64,0x72,0x00,0x01,0x05,0x17,0x00,0x00,0x02,0x7F,0x10,
		0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x00,0xEF,0x08,0x00,
		0x00,0x0F,0xDF,0x17,0x00,0x00,0x65,0x74,0x68,0x61,0x72,0x70,
		0x5F,0x61,0x72,0x70,0x5F,0x69,0x6E,0x70,0x75,0x74,0x00,0x01;
	.byte4 = .LN_etharp_arp_input;
	.byte4 = .LN._etharp_arp_input.end;
	.byte =
		0x01,0x01,0x00,0x10,0x6E,0x65,0x74,0x69,0x66,0x00,0x9B,0x12,
		0x00,0x00,0x02,0x7F,0x08,0x00,0x10,0x65,0x74,0x68,0x61,0x64,
		0x64,0x72,0x00,0x39,0x15,0x00,0x00,0x02,0x7F,0x0C,0x00,0x10,
		0x70,0x00,0xA7,0x12,0x00,0x00,0x02,0x7F,0x10,0x00,0x11,0x00,
		0x00,0x00,0x00;
	.byte4 = .LN145;
	.byte4 = .LN._etharp_arp_input.end;
	.inc/binary "etharp.sbn", 5116, 145;
	.byte4 = .LN_etharp_raw;
	.byte4 = .LN._etharp_raw.end;
	.inc/binary "etharp.sbn", 5261, 165;
	.byte4 = .LN203;
	.byte4 = .LN._etharp_raw.end;
	.byte =
		0x12,0x70,0x00,0x01,0xA7,0x12,0x00,0x00,0x02,0x7F,0x6C,0x00,
		0x00,0x00,0x00,0x00,0x12,0x72,0x65,0x73,0x75,0x6C,0x74,0x00,
		0x01,0x17,0x05,0x00,0x00,0x02,0x7F,0x72;
	.byte4 = .LN203-.LN_etharp_raw;
	.byte =
		0x00,0x12,0x6B,0x00,0x01,0x83,0x04,0x00,0x00,0x02,0x7F,0x73;
	.byte4 = .LN203-.LN_etharp_raw;
	.byte =
		0x00,0x12,0x65,0x74,0x68,0x68,0x64,0x72,0x00,0x01,0x33,0x15,
		0x00,0x00,0x02,0x7F,0x74;
	.byte4 = .LN203-.LN_etharp_raw;
	.byte =
		0x00,0x12,0x68,0x64,0x72,0x00,0x01,0xDF,0x17,0x00,0x00,0x02,
		0x7F,0x78;
	.byte4 = .LN203-.LN_etharp_raw;
	.byte =
		0x00,0x00,0x00,0x14,0x99,0x04,0x00,0x00,0x14,0xD9,0x04,0x00,
		0x00,0x04,0x00,0x0E,0x19,0x00,0x00,0x14,0xAF,0x10,0x00,0x00,
		0x04,0x00,0x19,0x19,0x00,0x00,0x13,0x76,0x19,0x00,0x00,0x65,
		0x74,0x68,0x61,0x72,0x70,0x5F,0x72,0x65,0x71,0x75,0x65,0x73,
		0x74,0x00,0x01;
	.byte4 = .LN_etharp_request;
	.byte4 = .LN._etharp_request.end;
	.byte =
		0x01,0x17,0x05,0x00,0x00,0x01,0x00,0x10,0x6E,0x65,0x74,0x69,
		0x66,0x00,0x9B,0x12,0x00,0x00,0x02,0x7F,0x08,0x00,0x10,0x69,
		0x70,0x61,0x64,0x64,0x72,0x00,0xE5,0x12,0x00,0x00,0x02,0x7F,
		0x0C,0x00,0x11,0x00,0x00,0x00,0x00;
	.byte4 = .LN239;
	.byte4 = .LN._etharp_request.end;
	.byte =
		0x00,0x00,0x13,0x88,0x1A,0x00,0x00,0x65,0x74,0x68,0x61,0x72,
		0x70,0x5F,0x71,0x75,0x65,0x72,0x79,0x00,0x01;
	.byte4 = .LN_etharp_query;
	.byte4 = .LN._etharp_query.end;
	.byte =
		0x01,0x17,0x05,0x00,0x00,0x01,0x00,0x10,0x6E,0x65,0x74,0x69,
		0x66,0x00,0x9B,0x12,0x00,0x00,0x02,0x7F,0x08,0x00,0x10,0x69,
		0x70,0x61,0x64,0x64,0x72,0x00,0xE5,0x12,0x00,0x00,0x02,0x7F,
		0x0C,0x00,0x10,0x71,0x00,0xA7,0x12,0x00,0x00,0x02,0x7F,0x10,
		0x00,0x11,0x00,0x00,0x00,0x00;
	.byte4 = .LN242;
	.byte4 = .LN._etharp_query.end;
	.byte =
		0x12,0x73,0x72,0x63,0x61,0x64,0x64,0x72,0x00,0x01,0x39,0x15,
		0x00,0x00,0x02,0x7F,0x64;
	.byte4 = .LN243-.LN_etharp_query;
	.byte =
		0x00,0x12,0x72,0x65,0x73,0x75,0x6C,0x74,0x00,0x01,0x17,0x05,
		0x00,0x00,0x02,0x7F,0x6A;
	.byte4 = .LN243-.LN_etharp_query;
	.byte =
		0x00,0x12,0x69,0x00,0x01,0x8E,0x04,0x00,0x00,0x02,0x7F,0x6B;
	.byte4 = .LN243-.LN_etharp_query;
	.byte =
		0x00,0x11,0x00,0x00,0x00,0x00;
	.byte4 = .LN272;
	.byte4 = .LN315;
	.byte =
		0x12,0x70,0x00,0x01,0xA7,0x12,0x00,0x00,0x02,0x7F,0x6C;
	.byte4 = .LN271-.LN_etharp_query;
	.byte =
		0x00,0x12,0x63,0x6F,0x70,0x79,0x5F,0x6E,0x65,0x65,0x64,0x65,
		0x64,0x00,0x01,0xB5,0x01,0x00,0x00,0x02,0x7F,0x7C,0x00,0x00,
		0x00,0x00,0x00,0x11,0x00,0x00,0x00,0x00;
	.byte4 = .LN296;
	.byte4 = .LN313;
	.byte =
		0x12,0x6E,0x65,0x77,0x5F,0x65,0x6E,0x74,0x72,0x79,0x00,0x01,
		0xA1,0x12,0x00,0x00,0x02,0x7F,0x70;
	.byte4 = .LN295-.LN_etharp_query;
	.byte =
		0x00,0x11,0x00,0x00,0x00,0x00;
	.byte4 = .LN302;
	.byte4 = .LN307;
	.byte =
		0x12,0x72,0x00,0x01,0xA1,0x12,0x00,0x00,0x02,0x7F,0x74;
	.byte4 = .LN301-.LN_etharp_query;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x00,0x13,0x0F,0x1B,0x00,0x00,0x65,
		0x74,0x68,0x61,0x72,0x70,0x5F,0x6F,0x75,0x74,0x70,0x75,0x74,
		0x00,0x01;
	.byte4 = .LN_etharp_output;
	.byte4 = .LN._etharp_output.end;
	.byte =
		0x01,0x17,0x05,0x00,0x00,0x01,0x00,0x10,0x6E,0x65,0x74,0x69,
		0x66,0x00,0x9B,0x12,0x00,0x00,0x02,0x7F,0x08,0x00,0x10,0x71,
		0x00,0xA7,0x12,0x00,0x00,0x02,0x7F,0x0C,0x00,0x10,0x69,0x70,
		0x61,0x64,0x64,0x72,0x00,0xE5,0x12,0x00,0x00,0x02,0x7F,0x10,
		0x00,0x11,0x00,0x00,0x00,0x00;
	.byte4 = .LN317;
	.byte4 = .LN._etharp_output.end;
	.byte =
		0x12,0x64,0x65,0x73,0x74,0x00,0x01,0x39,0x15,0x00,0x00,0x02,
		0x7F,0x78,0x00,0x00,0x00,0x00,0x00,0x12,0x6D,0x63,0x61,0x73,
		0x74,0x61,0x64,0x64,0x72,0x00,0x01,0xAF,0x10,0x00,0x00,0x02,
		0x7F,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x13,0x84,0x1B,
		0x00,0x00,0x65,0x74,0x68,0x65,0x72,0x6E,0x65,0x74,0x5F,0x69,
		0x6E,0x70,0x75,0x74,0x00,0x01;
	.byte4 = .LN_ethernet_input;
	.byte4 = .LN._ethernet_input.end;
	.byte =
		0x01,0x17,0x05,0x00,0x00,0x01,0x00,0x10,0x70,0x00,0xA7,0x12,
		0x00,0x00,0x02,0x7F,0x08,0x00,0x10,0x6E,0x65,0x74,0x69,0x66,
		0x00,0x9B,0x12,0x00,0x00,0x02,0x7F,0x0C,0x00,0x11,0x00,0x00,
		0x00,0x00;
	.byte4 = .LN355;
	.byte4 = .LN._ethernet_input.end;
	.byte =
		0x12,0x65,0x74,0x68,0x68,0x64,0x72,0x00,0x01,0x33,0x15,0x00,
		0x00,0x02,0x7F,0x78,0x00,0x00,0x00,0x00,0x00,0x12,0x74,0x79,
		0x70,0x65,0x00,0x01,0x99,0x04,0x00,0x00,0x02,0x7F,0x10,0x00,
		0x00,0x00,0x00,0x00,0x00,0x00,0x12,0x6C,0x77,0x69,0x70,0x5F,
		0x73,0x74,0x61,0x74,0x73,0x00,0x01,0xF0,0x0C,0x00,0x00,0x05,
		0x0C;
	.byte4 = _lwip_stats;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x12,0x65,0x74,0x68,0x62,0x72,0x6F,
		0x61,0x64,0x63,0x61,0x73,0x74,0x00,0x01,0x19,0x19,0x00,0x00,
		0x05,0x0C;
	.byte4 = _ethbroadcast;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x12,0x65,0x74,0x68,0x7A,0x65,0x72,
		0x6F,0x00,0x01,0x19,0x19,0x00,0x00,0x05,0x0C;
	.byte4 = _ethzero;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x12,0x61,0x72,0x70,0x5F,0x74,0x61,
		0x62,0x6C,0x65,0x00,0x01,0x17,0x1C,0x00,0x00,0x05,0x0C;
	.byte4 = _arp_table;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x12,0x65,0x74,0x68,0x61,0x72,0x70,
		0x5F,0x63,0x61,0x63,0x68,0x65,0x64,0x5F,0x65,0x6E,0x74,0x72,
		0x79,0x00,0x01,0x83,0x04,0x00,0x00,0x05,0x0C;
	.byte4 = _etharp_cached_entry;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x0D,0x00,0x00,0x00,0x00,0x2D,0x12,
		0x00,0x00,0x0E,0x0A,0x00,0x09,0x00,0x00;
.epcdebug.end:

	.section .debug_line SHT_DEBUGINFO;

	.align 1;
.epcline:
	.type .epcline,STT_OBJECT;
	.inc/binary "etharp.sbn", 5426, 1703;
	.byte4 = .LN_free_etharp_q;
	.byte =
		0x04,0x01,0x05,0x01,0x9C,0x00,0x05,0x02;
	.byte4 = .LN0;
	.byte =
		0x05,0x03,0x0D,0x00,0x05,0x02;
	.byte4 = .LN1;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN2;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN3;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN4;
	.byte =
		0x05,0x0E,0x01,0x00,0x05,0x02;
	.byte4 = .LN5;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN6;
	.byte =
		0x05,0x0E,0x01,0x00,0x05,0x02;
	.byte4 = .LN7;
	.byte =
		0x05,0x01,0x0B,0x00,0x05,0x02;
	.byte4 = .LN._free_etharp_q.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_etharp_tmr;
	.byte =
		0x04,0x01,0x05,0x01,0xB2,0x00,0x05,0x02;
	.byte4 = .LN8;
	.byte =
		0x05,0x03,0x0E,0x00,0x05,0x02;
	.byte4 = .LN9;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN10;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN11;
	.byte =
		0x05,0x07,0x15,0x00,0x05,0x02;
	.byte4 = .LN12;
	.byte =
		0x05,0x16,0x0C,0x00,0x05,0x02;
	.byte4 = .LN13;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN14;
	.byte =
		0x05,0x07,0x0A,0x00,0x05,0x02;
	.byte4 = .LN15;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN16;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN17;
	.byte =
		0x05,0x23,0x03,0x69,0x01,0x00,0x05,0x02;
	.byte4 = .LN18;
	.byte =
		0x05,0x01,0x28,0x00,0x05,0x02;
	.byte4 = .LN._etharp_tmr.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_find_entry;
	.byte =
		0x04,0x01,0x05,0x01,0xF4,0x00,0x05,0x02;
	.byte4 = .LN19;
	.byte =
		0x05,0x08,0x0A,0x00,0x05,0x02;
	.byte4 = .LN20;
	.byte =
		0x05,0x26,0x01,0x00,0x05,0x02;
	.byte4 = .LN21;
	.byte =
		0x05,0x08,0x0A,0x00,0x05,0x02;
	.byte4 = .LN22;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN23;
	.byte =
		0x05,0x0F,0x01,0x00,0x05,0x02;
	.byte4 = .LN24;
	.byte =
		0x05,0x20,0x01,0x00,0x05,0x02;
	.byte4 = .LN25;
	.byte =
		0x05,0x08,0x0C,0x00,0x05,0x02;
	.byte4 = .LN26;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN27;
	.byte =
		0x05,0x03,0x0E,0x00,0x05,0x02;
	.byte4 = .LN28;
	.byte =
		0x05,0x05,0x19,0x00,0x05,0x02;
	.byte4 = .LN29;
	.byte =
		0x05,0x07,0x0B,0x00,0x05,0x02;
	.byte4 = .LN30;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN31;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN32;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN33;
	.byte =
		0x05,0x03,0x0B,0x00,0x05,0x02;
	.byte4 = .LN34;
	.byte =
		0x1A,0x00,0x05,0x02;
	.byte4 = .LN35;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN36;
	.byte =
		0x05,0x07,0x0C,0x00,0x05,0x02;
	.byte4 = .LN37;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN38;
	.byte =
		0x05,0x0A,0x0B,0x00,0x05,0x02;
	.byte4 = .LN39;
	.byte =
		0x05,0x07,0x0B,0x00,0x05,0x02;
	.byte4 = .LN40;
	.byte =
		0x05,0x09,0x0F,0x00,0x05,0x02;
	.byte4 = .LN41;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN42;
	.byte =
		0x05,0x0E,0x0C,0x00,0x05,0x02;
	.byte4 = .LN43;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN44;
	.byte =
		0x05,0x0B,0x0A,0x00,0x05,0x02;
	.byte4 = .LN45;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN46;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN47;
	.byte =
		0x05,0x07,0x0C,0x00,0x05,0x02;
	.byte4 = .LN48;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN49;
	.byte =
		0x05,0x0B,0x0A,0x00,0x05,0x02;
	.byte4 = .LN50;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN51;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN52;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN53;
	.byte =
		0x05,0x0A,0x0B,0x00,0x05,0x02;
	.byte4 = .LN54;
	.byte =
		0x05,0x07,0x0B,0x00,0x05,0x02;
	.byte4 = .LN55;
	.byte =
		0x05,0x09,0x0F,0x00,0x05,0x02;
	.byte4 = .LN56;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN57;
	.byte =
		0x05,0x0E,0x0B,0x00,0x05,0x02;
	.byte4 = .LN58;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN59;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN60;
	.byte =
		0x05,0x07,0x0A,0x00,0x05,0x02;
	.byte4 = .LN61;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN62;
	.byte =
		0x05,0x23,0x03,0x4C,0x01,0x00,0x05,0x02;
	.byte4 = .LN63;
	.byte =
		0x05,0x03,0x42,0x00,0x05,0x02;
	.byte4 = .LN64;
	.byte =
		0x05,0x05,0x0D,0x00,0x05,0x02;
	.byte4 = .LN65;
	.byte =
		0x05,0x03,0x16,0x00,0x05,0x02;
	.byte4 = .LN66;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN67;
	.byte =
		0x05,0x03,0x0B,0x00,0x05,0x02;
	.byte4 = .LN68;
	.byte =
		0x05,0x08,0x0B,0x00,0x05,0x02;
	.byte4 = .LN69;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN70;
	.byte =
		0x05,0x03,0x10,0x00,0x05,0x02;
	.byte4 = .LN71;
	.byte =
		0x05,0x0A,0x01,0x00,0x05,0x02;
	.byte4 = .LN72;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN73;
	.byte =
		0x05,0x03,0x0D,0x00,0x05,0x02;
	.byte4 = .LN74;
	.byte =
		0x05,0x0A,0x01,0x00,0x05,0x02;
	.byte4 = .LN75;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN76;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN77;
	.byte =
		0x05,0x12,0x01,0x00,0x05,0x02;
	.byte4 = .LN78;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN79;
	.byte =
		0x05,0x03,0x0E,0x00,0x05,0x02;
	.byte4 = .LN80;
	.byte =
		0x05,0x05,0x03,0x7F,0x01,0x00,0x05,0x02;
	.byte4 = .LN81;
	.byte =
		0x05,0x03,0x14,0x00,0x05,0x02;
	.byte4 = .LN82;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN83;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN84;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN85;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN86;
	.byte =
		0x0D,0x00,0x05,0x02;
	.byte4 = .LN87;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN._find_entry.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_etharp_send_ip;
	.byte =
		0x04,0x01,0x05,0x01,0x03,0xB0,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN88;
	.byte =
		0x05,0x13,0x0A,0x00,0x05,0x02;
	.byte4 = .LN89;
	.byte =
		0x05,0x03,0x0E,0x00,0x05,0x02;
	.byte4 = .LN90;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN91;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN92;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN93;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN94;
	.byte =
		0x05,0x17,0x0B,0x00,0x05,0x02;
	.byte4 = .LN95;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN96;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN97;
	.byte =
		0x05,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN98;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN._etharp_send_ip.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_update_arp_entry;
	.byte =
		0x04,0x01,0x05,0x01,0x03,0xD7,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN99;
	.byte =
		0x05,0x03,0x13,0x00,0x05,0x02;
	.byte4 = .LN100;
	.byte =
		0x05,0x1A,0x0A,0x00,0x05,0x02;
	.byte4 = .LN101;
	.byte =
		0x05,0x03,0x03,0x7F,0x01,0x00,0x05,0x02;
	.byte4 = .LN102;
	.byte =
		0x05,0x07,0x0B,0x00,0x05,0x02;
	.byte4 = .LN103;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN104;
	.byte =
		0x05,0x03,0x03,0x7E,0x01,0x00,0x05,0x02;
	.byte4 = .LN105;
	.byte =
		0x05,0x05,0x0D,0x00,0x05,0x02;
	.byte4 = .LN106;
	.byte =
		0x05,0x03,0x0F,0x00,0x05,0x02;
	.byte4 = .LN107;
	.byte =
		0x05,0x11,0x01,0x00,0x05,0x02;
	.byte4 = .LN108;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN109;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN110;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN111;
	.byte =
		0x05,0x03,0x0C,0x00,0x05,0x02;
	.byte4 = .LN112;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN113;
	.byte =
		0x10,0x00,0x05,0x02;
	.byte4 = .LN114;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN115;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN116;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN117;
	.byte =
		0x05,0x03,0x0C,0x00,0x05,0x02;
	.byte4 = .LN118;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN119;
	.byte =
		0x05,0x1C,0x0C,0x00,0x05,0x02;
	.byte4 = .LN120;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN121;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN122;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN123;
	.byte =
		0x05,0x0E,0x01,0x00,0x05,0x02;
	.byte4 = .LN124;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN125;
	.byte =
		0x05,0x13,0x01,0x00,0x05,0x02;
	.byte4 = .LN126;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN127;
	.byte =
		0x05,0x0E,0x01,0x00,0x05,0x02;
	.byte4 = .LN128;
	.byte =
		0x05,0x03,0x0C,0x00,0x05,0x02;
	.byte4 = .LN._update_arp_entry.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_etharp_find_addr;
	.byte =
		0x04,0x01,0x05,0x01,0x03,0xA5,0x04,0x01,0x00,0x05,0x02;
	.byte4 = .LN129;
	.byte =
		0x05,0x11,0x11,0x00,0x05,0x02;
	.byte4 = .LN130;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN131;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN132;
	.byte =
		0x05,0x07,0x0A,0x00,0x05,0x02;
	.byte4 = .LN133;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN134;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN135;
	.byte =
		0x05,0x03,0x0B,0x00,0x05,0x02;
	.byte4 = .LN._etharp_find_addr.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_etharp_ip_input;
	.byte =
		0x04,0x01,0x05,0x01,0x03,0xC8,0x04,0x01,0x00,0x05,0x02;
	.byte4 = .LN136;
	.byte =
		0x05,0x03,0x0C,0x00,0x05,0x02;
	.byte4 = .LN137;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN138;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN139;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN140;
	.byte =
		0x11,0x00,0x05,0x02;
	.byte4 = .LN141;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN142;
	.byte =
		0x05,0x03,0x10,0x00,0x05,0x02;
	.byte4 = .LN143;
	.byte =
		0x05,0x13,0x01,0x00,0x05,0x02;
	.byte4 = .LN144;
	.byte =
		0x05,0x01,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._etharp_ip_input.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_etharp_arp_input;
	.byte =
		0x04,0x01,0x05,0x01,0x03,0xF5,0x04,0x01,0x00,0x05,0x02;
	.byte4 = .LN145;
	.byte =
		0x05,0x03,0x14,0x00,0x05,0x02;
	.byte4 = .LN146;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN147;
	.byte =
		0x0D,0x00,0x05,0x02;
	.byte4 = .LN148;
	.byte =
		0x05,0x05,0x0D,0x00,0x05,0x02;
	.byte4 = .LN149;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN150;
	.byte =
		0x05,0x0E,0x0A,0x00,0x05,0x02;
	.byte4 = .LN151;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN152;
	.byte =
		0x05,0x03,0x0C,0x00,0x05,0x02;
	.byte4 = .LN153;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN154;
	.byte =
		0x05,0x1C,0x11,0x00,0x05,0x02;
	.byte4 = .LN155;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN156;
	.byte =
		0x05,0x25,0x0A,0x00,0x05,0x02;
	.byte4 = .LN157;
	.byte =
		0x05,0x03,0x03,0x7F,0x01,0x00,0x05,0x02;
	.byte4 = .LN158;
	.byte =
		0x05,0x1B,0x0B,0x00,0x05,0x02;
	.byte4 = .LN159;
	.byte =
		0x05,0x03,0x03,0x7E,0x01,0x00,0x05,0x02;
	.byte4 = .LN160;
	.byte =
		0x05,0x1D,0x0C,0x00,0x05,0x02;
	.byte4 = .LN161;
	.byte =
		0x05,0x03,0x03,0x7D,0x01,0x00,0x05,0x02;
	.byte4 = .LN162;
	.byte =
		0x05,0x05,0x10,0x00,0x05,0x02;
	.byte4 = .LN163;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN164;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN165;
	.byte =
		0x05,0x0E,0x01,0x00,0x05,0x02;
	.byte4 = .LN166;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN167;
	.byte =
		0x05,0x03,0x0B,0x00,0x05,0x02;
	.byte4 = .LN168;
	.byte =
		0x14,0x00,0x05,0x02;
	.byte4 = .LN169;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN170;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN171;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN172;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN173;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN174;
	.byte =
		0x05,0x03,0x0D,0x00,0x05,0x02;
	.byte4 = .LN175;
	.byte =
		0x05,0x05,0x0C,0x00,0x05,0x02;
	.byte4 = .LN176;
	.byte =
		0x05,0x15,0x01,0x00,0x05,0x02;
	.byte4 = .LN177;
	.byte =
		0x05,0x03,0x0B,0x00,0x05,0x02;
	.byte4 = .LN178;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN179;
	.byte =
		0x05,0x15,0x01,0x00,0x05,0x02;
	.byte4 = .LN180;
	.byte =
		0x05,0x03,0x0D,0x00,0x05,0x02;
	.byte4 = .LN181;
	.byte =
		0x05,0x10,0x01,0x00,0x05,0x02;
	.byte4 = .LN182;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN183;
	.byte =
		0x05,0x05,0x12,0x00,0x05,0x02;
	.byte4 = .LN184;
	.byte =
		0x05,0x1A,0x0F,0x00,0x05,0x02;
	.byte4 = .LN185;
	.byte =
		0x05,0x07,0x01,0x00,0x05,0x02;
	.byte4 = .LN186;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN187;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN188;
	.byte =
		0x0D,0x00,0x05,0x02;
	.byte4 = .LN189;
	.byte =
		0x10,0x00,0x05,0x02;
	.byte4 = .LN190;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN191;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN192;
	.byte =
		0x0D,0x00,0x05,0x02;
	.byte4 = .LN193;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN194;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN195;
	.byte =
		0x05,0x07,0x10,0x00,0x05,0x02;
	.byte4 = .LN196;
	.byte =
		0x05,0x18,0x01,0x00,0x05,0x02;
	.byte4 = .LN197;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN198;
	.byte =
		0x10,0x00,0x05,0x02;
	.byte4 = .LN199;
	.byte =
		0x18,0x00,0x05,0x02;
	.byte4 = .LN200;
	.byte =
		0x05,0x03,0x0D,0x00,0x05,0x02;
	.byte4 = .LN201;
	.byte =
		0x05,0x0C,0x01,0x00,0x05,0x02;
	.byte4 = .LN202;
	.byte =
		0x05,0x01,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._etharp_arp_input.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_etharp_raw;
	.byte =
		0x04,0x01,0x05,0x01,0x03,0x9E,0x08,0x01,0x00,0x05,0x02;
	.byte4 = .LN203;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN204;
	.byte =
		0x05,0x11,0x12,0x00,0x05,0x02;
	.byte4 = .LN205;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN206;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN207;
	.byte =
		0x05,0x05,0x0C,0x00,0x05,0x02;
	.byte4 = .LN208;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN209;
	.byte =
		0x05,0x03,0x0E,0x00,0x05,0x02;
	.byte4 = .LN210;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN211;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN212;
	.byte =
		0x05,0x16,0x01,0x00,0x05,0x02;
	.byte4 = .LN213;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN214;
	.byte =
		0x0D,0x00,0x05,0x02;
	.byte4 = .LN215;
	.byte =
		0x10,0x00,0x05,0x02;
	.byte4 = .LN216;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN217;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN218;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN219;
	.byte =
		0x0E,0x00,0x05,0x02;
	.byte4 = .LN220;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN221;
	.byte =
		0x05,0x03,0x0B,0x00,0x05,0x02;
	.byte4 = .LN222;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN223;
	.byte =
		0x05,0x16,0x0B,0x00,0x05,0x02;
	.byte4 = .LN224;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN225;
	.byte =
		0x05,0x15,0x0A,0x00,0x05,0x02;
	.byte4 = .LN226;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN227;
	.byte =
		0x05,0x1F,0x0B,0x00,0x05,0x02;
	.byte4 = .LN228;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN229;
	.byte =
		0x05,0x17,0x0B,0x00,0x05,0x02;
	.byte4 = .LN230;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN231;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN232;
	.byte =
		0x05,0x1D,0x01,0x00,0x05,0x02;
	.byte4 = .LN233;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN234;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN235;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN236;
	.byte =
		0x05,0x0C,0x01,0x00,0x05,0x02;
	.byte4 = .LN237;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN238;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN._etharp_raw.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_etharp_request;
	.byte =
		0x04,0x01,0x05,0x01,0x03,0xEE,0x08,0x01,0x00,0x05,0x02;
	.byte4 = .LN239;
	.byte =
		0x05,0x03,0x0B,0x00,0x05,0x02;
	.byte4 = .LN240;
	.byte =
		0x05,0x14,0x01,0x00,0x05,0x02;
	.byte4 = .LN241;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN._etharp_request.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_etharp_query;
	.byte =
		0x04,0x01,0x05,0x01,0x03,0x80,0x07,0x01,0x00,0x05,0x02;
	.byte4 = .LN242;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN243;
	.byte =
		0x05,0x15,0x03,0x7F,0x01,0x00,0x05,0x02;
	.byte4 = .LN244;
	.byte =
		0x05,0x1A,0x0E,0x00,0x05,0x02;
	.byte4 = .LN245;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN246;
	.byte =
		0x05,0x07,0x0A,0x00,0x05,0x02;
	.byte4 = .LN247;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN248;
	.byte =
		0x05,0x03,0x03,0x7F,0x01,0x00,0x05,0x02;
	.byte4 = .LN249;
	.byte =
		0x05,0x05,0x0D,0x00,0x05,0x02;
	.byte4 = .LN250;
	.byte =
		0x05,0x11,0x10,0x00,0x05,0x02;
	.byte4 = .LN251;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN252;
	.byte =
		0x0D,0x00,0x05,0x02;
	.byte4 = .LN253;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN254;
	.byte =
		0x05,0x07,0x0B,0x00,0x05,0x02;
	.byte4 = .LN255;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN256;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN257;
	.byte =
		0x05,0x03,0x0D,0x00,0x05,0x02;
	.byte4 = .LN258;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN259;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN260;
	.byte =
		0x11,0x00,0x05,0x02;
	.byte4 = .LN261;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN262;
	.byte =
		0x05,0x1C,0x01,0x00,0x05,0x02;
	.byte4 = .LN263;
	.byte =
		0x05,0x05,0x01,0x00,0x05,0x02;
	.byte4 = .LN264;
	.byte =
		0x05,0x03,0x10,0x00,0x05,0x02;
	.byte4 = .LN265;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN266;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN267;
	.byte =
		0x05,0x07,0x0C,0x00,0x05,0x02;
	.byte4 = .LN268;
	.byte =
		0x05,0x1E,0x01,0x00,0x05,0x02;
	.byte4 = .LN269;
	.byte =
		0x05,0x07,0x01,0x00,0x05,0x02;
	.byte4 = .LN270;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN271;
	.byte =
		0x05,0x0C,0x01,0x00,0x05,0x02;
	.byte4 = .LN272;
	.byte =
		0x05,0x0B,0x0C,0x00,0x05,0x02;
	.byte4 = .LN273;
	.byte =
		0x05,0x07,0x0D,0x00,0x05,0x02;
	.byte4 = .LN274;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN275;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN276;
	.byte =
		0x05,0x0B,0x0A,0x00,0x05,0x02;
	.byte4 = .LN277;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN278;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN279;
	.byte =
		0x05,0x07,0x0B,0x00,0x05,0x02;
	.byte4 = .LN280;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN281;
	.byte =
		0x05,0x17,0x01,0x00,0x05,0x02;
	.byte4 = .LN282;
	.byte =
		0x05,0x09,0x01,0x00,0x05,0x02;
	.byte4 = .LN283;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN284;
	.byte =
		0x05,0x0B,0x0A,0x00,0x05,0x02;
	.byte4 = .LN285;
	.byte =
		0x05,0x18,0x01,0x00,0x05,0x02;
	.byte4 = .LN286;
	.byte =
		0x05,0x0B,0x01,0x00,0x05,0x02;
	.byte4 = .LN287;
	.byte =
		0x05,0x0D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN288;
	.byte =
		0x05,0x16,0x01,0x00,0x05,0x02;
	.byte4 = .LN289;
	.byte =
		0x05,0x0D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN290;
	.byte =
		0x05,0x0B,0x0A,0x00,0x05,0x02;
	.byte4 = .LN291;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN292;
	.byte =
		0x05,0x07,0x0A,0x00,0x05,0x02;
	.byte4 = .LN293;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN294;
	.byte =
		0x05,0x11,0x0A,0x00,0x05,0x02;
	.byte4 = .LN295;
	.byte =
		0x05,0x07,0x0C,0x00,0x05,0x02;
	.byte4 = .LN296;
	.byte =
		0x05,0x39,0x0D,0x00,0x05,0x02;
	.byte4 = .LN297;
	.byte =
		0x05,0x09,0x01,0x00,0x05,0x02;
	.byte4 = .LN298;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN299;
	.byte =
		0x05,0x0B,0x0A,0x00,0x05,0x02;
	.byte4 = .LN300;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN301;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN302;
	.byte =
		0x05,0x0D,0x0C,0x00,0x05,0x02;
	.byte4 = .LN303;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN304;
	.byte =
		0x05,0x0F,0x0A,0x00,0x05,0x02;
	.byte4 = .LN305;
	.byte =
		0x05,0x0D,0x0B,0x00,0x05,0x02;
	.byte4 = .LN306;
	.byte =
		0x05,0x0B,0x0A,0x00,0x05,0x02;
	.byte4 = .LN307;
	.byte =
		0x05,0x0D,0x0B,0x00,0x05,0x02;
	.byte4 = .LN308;
	.byte =
		0x05,0x0B,0x0C,0x00,0x05,0x02;
	.byte4 = .LN309;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN310;
	.byte =
		0x05,0x0B,0x0B,0x00,0x05,0x02;
	.byte4 = .LN311;
	.byte =
		0x05,0x14,0x01,0x00,0x05,0x02;
	.byte4 = .LN312;
	.byte =
		0x05,0x07,0x0D,0x00,0x05,0x02;
	.byte4 = .LN313;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN314;
	.byte =
		0x05,0x05,0x12,0x00,0x05,0x02;
	.byte4 = .LN315;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN316;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN._etharp_query.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_etharp_output;
	.byte =
		0x04,0x01,0x05,0x01,0x03,0xA5,0x06,0x01,0x00,0x05,0x02;
	.byte4 = .LN317;
	.byte =
		0x05,0x12,0x0D,0x00,0x05,0x02;
	.byte4 = .LN318;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN319;
	.byte =
		0x05,0x05,0x0D,0x00,0x05,0x02;
	.byte4 = .LN320;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN321;
	.byte =
		0x05,0x03,0x0D,0x00,0x05,0x02;
	.byte4 = .LN322;
	.byte =
		0x0E,0x00,0x05,0x02;
	.byte4 = .LN323;
	.byte =
		0x05,0x1A,0x01,0x00,0x05,0x02;
	.byte4 = .LN324;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN325;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN326;
	.byte =
		0x05,0x03,0x0B,0x00,0x05,0x02;
	.byte4 = .LN327;
	.byte =
		0x05,0x0E,0x01,0x00,0x05,0x02;
	.byte4 = .LN328;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN329;
	.byte =
		0x05,0x0A,0x01,0x00,0x05,0x02;
	.byte4 = .LN330;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN331;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN332;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN333;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN334;
	.byte =
		0x05,0x19,0x01,0x00,0x05,0x02;
	.byte4 = .LN335;
	.byte =
		0x05,0x05,0x01,0x00,0x05,0x02;
	.byte4 = .LN336;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN337;
	.byte =
		0x05,0x19,0x01,0x00,0x05,0x02;
	.byte4 = .LN338;
	.byte =
		0x05,0x05,0x01,0x00,0x05,0x02;
	.byte4 = .LN339;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN340;
	.byte =
		0x05,0x19,0x01,0x00,0x05,0x02;
	.byte4 = .LN341;
	.byte =
		0x05,0x05,0x01,0x00,0x05,0x02;
	.byte4 = .LN342;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN343;
	.byte =
		0x05,0x03,0x1A,0x00,0x05,0x02;
	.byte4 = .LN344;
	.byte =
		0x05,0x05,0x03,0x73,0x01,0x00,0x05,0x02;
	.byte4 = .LN345;
	.byte =
		0x05,0x07,0x0B,0x00,0x05,0x02;
	.byte4 = .LN346;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN347;
	.byte =
		0x05,0x05,0x0F,0x00,0x05,0x02;
	.byte4 = .LN348;
	.byte =
		0x05,0x09,0x03,0x7E,0x01,0x00,0x05,0x02;
	.byte4 = .LN349;
	.byte =
		0x05,0x05,0x0D,0x00,0x05,0x02;
	.byte4 = .LN350;
	.byte =
		0x05,0x18,0x01,0x00,0x05,0x02;
	.byte4 = .LN351;
	.byte =
		0x05,0x05,0x01,0x00,0x05,0x02;
	.byte4 = .LN352;
	.byte =
		0x05,0x03,0x0F,0x00,0x05,0x02;
	.byte4 = .LN353;
	.byte =
		0x05,0x18,0x01,0x00,0x05,0x02;
	.byte4 = .LN354;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN._etharp_output.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_ethernet_input;
	.byte =
		0x04,0x01,0x05,0x01,0x03,0x80,0x09,0x01,0x00,0x05,0x02;
	.byte4 = .LN355;
	.byte =
		0x05,0x03,0x0E,0x00,0x05,0x02;
	.byte4 = .LN356;
	.byte =
		0x12,0x00,0x05,0x02;
	.byte4 = .LN357;
	.byte =
		0x05,0x0F,0x01,0x00,0x05,0x02;
	.byte4 = .LN358;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN359;
	.byte =
		0x18,0x00,0x05,0x02;
	.byte4 = .LN360;
	.byte =
		0x05,0x07,0x0F,0x00,0x05,0x02;
	.byte4 = .LN361;
	.byte =
		0x05,0x16,0x01,0x00,0x05,0x02;
	.byte4 = .LN362;
	.byte =
		0x05,0x07,0x0C,0x00,0x05,0x02;
	.byte4 = .LN363;
	.byte =
		0x05,0x15,0x01,0x00,0x05,0x02;
	.byte4 = .LN364;
	.byte =
		0x05,0x07,0x01,0x00,0x05,0x02;
	.byte4 = .LN365;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN366;
	.byte =
		0x05,0x12,0x01,0x00,0x05,0x02;
	.byte4 = .LN367;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN368;
	.byte =
		0x05,0x07,0x0A,0x00,0x05,0x02;
	.byte4 = .LN369;
	.byte =
		0x05,0x09,0x0B,0x00,0x05,0x02;
	.byte4 = .LN370;
	.byte =
		0x05,0x11,0x01,0x00,0x05,0x02;
	.byte4 = .LN371;
	.byte =
		0x05,0x07,0x0A,0x00,0x05,0x02;
	.byte4 = .LN372;
	.byte =
		0x0E,0x00,0x05,0x02;
	.byte4 = .LN373;
	.byte =
		0x05,0x17,0x01,0x00,0x05,0x02;
	.byte4 = .LN374;
	.byte =
		0x05,0x07,0x01,0x00,0x05,0x02;
	.byte4 = .LN375;
	.byte =
		0x17,0x00,0x05,0x02;
	.byte4 = .LN376;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN377;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN378;
	.byte =
		0x05,0x10,0x01,0x00,0x05,0x02;
	.byte4 = .LN379;
	.byte =
		0x05,0x07,0x0A,0x00,0x05,0x02;
	.byte4 = .LN380;
	.byte =
		0x05,0x03,0x0F,0x00,0x05,0x02;
	.byte4 = .LN._ethernet_input.end;
	.byte =
		0x00,0x01,0x01;
.epcline.end:

	.section .annotations SHT_DEBUGINFO;

	.align 1;
.epcannot:
	.type .epcannot,STT_OBJECT;
	.inc/binary "etharp.sbn", 7129, 10088;
.epcannot.end:

	.section .debug_pubnames SHT_DEBUGINFO;

	.align 1;
.epcpubnames:
	.type .epcpubnames,STT_OBJECT;
	.byte =
		0xC1,0x00,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.inc/binary "etharp.sbn", 17217, 187;
.epcpubnames.end:

	.section .debug_aranges SHT_DEBUGINFO;

	.align 1;
.epcaranges:
	.type .epcaranges,STT_OBJECT;
	.byte =
		0x7C,0x00,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.byte =
		0x04,0x00,0x00,0x00,0x00,0x00;
	.byte4 = .LN_free_etharp_q;
	.byte4 = .LN._free_etharp_q.end-.LN_free_etharp_q;
	.byte4 = .LN_etharp_tmr;
	.byte4 = .LN._etharp_tmr.end-.LN_etharp_tmr;
	.byte4 = .LN_find_entry;
	.byte4 = .LN._find_entry.end-.LN_find_entry;
	.byte4 = .LN_etharp_send_ip;
	.byte4 = .LN._etharp_send_ip.end-.LN_etharp_send_ip;
	.byte4 = .LN_update_arp_entry;
	.byte4 = .LN._update_arp_entry.end-.LN_update_arp_entry;
	.byte4 = .LN_etharp_find_addr;
	.byte4 = .LN._etharp_find_addr.end-.LN_etharp_find_addr;
	.byte4 = .LN_etharp_ip_input;
	.byte4 = .LN._etharp_ip_input.end-.LN_etharp_ip_input;
	.byte4 = .LN_etharp_arp_input;
	.byte4 = .LN._etharp_arp_input.end-.LN_etharp_arp_input;
	.byte4 = .LN_etharp_raw;
	.byte4 = .LN._etharp_raw.end-.LN_etharp_raw;
	.byte4 = .LN_etharp_request;
	.byte4 = .LN._etharp_request.end-.LN_etharp_request;
	.byte4 = .LN_etharp_query;
	.byte4 = .LN._etharp_query.end-.LN_etharp_query;
	.byte4 = .LN_etharp_output;
	.byte4 = .LN._etharp_output.end-.LN_etharp_output;
	.byte4 = .LN_ethernet_input;
	.byte4 = .LN._ethernet_input.end-.LN_ethernet_input;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00;
.epcaranges.end:

	.section/ZERO_INIT/DOUBLE32 bsz;

	.align 4;
	.type _arp_table,STT_OBJECT;
	.byte _arp_table[280];
._arp_table.end:

	.section/DOUBLE32 data1;


	.extern _lwip_stats;
	.type _lwip_stats,STT_OBJECT;
