#ifndef ETHERNET_H_
#define ETHERNET_H_

#include "task.h"

#include "lwip/init.h" 
#include "lwip/tcpip.h"
#include "lwip/sockets.h"
#include "lwip/inet.h"
#include "include/extint.h"

/*================================================================================================*/
portTASK_FUNCTION_PROTO( ethernet_task, pvParameters );
void putdata_ethernet(const t_uint8 *data, int data_size);
/*================================================================================================*/

/*================================================================================================*/
extern struct ip_addr g_gatewayaddr;
extern struct ip_addr g_devipaddr;
extern struct ip_addr g_netmask;
/*================================================================================================*/

#endif /*#ifndef ETHERNET_H_*/
