#ifndef I2C_H_
#define I2C_H_

/*================================================================================================*/
enum I2CErr {I2CErr_Ok, I2CErr_tx, I2CErr_rx};
/*================================================================================================*/

/*================================================================================================*/
void init_i2c(void);
void transmitreceive_i2c(unsigned char addr, unsigned char tx_len, const unsigned char *tx_data,
    unsigned char rx_len, unsigned char *rx_data, enum I2CErr *err);
void transmit_i2c(unsigned char addr, unsigned char tx_len, const unsigned char *tx_data,
    enum I2CErr *err);
/*================================================================================================*/

#endif /*#ifndef I2C_H_*/
