	.file "..\..\..\lib\lwip\src\core\ipv4\inet_chksum.c";
//  Compilation time: Fri Feb 19 12:13:13 2010

//  Compiler options: -c -file-attr ProjectName=ltr030-bf-fos -g -structs-do-not-overlap -no-multiline -double-size-32 -decls-strong -warn-protos -D VDSP_BF -I c:\prj;c:\prj\lib\efsl\inc;c:\prj\lib\freertos\source\include;c:\prj\lib\lwip\src\include;c:\prj\lib\lwip\src\include\ipv4;c:\prj\lib\lwip\contrib\ports\bf\include;c:\prj\ltr\ltr030\ltr030-bf-fos -threads -save-temps -si-revision 0.3 -proc ADSP-BF537 -o .\Debug\inet_chksum.doj -MM
//  Architecture: ADSP-BF537
//  Silicon revision: 0.3
//  Anomalies summary:
//   Disabled: w05_00_0046,w05_00_0048,w05_00_0054,w05_00_0071,w05_00_0103,w05_00_0104,w05_00_0120,w05_00_0127,w05_00_0157,w05_00_0164,w05_00_0165,w05_00_0195,w05_00_0198,w05_00_0202,w05_00_0209,w05_00_0227,w05_00_0244,w05_00_0246,w05_00_0248,w05_00_0257,w05_00_0262,w05_00_0264,w05_00_0283,wF3_F_021,wF3_F_008_F3_F_013,w05_00_0311
//   Enabled: w05_00_0189,w05_00_0245,w05_00_0312,w05_00_0371
//   Always on: w05_00_0074,w05_00_0122

	.section/DOUBLE32 program;

.epctext:
	.align 2;
_lwip_standard_chksum:
.LN_lwip_standard_chksum:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 20 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,P0-P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\core\ipv4\inet_chksum.c":93
	LINK 20;
	W[FP + 12] = R1;
	[FP + 8] = R0;
.LN0:
// line 98
	R1 = 0;
	[FP + -4] = R1;
.LN1:
// line 100
	[FP + -8] = R0;

.P34L1:
//-------------------------------------------------------------------
//   Loop at "..\..\..\lib\lwip\src\core\ipv4\inet_chksum.c" line 101 col 3
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 31 cycles.
//   (cycle count 31 includes 5 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used  24 out of   31 ( 77.4%)
//     16-bit Instruction  used  36 out of   62 ( 58.1%)
//     32-bit Instruction  used  14 out of   31 ( 45.2%)
//     Store               used   6 out of   31 ( 19.4%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN2:
// line 101
	P1 = FP;
	P1 += 12;
	R0 = W[P1] (Z);
	CC = R0 <= 1;
	if CC jump .P34L2 ;

.P34L3:
.LN3:
// line 104
	P0 = [FP + -8];
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	// -- stall --
	R1 = B[P0] (Z);
	R1 = R1 << 8;
	W[FP + 16] = R1;
.LN4:
// line 105
	P1 = [FP + -8];
	P0 += 1;
	[FP + -8] = P0;
.LN5:
// line 107
	R2 = B[P0] (Z);
	R1 = R2 | R1;
	R1 = R1.L (Z);
	W[FP + 16] = R1;
.LN6:
// line 108
	P1 += 2;
	[FP + -8] = P1;
.LN7:
// line 109
	R2 = [FP + -4];
	R1 = R1 + R2 (NS);
	[FP + -4] = R1;
.LN8:
// line 110
	R0 += -2;
	W[FP + 12] = R0;
	jump .P34L1;

.P34L2:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN9:
// line 112
	R0 = W[FP + 12] (Z);
	CC = R0 <= 0;
	if CC jump .P34L5 ;

.P34L4:
.LN10:
// line 114
	P1 = [FP + -8];
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R0 = B[P1] (Z);
	R0 = R0 << 8;
	W[FP + 16] = R0;
.LN11:
// line 115
	R1 = [FP + -4];
	R0 = R0 + R1 (NS);
	[FP + -4] = R0;
.LN12:
// line 116
	jump .P34L6;

.P34L5:

.P34L6:
.LN13:
// line 118
	R0 = [FP + -4];
	R1 = R0 >> 16;
	R0 = R0.L (Z);
	R0 = R1 + R0 (NS);
	[FP + -4] = R0;
.LN14:
// line 119
	R1 = 0 /* -65536 */;
	R1.H = -1 /* -65536 */;
	R1 = R0 & R1;
	CC = R1 == 0;
	if CC jump .P34L8 ;

.P34L7:
.LN15:
// line 120
	R1 = R0 >> 16;
	R0 = R0.L (Z);
	R0 = R1 + R0 (NS);
	[FP + -4] = R0;
.LN16:
// line 121
	jump .P34L9;

.P34L8:

.P34L9:
.LN17:
// line 125
	R0 = [FP + -4];
	R0 = R0.L (Z);
.LN18:
	CALL.X (_htons);
	R0 = R0.L (Z);
.LN19:
	UNLINK;
	RTS;
.LN._lwip_standard_chksum.end:
._lwip_standard_chksum.end:
	.type _lwip_standard_chksum,STT_FUNC;

	.align 2;
_inet_chksum_pseudo:
.LN_inet_chksum_pseudo:
	.reference _lwip_standard_chksum;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 28 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{R7.L,R7.H,FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\core\ipv4\inet_chksum.c":286
	LINK 28;
	[SP + 12] = R7;
	R7 = [FP + 20];
	R3 = [FP + 24];
	W[FP + 24] = R3;
	B[FP + 20] = R7;
	[FP + 16] = R2;
	[FP + 12] = R1;
	[FP + 8] = R0;
.LN20:
// line 291
	R1 = 0;
	[FP + -4] = R1;
.LN21:
// line 292
	B[FP + -5] = R1;
.LN22:
// line 294
	[FP + -12] = R0;

.P36L1:
//-------------------------------------------------------------------
//   Loop at "..\..\..\lib\lwip\src\core\ipv4\inet_chksum.c" line 294 col 3
//-------------------------------------------------------------------
	R0 = [FP + -12];
	CC = R0 == 0;
	if CC jump .P36L3 ;

.P36L2:
.LN23:
// line 297
	P1 = [FP + -12];
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R0 = [P1 + 4];
	P1 += 10;
	R1 = W[P1] (Z);
.LN24:
	CALL.X (_lwip_standard_chksum);
	R0 = R0.L (Z);
.LN25:
	R1 = [FP + -4];
	R0 = R0 + R1 (NS);
	[FP + -4] = R0;
.LN26:
// line 301
	R1 = R0 >> 16;
	R0 = R0.L (Z);
	R0 = R1 + R0 (NS);
	[FP + -4] = R0;
.LN27:
// line 302
	P1 = [FP + -12];
	P1 += 10;
	R0 = W[P1] (Z);
	R1 = 2;
	CALL.X (___rem32);
	CC = R0 == 0;
	if CC jump .P36L5 ;

.P36L4:
.LN28:
// line 303
	R0 = B[FP + -5] (Z);
	R1 = 1;
	R0 = R1 - R0 (NS);
	B[FP + -5] = R0;
.LN29:
// line 304
	R0 = [FP + -4];
	R1 = R0.b (Z);
	R1 = R1 << 8;
	R2 = 65280 (Z);
	R0 = R0 & R2;
	R0 = R0 >> 8;
	R0 = R1 | R0;
	[FP + -4] = R0;
.LN30:
// line 305
	jump .P36L6;

.P36L5:

.P36L6:
.LN31:
// line 294
	P1 = [FP + -12];
	R0 = [P1];
	[FP + -12] = R0;
	jump .P36L1;

.P36L3:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN32:
// line 309
	R0 = B[FP + -5] (Z);
	CC = R0 == 0;
	if CC jump .P36L8 ;

.P36L7:
.LN33:
// line 310
	R0 = [FP + -4];
	R1 = R0.b (Z);
	R1 = R1 << 8;
	R2 = 65280 (Z);
	R0 = R0 & R2;
	R0 = R0 >> 8;
	R0 = R1 | R0;
	[FP + -4] = R0;
.LN34:
// line 311
	jump .P36L9;

.P36L8:

.P36L9:
.LN35:
// line 312
	P1 = [FP + 12];
	R3 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0 = R0 << 8;
	R1 = B[P1 + 2] (Z);
	R1 = R1 << 16;
	R2 = B[P1 + 3] (Z);
	R2 = R2 << 24;
	R1 = R1 | R2;
	R0 = R0 | R1;
	R0 = R3 | R0;
	R0 = R0.L (Z);
	R1 = [FP + -4];
	R3 = R0 + R1 (NS);
	[FP + -4] = R3;
.LN36:
// line 313
	R7 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0 = R0 << 8;
	R1 = B[P1 + 2] (Z);
	R1 = R1 << 16;
	R2 = B[P1 + 3] (Z);
	R2 = R2 << 24;
	R1 = R1 | R2;
	R0 = R0 | R1;
	R0 = R7 | R0;
	R0 = R0 >> 16;
	R0 = R0.L (Z);
	R3 = R3 + R0 (NS);
	[FP + -4] = R3;
.LN37:
// line 314
	P1 = [FP + 16];
	R7 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0 = R0 << 8;
	R1 = B[P1 + 2] (Z);
	R1 = R1 << 16;
	R2 = B[P1 + 3] (Z);
	R2 = R2 << 24;
	R1 = R1 | R2;
	R0 = R0 | R1;
	R0 = R7 | R0;
	R0 = R0.L (Z);
	R3 = R3 + R0 (NS);
	[FP + -4] = R3;
.LN38:
// line 315
	R7 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0 = R0 << 8;
	R1 = B[P1 + 2] (Z);
	R1 = R1 << 16;
	R2 = B[P1 + 3] (Z);
	R2 = R2 << 24;
	R1 = R1 | R2;
	R0 = R0 | R1;
	R0 = R7 | R0;
	R0 = R0 >> 16;
	R0 = R0.L (Z);
	R0 = R3 + R0 (NS);
	[FP + -4] = R0;
.LN39:
// line 316
	R0 = B[FP + 20] (Z);
.LN40:
	CALL.X (_htons);
	R0 = R0.L (Z);
.LN41:
	R1 = [FP + -4];
	R0 = R0 + R1 (NS);
	[FP + -4] = R0;
.LN42:
// line 317
	R0 = W[FP + 24] (Z);
.LN43:
	CALL.X (_htons);
	R0 = R0.L (Z);
.LN44:
	R1 = [FP + -4];
	R0 = R0 + R1 (NS);
	[FP + -4] = R0;
.LN45:
// line 321
	R1 = R0 >> 16;
	R0 = R0.L (Z);
	R0 = R1 + R0 (NS);
	[FP + -4] = R0;
.LN46:
// line 322
	R1 = R0 >> 16;
	R0 = R0.L (Z);
	R0 = R1 + R0 (NS);
	[FP + -4] = R0;
.LN47:
// line 324
	R0 = R0.L (Z);
	R1 = -1;
	R0 = R0 ^ R1;
	R0 = R0.L (Z);
	R7 = [SP + 12];
	UNLINK;
	RTS;
.LN._inet_chksum_pseudo.end:
._inet_chksum_pseudo.end:
	.global _inet_chksum_pseudo;
	.type _inet_chksum_pseudo,STT_FUNC;

	.align 2;
_inet_chksum:
.LN_inet_chksum:
	.reference _lwip_standard_chksum;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,ASTAT0-ASTAT1}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\core\ipv4\inet_chksum.c":405
	LINK 12;
	W[FP + 12] = R1;
	[FP + 8] = R0;
.LN48:
// line 406
	CALL.X (_lwip_standard_chksum);
	R0 = R0.L (Z);
.LN49:
	R1 = -1;
	R0 = R0 ^ R1;
	R0 = R0.L (Z);
	UNLINK;
	RTS;
.LN._inet_chksum.end:
._inet_chksum.end:
	.global _inet_chksum;
	.type _inet_chksum,STT_FUNC;

	.align 2;
_inet_chksum_pbuf:
.LN_inet_chksum_pbuf:
	.reference _lwip_standard_chksum;
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 16 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line "..\..\..\lib\lwip\src\core\ipv4\inet_chksum.c":418
	LINK 16;
	[FP + 8] = R0;
.LN50:
// line 423
	R1 = 0;
	[FP + 12] = R1;
.LN51:
// line 424
	B[FP + 16] = R1;
.LN52:
// line 425
	[FP + -4] = R0;

.P39L1:
//-------------------------------------------------------------------
//   Loop at "..\..\..\lib\lwip\src\core\ipv4\inet_chksum.c" line 425 col 3
//-------------------------------------------------------------------
	R0 = [FP + -4];
	CC = R0 == 0;
	if CC jump .P39L3 ;

.P39L2:
.LN53:
// line 426
	P1 = [FP + -4];
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	R0 = [P1 + 4];
	P1 += 10;
	R1 = W[P1] (Z);
.LN54:
	CALL.X (_lwip_standard_chksum);
	R0 = R0.L (Z);
.LN55:
	R1 = [FP + 12];
	R0 = R0 + R1 (NS);
	[FP + 12] = R0;
.LN56:
// line 427
	R1 = R0 >> 16;
	R0 = R0.L (Z);
	R0 = R1 + R0 (NS);
	[FP + 12] = R0;
.LN57:
// line 428
	P1 = [FP + -4];
	P1 += 10;
	R0 = W[P1] (Z);
	R1 = 2;
	CALL.X (___rem32);
	CC = R0 == 0;
	if CC jump .P39L5 ;

.P39L4:
.LN58:
// line 429
	R0 = B[FP + 16] (Z);
	R1 = 1;
	R0 = R1 - R0 (NS);
	B[FP + 16] = R0;
.LN59:
// line 430
	R0 = [FP + 12];
	R1 = R0.b (Z);
	R1 = R1 << 8;
	R2 = 65280 (Z);
	R0 = R0 & R2;
	R0 = R0 >> 8;
	R0 = R1 | R0;
	[FP + 12] = R0;
.LN60:
// line 431
	jump .P39L6;

.P39L5:

.P39L6:
.LN61:
// line 425
	P1 = [FP + -4];
	R0 = [P1];
	[FP + -4] = R0;
	jump .P39L1;

.P39L3:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN62:
// line 434
	R0 = B[FP + 16] (Z);
	CC = R0 == 0;
	if CC jump .P39L8 ;

.P39L7:
.LN63:
// line 435
	R0 = [FP + 12];
	R1 = R0.b (Z);
	R1 = R1 << 8;
	R2 = 65280 (Z);
	R0 = R0 & R2;
	R0 = R0 >> 8;
	R0 = R1 | R0;
	[FP + 12] = R0;
.LN64:
// line 436
	jump .P39L9;

.P39L8:

.P39L9:
.LN65:
// line 437
	R0 = [FP + 12];
	R0 = R0.L (Z);
	R1 = -1;
	R0 = R0 ^ R1;
	R0 = R0.L (Z);
	UNLINK;
	RTS;
.LN._inet_chksum_pbuf.end:
._inet_chksum_pbuf.end:
	.global _inet_chksum_pbuf;
	.type _inet_chksum_pbuf,STT_FUNC;

	.file_attr ProjectName="ltr030-bf-fos";
	.file_attr FuncName="_lwip_standard_chksum";
	.file_attr FuncName="_inet_chksum_pseudo";
	.file_attr FuncName="_inet_chksum";
	.file_attr FuncName="_inet_chksum_pbuf";
	.file_attr Content="Code";
.epctext.end:

	.extern _htons;
	.type _htons,STT_FUNC;
	.extern ___rem32;
	.type ___rem32,STT_FUNC;

	.section .debug_abbrev SHT_DEBUGINFO;

	.align 1;
.epcabbrev:
	.type .epcabbrev,STT_OBJECT;
	.inc/binary "inet_chksum.sbn", 0, 194;
.epcabbrev.end:

	.section .debug_info SHT_DEBUGINFO;

	.align 1;
.epcdebug:
	.type .epcdebug,STT_OBJECT;
	.byte =
		0xA7,0x08,0x00,0x00,0x02,0x00;
	.byte4 = .epcabbrev;
	.byte =
		0x04,0x01,0x2E,0x2E,0x5C,0x2E,0x2E,0x5C,0x2E,0x2E,0x5C,0x6C,
		0x69,0x62,0x5C,0x6C,0x77,0x69,0x70,0x5C,0x73,0x72,0x63,0x5C,
		0x63,0x6F,0x72,0x65,0x5C,0x69,0x70,0x76,0x34,0x5C,0x69,0x6E,
		0x65,0x74,0x5F,0x63,0x68,0x6B,0x73,0x75,0x6D,0x2E,0x63,0x00,
		0x01;
	.byte4 = .epcline;
	.inc/binary "inet_chksum.sbn", 194, 1643;
	.byte4 = .LN_lwip_standard_chksum;
	.byte4 = .LN._lwip_standard_chksum.end;
	.byte =
		0x01,0xA2,0x04,0x00,0x00,0x00,0x00,0x0D,0x64,0x61,0x74,0x61,
		0x70,0x74,0x72,0x00,0x64,0x02,0x00,0x00,0x02,0x7F,0x08,0x00,
		0x0D,0x6C,0x65,0x6E,0x00,0xA2,0x04,0x00,0x00,0x02,0x7F,0x0C,
		0x00,0x0E,0x00,0x00,0x00,0x00;
	.byte4 = .LN0;
	.byte4 = .LN._lwip_standard_chksum.end;
	.byte =
		0x0F,0x61,0x63,0x63,0x00,0x01,0xBA,0x04,0x00,0x00,0x02,0x7F,
		0x7C,0x00,0x00,0x00,0x00,0x00,0x0F,0x73,0x72,0x63,0x00,0x01,
		0xA2,0x04,0x00,0x00,0x02,0x7F,0x10,0x00,0x00,0x00,0x00,0x00,
		0x0F,0x6F,0x63,0x74,0x65,0x74,0x70,0x74,0x72,0x00,0x01,0x21,
		0x07,0x00,0x00,0x02,0x7F,0x78,0x00,0x00,0x00,0x00,0x00,0x00,
		0x00,0x04,0x00,0x8C,0x04,0x00,0x00,0x0C,0xDE,0x07,0x00,0x00,
		0x69,0x6E,0x65,0x74,0x5F,0x63,0x68,0x6B,0x73,0x75,0x6D,0x5F,
		0x70,0x73,0x65,0x75,0x64,0x6F,0x00,0x01;
	.byte4 = .LN_inet_chksum_pseudo;
	.byte4 = .LN._inet_chksum_pseudo.end;
	.byte =
		0x01,0xA2,0x04,0x00,0x00,0x01,0x00,0x0D,0x70,0x00,0x67,0x06,
		0x00,0x00,0x02,0x7F,0x08,0x00,0x0D,0x73,0x72,0x63,0x00,0xDE,
		0x07,0x00,0x00,0x02,0x7F,0x0C,0x00,0x0D,0x64,0x65,0x73,0x74,
		0x00,0xDE,0x07,0x00,0x00,0x02,0x7F,0x10,0x00,0x0D,0x70,0x72,
		0x6F,0x74,0x6F,0x00,0x8C,0x04,0x00,0x00,0x02,0x7F,0x14,0x00,
		0x0D,0x70,0x72,0x6F,0x74,0x6F,0x5F,0x6C,0x65,0x6E,0x00,0xA2,
		0x04,0x00,0x00,0x02,0x7F,0x18,0x00,0x0E,0x00,0x00,0x00,0x00;
	.byte4 = .LN20;
	.byte4 = .LN._inet_chksum_pseudo.end;
	.byte =
		0x0F,0x61,0x63,0x63,0x00,0x01,0xBA,0x04,0x00,0x00,0x02,0x7F,
		0x7C,0x00,0x00,0x00,0x00,0x00,0x0F,0x71,0x00,0x01,0x67,0x06,
		0x00,0x00,0x02,0x7F,0x74,0x00,0x00,0x00,0x00,0x00,0x0F,0x73,
		0x77,0x61,0x70,0x70,0x65,0x64,0x00,0x01,0x8C,0x04,0x00,0x00,
		0x02,0x7F,0x7B,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x00,
		0xF4,0x05,0x00,0x00,0x0C,0x32,0x08,0x00,0x00,0x69,0x6E,0x65,
		0x74,0x5F,0x63,0x68,0x6B,0x73,0x75,0x6D,0x00,0x01;
	.byte4 = .LN_inet_chksum;
	.byte4 = .LN._inet_chksum.end;
	.byte =
		0x01,0xA2,0x04,0x00,0x00,0x01,0x00,0x0D,0x64,0x61,0x74,0x61,
		0x70,0x74,0x72,0x00,0x64,0x02,0x00,0x00,0x02,0x7F,0x08,0x00,
		0x0D,0x6C,0x65,0x6E,0x00,0xA2,0x04,0x00,0x00,0x02,0x7F,0x0C,
		0x00,0x0E,0x00,0x00,0x00,0x00;
	.byte4 = .LN48;
	.byte4 = .LN._inet_chksum.end;
	.byte =
		0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x69,0x6E,0x65,0x74,0x5F,
		0x63,0x68,0x6B,0x73,0x75,0x6D,0x5F,0x70,0x62,0x75,0x66,0x00,
		0x01;
	.byte4 = .LN_inet_chksum_pbuf;
	.byte4 = .LN._inet_chksum_pbuf.end;
	.byte =
		0x01,0xA2,0x04,0x00,0x00,0x01,0x00,0x0D,0x70,0x00,0x67,0x06,
		0x00,0x00,0x02,0x7F,0x08,0x00,0x0E,0x00,0x00,0x00,0x00;
	.byte4 = .LN50;
	.byte4 = .LN._inet_chksum_pbuf.end;
	.byte =
		0x0F,0x61,0x63,0x63,0x00,0x01,0xBA,0x04,0x00,0x00,0x02,0x7F,
		0x0C,0x00,0x00,0x00,0x00,0x00,0x0F,0x71,0x00,0x01,0x67,0x06,
		0x00,0x00,0x02,0x7F,0x7C,0x00,0x00,0x00,0x00,0x00,0x0F,0x73,
		0x77,0x61,0x70,0x70,0x65,0x64,0x00,0x01,0x8C,0x04,0x00,0x00,
		0x02,0x7F,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00;
.epcdebug.end:

	.section .debug_line SHT_DEBUGINFO;

	.align 1;
.epcline:
	.type .epcline,STT_OBJECT;
	.inc/binary "inet_chksum.sbn", 1837, 1277;
	.byte4 = .LN_lwip_standard_chksum;
	.byte =
		0x04,0x01,0x05,0x01,0x65,0x00,0x05,0x02;
	.byte4 = .LN0;
	.byte =
		0x05,0x03,0x0E,0x00,0x05,0x02;
	.byte4 = .LN1;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN2;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN3;
	.byte =
		0x05,0x05,0x0C,0x00,0x05,0x02;
	.byte4 = .LN4;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN5;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN6;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN7;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN8;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN9;
	.byte =
		0x05,0x03,0x0B,0x00,0x05,0x02;
	.byte4 = .LN10;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN11;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN12;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN13;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN14;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN15;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN16;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN17;
	.byte =
		0x0D,0x00,0x05,0x02;
	.byte4 = .LN18;
	.byte =
		0x05,0x0F,0x01,0x00,0x05,0x02;
	.byte4 = .LN19;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN._lwip_standard_chksum.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_inet_chksum_pseudo;
	.byte =
		0x04,0x01,0x05,0x01,0x03,0x9D,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN20;
	.byte =
		0x05,0x03,0x0E,0x00,0x05,0x02;
	.byte4 = .LN21;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN22;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN23;
	.byte =
		0x05,0x05,0x0C,0x00,0x05,0x02;
	.byte4 = .LN24;
	.byte =
		0x05,0x17,0x01,0x00,0x05,0x02;
	.byte4 = .LN25;
	.byte =
		0x05,0x05,0x01,0x00,0x05,0x02;
	.byte4 = .LN26;
	.byte =
		0x0D,0x00,0x05,0x02;
	.byte4 = .LN27;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN28;
	.byte =
		0x05,0x07,0x0A,0x00,0x05,0x02;
	.byte4 = .LN29;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN30;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN31;
	.byte =
		0x05,0x19,0x03,0x75,0x01,0x00,0x05,0x02;
	.byte4 = .LN32;
	.byte =
		0x05,0x03,0x18,0x00,0x05,0x02;
	.byte4 = .LN33;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN34;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN35;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN36;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN37;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN38;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN39;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN40;
	.byte =
		0x05,0x16,0x01,0x00,0x05,0x02;
	.byte4 = .LN41;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN42;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN43;
	.byte =
		0x05,0x16,0x01,0x00,0x05,0x02;
	.byte4 = .LN44;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN45;
	.byte =
		0x0D,0x00,0x05,0x02;
	.byte4 = .LN46;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN47;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN._inet_chksum_pseudo.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_inet_chksum;
	.byte =
		0x04,0x01,0x05,0x01,0x03,0x94,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN48;
	.byte =
		0x05,0x16,0x0A,0x00,0x05,0x02;
	.byte4 = .LN49;
	.byte =
		0x05,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN._inet_chksum.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_inet_chksum_pbuf;
	.byte =
		0x04,0x01,0x05,0x01,0x03,0xA1,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN50;
	.byte =
		0x05,0x03,0x0E,0x00,0x05,0x02;
	.byte4 = .LN51;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN52;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN53;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN54;
	.byte =
		0x05,0x17,0x01,0x00,0x05,0x02;
	.byte4 = .LN55;
	.byte =
		0x05,0x05,0x01,0x00,0x05,0x02;
	.byte4 = .LN56;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN57;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN58;
	.byte =
		0x05,0x07,0x0A,0x00,0x05,0x02;
	.byte4 = .LN59;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN60;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN61;
	.byte =
		0x05,0x19,0x03,0x7A,0x01,0x00,0x05,0x02;
	.byte4 = .LN62;
	.byte =
		0x05,0x03,0x12,0x00,0x05,0x02;
	.byte4 = .LN63;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN64;
	.byte =
		0x05,0x03,0x0A,0x00,0x05,0x02;
	.byte4 = .LN65;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN._inet_chksum_pbuf.end;
	.byte =
		0x00,0x01,0x01;
.epcline.end:

	.section .annotations SHT_DEBUGINFO;

	.align 1;
.epcannot:
	.type .epcannot,STT_OBJECT;
	.inc/binary "inet_chksum.sbn", 3114, 3080;
.epcannot.end:

	.section .debug_pubnames SHT_DEBUGINFO;

	.align 1;
.epcpubnames:
	.type .epcpubnames,STT_OBJECT;
	.byte =
		0x4A,0x00,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.byte =
		0xAB,0x08,0x00,0x00,0x27,0x07,0x00,0x00,0x69,0x6E,0x65,0x74,
		0x5F,0x63,0x68,0x6B,0x73,0x75,0x6D,0x5F,0x70,0x73,0x65,0x75,
		0x64,0x6F,0x00,0xE4,0x07,0x00,0x00,0x69,0x6E,0x65,0x74,0x5F,
		0x63,0x68,0x6B,0x73,0x75,0x6D,0x00,0x32,0x08,0x00,0x00,0x69,
		0x6E,0x65,0x74,0x5F,0x63,0x68,0x6B,0x73,0x75,0x6D,0x5F,0x70,
		0x62,0x75,0x66,0x00,0x00,0x00,0x00,0x00;
.epcpubnames.end:

	.section .debug_aranges SHT_DEBUGINFO;

	.align 1;
.epcaranges:
	.type .epcaranges,STT_OBJECT;
	.byte =
		0x34,0x00,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.byte =
		0x04,0x00,0x00,0x00,0x00,0x00;
	.byte4 = .LN_lwip_standard_chksum;
	.byte4 = .LN._lwip_standard_chksum.end-.LN_lwip_standard_chksum;
	.byte4 = .LN_inet_chksum_pseudo;
	.byte4 = .LN._inet_chksum_pseudo.end-.LN_inet_chksum_pseudo;
	.byte4 = .LN_inet_chksum;
	.byte4 = .LN._inet_chksum.end-.LN_inet_chksum;
	.byte4 = .LN_inet_chksum_pbuf;
	.byte4 = .LN._inet_chksum_pbuf.end-.LN_inet_chksum_pbuf;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00;
.epcaranges.end:
