	.file ".\HARDWARE\interruptHard.c";
//  Compilation time: Thu Sep 23 17:39:44 2010

//  Compiler options: -c -file-attr ProjectName=ltr030-bf-fos -g -structs-do-not-overlap -no-multiline -double-size-32 -decls-strong -warn-protos -D VDSP_BF -I c:\prj;c:\prj\lib\efsl\inc;c:\prj\lib\freertos\source\include;c:\prj\lib\lwip\src\include;c:\prj\lib\lwip\src\include\ipv4;c:\prj\lib\lwip\contrib\ports\bf\include;c:\prj\ltr\ltr030\ltr030-bf-fos -threads -save-temps -si-revision 0.3 -proc ADSP-BF537 -o .\Debug\interruptHard.doj -MM
//  Architecture: ADSP-BF537
//  Silicon revision: 0.3
//  Anomalies summary:
//   Disabled: w05_00_0046,w05_00_0048,w05_00_0054,w05_00_0071,w05_00_0103,w05_00_0104,w05_00_0120,w05_00_0127,w05_00_0157,w05_00_0164,w05_00_0165,w05_00_0195,w05_00_0198,w05_00_0202,w05_00_0209,w05_00_0227,w05_00_0244,w05_00_0246,w05_00_0248,w05_00_0257,w05_00_0262,w05_00_0264,w05_00_0283,wF3_F_021,wF3_F_008_F3_F_013,w05_00_0311
//   Enabled: w05_00_0189,w05_00_0245,w05_00_0312,w05_00_0371
//   Always on: w05_00_0074,w05_00_0122

	.section/DOUBLE32 program;

.epctext:
	.align 2;
_HardwareError:
.LN_HardwareError:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 0 
//   No scratch registers used.
//   Call preserved registers used:{FP,SP,RETS}
//-------------------------------------------------------------------
// line ".\HARDWARE\interruptHard.c":7
	LINK 0;
.LN0:
// line 8
	UNLINK;
	RTX;
.LN._HardwareError.end:
._HardwareError.end:
	.global _HardwareError;
	.type _HardwareError,STT_FUNC;

	.align 2;
_UnknownException:
.LN_UnknownException:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 4 
//   Scratch registers used:{R0.L,R0.H}
//   Call preserved registers used:{FP,SP,L0-L3}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\interruptHard.c":14
	LINK 4;
	[--SP] = LC0;                           // Inserted 6 instrs to fix anomaly w05_00_0312. 
	[--SP] = LC1;
	[--SP] = LT0;
	[--SP] = LT1;
	[--SP] = LB0;
	[--SP] = LB1;
	[--SP] = ASTAT;
	[--SP] = R0;
	[--SP] = R1;
	[--SP] = R2;
	[--SP] = R3;
	[--SP] = P0;
	[--SP] = P1;
	[--SP] = P2;
	[--SP] = A0.W;
	[--SP] = A0.X;
	[--SP] = A1.W;
	[--SP] = A1.X;
	[--SP] = L0;
	[--SP] = L1;
	[--SP] = L2;
	[--SP] = L3;
	[--SP] = I0;
	[--SP] = I1;
	[--SP] = I2;
	[--SP] = I3;
	[--SP] = B0;
	[--SP] = B1;
	[--SP] = B2;
	[--SP] = B3;
	[--SP] = M0;
	[--SP] = M1;
	[--SP] = M2;
	[--SP] = M3;
	L0 = 0;
	L1 = 0;
	L2 = 0;
	L3 = 0;
	SP += -12;
.LN1:
// line 15
	R0.L = 0;
	W[FP + -2] = R0;

.P35L1:
//-------------------------------------------------------------------
//   Loop at ".\HARDWARE\interruptHard.c" line 16 col 5
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 7 cycles.
//   (cycle count 7 excludes the cost of the inner function calls and it includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     16-bit Instruction  used   6 out of   14 ( 42.9%)
//     32-bit Instruction  used   3 out of    7 ( 42.9%)
//     Group 1             used   3 out of    7 ( 42.9%)
//-------------------------------------------------------------------

	// -- 4 stalls --
.LN2:
// line 18
	R0 = 50;
	CALL.X (_Sleep);
	jump .P35L1;
.LN._UnknownException.end:
._UnknownException.end:
	.global _UnknownException;
	.type _UnknownException,STT_FUNC;

	.file_attr ProjectName="ltr030-bf-fos";
	.file_attr FuncName="_HardwareError";
	.file_attr FuncName="_UnknownException";
	.file_attr Content="Code";
.epctext.end:

	.extern _Sleep;
	.type _Sleep,STT_FUNC;

	.section .debug_abbrev SHT_DEBUGINFO;

	.align 1;
.epcabbrev:
	.type .epcabbrev,STT_OBJECT;
	.inc/binary "interruptHard.sbn", 0, 247;
.epcabbrev.end:

	.section .debug_info SHT_DEBUGINFO;

	.align 1;
.epcdebug:
	.type .epcdebug,STT_OBJECT;
	.byte =
		0xD1,0x4D,0x00,0x00,0x02,0x00;
	.byte4 = .epcabbrev;
	.byte =
		0x04,0x01,0x2E,0x5C,0x48,0x41,0x52,0x44,0x57,0x41,0x52,0x45,
		0x5C,0x69,0x6E,0x74,0x65,0x72,0x72,0x75,0x70,0x74,0x48,0x61,
		0x72,0x64,0x2E,0x63,0x00,0x01;
	.byte4 = .epcline;
	.inc/binary "interruptHard.sbn", 247, 19783;
	.byte4 = .LN_HardwareError;
	.byte4 = .LN._HardwareError.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN0;
	.byte4 = .LN._HardwareError.end;
	.byte =
		0x00,0x00,0x11,0x00,0x00,0x00,0x00,0x55,0x6E,0x6B,0x6E,0x6F,
		0x77,0x6E,0x45,0x78,0x63,0x65,0x70,0x74,0x69,0x6F,0x6E,0x00,
		0x01;
	.byte4 = .LN_UnknownException;
	.byte4 = .LN._UnknownException.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN1;
	.byte4 = .LN._UnknownException.end;
	.byte =
		0x13,0x43,0x6F,0x75,0x6E,0x74,0x65,0x72,0x00,0x01,0x04,0x09,
		0x00,0x00,0x02,0x7F,0x7E;
	.byte4 = .LN1-.LN_UnknownException;
	.byte =
		0x00,0x00,0x00,0x00;
.epcdebug.end:

	.section .debug_line SHT_DEBUGINFO;

	.align 1;
.epcline:
	.type .epcline,STT_OBJECT;
	.inc/binary "interruptHard.sbn", 20030, 3916;
	.byte4 = .LN_HardwareError;
	.byte =
		0x04,0x01,0x05,0x05,0x0F,0x00,0x05,0x02;
	.byte4 = .LN0;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN._HardwareError.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_UnknownException;
	.byte =
		0x04,0x01,0x05,0x05,0x16,0x00,0x05,0x02;
	.byte4 = .LN1;
	.byte =
		0x05,0x0A,0x0A,0x00,0x05,0x02;
	.byte4 = .LN2;
	.byte =
		0x05,0x0E,0x0C,0x00,0x05,0x02;
	.byte4 = .LN._UnknownException.end;
	.byte =
		0x00,0x01,0x01;
.epcline.end:

	.section .annotations SHT_DEBUGINFO;

	.align 1;
.epcannot:
	.type .epcannot,STT_OBJECT;
	.inc/binary "interruptHard.sbn", 23946, 1800;
.epcannot.end:

	.section .debug_pubnames SHT_DEBUGINFO;

	.align 1;
.epcpubnames:
	.type .epcpubnames,STT_OBJECT;
	.byte =
		0x35,0x00,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.byte =
		0xD5,0x4D,0x00,0x00,0x5F,0x4D,0x00,0x00,0x48,0x61,0x72,0x64,
		0x77,0x61,0x72,0x65,0x45,0x72,0x72,0x6F,0x72,0x00,0x8D,0x4D,
		0x00,0x00,0x55,0x6E,0x6B,0x6E,0x6F,0x77,0x6E,0x45,0x78,0x63,
		0x65,0x70,0x74,0x69,0x6F,0x6E,0x00,0x00,0x00,0x00,0x00;
.epcpubnames.end:

	.section .debug_aranges SHT_DEBUGINFO;

	.align 1;
.epcaranges:
	.type .epcaranges,STT_OBJECT;
	.byte =
		0x24,0x00,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.byte =
		0x04,0x00,0x00,0x00,0x00,0x00;
	.byte4 = .LN_HardwareError;
	.byte4 = .LN._HardwareError.end-.LN_HardwareError;
	.byte4 = .LN_UnknownException;
	.byte4 = .LN._UnknownException.end-.LN_UnknownException;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00;
.epcaranges.end:
