	.file ".\HARDWARE\USB\std_requests.c";
//  Compilation time: Thu Sep 23 17:39:48 2010

//  Compiler options: -c -file-attr ProjectName=ltr030-bf-fos -g -structs-do-not-overlap -no-multiline -double-size-32 -decls-strong -warn-protos -D VDSP_BF -I c:\prj;c:\prj\lib\efsl\inc;c:\prj\lib\freertos\source\include;c:\prj\lib\lwip\src\include;c:\prj\lib\lwip\src\include\ipv4;c:\prj\lib\lwip\contrib\ports\bf\include;c:\prj\ltr\ltr030\ltr030-bf-fos -threads -save-temps -si-revision 0.3 -proc ADSP-BF537 -o .\Debug\std_requests.doj -MM
//  Architecture: ADSP-BF537
//  Silicon revision: 0.3
//  Anomalies summary:
//   Disabled: w05_00_0046,w05_00_0048,w05_00_0054,w05_00_0071,w05_00_0103,w05_00_0104,w05_00_0120,w05_00_0127,w05_00_0157,w05_00_0164,w05_00_0165,w05_00_0195,w05_00_0198,w05_00_0202,w05_00_0209,w05_00_0227,w05_00_0244,w05_00_0246,w05_00_0248,w05_00_0257,w05_00_0262,w05_00_0264,w05_00_0283,wF3_F_021,wF3_F_008_F3_F_013,w05_00_0311
//   Enabled: w05_00_0189,w05_00_0245,w05_00_0312,w05_00_0371
//   Always on: w05_00_0074,w05_00_0122

	.section/DOUBLE32 program;

.epctext:
	.align 2;
_std_clear_feature:
.LN_std_clear_feature:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,P0-P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\USB\std_requests.c":36
	LINK 12;
.LN0:
// line 39
	P1.L = _USBDevConf;
	P1.H = _USBDevConf;
	P1 = [P1];
	R0 = B[P1 + 1532] (Z);
	R1 = 31;
	R0 = R0 & R1;
	CC = R0 == 2;
	if !CC jump .P41L2 ;

.P41L1:
.LN1:
// line 42
	P0 = 1534;
	P0 = P1 + P0;
	NOP;                                    // Inserted to fix anomaly w05_00_0245_with_boundaries. 
	R1 = B[P0] (Z);
	R0 = B[P0 + 1] (Z);
	R0.L = R0.L << 8;
	R0 = R1 | R0;
	R0 = R0.L (Z);
	CC = R0 == 0;
	if CC jump .P41L5 ;

.P41L4:
.LN2:
// line 44
	R0 = 1;
	CALL.X (_STALL);
.LN3:
// line 45
	jump .P41L6;

.P41L5:
.LN4:
// line 48
	P0 = 1536;
	P0 = P1 + P0;
	R1 = B[P0] (Z);
	R0 = B[P0 + 1] (Z);
	R0.L = R0.L << 8;
	R0 = R1 | R0;
	R0 = R0.b (Z);
	[FP + 8] = R0;
	CC = R0 < 2 (IU);
	if CC jump .P41L12 ;

.P41L14:
	CC = R0 == 2;
	if CC jump .P41L9 ;

.P41L13:
	R1 = 129;
	CC = R0 < R1 (IU);
	if CC jump .P41L11 ;

.P41L16:
	CC = R0 == R1;
	if CC jump .P41L8 ;

.P41L15:
	R1 = 130;
	CC = R0 == R1;
	if CC jump .P41L10 ;

.P41L31:
	jump .P41L11;

.P41L12:
	CC = R0 == 0;
	if CC jump .P41L7 ;

.P41L17:
	CC = R0 == 1;
	if CC jump .P41L8 ;

.P41L32:
	jump .P41L11;

.P41L7:
.LN5:
// line 51
	R0 = W[P1 + 2] (Z);
	CC = BITTST(R0, 2);
	if CC jump .P41L20 ;

.P41L19:
.LN6:
// line 53
	R0 = 1;
	CALL.X (_STALL);
.LN7:
// line 54
	jump .P41L21;

.P41L20:
.LN8:
// line 57
	R0 = 1;
	CALL.X (_ACKNOWLEDGE);

.P41L21:
.LN9:
// line 58
	jump .P41L18;

.P41L8:
.LN10:
// line 62
	R0 = W[P1 + 2] (Z);
	CC = BITTST(R0, 3);
	if CC jump .P41L23 ;

.P41L22:
.LN11:
// line 64
	R0 = 1;
	CALL.X (_STALL);
.LN12:
// line 65
	jump .P41L24;

.P41L23:
.LN13:
// line 68
	R0 = 0;
	B[P1 + 1488] = R0;
.LN14:
// line 69
	R0 = 2;
	CALL.X (_UNSTALL);
.LN15:
// line 70
	R0 = 3;
	CALL.X (_UNSTALL);
.LN16:
// line 71
	R0 = 1;
	CALL.X (_ACKNOWLEDGE);

.P41L24:
.LN17:
// line 72
	jump .P41L18;

.P41L9:
.LN18:
// line 75
	R0 = W[P1 + 2] (Z);
	CC = BITTST(R0, 3);
	if CC jump .P41L26 ;

.P41L25:
.LN19:
// line 77
	R0 = 1;
	CALL.X (_STALL);
.LN20:
// line 78
	jump .P41L27;

.P41L26:
.LN21:
// line 81
	R0 = 0;
	B[P1 + 1492] = R0;
.LN22:
// line 83
	R0 = 4;
	CALL.X (_UNSTALL);
.LN23:
// line 84
	R0 = 1;
	CALL.X (_ACKNOWLEDGE);

.P41L27:
.LN24:
// line 85
	jump .P41L18;

.P41L10:
.LN25:
// line 88
	R0 = W[P1 + 2] (Z);
	CC = BITTST(R0, 3);
	if CC jump .P41L29 ;

.P41L28:
.LN26:
// line 90
	R0 = 1;
	CALL.X (_STALL);
.LN27:
// line 91
	jump .P41L30;

.P41L29:
.LN28:
// line 94
	R0 = 0;
	B[P1 + 1504] = R0;
.LN29:
// line 96
	R0 = 5;
	CALL.X (_UNSTALL);
.LN30:
// line 97
	R0 = 1;
	CALL.X (_ACKNOWLEDGE);

.P41L30:
.LN31:
// line 98
	jump .P41L18;

.P41L11:
.LN32:
// line 101
	R0 = 1;
	CALL.X (_STALL);

.P41L18:

.P41L6:
.LN33:
// line 103
	jump .P41L3;

.P41L2:
.LN34:
// line 106
	R0 = 1;
	CALL.X (_STALL);

.P41L3:
.LN35:
// line 108
	UNLINK;
	RTS;
.LN._std_clear_feature.end:
._std_clear_feature.end:
	.global _std_clear_feature;
	.type _std_clear_feature,STT_FUNC;

	.align 2;
_std_get_configuration:
.LN_std_get_configuration:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,P0-P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\USB\std_requests.c":116
	LINK 12;
.LN36:
// line 118
	P1.L = _USBDevConf;
	P1.H = _USBDevConf;
	P0 = [P1];
	R0 = W[P0 + 2] (Z);
	CC = BITTST(R0, 2);
	if CC jump .P47L2 ;

.P47L1:
.LN37:
// line 120
	R0 = 1;
	CALL.X (_STALL);
.LN38:
// line 121
	jump .P47L3;

.P47L2:
.LN39:
// line 124
	CC = !BITTST(R0, 3);
	if CC jump .P47L5 ;

.P47L4:
	R0 = 1;
	NOP;                                    // Inserted 2 instrs to fix anomaly w05_00_0245_with_boundaries. 
	NOP;
	[FP + 8] = R0;
	jump .P47L6;

.P47L5:
	R0 = 0;
	[FP + 8] = R0;

.P47L6:
	R0 = [FP + 8];
	P0 = [P1];
	B[P0 + 1532] = R0;
.LN40:
// line 125
	R0 = [P1];
	R1 = 1532;
	R1 = R0 + R1 (NS);
.LN41:
	R2 = 1;
	R0 = 147;
	CALL.X (_ep0tx_data);

.P47L3:
.LN42:
// line 127
	UNLINK;
	RTS;
.LN._std_get_configuration.end:
._std_get_configuration.end:
	.global _std_get_configuration;
	.type _std_get_configuration,STT_FUNC;

	.align 2;
_std_get_descriptor:
.LN_std_get_descriptor:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 24 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,P0-P2,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\USB\std_requests.c":135
	LINK 24;
.LN43:
// line 137
	P2.L = _USBDevConf;
	P2.H = _USBDevConf;
	P1 = [P2];
	P0 = 1534;
	P0 = P1 + P0;
	R1 = B[P0] (Z);
	R0 = B[P0 + 1] (Z);
	R0.L = R0.L << 8;
	R0 = R1 | R0;
	B[FP + -10] = R0;
.LN44:
// line 138
	R1 = B[P0] (Z);
	R0 = B[P0 + 1] (Z);
	R0.L = R0.L << 8;
	R0 = R1 | R0;
	R0 = R0.L (Z);
	R0 = R0 >>> 8;
	B[FP + -9] = R0;
.LN45:
// line 139
	R0 = W[P1 + 2] (Z);
	CC = !BITTST(R0, 7);
	if CC jump .P45L2 ;

.P45L1:
	R0.L = _HS_DESCRIPTOR;
	R0.H = _HS_DESCRIPTOR;
	[FP + -8] = R0;
	jump .P45L3;

.P45L2:
	R0.L = _FS_DESCRIPTOR;
	R0.H = _FS_DESCRIPTOR;
	[FP + -8] = R0;

.P45L3:
	R1 = [FP + -8];
	[FP + -4] = R1;
.LN46:
// line 142
	R0 = B[FP + -9] (Z);
	[FP + 16] = R0;
	R0 += -1;
	CC = R0 < 7 (IU);
	if !CC jump .P45L10 ;

.P45L11:
	P1 = [FP + 16];
	P1 += -1;
	P0.L = .SWITCH.0;
	P0.H = .SWITCH.0;
	P1 = P0 + (P1<<2);
	P1 = [P1];
	JUMP (P1);

.P45L4:
.LN47:
// line 145
	R2 = 18;
	R0 = 147;
	CALL.X (_ep0tx_data);
.LN48:
	jump .P45L12;

.P45L5:
.LN49:
// line 148
	R1 += 18;
.LN50:
	R2 = 46;
	R0 = 147;
	CALL.X (_ep0tx_data);
.LN51:
	jump .P45L12;

.P45L6:
.LN52:
// line 151
	P1 = [P2];
	R0 = W[P1 + 2] (Z);
	CC = !BITTST(R0, 7);
	if CC jump .P45L14 ;

.P45L13:
	R0 = 2;
	[FP + 12] = R0;
	jump .P45L15;

.P45L14:
	R0 = 0;
	[FP + 12] = R0;

.P45L15:
	P1 = [P2];
	P0 = 1536;
	P1 = P1 + P0;
	R1 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0.L = R0.L << 8;
	R0 = R1 | R0;
	R0 = R0.L (Z);
	R1 = 1033;
	CC = R0 == R1;
	if !CC jump .P45L17 ;

.P45L16:
	R0 = 0;
	[FP + 8] = R0;
	jump .P45L18;

.P45L17:
	R0 = 1;
	[FP + 8] = R0;

.P45L18:
	P1 = [FP + 12];
	P0 = [FP + 8];
	P1 = P1 + P0;
	P1 = P1 + (P1<<1);
	P1 = (P1 + P1) << 2;
	P0.L = _STRINGS;
	P0.H = _STRINGS;
	P0 = P0 + P1;
	R0 = B[FP + -10] (Z);
	P1 = R0;
	P1 = P0 + (P1<<2);
	R1 = [P1];
	P1 = R1;
	[FP + -4] = R1;
.LN53:
// line 153
	R2 = B[P1] (Z);
.LN54:
	R0 = 147;
	CALL.X (_ep0tx_data);
.LN55:
	jump .P45L12;

.P45L7:
.LN56:
// line 159
	R0 = 1;
	CALL.X (_STALL);
.LN57:
	jump .P45L12;

.P45L8:
.LN58:
// line 162
	R2 = 10;
	R1.L = _OTHER_DESCRIPTOR;
	R1.H = _OTHER_DESCRIPTOR;
	R0 = 147;
	CALL.X (_ep0tx_data);
.LN59:
	jump .P45L12;

.P45L9:
.LN60:
// line 165
	R2 = 46;
	R1.L = _OTHER_DESCRIPTOR+10;
	R1.H = _OTHER_DESCRIPTOR+10;
	R0 = 147;
	CALL.X (_ep0tx_data);
.LN61:
	jump .P45L12;

.P45L10:
.LN62:
// line 169
	R0 = 1;
	CALL.X (_STALL);

.P45L12:
.LN63:
// line 172
	UNLINK;
	RTS;
.LN._std_get_descriptor.end:
._std_get_descriptor.end:
	.global _std_get_descriptor;
	.type _std_get_descriptor,STT_FUNC;

	.align 2;
_std_get_interface:
.LN_std_get_interface:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\USB\std_requests.c":180
	LINK 12;
.LN64:
// line 182
	R0 = 1;
	CALL.X (_STALL);
.LN65:
// line 183
	UNLINK;
	RTS;
.LN._std_get_interface.end:
._std_get_interface.end:
	.global _std_get_interface;
	.type _std_get_interface,STT_FUNC;

	.align 2;
_std_get_status:
.LN_std_get_status:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,P0-P2,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\USB\std_requests.c":191
	LINK 12;
.LN66:
// line 193
	P2.L = _USBDevConf;
	P2.H = _USBDevConf;
	P1 = [P2];
	R0 = B[P1 + 1532] (Z);
	R1 = 31;
	R0 = R0 & R1;
	[FP + 16] = R0;
	CC = R0 < 1 (IU);
	if CC jump .P40L5 ;

.P40L7:
	CC = R0 == 1;
	if CC jump .P40L2 ;

.P40L6:
	CC = R0 == 2;
	if CC jump .P40L3 ;

.P40L42:
	jump .P40L4;

.P40L5:
	CC = R0 == 0;
	if !CC jump .P40L4 ;

.P40L1:
.LN67:
// line 196
	R0 = W[P1 + 2] (Z);
	CC = BITTST(R0, 2);
	if CC jump .P40L10 ;

.P40L9:
.LN68:
// line 198
	R0 = 1;
	CALL.X (_STALL);
.LN69:
// line 199
	jump .P40L11;

.P40L10:
.LN70:
// line 202
	R0 = 0;
	[P1 + 1532] = R0;
.LN71:
// line 203
	R0 = [P2];
	R1 = 1532;
	R1 = R0 + R1 (NS);
.LN72:
	R2 = 2;
	R0 = 147;
	CALL.X (_ep0tx_data);

.P40L11:
.LN73:
// line 204
	jump .P40L8;

.P40L2:
.LN74:
// line 207
	R0 = W[P1 + 2] (Z);
	CC = BITTST(R0, 3);
	if CC jump .P40L13 ;

.P40L12:
.LN75:
// line 209
	R0 = 1;
	CALL.X (_STALL);
.LN76:
// line 210
	jump .P40L14;

.P40L13:
.LN77:
// line 213
	R0 = 0;
	[P1 + 1532] = R0;
.LN78:
// line 214
	R0 = [P2];
	R1 = 1532;
	R1 = R0 + R1 (NS);
.LN79:
	R2 = 2;
	R0 = 147;
	CALL.X (_ep0tx_data);

.P40L14:
.LN80:
// line 215
	jump .P40L8;

.P40L3:
.LN81:
// line 218
	R0 = W[P1 + 2] (Z);
	CC = BITTST(R0, 3);
	if CC jump .P40L16 ;

.P40L15:
.LN82:
// line 220
	R0 = 1;
	CALL.X (_STALL);
.LN83:
// line 221
	jump .P40L17;

.P40L16:
.LN84:
// line 224
	P0 = 1536;
	P0 = P1 + P0;
	R1 = B[P0] (Z);
	R0 = B[P0 + 1] (Z);
	R0.L = R0.L << 8;
	R0 = R1 | R0;
	R0 = R0.b (Z);
	[FP + 12] = R0;
	CC = R0 < 2 (IU);
	if CC jump .P40L23 ;

.P40L25:
	CC = R0 == 2;
	if CC jump .P40L20 ;

.P40L24:
	R1 = 129;
	CC = R0 < R1 (IU);
	if CC jump .P40L22 ;

.P40L27:
	CC = R0 == R1;
	if CC jump .P40L19 ;

.P40L26:
	R1 = 130;
	CC = R0 == R1;
	if CC jump .P40L21 ;

.P40L43:
	jump .P40L22;

.P40L23:
	CC = R0 == 0;
	if CC jump .P40L18 ;

.P40L28:
	CC = R0 == 1;
	if CC jump .P40L19 ;

.P40L44:
	jump .P40L22;

.P40L18:
.LN85:
// line 227
	R0 = B[P1 + 1480] (Z);
	R1 = 7;
	CC = R0 == R1;
	if !CC jump .P40L31 ;

.P40L30:
	R0 = 1;
	[FP + 8] = R0;
	jump .P40L32;

.P40L31:
	R0 = 0;
	[FP + 8] = R0;

.P40L32:
	R0 = [FP + 8];
	P1 = [P2];
	W[P1 + 1532] = R0;
	jump .P40L29;

.P40L19:
.LN86:
// line 231
	R0 = B[P1 + 1488] (Z);
	R1 = 7;
	CC = R0 == R1;
	if !CC jump .P40L34 ;

.P40L33:
	R0 = 1;
	[FP + 8] = R0;
	jump .P40L35;

.P40L34:
	R0 = 0;
	[FP + 8] = R0;

.P40L35:
	R0 = [FP + 8];
	P1 = [P2];
	W[P1 + 1532] = R0;
	jump .P40L29;

.P40L20:
.LN87:
// line 234
	R0 = B[P1 + 1492] (Z);
	R1 = 7;
	CC = R0 == R1;
	if !CC jump .P40L37 ;

.P40L36:
	R0 = 1;
	[FP + 8] = R0;
	jump .P40L38;

.P40L37:
	R0 = 0;
	[FP + 8] = R0;

.P40L38:
	R0 = [FP + 8];
	P1 = [P2];
	W[P1 + 1532] = R0;
	jump .P40L29;

.P40L21:
.LN88:
// line 237
	R0 = B[P1 + 1504] (Z);
	R1 = 7;
	CC = R0 == R1;
	if !CC jump .P40L40 ;

.P40L39:
	R0 = 1;
	[FP + 8] = R0;
	jump .P40L41;

.P40L40:
	R0 = 0;
	[FP + 8] = R0;

.P40L41:
	R0 = [FP + 8];
	P1 = [P2];
	W[P1 + 1532] = R0;
	jump .P40L29;

.P40L22:

.P40L29:
.LN89:
// line 240
	R0 = [P2];
	R1 = 1532;
	R1 = R0 + R1 (NS);
.LN90:
	R2 = 2;
	R0 = 147;
	CALL.X (_ep0tx_data);

.P40L17:
.LN91:
// line 241
	jump .P40L8;

.P40L4:
.LN92:
// line 244
	R0 = 1;
	CALL.X (_STALL);

.P40L8:
.LN93:
// line 246
	UNLINK;
	RTS;
.LN._std_get_status.end:
._std_get_status.end:
	.global _std_get_status;
	.type _std_get_status,STT_FUNC;

	.align 2;
_std_set_address:
.LN_std_set_address:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,P0-P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//Inlined in _std_set_address:
//  .\HARDWARE\USB\std_requests.c:263:9'_ssync
//  .\HARDWARE\USB\std_requests.c:263:9'_ssync
//-------------------------------------------------------------------
// line ".\HARDWARE\USB\std_requests.c":254
	LINK 12;
.LN94:
// line 256
	P1.L = _USBDevConf;
	P1.H = _USBDevConf;
	P1 = [P1];
	R0 = W[P1 + 2] (Z);
	CC = !BITTST(R0, 3);
	if CC jump .P44L13 ;

.P44L1:
.LN95:
// line 258
	R0 = 1;
	CALL.X (_STALL);
.LN96:
// line 259
	jump .P44L3;

.P44L13:
.LN97:
// line 262
	P0 = 1534;
	P1 = P1 + P0;
	R1 = B[P1] (Z);
	R0 = B[P1 + 1] (Z);
	R0.L = R0.L << 8;
	R0 = R1 | R0;
	B[FP + 12] = R0;
.LN98:
// line 263
	P1 = 5380 /* -4188924 */;
	P1.H = -64 /* -4188924 */;
	R0.L = -32768;
	W[P1] = R0.L;
.LN99:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;
.LN100:
// line ".\HARDWARE\USB\std_requests.c":263
	R0 = B[FP + 12] (Z);
	P1 = 0 /* 536870912 */;
	P1.H = 8192 /* 536870912 */;
	R2 = B[P1] (Z);
	R1.L = 7;
	R1 = PACK(R0.L, R1.L);
	R0 = DEPOSIT(R2, R1);
	B[P1] = R0;

.P44L4:
//-------------------------------------------------------------------
//   Loop at ".\HARDWARE\USB\std_requests.c" line 263 col 9
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 10 cycles.
//   (cycle count 10 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   5 out of   10 ( 50.0%)
//     16-bit Instruction  used   9 out of   20 ( 45.0%)
//     32-bit Instruction  used   4 out of   10 ( 40.0%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN101:
	P1 = 5376 /* -4188928 */;
	P1.H = -64 /* -4188928 */;
	R0 = W[P1] (Z);                         // Use of volatile in loops precludes optimizations. 
	CC = BITTST(R0, 15);
	if CC jump .P44L15 ;

.P44L6:
	jump .P44L4;

.P44L15:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN102:
// line "C:\Program Files\Analog Devices\VisualDSP 5.0\Blackfin\include\builtins.h":3533
	.MESSAGE/SUPPRESS 5515;
		CLI R0;
	.MESSAGE/SUPPRESS 5515 FOR 1 LINES;
		SSYNC;
	.MESSAGE/RESTORE 5515;
		STI R0;

.P44L7:
//-------------------------------------------------------------------
//   Loop at ".\HARDWARE\USB\std_requests.c" line 263 col 9
//-------------------------------------------------------------------
//   This loop executes 1 iteration of the original loop in estimated 8 cycles.
//   (cycle count 8 includes 4 stalls)
//-------------------------------------------------------------------
//   This loop's resource usage is:
//     Group 1             used   4 out of    8 ( 50.0%)
//     16-bit Instruction  used   7 out of   16 ( 43.8%)
//     32-bit Instruction  used   3 out of    8 ( 37.5%)
//-------------------------------------------------------------------
	// -- 4 stalls --
.LN103:
// line ".\HARDWARE\USB\std_requests.c":263
	R0 = W[P1] (Z);                         // Use of volatile in loops precludes optimizations. 
	CC = BITTST(R0, 14);
	if CC jump .P44L8 ;

.P44L9:
	jump .P44L7;

.P44L8:
//-------------------------------------------------------------------
//   Part of top level (no loop)
//-------------------------------------------------------------------
.LN104:
// line 264
	R0 = B[FP + 12] (Z);
	CC = R0 == 0;
	if !CC jump .P44L11 ;

.P44L10:
	R0 = 2;
	[FP + 8] = R0;
	jump .P44L12;

.P44L11:
	R0 = 4;
	[FP + 8] = R0;

.P44L12:
	R0 = [FP + 8];
	R0 = R0.b (Z);
.LN105:
	CALL.X (_ConfigUSB);
.LN106:
// line 265
	R0 = 1;
	CALL.X (_ACKNOWLEDGE);

.P44L3:
.LN107:
// line 267
	UNLINK;
	RTS;
.LN._std_set_address.end:
._std_set_address.end:
	.global _std_set_address;
	.type _std_set_address,STT_FUNC;

	.align 2;
_std_set_configuration:
.LN_std_set_configuration:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,P0-P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\USB\std_requests.c":275
	LINK 12;
.LN108:
// line 277
	P1.L = _USBDevConf;
	P1.H = _USBDevConf;
	P1 = [P1];
	P0 = 1534;
	P0 = P1 + P0;
	R1 = B[P0] (Z);
	R0 = B[P0 + 1] (Z);
	R0.L = R0.L << 8;
	R0 = R1 | R0;
	B[FP + 12] = R0;
.LN109:
// line 279
	R0 = W[P1 + 2] (Z);
	CC = !BITTST(R0, 2);
	if CC jump .P48L1 ;

.P48L4:
	R0 = B[FP + 12] (Z);
	CC = R0 <= 1;
	if CC jump .P48L2 ;

.P48L1:
.LN110:
// line 281
	R0 = 1;
	CALL.X (_STALL);
.LN111:
// line 282
	jump .P48L3;

.P48L2:
.LN112:
// line 285
	CC = R0 == 0;
	if !CC jump .P48L6 ;

.P48L5:
	R0 = 4;
	[FP + 8] = R0;
	jump .P48L7;

.P48L6:
	R0 = 8;
	[FP + 8] = R0;

.P48L7:
	R0 = [FP + 8];
	R0 = R0.b (Z);
.LN113:
	CALL.X (_ConfigUSB);
.LN114:
// line 286
	R0 = 1;
	CALL.X (_ACKNOWLEDGE);

.P48L3:
.LN115:
// line 288
	UNLINK;
	RTS;
.LN._std_set_configuration.end:
._std_set_configuration.end:
	.global _std_set_configuration;
	.type _std_set_configuration,STT_FUNC;

	.align 2;
_std_set_descriptor:
.LN_std_set_descriptor:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\USB\std_requests.c":296
	LINK 12;
.LN116:
// line 298
	R0 = 1;
	CALL.X (_STALL);
.LN117:
// line 299
	UNLINK;
	RTS;
.LN._std_set_descriptor.end:
._std_set_descriptor.end:
	.global _std_set_descriptor;
	.type _std_set_descriptor,STT_FUNC;

	.align 2;
_std_set_feature:
.LN_std_set_feature:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H,R1.L,R1.H,P0-P1,ASTAT0-ASTAT1,CC}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\USB\std_requests.c":307
	LINK 12;
.LN118:
// line 309
	P1.L = _USBDevConf;
	P1.H = _USBDevConf;
	P1 = [P1];
	R0 = B[P1 + 1532] (Z);
	R1 = 31;
	R0 = R0 & R1;
	CC = R0 == 2;
	if !CC jump .P43L2 ;

.P43L1:
.LN119:
// line 312
	P0 = 1534;
	P0 = P1 + P0;
	NOP;                                    // Inserted to fix anomaly w05_00_0245_with_boundaries. 
	R1 = B[P0] (Z);
	R0 = B[P0 + 1] (Z);
	R0.L = R0.L << 8;
	R0 = R1 | R0;
	R0 = R0.L (Z);
	CC = R0 == 0;
	if CC jump .P43L5 ;

.P43L4:
.LN120:
// line 314
	R0 = 1;
	CALL.X (_STALL);
.LN121:
// line 315
	jump .P43L6;

.P43L5:
.LN122:
// line 318
	P0 = 1536;
	P0 = P1 + P0;
	R1 = B[P0] (Z);
	R0 = B[P0 + 1] (Z);
	R0.L = R0.L << 8;
	R0 = R1 | R0;
	R0 = R0.b (Z);
	[FP + 8] = R0;
	CC = R0 < 2 (IU);
	if CC jump .P43L12 ;

.P43L14:
	CC = R0 == 2;
	if CC jump .P43L9 ;

.P43L13:
	R1 = 129;
	CC = R0 < R1 (IU);
	if CC jump .P43L11 ;

.P43L16:
	CC = R0 == R1;
	if CC jump .P43L8 ;

.P43L15:
	R1 = 130;
	CC = R0 == R1;
	if CC jump .P43L10 ;

.P43L31:
	jump .P43L11;

.P43L12:
	CC = R0 == 0;
	if CC jump .P43L7 ;

.P43L17:
	CC = R0 == 1;
	if CC jump .P43L8 ;

.P43L32:
	jump .P43L11;

.P43L7:
.LN123:
// line 321
	R0 = W[P1 + 2] (Z);
	CC = BITTST(R0, 2);
	if CC jump .P43L20 ;

.P43L19:
.LN124:
// line 323
	R0 = 1;
	CALL.X (_STALL);
.LN125:
// line 324
	jump .P43L21;

.P43L20:
.LN126:
// line 327
	R0 = 1;
	CALL.X (_ACKNOWLEDGE);

.P43L21:
.LN127:
// line 328
	jump .P43L18;

.P43L8:
.LN128:
// line 332
	R0 = W[P1 + 2] (Z);
	CC = BITTST(R0, 3);
	if CC jump .P43L23 ;

.P43L22:
.LN129:
// line 334
	R0 = 1;
	CALL.X (_STALL);
.LN130:
// line 335
	jump .P43L24;

.P43L23:
.LN131:
// line 338
	R0 = 7;
	B[P1 + 1488] = R0;
.LN132:
// line 339
	R0 = 1;
	CALL.X (_ACKNOWLEDGE);

.P43L24:
.LN133:
// line 340
	jump .P43L18;

.P43L9:
.LN134:
// line 343
	R0 = W[P1 + 2] (Z);
	CC = BITTST(R0, 3);
	if CC jump .P43L26 ;

.P43L25:
.LN135:
// line 345
	R0 = 1;
	CALL.X (_STALL);
.LN136:
// line 346
	jump .P43L27;

.P43L26:
.LN137:
// line 349
	R0 = 7;
	B[P1 + 1492] = R0;
.LN138:
// line 351
	R0 = 4;
	CALL.X (_STALL);
.LN139:
// line 352
	R0 = 1;
	CALL.X (_ACKNOWLEDGE);

.P43L27:
.LN140:
// line 353
	jump .P43L18;

.P43L10:
.LN141:
// line 356
	R0 = W[P1 + 2] (Z);
	CC = BITTST(R0, 3);
	if CC jump .P43L29 ;

.P43L28:
.LN142:
// line 358
	R0 = 1;
	CALL.X (_STALL);
.LN143:
// line 359
	jump .P43L30;

.P43L29:
.LN144:
// line 362
	R0 = 7;
	B[P1 + 1504] = R0;
.LN145:
// line 364
	R0 = 5;
	CALL.X (_STALL);
.LN146:
// line 365
	R0 = 1;
	CALL.X (_ACKNOWLEDGE);

.P43L30:
.LN147:
// line 366
	jump .P43L18;

.P43L11:
.LN148:
// line 369
	R0 = 1;
	CALL.X (_STALL);

.P43L18:

.P43L6:
.LN149:
// line 371
	jump .P43L3;

.P43L2:
.LN150:
// line 373
	R0 = 1;
	CALL.X (_STALL);

.P43L3:
.LN151:
// line 375
	UNLINK;
	RTS;
.LN._std_set_feature.end:
._std_set_feature.end:
	.global _std_set_feature;
	.type _std_set_feature,STT_FUNC;

	.align 2;
_std_set_interface:
.LN_std_set_interface:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\USB\std_requests.c":383
	LINK 12;
.LN152:
// line 385
	R0 = 1;
	CALL.X (_STALL);
.LN153:
// line 386
	UNLINK;
	RTS;
.LN._std_set_interface.end:
._std_set_interface.end:
	.global _std_set_interface;
	.type _std_set_interface,STT_FUNC;

	.align 2;
_std_undetected:
.LN_std_undetected:
//-------------------------------------------------------------------
//   Procedure statistics:
//   Frame size            = 12 
//   Scratch registers used:{R0.L,R0.H}
//   Call preserved registers used:{FP,SP,RETS}
//   Registers that could be clobbered by function calls:{R0.L,R0.H,R1.L,R1.H,R2.L,R2.H,R3.L,R3.H,P0-P2,I0-I3,B0-B3,M0-M3,A0.W,A0.X,A1.W,A1.X,ASTAT0-ASTAT1,CC,AQ,LC0-LC1,LT0-LT1,LB0-LB1,RETS,SEQSTAT,SYSCFG,USP}
//-------------------------------------------------------------------
// line ".\HARDWARE\USB\std_requests.c":394
	LINK 12;
.LN154:
// line 396
	R0 = 1;
	CALL.X (_STALL);
.LN155:
// line 397
	UNLINK;
	RTS;
.LN._std_undetected.end:
._std_undetected.end:
	.global _std_undetected;
	.type _std_undetected,STT_FUNC;

	.file_attr ProjectName="ltr030-bf-fos";
	.file_attr FuncName="_ssync";
	.file_attr FuncName="_std_clear_feature";
	.file_attr FuncName="_std_get_configuration";
	.file_attr FuncName="_std_get_descriptor";
	.file_attr FuncName="_std_get_interface";
	.file_attr FuncName="_std_get_status";
	.file_attr FuncName="_std_set_address";
	.file_attr FuncName="_std_set_configuration";
	.file_attr FuncName="_std_set_descriptor";
	.file_attr FuncName="_std_set_feature";
	.file_attr FuncName="_std_set_interface";
	.file_attr FuncName="_std_undetected";
	.file_attr Content="CodeData";
.epctext.end:

	.extern _STALL;
	.type _STALL,STT_FUNC;
	.extern _ACKNOWLEDGE;
	.type _ACKNOWLEDGE,STT_FUNC;
	.extern _UNSTALL;
	.type _UNSTALL,STT_FUNC;
	.extern _ep0tx_data;
	.type _ep0tx_data,STT_FUNC;
	.extern _ConfigUSB;
	.type _ConfigUSB,STT_FUNC;

	.section .debug_abbrev SHT_DEBUGINFO;

	.align 1;
.epcabbrev:
	.type .epcabbrev,STT_OBJECT;
	.inc/binary "std_requests.sbn", 0, 247;
.epcabbrev.end:

	.section .debug_info SHT_DEBUGINFO;

	.align 1;
.epcdebug:
	.type .epcdebug,STT_OBJECT;
	.byte =
		0x1B,0x51,0x00,0x00,0x02,0x00;
	.byte4 = .epcabbrev;
	.byte =
		0x04,0x01,0x2E,0x5C,0x48,0x41,0x52,0x44,0x57,0x41,0x52,0x45,
		0x5C,0x55,0x53,0x42,0x5C,0x73,0x74,0x64,0x5F,0x72,0x65,0x71,
		0x75,0x65,0x73,0x74,0x73,0x2E,0x63,0x00,0x01;
	.byte4 = .epcline;
	.inc/binary "std_requests.sbn", 247, 19787;
	.byte4 = .LN_std_clear_feature;
	.byte4 = .LN._std_clear_feature.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN0;
	.byte4 = .LN._std_clear_feature.end;
	.byte =
		0x00,0x00,0x11,0xCA,0x4D,0x00,0x00,0x73,0x74,0x64,0x5F,0x67,
		0x65,0x74,0x5F,0x63,0x6F,0x6E,0x66,0x69,0x67,0x75,0x72,0x61,
		0x74,0x69,0x6F,0x6E,0x00,0x01;
	.byte4 = .LN_std_get_configuration;
	.byte4 = .LN._std_get_configuration.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN36;
	.byte4 = .LN._std_get_configuration.end;
	.byte =
		0x00,0x00,0x11,0x38,0x4E,0x00,0x00,0x73,0x74,0x64,0x5F,0x67,
		0x65,0x74,0x5F,0x64,0x65,0x73,0x63,0x72,0x69,0x70,0x74,0x6F,
		0x72,0x00,0x01;
	.byte4 = .LN_std_get_descriptor;
	.byte4 = .LN._std_get_descriptor.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN43;
	.byte4 = .LN._std_get_descriptor.end;
	.byte =
		0x13,0x64,0x49,0x6E,0x64,0x65,0x78,0x00,0x01,0xFC,0x08,0x00,
		0x00,0x02,0x7F,0x76;
	.byte4 = .LN43-.LN_std_get_descriptor;
	.byte =
		0x00,0x13,0x64,0x54,0x79,0x70,0x65,0x00,0x01,0xFC,0x08,0x00,
		0x00,0x02,0x7F,0x77;
	.byte4 = .LN44-.LN_std_get_descriptor;
	.byte =
		0x00,0x13,0x70,0x74,0x72,0x00,0x01,0x12,0x09,0x00,0x00,0x02,
		0x7F,0x7C;
	.byte4 = .LN45-.LN_std_get_descriptor;
	.byte =
		0x00,0x00,0x00,0x11,0x6A,0x4E,0x00,0x00,0x73,0x74,0x64,0x5F,
		0x67,0x65,0x74,0x5F,0x69,0x6E,0x74,0x65,0x72,0x66,0x61,0x63,
		0x65,0x00,0x01;
	.byte4 = .LN_std_get_interface;
	.byte4 = .LN._std_get_interface.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN64;
	.byte4 = .LN._std_get_interface.end;
	.byte =
		0x00,0x00,0x11,0x99,0x4E,0x00,0x00,0x73,0x74,0x64,0x5F,0x67,
		0x65,0x74,0x5F,0x73,0x74,0x61,0x74,0x75,0x73,0x00,0x01;
	.byte4 = .LN_std_get_status;
	.byte4 = .LN._std_get_status.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN66;
	.byte4 = .LN._std_get_status.end;
	.byte =
		0x00,0x00,0x11,0xED,0x4E,0x00,0x00,0x73,0x74,0x64,0x5F,0x73,
		0x65,0x74,0x5F,0x61,0x64,0x64,0x72,0x65,0x73,0x73,0x00,0x01;
	.byte4 = .LN_std_set_address;
	.byte4 = .LN._std_set_address.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN94;
	.byte4 = .LN._std_set_address.end;
	.byte =
		0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN97;
	.byte4 = .LN107;
	.byte =
		0x13,0x64,0x65,0x76,0x61,0x64,0x64,0x72,0x00,0x01,0xFC,0x08,
		0x00,0x00,0x02,0x7F,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
		0x00,0x11,0x38,0x4F,0x00,0x00,0x73,0x74,0x64,0x5F,0x73,0x65,
		0x74,0x5F,0x63,0x6F,0x6E,0x66,0x69,0x67,0x75,0x72,0x61,0x74,
		0x69,0x6F,0x6E,0x00,0x01;
	.byte4 = .LN_std_set_configuration;
	.byte4 = .LN._std_set_configuration.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN108;
	.byte4 = .LN._std_set_configuration.end;
	.byte =
		0x13,0x63,0x6F,0x6E,0x66,0x69,0x67,0x00,0x01,0xFC,0x08,0x00,
		0x00,0x02,0x7F,0x0C;
	.byte4 = .LN108-.LN_std_set_configuration;
	.byte =
		0x00,0x00,0x00,0x11,0x6B,0x4F,0x00,0x00,0x73,0x74,0x64,0x5F,
		0x73,0x65,0x74,0x5F,0x64,0x65,0x73,0x63,0x72,0x69,0x70,0x74,
		0x6F,0x72,0x00,0x01;
	.byte4 = .LN_std_set_descriptor;
	.byte4 = .LN._std_set_descriptor.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN116;
	.byte4 = .LN._std_set_descriptor.end;
	.byte =
		0x00,0x00,0x11,0x9B,0x4F,0x00,0x00,0x73,0x74,0x64,0x5F,0x73,
		0x65,0x74,0x5F,0x66,0x65,0x61,0x74,0x75,0x72,0x65,0x00,0x01;
	.byte4 = .LN_std_set_feature;
	.byte4 = .LN._std_set_feature.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN118;
	.byte4 = .LN._std_set_feature.end;
	.byte =
		0x00,0x00,0x11,0xCD,0x4F,0x00,0x00,0x73,0x74,0x64,0x5F,0x73,
		0x65,0x74,0x5F,0x69,0x6E,0x74,0x65,0x72,0x66,0x61,0x63,0x65,
		0x00,0x01;
	.byte4 = .LN_std_set_interface;
	.byte4 = .LN._std_set_interface.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN152;
	.byte4 = .LN._std_set_interface.end;
	.byte =
		0x00,0x00,0x11,0xFC,0x4F,0x00,0x00,0x73,0x74,0x64,0x5F,0x75,
		0x6E,0x64,0x65,0x74,0x65,0x63,0x74,0x65,0x64,0x00,0x01;
	.byte4 = .LN_std_undetected;
	.byte4 = .LN._std_undetected.end;
	.byte =
		0x01,0x01,0x00,0x12,0x00,0x00,0x00,0x00;
	.byte4 = .LN154;
	.byte4 = .LN._std_undetected.end;
	.byte =
		0x00,0x00,0x13,0x48,0x53,0x5F,0x44,0x45,0x53,0x43,0x52,0x49,
		0x50,0x54,0x4F,0x52,0x00,0x01,0x0C,0x51,0x00,0x00,0x05,0x0C;
	.byte4 = _HS_DESCRIPTOR;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x13,0x46,0x53,0x5F,0x44,0x45,0x53,
		0x43,0x52,0x49,0x50,0x54,0x4F,0x52,0x00,0x01,0xFA,0x50,0x00,
		0x00,0x05,0x0C;
	.byte4 = _FS_DESCRIPTOR;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x13,0x53,0x54,0x52,0x49,0x4E,0x47,
		0x53,0x00,0x01,0xEC,0x50,0x00,0x00,0x05,0x0C;
	.byte4 = _STRINGS;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x13,0x4F,0x54,0x48,0x45,0x52,0x5F,
		0x44,0x45,0x53,0x43,0x52,0x49,0x50,0x54,0x4F,0x52,0x00,0x01,
		0xCC,0x50,0x00,0x00,0x05,0x0C;
	.byte4 = _OTHER_DESCRIPTOR;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x13,0x55,0x53,0x42,0x44,0x65,0x76,
		0x43,0x6F,0x6E,0x66,0x00,0x01,0xC6,0x50,0x00,0x00,0x05,0x0C;
	.byte4 = _USBDevConf;
	.byte =
		0x00,0x00,0x00,0x00,0x01,0x13,0x53,0x74,0x61,0x6E,0x64,0x61,
		0x72,0x64,0x44,0x65,0x76,0x69,0x63,0x65,0x52,0x65,0x71,0x75,
		0x65,0x73,0x74,0x00,0x01,0xB8,0x50,0x00,0x00,0x05,0x0C;
	.byte4 = _StandardDeviceRequest;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x0F,0xC6,0x50,0x00,0x00,0x93,0x22,
		0x00,0x00,0x10,0x10,0x00,0x0F,0x00,0x04,0x00,0x3F,0x3F,0x00,
		0x00,0x0F,0xDE,0x50,0x00,0x00,0xFC,0x08,0x00,0x00,0x10,0x00,
		0x00,0xFF,0xFF,0xFF,0xFF,0x0F,0x00,0x0F,0xEC,0x50,0x00,0x00,
		0x89,0x4C,0x00,0x00,0x10,0x06,0x00,0x05,0x00,0x0F,0xFA,0x50,
		0x00,0x00,0xDE,0x50,0x00,0x00,0x10,0x04,0x00,0x03,0x00,0x0F,
		0x0C,0x51,0x00,0x00,0xFC,0x08,0x00,0x00,0x10,0x00,0x00,0xFF,
		0xFF,0xFF,0xFF,0x0F,0x00,0x0F,0x00,0x00,0x00,0x00,0xFC,0x08,
		0x00,0x00,0x10,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0x0F,0x00,0x00;
.epcdebug.end:

	.section .debug_line SHT_DEBUGINFO;

	.align 1;
.epcline:
	.type .epcline,STT_OBJECT;
	.inc/binary "std_requests.sbn", 20034, 4047;
	.byte4 = .LN_std_clear_feature;
	.byte =
		0x04,0x01,0x05,0x05,0x2C,0x00,0x05,0x02;
	.byte4 = .LN0;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN1;
	.byte =
		0x05,0x0D,0x0C,0x00,0x05,0x02;
	.byte4 = .LN2;
	.byte =
		0x05,0x16,0x0B,0x00,0x05,0x02;
	.byte4 = .LN3;
	.byte =
		0x05,0x11,0x0A,0x00,0x05,0x02;
	.byte4 = .LN4;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN5;
	.byte =
		0x05,0x19,0x0C,0x00,0x05,0x02;
	.byte4 = .LN6;
	.byte =
		0x05,0x22,0x0B,0x00,0x05,0x02;
	.byte4 = .LN7;
	.byte =
		0x05,0x1D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN8;
	.byte =
		0x05,0x28,0x0C,0x00,0x05,0x02;
	.byte4 = .LN9;
	.byte =
		0x05,0x1D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN10;
	.byte =
		0x05,0x19,0x0D,0x00,0x05,0x02;
	.byte4 = .LN11;
	.byte =
		0x05,0x22,0x0B,0x00,0x05,0x02;
	.byte4 = .LN12;
	.byte =
		0x05,0x1D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN13;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN14;
	.byte =
		0x05,0x24,0x0A,0x00,0x05,0x02;
	.byte4 = .LN15;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN16;
	.byte =
		0x05,0x28,0x0A,0x00,0x05,0x02;
	.byte4 = .LN17;
	.byte =
		0x05,0x1D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN18;
	.byte =
		0x05,0x19,0x0C,0x00,0x05,0x02;
	.byte4 = .LN19;
	.byte =
		0x05,0x22,0x0B,0x00,0x05,0x02;
	.byte4 = .LN20;
	.byte =
		0x05,0x1D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN21;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN22;
	.byte =
		0x05,0x24,0x0B,0x00,0x05,0x02;
	.byte4 = .LN23;
	.byte =
		0x05,0x28,0x0A,0x00,0x05,0x02;
	.byte4 = .LN24;
	.byte =
		0x05,0x1D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN25;
	.byte =
		0x05,0x19,0x0C,0x00,0x05,0x02;
	.byte4 = .LN26;
	.byte =
		0x05,0x22,0x0B,0x00,0x05,0x02;
	.byte4 = .LN27;
	.byte =
		0x05,0x1D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN28;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN29;
	.byte =
		0x05,0x24,0x0B,0x00,0x05,0x02;
	.byte4 = .LN30;
	.byte =
		0x05,0x28,0x0A,0x00,0x05,0x02;
	.byte4 = .LN31;
	.byte =
		0x05,0x1D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN32;
	.byte =
		0x05,0x1E,0x0C,0x00,0x05,0x02;
	.byte4 = .LN33;
	.byte =
		0x05,0x11,0x0B,0x00,0x05,0x02;
	.byte4 = .LN34;
	.byte =
		0x05,0x12,0x0C,0x00,0x05,0x02;
	.byte4 = .LN35;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN._std_clear_feature.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_std_get_configuration;
	.byte =
		0x04,0x01,0x05,0x05,0x7C,0x00,0x05,0x02;
	.byte4 = .LN36;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN37;
	.byte =
		0x05,0x0E,0x0B,0x00,0x05,0x02;
	.byte4 = .LN38;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN39;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN40;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN41;
	.byte =
		0x05,0x13,0x01,0x00,0x05,0x02;
	.byte4 = .LN42;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN._std_get_configuration.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_std_get_descriptor;
	.byte =
		0x04,0x01,0x05,0x05,0x8F,0x00,0x05,0x02;
	.byte4 = .LN43;
	.byte =
		0x05,0x0A,0x0B,0x00,0x05,0x02;
	.byte4 = .LN44;
	.byte =
		0x05,0x07,0x0A,0x00,0x05,0x02;
	.byte4 = .LN45;
	.byte =
		0x05,0x0B,0x0A,0x00,0x05,0x02;
	.byte4 = .LN46;
	.byte =
		0x05,0x05,0x0C,0x00,0x05,0x02;
	.byte4 = .LN47;
	.byte =
		0x05,0x17,0x0C,0x00,0x05,0x02;
	.byte4 = .LN48;
	.byte =
		0x05,0x0D,0x01,0x00,0x05,0x02;
	.byte4 = .LN49;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN50;
	.byte =
		0x05,0x17,0x01,0x00,0x05,0x02;
	.byte4 = .LN51;
	.byte =
		0x05,0x0D,0x01,0x00,0x05,0x02;
	.byte4 = .LN52;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN53;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN54;
	.byte =
		0x05,0x17,0x01,0x00,0x05,0x02;
	.byte4 = .LN55;
	.byte =
		0x05,0x0D,0x01,0x00,0x05,0x02;
	.byte4 = .LN56;
	.byte =
		0x05,0x12,0x0F,0x00,0x05,0x02;
	.byte4 = .LN57;
	.byte =
		0x05,0x0D,0x01,0x00,0x05,0x02;
	.byte4 = .LN58;
	.byte =
		0x05,0x17,0x0C,0x00,0x05,0x02;
	.byte4 = .LN59;
	.byte =
		0x05,0x0D,0x01,0x00,0x05,0x02;
	.byte4 = .LN60;
	.byte =
		0x05,0x17,0x0C,0x00,0x05,0x02;
	.byte4 = .LN61;
	.byte =
		0x05,0x0D,0x01,0x00,0x05,0x02;
	.byte4 = .LN62;
	.byte =
		0x05,0x12,0x0D,0x00,0x05,0x02;
	.byte4 = .LN63;
	.byte =
		0x05,0x05,0x0C,0x00,0x05,0x02;
	.byte4 = .LN._std_get_descriptor.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_std_get_interface;
	.byte =
		0x04,0x01,0x05,0x05,0xBC,0x00,0x05,0x02;
	.byte4 = .LN64;
	.byte =
		0x05,0x0A,0x0B,0x00,0x05,0x02;
	.byte4 = .LN65;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._std_get_interface.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_std_get_status;
	.byte =
		0x04,0x01,0x05,0x05,0xC7,0x00,0x05,0x02;
	.byte4 = .LN66;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN67;
	.byte =
		0x05,0x0D,0x0C,0x00,0x05,0x02;
	.byte4 = .LN68;
	.byte =
		0x05,0x16,0x0B,0x00,0x05,0x02;
	.byte4 = .LN69;
	.byte =
		0x05,0x11,0x0A,0x00,0x05,0x02;
	.byte4 = .LN70;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN71;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN72;
	.byte =
		0x05,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN73;
	.byte =
		0x05,0x11,0x0A,0x00,0x05,0x02;
	.byte4 = .LN74;
	.byte =
		0x05,0x0D,0x0C,0x00,0x05,0x02;
	.byte4 = .LN75;
	.byte =
		0x05,0x16,0x0B,0x00,0x05,0x02;
	.byte4 = .LN76;
	.byte =
		0x05,0x11,0x0A,0x00,0x05,0x02;
	.byte4 = .LN77;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN78;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN79;
	.byte =
		0x05,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN80;
	.byte =
		0x05,0x11,0x0A,0x00,0x05,0x02;
	.byte4 = .LN81;
	.byte =
		0x05,0x0D,0x0C,0x00,0x05,0x02;
	.byte4 = .LN82;
	.byte =
		0x05,0x16,0x0B,0x00,0x05,0x02;
	.byte4 = .LN83;
	.byte =
		0x05,0x11,0x0A,0x00,0x05,0x02;
	.byte4 = .LN84;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN85;
	.byte =
		0x05,0x19,0x0C,0x00,0x05,0x02;
	.byte4 = .LN86;
	.byte =
		0x0D,0x00,0x05,0x02;
	.byte4 = .LN87;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN88;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN89;
	.byte =
		0x05,0x11,0x0C,0x00,0x05,0x02;
	.byte4 = .LN90;
	.byte =
		0x05,0x1B,0x01,0x00,0x05,0x02;
	.byte4 = .LN91;
	.byte =
		0x05,0x0D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN92;
	.byte =
		0x05,0x12,0x0C,0x00,0x05,0x02;
	.byte4 = .LN93;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN._std_get_status.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_std_set_address;
	.byte =
		0x04,0x01,0x05,0x05,0x03,0xFD,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN94;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN95;
	.byte =
		0x05,0x0E,0x0B,0x00,0x05,0x02;
	.byte4 = .LN96;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN97;
	.byte =
		0x05,0x0E,0x0C,0x00,0x05,0x02;
	.byte4 = .LN98;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN99;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xC6,0x19,0x01,0x00,0x05,0x02;
	.byte4 = .LN100;
	.byte =
		0x04,0x01,0x05,0x09,0x03,0xBA,0x66,0x01,0x00,0x05,0x02;
	.byte4 = .LN101;
	.byte =
		0x01,0x00,0x05,0x02;
	.byte4 = .LN102;
	.byte =
		0x04,0x0A,0x05,0x03,0x03,0xC6,0x19,0x01,0x00,0x05,0x02;
	.byte4 = .LN103;
	.byte =
		0x04,0x01,0x05,0x09,0x03,0xBA,0x66,0x01,0x00,0x05,0x02;
	.byte4 = .LN104;
	.byte =
		0x0A,0x00,0x05,0x02;
	.byte4 = .LN105;
	.byte =
		0x05,0x12,0x01,0x00,0x05,0x02;
	.byte4 = .LN106;
	.byte =
		0x05,0x14,0x0A,0x00,0x05,0x02;
	.byte4 = .LN107;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN._std_set_address.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_std_set_configuration;
	.byte =
		0x04,0x01,0x05,0x05,0x03,0x92,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN108;
	.byte =
		0x05,0x0A,0x0B,0x00,0x05,0x02;
	.byte4 = .LN109;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN110;
	.byte =
		0x05,0x0E,0x0B,0x00,0x05,0x02;
	.byte4 = .LN111;
	.byte =
		0x05,0x09,0x0A,0x00,0x05,0x02;
	.byte4 = .LN112;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN113;
	.byte =
		0x05,0x12,0x01,0x00,0x05,0x02;
	.byte4 = .LN114;
	.byte =
		0x05,0x14,0x0A,0x00,0x05,0x02;
	.byte4 = .LN115;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN._std_set_configuration.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_std_set_descriptor;
	.byte =
		0x04,0x01,0x05,0x05,0x03,0xA7,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN116;
	.byte =
		0x05,0x0A,0x0B,0x00,0x05,0x02;
	.byte4 = .LN117;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._std_set_descriptor.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_std_set_feature;
	.byte =
		0x04,0x01,0x05,0x05,0x03,0xB2,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN118;
	.byte =
		0x0B,0x00,0x05,0x02;
	.byte4 = .LN119;
	.byte =
		0x05,0x0D,0x0C,0x00,0x05,0x02;
	.byte4 = .LN120;
	.byte =
		0x05,0x16,0x0B,0x00,0x05,0x02;
	.byte4 = .LN121;
	.byte =
		0x05,0x11,0x0A,0x00,0x05,0x02;
	.byte4 = .LN122;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN123;
	.byte =
		0x05,0x19,0x0C,0x00,0x05,0x02;
	.byte4 = .LN124;
	.byte =
		0x05,0x22,0x0B,0x00,0x05,0x02;
	.byte4 = .LN125;
	.byte =
		0x05,0x1D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN126;
	.byte =
		0x05,0x28,0x0C,0x00,0x05,0x02;
	.byte4 = .LN127;
	.byte =
		0x05,0x1D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN128;
	.byte =
		0x05,0x19,0x0D,0x00,0x05,0x02;
	.byte4 = .LN129;
	.byte =
		0x05,0x22,0x0B,0x00,0x05,0x02;
	.byte4 = .LN130;
	.byte =
		0x05,0x1D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN131;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN132;
	.byte =
		0x05,0x28,0x0A,0x00,0x05,0x02;
	.byte4 = .LN133;
	.byte =
		0x05,0x1D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN134;
	.byte =
		0x05,0x19,0x0C,0x00,0x05,0x02;
	.byte4 = .LN135;
	.byte =
		0x05,0x22,0x0B,0x00,0x05,0x02;
	.byte4 = .LN136;
	.byte =
		0x05,0x1D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN137;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN138;
	.byte =
		0x05,0x22,0x0B,0x00,0x05,0x02;
	.byte4 = .LN139;
	.byte =
		0x05,0x28,0x0A,0x00,0x05,0x02;
	.byte4 = .LN140;
	.byte =
		0x05,0x1D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN141;
	.byte =
		0x05,0x19,0x0C,0x00,0x05,0x02;
	.byte4 = .LN142;
	.byte =
		0x05,0x22,0x0B,0x00,0x05,0x02;
	.byte4 = .LN143;
	.byte =
		0x05,0x1D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN144;
	.byte =
		0x0C,0x00,0x05,0x02;
	.byte4 = .LN145;
	.byte =
		0x05,0x22,0x0B,0x00,0x05,0x02;
	.byte4 = .LN146;
	.byte =
		0x05,0x28,0x0A,0x00,0x05,0x02;
	.byte4 = .LN147;
	.byte =
		0x05,0x1D,0x0A,0x00,0x05,0x02;
	.byte4 = .LN148;
	.byte =
		0x05,0x1E,0x0C,0x00,0x05,0x02;
	.byte4 = .LN149;
	.byte =
		0x05,0x11,0x0B,0x00,0x05,0x02;
	.byte4 = .LN150;
	.byte =
		0x05,0x18,0x0B,0x00,0x05,0x02;
	.byte4 = .LN151;
	.byte =
		0x05,0x05,0x0B,0x00,0x05,0x02;
	.byte4 = .LN._std_set_feature.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_std_set_interface;
	.byte =
		0x04,0x01,0x05,0x05,0x03,0xFE,0x02,0x01,0x00,0x05,0x02;
	.byte4 = .LN152;
	.byte =
		0x05,0x0A,0x0B,0x00,0x05,0x02;
	.byte4 = .LN153;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._std_set_interface.end;
	.byte =
		0x00,0x01,0x01,0x00,0x05,0x02;
	.byte4 = .LN_std_undetected;
	.byte =
		0x04,0x01,0x05,0x05,0x03,0x89,0x03,0x01,0x00,0x05,0x02;
	.byte4 = .LN154;
	.byte =
		0x05,0x0A,0x0B,0x00,0x05,0x02;
	.byte4 = .LN155;
	.byte =
		0x05,0x05,0x0A,0x00,0x05,0x02;
	.byte4 = .LN._std_undetected.end;
	.byte =
		0x00,0x01,0x01;
.epcline.end:

	.section .annotations SHT_DEBUGINFO;

	.align 1;
.epcannot:
	.type .epcannot,STT_OBJECT;
	.inc/binary "std_requests.sbn", 24081, 5176;
.epcannot.end:

	.section .debug_pubnames SHT_DEBUGINFO;

	.align 1;
.epcpubnames:
	.type .epcpubnames,STT_OBJECT;
	.byte =
		0x1A,0x01,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.inc/binary "std_requests.sbn", 29257, 276;
.epcpubnames.end:

	.section .debug_aranges SHT_DEBUGINFO;

	.align 1;
.epcaranges:
	.type .epcaranges,STT_OBJECT;
	.byte =
		0x6C,0x00,0x00,0x00,0x02,0x00;
	.byte4 = .epcdebug;
	.byte =
		0x04,0x00,0x00,0x00,0x00,0x00;
	.byte4 = .LN_std_get_status;
	.byte4 = .LN._std_get_status.end-.LN_std_get_status;
	.byte4 = .LN_std_clear_feature;
	.byte4 = .LN._std_clear_feature.end-.LN_std_clear_feature;
	.byte4 = .LN_std_undetected;
	.byte4 = .LN._std_undetected.end-.LN_std_undetected;
	.byte4 = .LN_std_set_feature;
	.byte4 = .LN._std_set_feature.end-.LN_std_set_feature;
	.byte4 = .LN_std_set_address;
	.byte4 = .LN._std_set_address.end-.LN_std_set_address;
	.byte4 = .LN_std_get_descriptor;
	.byte4 = .LN._std_get_descriptor.end-.LN_std_get_descriptor;
	.byte4 = .LN_std_set_descriptor;
	.byte4 = .LN._std_set_descriptor.end-.LN_std_set_descriptor;
	.byte4 = .LN_std_get_configuration;
	.byte4 = .LN._std_get_configuration.end-.LN_std_get_configuration;
	.byte4 = .LN_std_set_configuration;
	.byte4 = .LN._std_set_configuration.end-.LN_std_set_configuration;
	.byte4 = .LN_std_get_interface;
	.byte4 = .LN._std_get_interface.end-.LN_std_get_interface;
	.byte4 = .LN_std_set_interface;
	.byte4 = .LN._std_set_interface.end-.LN_std_set_interface;
	.byte =
		0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00;
.epcaranges.end:

	.section/DOUBLE32 data1;

	.align 4;
_StandardDeviceRequest:
	.global _StandardDeviceRequest;
	.type _StandardDeviceRequest,STT_OBJECT;
	.byte4 = _std_get_status;
	.byte4 = _std_clear_feature;
	.byte4 = _std_undetected;
	.byte4 = _std_set_feature;
	.byte4 = _std_undetected;
	.byte4 = _std_set_address;
	.byte4 = _std_get_descriptor;
	.byte4 = _std_set_descriptor;
	.byte4 = _std_get_configuration;
	.byte4 = _std_set_configuration;
	.byte4 = _std_get_interface;
	.byte4 = _std_set_interface;
	.byte4 = _std_undetected;
	.byte4 = _std_undetected;
	.byte4 = _std_undetected;
	.byte4 = _std_undetected;
._StandardDeviceRequest.end:

	.section/DOUBLE32 constdata;

	.align 4;
.SWITCH.0:
	.type .SWITCH.0,STT_OBJECT;
	.byte4 = .P45L4;
	.byte4 = .P45L5;
	.byte4 = .P45L6;
	.byte4 = .P45L10;
	.byte4 = .P45L7;
	.byte4 = .P45L8;
	.byte4 = .P45L9;
.SWITCH.0.end:

	.section/DOUBLE32 data1;


	.extern _HS_DESCRIPTOR;
	.type _HS_DESCRIPTOR,STT_OBJECT;
	.extern _FS_DESCRIPTOR;
	.type _FS_DESCRIPTOR,STT_OBJECT;
	.extern _STRINGS;
	.type _STRINGS,STT_OBJECT;
	.extern _OTHER_DESCRIPTOR;
	.type _OTHER_DESCRIPTOR,STT_OBJECT;
	.extern _USBDevConf;
	.type _USBDevConf,STT_OBJECT;
