/*
 *    
 */


#include <cdefBF537.h>
#include "wdt.h"

/*================================================================================================*/
/*------------------------------------------------------------------------------------------------*/
void clear_wdt
    (
    void
    )
    {
    /*
     *  WDT (   ).
     * 
     *       WDT   ( )   WDOG_STAT.
     */
    *pWDOG_STAT = 0;
    }
/*------------------------------------------------------------------------------------------------*/

/*------------------------------------------------------------------------------------------------*/
void initialize_wdt
    (
    int period_msec                         /* () -      */
    )
    {
    /*
     *     .
     * 
     *         .  Blackfin  3
     *    ,      : 
     *   ,  IRQ31   .    
     *        .
     */
    const long sclk = 133333;
    
    *pWDOG_CNT = sclk * period_msec;
    *pWDOG_CTL = WDEN | WDEV_RESET;
    }
/*------------------------------------------------------------------------------------------------*/
/*================================================================================================*/
